#!/bin/sh
#
#  This is a shar file.  To use:
#  1. Remove everything before the /bin/sh line
#  2. Execute with /bin/sh (not csh) to extract the files:
#         Gozilla.tsand.2
#         READ.ME
#         heshe.tsand
#         lounela.Gozilla
#         lounela.JohnBate
#         lounela.JohnBate.2
#         lounela.JohnBate.3
#         lounela.gs
#         lounela.jie
#         lounela.wq
#         tromp.bertram
#
file="${0}"
echo extracting Gozilla.tsand.2 1>&2
sed 's/^X//' >Gozilla.tsand.2 << 'EnD of Gozilla.tsand.2'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XComment[A game from the Internet Go server.
X
X27 Mar 1992
X
XWhite: Gozilla, 2 kyu
X
XBlack: Tero Sand, 2 kyu
X
XBlack wins by 22.5 points.
X
XCommentary by Olli Lounela.]
XName[\(igs\) Gozilla\(white\) vs. tsand\(black\)]
X;
XBlack[pd]
X;
XWhite[dd]
X;
XBlack[pq]
X;
XWhite[ep]
X;
XBlack[pk]
X;
XComment[Extending along the bottom is more urgent.
X
XA possible sequence: White N4, black Q5, W J3.]
XWhite[pf]
X;
XBlack[nd]
X;
XComment[A very strange shape. The normal way here is first to tsukehiki at White R16, B R17, R15, S17, then defend at R11.]
XWhite[ph]
X;
XComment[Good. Now white's group is going to be heavy. Black is also getting a fairly big corner.]
XBlack[qe]
X;
XWhite[qf]
X;
XComment[Bad. Playing a shoulder-hit underneath is almost never good.]
XBlack[qi]
X;
XComment[Defending the weak group on the right side takes priority, at N13.]
XWhite[ic]
X;
XBlack[kc]
X;
XWhite[dj]
X;
XComment[Good. N13 seems bigger and better though.]
XBlack[jp]
X;
XComment[Better late than never.]
XWhite[mg]
X;
XComment[Small. Better to invade at C4.]
XBlack[qh]
X;
XComment[Worng corner. Should be at C4.]
XWhite[cc]
X;
XBlack[mi]
X;
XComment[Slightly risky, but shows fighting spirit. Defending at L13 is safer, and probably a bit better.]
XWhite[ie]
X;
XBlack[ke]
X;
XComment[Better to play at L13. This is inducing black to strngthen his moyo. Generally not recommended.]
XWhite[lh]
X;
XBlack[kj]
X;
XComment[Too greedy. K13 is better.]
XWhite[kf]
X;
XComment[This move is dubious.
X
XFirst, locally better shape would be R5, defending the side better.
X
XSecond, the urgent thing on the board is the fight in the top right corner. A cut at K14, K15, K13 seems very attractive. If cutting feels too bold, also a move around K12, threatening the cut, seems good \(and definitely sente besides\).]
XBlack[po]
X;
XWhite[jf]
XComment[Extremely important. Now white is safe and strong here.]
X;
XBlack[cp]
X;
XWhite[dn]
X;
XBlack[eq]
X;
XWhite[dp]
X;
XBlack[dq]
X;
XWhite[co]
X;
XBlack[cq]
X;
XWhite[gq]
XComment[Slightly dubious, or craving for beating. White should play solidly anticipating an invasion in the bottom right, say, perhaps around M3. Thus, I would say, F4 is better.]
X;
XBlack[fp]
XComment[Good. Looks like white were up for trouble.]
X;
XWhite[gp]
XComment[Very bad style, pushing your opponent in front of you. This definitely is one of the cases where white does *not* want to get attacked.]
X;
XBlack[fo]
X;
XWhite[em]
XComment[E6 is better shape on this side, but the urgent thing is to save the two floating stones. I'd try K3, and if black hanes at L3, then crosscut.]
X;
XBlack[go]
XComment[Black now has a good result here, even though the bottom goup probably could be effectively sacrificed giving white a living group inside black's moyo.]
X;
XWhite[gm]
X;
XBlack[ho]
XComment[Good. Black's getting stronger and stronger here, and white's chances of invading successfully are all the time diminishing in proportion.]
X;
XWhite[mc]
XComment[Small.]
X;
XBlack[md]
X;
XWhite[lc]
X;
XBlack[ld]
X;
XWhite[kb]
X;
XBlack[nc]
XComment[Better to secure the bottom right corner; perhaps at J7.]
X;
XWhite[jc]
XComment[Very small.]
X;
XBlack[rf]
XComment[Worng direction. Bottom right is still the most important area.]
X;
XWhite[rg]
X;
XBlack[re]
X;
XWhite[qg]
X;
XBlack[im]
XComment[Finally!]
X;
XWhite[kq]
XComment[Bad style. K3 would have better chance of succeeding.]
X;
XBlack[mq]
XComment[Giving white a gift of *much* better living prospects. Should be at K3.]
X;
XWhite[iq]
XComment[This, too, should be at K3. This just about equals to suicide attempt.]
X;
XBlack[kp]
X;
XWhite[lr]
XComment[M3 is better.]
X;
XBlack[mr]
X;
XWhite[fq]
XComment[White *must* play K3. This is asking for trouble.]
X;
XBlack[er]
XComment[Good. Besides making black very alive in the corner, this move reduces white's eye space.]
X;
XWhite[fr]
X;
XBlack[hr]
X;
XWhite[ir]
X;
XBlack[gs]
XComment[This seems to be a worng order of moves. If black played first at K2, white would have much worse, only half-an-eye at K2.. The sequence should be K2, K3 \(these reduce white's liberties\), and the go on with G1.]
X;
XWhite[fs]
X;
XBlack[hq]
X;
XWhite[ip]
X;
XBlack[hp]
X;
XWhite[io]
X;
XBlack[hn]
XComment[Should be at L6, which is the vital point here.]
X;
XWhite[hi]
X;
XBlack[hk]
XComment[This is asking for trouble by creating weaknesses. Making a strong shape with J9 would be good enough.]
X;
XWhite[gj]
X;
XBlack[qo]
X;
XWhite[pi]
X;
XBlack[pj]
X;
XWhite[nj]
XComment[An interesting idea.]
X;
XBlack[ni]
X;
XWhite[pm]
XComment[A mistaek. There is no way white can live here if black cuts at P11, making eyes for the right side group.]
X;
XBlack[ol]
XComment[A half-measure. P11 would be better.]
X;
XWhite[in]
X;
XBlack[jm]
X;
XWhite[lp]
X;
XBlack[lq]
XComment[L6 is still the vital point. Even so, it seems there is no way for white to live.]
X;
XWhite[ko]
X;
XBlack[lo]
X;
XWhite[mp]
X;
XBlack[jo]
X;
XWhite[jn]
X;
XBlack[kn]
X;
XWhite[rj]
X;
XBlack[rk]
XComment[Good. No sense in trying to save the two unimportant stones.]
X;
XWhite[qj]
X;
XBlack[qk]
XComment[Now black ends in sente.]
X;
XWhite[ji]
XComment[If black gets to play at S11, white's S10 and R10 will turn out to be losses. It would be better to try and save them, even if it is gote.]
X;
XBlack[jj]
X;
XWhite[ij]
X;
XBlack[ri]
XComment[Very, very big.]
X;
XWhite[rh]
X;
XBlack[sj]
X;
XWhite[ik]
X;
XBlack[li]
XComment[This is uninteresting. A better way to secure the position would be to play at L8. Note by the way, that black is soon going to play L8 anyway, and this leaves M11 looking small.
X
XIf black is worried about the safety of N11 and O11, P11 would be better.]
X;
XWhite[hm]
X;
XBlack[kl]
X;
XWhite[bo]
X;
XBlack[bp]
X;
XWhite[kd]
X;
XBlack[og]
XComment[Interesting attack. It would be more effective if M11 were at P11, though.]
X;
XWhite[of]
X;
XBlack[ng]
XComment[Nevertheless, white seems to be in trouble.]
X;
XWhite[nf]
X;
XBlack[mf]
X;
XWhite[nh]
XComment[This does not work.]
X;
XBlack[mh]
XComment[This mistaek helps white wuite a bit. It should be at P12, which actually would work.]
X;
XWhite[lg]
X;
XBlack[ao]
X;
XWhite[an]
X;
XBlack[ap]
X;
XWhite[bm]
X;
XBlack[mb]
X;
XWhite[ob]
XComment[Nothing doing. This loses points.]
X;
XBlack[nb]
X;
XWhite[qc]
X;
XBlack[pb]
X;
XWhite[ki]
X;
XBlack[oh]
XComment[P11 would be better.]
X;
XWhite[oi]
X;
XBlack[lj]
X;
XWhite[me]
X;
XBlack[oj]
X;
XWhite[pg]
X;
XBlack[nh]
X;
XWhite[il]
X;
XBlack[en]
XComment[Good, big.]
X;
XWhite[fn]
X;
XBlack[eo]
X;
XWhite[do]
X;
XBlack[lb]
XComment[Better to play M15 first, it's slightly bigger, and sente besides.]
X;
XWhite[mo]
XComment[Hopeless.]
X;
XBlack[jd]
XComment[Still black should play M15 first.]
X;
XWhite[kc]
X;
XBlack[le]
X;
XWhite[lf]
X;
XBlack[je]
XComment[Despite the funny order of moves, the result is the same.]
X;
XWhite[id]
X;
XBlack[jl]
X;
XWhite[jk]
X;
XBlack[kk]
X;
XWhite[oe]
X;
XBlack[od]
X;
XWhite[sf]
X;
XBlack[se]
X;
XWhite[sg]
X;
XBlack[oq]
XComment[Unnecessary.]
X;
XWhite[pe]
X;
XBlack[qd]
X;
XWhite[la]
X;
XBlack[ma]
X;
XWhite[ka]
X;
XBlack[gn]
X;
XWhite[fm]
X;
XBlack[si]
X;
XComment[Also unnecessary.]
XWhite[dm]
X;
XBlack[sh]
X;
XWhite[jq]
X;
XBlack[ko]
X;
XWhite[ln]
X;
XBlack[km]
X;
XWhite[mm]
X;
XBlack[nk]
X;
XWhite[js]
X;
XBlack[es]
X;
XWhite[mf]
X;
XBlack[ne]
XComment[Black wins by 22.5 points.]
X)
EnD of Gozilla.tsand.2
echo extracting READ.ME 1>&2
sed 's/^X//' >READ.ME << 'EnD of READ.ME'
X
XThe archive file games1.sh.Z contains the following files:
X
X-rw-r--r--  1 olounela     6924 Jul  1 16:43 Gozilla.tsand.2
X-rw-rw-rw-  1 olounela     2032 Jul  1 16:43 READ.ME
X-rw-r--r--  1 olounela     8105 Jul  1 16:43 heshe.tsand
X-rw-r--r--  1 olounela    10280 Jul  1 16:43 lounela.Gozilla
X-rw-r--r--  1 olounela    11966 Jul  1 16:43 lounela.JohnBate
X-rw-r--r--  1 olounela     5585 Jul  1 16:43 lounela.JohnBate.2
X-rw-r--r--  1 olounela     5988 Jul  1 16:43 lounela.JohnBate.3
X-rw-r--r--  1 olounela     4654 Jul  1 16:43 lounela.gs
X-rw-r--r--  1 olounela     8873 Jul  1 16:43 lounela.jie
X-rw-r--r--  1 olounela    10393 Jul  1 16:43 lounela.wq
X-rw-r--r--  1 olounela     3401 Jul  1 16:43 tromp.bertram
X
XThese (except for READ.ME) are games in mgt (SGF) format played by
Xplayers of various amateur strengths, all 4 dan or below, ranging as far
Xas about 10 kyu. 
X
XFor the benefit of mid-to-high level kyu players I have commented them,
Xalways trying to target the commentary, with varying success though, to
X1-10 kyu. 
X
XThese are the first ten I've succeeded to make, and thus the quality of
Xthe commentaries (especially of the early games) may not be terribly
Xhigh and certainly is not consistent, but should be adequate
Xnonetheless. 
X
XNote, that the handicaps do not always follow the ones implied by the
Xranking of the players.  Besides being a real situation, for many people
Xbelieve thay are better than their ranking states, this also reflects
Xthe variance of local rankings.  For example, Korean players have had to
X'promote' themselves repeatedly. 
X
XSooner or later there will be more coming. 
X
XFeel free to distribute these games and modify as needed.  If any
Xmodifications are made, or if they are published (which I doubt), I'd
Xlike to be informed at least, and preferably sent a copy. 
X
XI'll be happy to receive any comments.  Enjoy. 
X
X	Olli Lounela, 3 dan.
X--
XE-mail: olounela@cc.helsinki.fi           ! .sig still under construction.
XBlame me only for any opinions expressed. !  Never you mind, I don't either.
EnD of READ.ME
echo extracting heshe.tsand 1>&2
sed 's/^X//' >heshe.tsand << 'EnD of heshe.tsand'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XAddBlack[dd][dp][jj][pd][pp]
XName[\(igs\) heshe\(white\) vs. tsand\(black\)]
XComment[A game from the Internet Go-server.
X
X?? Mar 1992
X
XWhite: Tomas Heshe, 4 dan
X
X5 stones: Tero Sand, 2 kyu
X
XCommentary: Olli Lounela, 3 dan
X
XBlack wins by resignation.]
X;
XWhite[qf]
X;
XComment[This might be a bit doubtful. Once black gets a wall on the upper right corner, Q11 will feel a bit too close to it.]
XBlack[pi]
X;
XWhite[qc]
X;
XBlack[qd]
X;
XWhite[pc]
X;
XBlack[od]
X;
XWhite[rd]
X;
XBlack[re]
X;
XWhite[rc]
X;
XBlack[qe]
X;
XWhite[nc]
X;
XBlack[jp]
XComment[Now it is obvious that Q11 stone would be better placed at Q10.]
X;
XWhite[cn]
X;
XBlack[cl]
X;
XWhite[dl]
X;
XBlack[dk]
X;
XWhite[dm]
X;
XComment[Good.]
XBlack[fp]
X;
XWhite[ck]
X;
XBlack[cj]
X;
XWhite[bk]
X;
XComment[Correct.]
XBlack[dj]
X;
XComment[This seems to be bad style. White had better play at B8 and accept the gote instead of giving black extra thickness here by pushing.]
XWhite[bj]
X;
XBlack[bi]
X;
XWhite[bl]
X;
XComment[This is bad. Even if it may feel a bit slow, C12 is the honte. After black played at C12, no move at the top would be a threat. This would help black quite a bit all over the board.
X
XFurthermore, it seems that locally R5 is better than R3. This is because of the bad aji left by Q11.]
XBlack[qq]
X;
XComment[The right side seems slightly more attractive target for an invasion.]
XWhite[lq]
X;
XComment[Thick, but a little slack.]
XBlack[jq]
X;
XWhite[oq]
X;
XComment[Pushing here is bad -- it strengthens white unnecessarily. A better idea would be to play keima at O5 and threaten all kinds of unpleasant \(for white, that is :-\) things.]
XBlack[op]
X;
XWhite[np]
X;
XBlack[no]
X;
XWhite[mp]
X;
XComment[Too small and not urgent. Must be around N5 or M6.]
XBlack[or]
X;
XWhite[nq]
XComment[White seems unduly worried about his eye space. Since there were no eye space or shape to speak of to begin with, I would dub this move dubioius.
X
XI would jump immediately to M6 and worry about eyes later.
X
XJumping to M6 is unattractive, though. Black will strengthen his right side and make it next to impossible to invade. Thus white's reluctance to play M6 is understandable.]
X;
XBlack[pr]
X;
XWhite[of]
XComment[This is a bit risky, but white probably feels he's not doing well enough.
X
XM6 would be the honte, but actually the bottom white group is more difficult to attack than it looks. White wants to complicate the game and thus give black opportunities for erring and mistaeking.
X
XI, however, wouldn't hesitate but to play at M6.]
X;
XComment[It feels too passive to let white connect and get out.
X
XProbably the correct thing to do here is first pushing at O16, then peeping at Q13 and then either capping \(if it works\) or pushing at N16 \(if it didn't\).
X
X\(It's very hard to see complete and long variations on this ASCII board, thus the if\)]
XBlack[pg]
X;
XWhite[pf]
X;
XBlack[rg]
X;
XComment[This move was too good to allow.]
XWhite[nd]
X;
XBlack[nh]
X;
XComment[Dangerous. White is creating weak groups everywhere just as if black had asked for targets to attack.]
XWhite[ql]
X;
XBlack[qn]
X;
XWhite[ri]
X;
XComment[This move is bad. Whatever else happens, black should prevent white from connecting i.e. black whould play S12.
X
X\(TS: This move was a typo: I had planned on playing R10. However, that probably wouldn't be much better, in light of OL's above comment.\)
X
X\(I concur.  OL.\)]
XBlack[qk]
X;
XWhite[rk]
X;
XBlack[qj]
X;
XComment[White gives black a second chance to connect...]
XWhite[rj]
X;
XComment[...whitch black doesn't...]
XBlack[rm]
X;
XComment[...and so white cuts off a big tail.]
XWhite[qg]
X;
XBlack[rl]
X;
XComment[R12 looks better.]
XWhite[rh]
X;
XComment[M6 seems better here.
X
XActually, it seems as if black has blundered away just about his whole handicap.
X
XPushing white into black's moyo is staking the whole game into killing it. Not recommended.
X
X\(TS: I was feeling very bad about R13.\)
X
X\(As you should.  OL.\)]
XBlack[km]
X;
XComment[The vital point.]
XWhite[ln]
X;
XBlack[kn]
X;
XComment[Creating a good shape makes living that much easier for white.]
XWhite[nn]
X;
XComment[ Black should connect at P5 instead.]
XBlack[mo]
X;
XWhite[lo]
X;
XComment[Now the excange of black N5 for white M5 is bad for black.]
XBlack[oo]
X;
XWhite[lm]
X;
XComment[Too greedy. Now black must kill white or lose.]
XBlack[mr]
X;
XWhite[lk]
X;
XBlack[kl]
X;
XWhite[nk]
X;
XBlack[li]
X;
XWhite[jr]
X;
XBlack[ir]
X;
XWhite[mi]
XComment[White's group is getting all the time more difficult to kill. Now it even seems to have some eye shape.]
X;
XBlack[lj]
X;
XWhite[ni]
X;
XBlack[mh]
X;
XWhite[kk]
X;
XBlack[jk]
X;
XWhite[mj]
X;
XBlack[oi]
X;
XWhite[ll]
X;
XBlack[oj]
X;
XWhite[lh]
X;
XBlack[jh]
X;
XWhite[kh]
X;
XBlack[ki]
X;
XWhite[mg]
X;
XBlack[ng]
X;
XWhite[pl]
X;
XBlack[nj]
X;
XWhite[mk]
X;
XBlack[mf]
X;
XWhite[kg]
X;
XBlack[kf]
X;
XWhite[jg]
X;
XBlack[lg]
X;
XWhite[pn]
X;
XComment[R5 seems better.]
XBlack[on]
X;
XWhite[om]
X;
XComment[Now the excange of black P6 for white P7 only gives white a bit more of eye shape.]
XBlack[qo]
X;
XComment[Even though this atari is big in the extreme, it's not urgent. The big white group in bottom right is in very real danger of dying.
X
XPlaying at J12 is acceptable only if white admits the big group is dead.]
XWhite[ih]
X;
XComment[Black should push in at P9. That way white would be definitely and irrevocably dead.
X
X\(TS: Yeah \(damn!\), I noticed that after pressing <return>\).
X
X\( :-\)  OL.\)]
XBlack[pk]
X;
XWhite[ok]
X;
XBlack[qi]
X;
XWhite[nl]
XComment[A ko is a really big improvement for white.]
X;
XBlack[mn]
X;
XWhite[mm]
X;
XBlack[nm]
X;
XWhite[ji]
XComment[White seems to have lots of local threats. This ko seems impossible for black to win.]
X;
XBlack[kj]
X;
XWhite[nn]
X;
XBlack[pm]
X;
XWhite[qm]
X;
XBlack[nm]
X;
XWhite[nr]
X;
XBlack[ns]
X;
XWhite[nn]
X;
XComment[This bad one is the last threat black has. By connecting at O7 white makes an eye and at the bottom there are several threats to make another. White seems to be alive.]
XBlack[po]
X;
XComment[White has one eye.]
XWhite[nm]
X;
XBlack[pm]
X;
XComment[Big move by itself, but doesn't seem a threat. This is probably a blunder.]
XWhite[qh]
X;
XComment[White seems to be in trouble. He has to do something very spectacular to win.
X
XWhite, however, is going to try hard.]
XBlack[ol]
X;
XWhite[oh]
X;
XComment[Unnecessarily filling an own liberty.]
XBlack[og]
X;
XWhite[ph]
X;
XBlack[nf]
X;
XWhite[le]
X;
XBlack[lf]
X;
XWhite[ie]
X;
XBlack[ke]
X;
XWhite[ld]
X;
XBlack[kd]
X;
XWhite[ic]
X;
XComment[The worng direction.
X
XAs black already has an eye, and making another at the top seems easy, strengthening white's wall is uncalled for.
X
XThe eyemaking sequence at the top is O15, P15 \(else S14 wins semeai\), M17, N16, N18, O18 and K17.]
XBlack[if]
X;
XWhite[ig]
X;
XBlack[id]
X;
XWhite[hd]
X;
XBlack[jd]
X;
XComment[Now black's left side has suffered quite a bit. The game may yet be turned around.]
XWhite[he]
X;
XBlack[jc]
X;
XWhite[ib]
X;
XBlack[jb]
X;
XComment[Necessary, unfortunately.]
XWhite[fc]
X;
XComment[Black is alive. Now all depend on white's successes at the left side and in the bottom left.]
XBlack[lc]
X;
XWhite[df]
X;
XBlack[ce]
X;
XWhite[cf]
X;
XComment[Black is taking it cool.
X
X\(TS: I honestly thought that after killing the 20+ stone group, I was way ahead.\)
X
X\(Not entirely worng.  OL.\)]
XBlack[bf]
X;
XWhite[bg]
X;
XBlack[be]
X;
XComment[The black group in the center of the left side is half-dead.]
XWhite[ch]
X;
XBlack[db]
X;
XWhite[fk]
X;
XBlack[hj]
X;
XWhite[gi]
X;
XBlack[hi]
X;
XComment[Probably a bad move. Pulling back once more would seem better.]
XWhite[hh]
X;
XBlack[gj]
X;
XComment[Now white is left with irritating cutting points.]
XWhite[fj]
X;
XComment[Good. This seems to settle the game.]
XBlack[gm]
X;
XComment[The success of this invasion will not be enough. White should either try for something more effective or resign.]
XWhite[cq]
X;
XBlack[cp]
X;
XWhite[bp]
X;
XBlack[dq]
X;
XWhite[br]
X;
XBlack[cr]
X;
XWhite[bq]
X;
XComment[Bad. The correct sequence is O15, P15, O18.]
XBlack[mb]
X;
XWhite[nb]
X;
XBlack[na]
X;
XWhite[ob]
X;
XBlack[ee]
X;
XWhite[ij]
X;
XBlack[hl]
X;
XWhite[ko]
X;
XBlack[il]
X;
XWhite[dr]
X;
XBlack[er]
X;
XWhite[cs]
X;
XComment[F3 is better.]
XBlack[fr]
X;
XWhite[ef]
X;
XBlack[fe]
X;
XWhite[ff]
X;
XBlack[en]
X;
XWhite[eb]
X;
XComment[C18 is perhaps a bit safer. Black should not leave any bad aji anywhere.
X
XHowever, this is good enough for white.
X
XWhite resigns.]
XBlack[dc]
X)
EnD of heshe.tsand
echo extracting lounela.Gozilla 1>&2
sed 's/^X//' >lounela.Gozilla << 'EnD of lounela.Gozilla'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XName[\(igs\) lounela\(white\) vs. Gozilla\(black\)]
X;
XComment[Game from Inet Go-server \(lacerta.unm.edu 6969\)
X
XWhite: Olli Lounela, 3 dan
X
X3 stones: Gozilla
X
XAll comments by OL. ]
XAddBlack[dd][dp][pd]
X;
XWhite[qo]
X;
XBlack[op]
X;
XWhite[mq]
X;
XComment[This is the first mistake. It should be at Q3.
X
XWhen compared with a joseki, the P4 stone ends up in an awkward position.
X
XR3 in answer is a tesuji.]
XBlack[qp]
X;
XWhite[qq]
X;
XComment[This is a bad move. Connecting underneath in sente gives white a good result. Black's shape will be heavy.
X
XThe normal move would be Q4, but this would leave P4 in ridiculous position. Even so, it whould probably be better.]
XBlack[pq]
X;
XWhite[rp]
X;
XBlack[pp]
X;
XComment[This move seems doubtful. Nevertheless, it's very difficult to think of anything else to do.]
XWhite[rr]
X;
XBlack[qr]
X;
XWhite[rq]
X;
XComment[A dangerous, foolhardy move. The black group below is heavy, and making this two-point jump just gives white a weakness to exploit.
X
XBetter moves include P6 and particularily O5. White will get a good result by extending along the left side, however, and this is why R4 and R3 were bad in the first place.]
XBlack[om]
X;
XComment[White decides to exploit the weaknesses immediately. This may be a bit premature, though.
X
XIf white extended along the bottom side, black would have trouble defending his corner. The only possible move seems to be at R7. This, however, would be difficult to answer, because white's own corner would be in danger. Thus, white complicates the situation.]
XWhite[on]
X;
XBlack[nn]
X;
XWhite[pn]
X;
XComment[This move is clearly bad. Even though white can't cut immediately at O5, the cut at O7 becomes very severe -- and sente.
X
XA normal move here would be to draw back to O5, and if white cuts, then atari at N7 and connect around M6 or M4.]
XBlack[pm]
X;
XComment[White would probably better off cutting at O7. However, this simplifies things for white since after this the corner definitely lives. This move is also sente threatening to cut at O5.]
XWhite[qm]
X;
XBlack[no]
X;
XWhite[nm]
X;
XComment[Black should first atari at N7.]
XBlack[lp]
X;
XComment[This move has tremendous influential value. Besides making it impossible for black to get any kind of moyo anywhere except perhaps the bottom, it also virtually kills the two black stones while aiming at making a moyo on the left side.
X
XThe bottom is small compared to this. Already black seems to have lost more than one hancicap stone]
XWhite[mm]
X;
XBlack[lq]
X;
XComment[This is interesting strategy. White is trying to make black overconcentrated in the bottom while retaining sente to make a kakari on the right side.]
XWhite[cn]
X;
XBlack[fp]
X;
XComment[White lightly skips away hoping to get sente. If black approaches from above, white will tenuki.]
XWhite[dj]
X;
XComment[This would seem to be a typo. The usual point to play in the top is either K17 or K16. The top right side is too open for an invasion.]
XBlack[id]
X;
XComment[The last really big point.]
XWhite[qf]
X;
XComment[This is a mistaek in direction. The left side is not urgent and the white group there is light and thus difficult to attack.
X
XI would play O17 and patiently answer white S16 and any subsequent kikashis to gain sente.
X
XA white tenuki would make R14 a perfect target and so is impossible.]
XBlack[cg]
X;
XWhite[nc]
X;
XBlack[pf]
X;
XWhite[pg]
X;
XBlack[of]
X;
XWhite[qe]
X;
XBlack[qd]
X;
XComment[A nice, light move. The white qroup on the right side can't be attaked, thanks to N7. The top white group is too light to mount an effective attack. The game is developing very nicely for white.]
XWhite[kd]
X;
XBlack[og]
X;
XWhite[ph]
X;
XBlack[oh]
X;
XWhite[pi]
X;
XComment[Attacking from the other side takes priority. I would play the combination of K17, K14. This would also create a nice moyo on top left.]
XBlack[nd]
X;
XWhite[md]
X;
XComment[It looks like black is trying to kill this group while he should be doing just the opposite. If white lives small and black gets thickness outside, the game may yet be better for black.
X
XNote also, how this stone ends up captured and wasted.]
XBlack[lc]
X;
XWhite[kc]
X;
XBlack[oc]
X;
XWhite[ne]
X;
XBlack[od]
X;
XWhite[nb]
X;
XComment[This cut is actually almost worthless. White is just about alive.]
XBlack[me]
X;
XWhite[le]
X;
XBlack[mf]
X;
XComment[By securing this group, white takes a big leap toward victory. Now white has but one weak group.
X
XWhite seems to think that the game is almost over already.]
XWhite[lb]
X;
XComment[This is a strange shape. White can live with the sequence P18, Q18, P19 or run to the center. Thus, this doesn't really threaten white and so is not sente.
X
XA better move would be at E17. This would secure the corner and aim at attacking the white group on the left side.]
XBlack[jb]
X;
XComment[An enormous move.]
XWhite[dc]
X;
XComment[This move is strange, and doesn't seem to do much anything. White will live easily in the corner, and black's territory here will shrink to next to nothing.]
XBlack[ed]
X;
XComment[White takes it easy and makes sure of his eyes.]
XWhite[cc]
X;
XComment[While necessary, and painful besides, this move leaves the black top weak. Also, note how white makes almost as much territory here than black.]
XBlack[ec]
X;
XWhite[be]
X;
XBlack[ce]
X;
XWhite[bf]
X;
XComment[This is bad and does almost nothing. White will still have C11, which besides being sente makes any attack on white below an order of magnitude more difficult.]
XBlack[dh]
X;
XComment[This, while a bit risky, is big. White intends to make black overconcentrated all the while creating spare eyes for the group.
X
XSecuring the left side would probably be better.]
XWhite[ie]
X;
XBlack[jd]
X;
XWhite[je]
X;
XComment[This is bad. If the hane at H15 doesn't work, H16 is the only move.]
XBlack[ge]
X;
XComment[White gets to flatten black's position here in sente.]
XWhite[hd]
X;
XBlack[hc]
X;
XWhite[he]
X;
XBlack[gc]
X;
XComment[Now the white top group is almost as safe as can be. Besides having a spare eye sequence starting with P18, it now has lots of thickness and an open access to centre. Thus, white tenukies.
X
XB4 is an extremely important point. Besides being big, it also plays an important role in the security of this whole white group.]
XWhite[bp]
X;
XBlack[cq]
X;
XWhite[en]
X;
XComment[Black's last chance is to get a really big territory in the bottom. However, it would seem to me that white is already leading by about 10 points in territory.
X
XThis actually means the game is just about over, because white has no weak groups anywhere.]
XBlack[gn]
X;
XComment[This shallow reduction may seem strange, but it's probably the best white can do. Entering any deeper would be dangerous, and white doesn't even need to do anything more to win.
X
XThis move clearly states that white knows the situation and thus can be considered a declaration of victory.]
XWhite[jo]
X;
XBlack[kn]
X;
XWhite[jn]
X;
XComment[This is too aggressive. There is no way black's net will hold white.
X
XWhile black may get to capture the two white stones and several more, all white needs to do is make a dent in the bottom. There seems to be no way to prevent this.
X
XL7 would probably be a bit better. But actually, I would play J4.]
XBlack[jm]
X;
XWhite[im]
X;
XComment[Black seems to believe white and promptly makes a doubtful move. A move that seems better would be J4. If white then pushes through at K4 and cuts, black just pushes to J5 in sente and should have no trouble.]
XBlack[iq]
X;
XWhite[jq]
X;
XBlack[jr]
X;
XComment[It is very big and very nice to be able to connect J6 in sente. White is happy.]
XWhite[ip]
X;
XBlack[hq]
X;
XWhite[jl]
X;
XBlack[fl]
X;
XComment[White is convinced the bottom group won't get into trouble and secures the left side.]
XWhite[el]
X;
XComment[This is a big mistaek. This doesn't threaten the white group to the right, and white gets ponnuki by capturing at L7. The ponnuki makes absolutely sure, that the white group in the bottom will be just about perfectly safe.]
XBlack[oi]
X;
XWhite[km]
X;
XComment[This does not work.]
XBlack[pj]
X;
XWhite[oj]
X;
XBlack[qi]
X;
XWhite[rh]
X;
XBlack[ri]
X;
XComment[A very clever move, this ensures a good result for white. By making two eyes for the group above, this makes sure the three black stones cannot get away.
X
XThe best black can do is to atari at O10 and try to construct some territory there.]
XWhite[qj]
X;
XBlack[pk]
X;
XWhite[rj]
X;
XComment[This and the next move are aji-keshi and lose lots of ko-threats.]
XBlack[qk]
X;
XWhite[qh]
X;
XBlack[rk]
X;
XWhite[si]
X;
XBlack[bq]
X;
XComment[White seems to be playing no-nonsense kind of go. This move makes lots of eyes and territory.]
XWhite[ci]
X;
XBlack[bg]
X;
XComment[The big point. The game is definitely over.]
XWhite[nj]
X;
XBlack[kg]
X;
XWhite[gf]
X;
XBlack[kf]
X;
XWhite[ke]
X;
XBlack[hg]
X;
XWhite[hf]
X;
XBlack[fh]
X;
XWhite[ob]
X;
XBlack[pb]
X;
XWhite[oa]
X;
XBlack[gj]
X;
XWhite[co]
X;
XBlack[ck]
X;
XWhite[bj]
X;
XBlack[di]
X;
XWhite[cj]
X;
XBlack[ek]
X;
XWhite[dk]
X;
XBlack[em]
X;
XWhite[dl]
X;
XBlack[eo]
X;
XWhite[lj]
X;
XBlack[mk]
X;
XWhite[mi]
X;
XBlack[db]
X;
XWhite[eb]
X;
XBlack[ea]
X;
XWhite[fa]
X;
XBlack[da]
X;
XWhite[cd]
X;
XBlack[bd]
X;
XWhite[bb]
X;
XBlack[bc]
X;
XWhite[pr]
X;
XBlack[gd]
X;
XWhite[fc]
X;
XBlack[jh]
X;
XWhite[rn]
X;
XBlack[rm]
X;
XWhite[kb]
X;
XBlack[la]
X;
XWhite[dm]
X;
XBlack[cm]
X;
XWhite[rd]
X;
XBlack[jc]
X;
XWhite[ic]
X;
XBlack[ka]
X;
XWhite[ia]
X;
XBlack[pa]
X;
XWhite[qb]
X;
XBlack[qa]
X;
XWhite[ra]
X;
XBlack[rb]
X;
XWhite[rc]
X;
XBlack[ep]
X;
XWhite[eq]
X;
XBlack[aq]
X;
XWhite[ar]
X;
XBlack[ap]
X;
XWhite[cp]
X;
XBlack[bn]
X;
XWhite[cf]
X;
XBlack[af]
X;
XWhite[ag]
X;
XBlack[br]
X;
XWhite[cr]
X;
XBlack[as]
X;
XWhite[sg]
X;
XBlack[se]
X;
XWhite[re]
X;
XBlack[rf]
X;
XWhite[sf]
X;
XBlack[rg]
X;
XWhite[sb]
X;
XBlack[gp]
X;
XWhite[fq]
X;
XBlack[kq]
X;
XWhite[kr]
X;
XBlack[ko]
X;
XWhite[hp]
X;
XBlack[lo]
X;
XWhite[mo]
X;
XBlack[ej]
X;
XWhite[fo]
X;
XBlack[jj]
X;
XWhite[ig]
X;
XBlack[kk]
X;
XWhite[go]
X;
XBlack[hm]
X;
XWhite[gq]
X;
XBlack[gr]
X;
XWhite[hl]
X;
XBlack[ll]
X;
XWhite[kl]
X;
XBlack[ml]
X;
XWhite[nl]
X;
XBlack[lk]
X;
XWhite[lm]
X;
XBlack[mj]
X;
XWhite[nk]
X;
XBlack[ik]
X;
XWhite[il]
X;
XBlack[fe]
X;
XWhite[kh]
X;
XBlack[lh]
X;
XWhite[ni]
X;
XBlack[nh]
X;
XWhite[lf]
X;
XBlack[lg]
X;
XWhite[pe]
X;
XBlack[oe]
X;
XWhite[fg]
X;
XBlack[eg]
X;
XWhite[ff]
X;
XBlack[ef]
X;
XWhite[gh]
X;
XBlack[ja]
X;
XWhite[gl]
X;
XBlack[rs]
X;
XWhite[hk]
X;
XBlack[qs]
X;
XWhite[ps]
X;
XBlack[sh]
X;
XWhite[sd]
X;
XBlack[cs]
X;
XWhite[ds]
X;
XBlack[ar]
X;
XWhite[bs]
X;
XBlack[ga]
X;
XWhite[fb]
X;
XBlack[cs]
X;
XWhite[oo]
X;
XBlack[qn]
X;
XWhite[bs]
X;
XBlack[fd]
X;
XWhite[ee]
X;
XBlack[cs]
X;
XWhite[hi]
X;
XBlack[hh]
X;
XWhite[bs]
X;
XBlack[mr]
X;
XWhite[lr]
X;
XBlack[mp]
X)
X
EnD of lounela.Gozilla
echo extracting lounela.JohnBate 1>&2
sed 's/^X//' >lounela.JohnBate << 'EnD of lounela.JohnBate'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XName[\(igs\) lounela\(white\) vs. JohnBate\(black\)]
XAddBlack[dd][dp][jj][pd][pp]
XComment[A game from the Internet Go-server.
X
XWhite: Olli Lounela, 3 dan
X
X5 stones: John Bate, 3 kyu
X
XAll comments by OL.]
X;
XWhite[qf]
X;
XBlack[qj]
XComment[This move is slightly dubious. Since its on the 3rd line, white's stone at R14 is light and thus a double pincer is called for.]
X;
XWhite[nd]
X;
XBlack[ne]
X;
XWhite[me]
X;
XBlack[oe]
X;
XWhite[qc]
X;
XBlack[qd]
X;
XWhite[pc]
X;
XBlack[rc]
X;
XWhite[od]
X;
XBlack[pf]
X;
XWhite[md]
XComment[The tight connection is correct. First, it leaves no bad aji for black to exploit. Second, it aims at pulling out the lone white stone at R14. Third, it sets aim at creating a moyo on the upper side. Beside all that, it is joseki.]
X;
XBlack[mf]
X;
XWhite[lf]
X;
XBlack[lg]
XComment[This is very risky. It will take considerable skill to defend all these cutting points, if at all possible, especially as there are no weaknesses in white's position.]
X;
XWhite[rd]
XComment[And sure enough, white gets to work immediately. After this cut, there is no way for black to get a good result.
X
XWhite plans to either surround black using black's shortage of liberties \(W O14, B N13, P14, Q15, Q13\) or to connect underneath while taking all the territory.]
X;
XBlack[re]
XComment[Black decides to take the territory. This atari, however, does nothing to the shortage of liberties...]
X;
XWhite[pi]
XComment[...so white first plays a necessary kikashi \(well timed, though\)...]
X;
XBlack[pj]
X;
XWhite[nf]
XComment[...and then goes ahead and cuts.]
X;
XBlack[ng]
XComment[This seems bad. There is no way giving white a ponnuki in the center will be good for black.
X
XIt would be better, even though *very* painful, for black to play N13, W P14, Q15, Q13, T16, O12. Black would have to live in gote in what previously was his territory, and white's stones at O12 and Q11 would connect P13. Anyhow, black could still aim at attacking the right side group.]
X;
XWhite[mg]
X;
XBlack[of]
XComment[This atari shows how bad black's situation is. It is necessary, for P13 would give white black very bad aji in form of ko because of black's shortage of liberties: B P13, W R15, Q15, Q13.]
X;
XWhite[nh]
XComment[However, white gets a golden opportunity to atari...]
X;
XBlack[mf]
X;
XWhite[mh]
X;
XBlack[oh]
X;
XWhite[oi]
XComment[...and cut black into pieces.]
X;
XBlack[ph]
X;
XWhite[qi]
X;
XBlack[qh]
X;
XWhite[rh]
XComment[This move is slightly risky. White relies on the ko at O14 to save the three stones if black cuts at O11.
X
XS11 would be safer, but might be too slack.]
X;
XBlack[rg]
X;
XWhite[rj]
X;
XBlack[ni]
XComment[Black cuts, sure enough...]
X;
XWhite[oj]
XComment[...white strengthens the weaker stones...]
X;
XBlack[mi]
XComment[...and black promptly proves white's tactics justified. While it is very difficult to do anything else, this move makes the ko at O14 too big for white to lose. Moreover, white has lots of local threats, and can even aim at killing the large black group if he wins the ko.]
X;
XWhite[nf]
X;
XBlack[og]
X;
XWhite[mf]
XComment[White feels he is doing well. He removes some loose ends by filling in the ko and thus makes very difficult for white to achieve anything.
X
XBesides, this move is just about sente against the big black group.]
X;
XBlack[rf]
X;
XWhite[qn]
XComment[This is a difficult point. It is not easy to know how to extend along the right side.
X
XIf W Q8, black will extend to R6 and take away white's spare eye\(s\).
X
XIf Q6, B Q8 seems to be disturbingly troublesome.]
X;
XBlack[pl]
XComment[This may be premature...]
X;
XWhite[ql]
XComment[... but sure enough white goes wrong in his answer. This move should be at Q7; black cannot resist, he has to hane at P7 or extend to P8 in bad shape.
X
XR8 is too slack. White seems to be too satisfied with his good result in the upper right and slacks off.]
X;
XBlack[pm]
XComment[The vital point.]
X;
XWhite[qm]
XComment[Painful but necessary.]
X;
XBlack[pn]
X;
XWhite[gq]
XComment[This is another very difficult point. It is not easy know how to play on the lower side.
X
XThis move perhaps makes it too easy for black to enlarge his moyo in front of his wall \(a strategical mistaek, BTW\) and thus makes the game perhaps a bit too difficult for white.
X
XIt may be J3 is better. However, these two moves \(J3 and G3\) are the only ones worth considering. Anything closer to black's wall would be too close, and H3 is bad shape.]
X;
XComment[This is slightly doubtful. Black is creating territory in front of his wall all the while white's P10 is ready to push into the moyo.]
XBlack[jq]
X;
XComment[Whote seems to be shocked by his getting lulled to \(almost\) asleep by his success in the upper right.
X
XThis move is very aggressive and expects white to gain a chance to invade the bottom right after living in the bottom left.
X
XIt is also a bit risky.]
XWhite[dn]
X;
XBlack[eo]
X;
XComment[A good move, this makes a light shape and aims at reducing black's bottom right.]
XWhite[ho]
X;
XComment[Thus, black feels compelled to defend his moyo.]
XBlack[jo]
X;
XComment[As the proverb says, 'force before living'. With this move, white casts his eyes at connecting with bottom left, and also builds a bit of thickness.]
XWhite[en]
X;
XBlack[fo]
X;
XComment[White is seeking eyes. After this move it will be very difficult to attack white's bottom left group.
X
XWhite is also preparing to turn the tables on black and aims at attacking black's bottom left corner.]
XWhite[dr]
X;
XComment[This is very doubtful. Black is strengthening the weakest white group.
X
XOnce this white group lives, white will have little to worry about: his left side group is reasonably strong, and the bottom right moyo can be reduced efficiently by peeping at L4.
X
XI would rather play at F6 and aim at attacking the white groups.]
XBlack[er]
X;
XWhite[eq]
X;
XBlack[dq]
X;
XWhite[fr]
X;
XBlack[cr]
X;
XWhite[es]
X;
XBlack[qo]
XComment[This move would seem to be a bit of an aji-keshi.]
X;
XWhite[pk]
XComment[Necessary. If black got to connect, white would have to grovel for a tiny life on the right side.]
X;
XBlack[cj]
XComment[This is a little dangerous. The black group below doesn't have eyes yet.]
X;
XWhite[fc]
XComment[Excellent timing.]
X;
XBlack[fd]
X;
XWhite[gd]
X;
XBlack[fe]
X;
XWhite[ec]
X;
XBlack[dc]
X;
XWhite[ge]
XComment[This move strengthens black, but it is extremely difficult to know what else to do.
X
XLetting black push at G15 would be out of the question so, while painful, this seems necessary.]
X;
XBlack[ff]
X;
XWhite[dj]
XComment[This actually was a typo, but since it is a possible choice, I decided to go on with it. The original idea was to play at E10, whereas the actual move is far more aggressive.
X
XWhite is trying to reduce black's top right while strengthening his two stones below. The aim of this move is actually the black corner below.]
X;
XBlack[ck]
XComment[This looks like an overplay. Black seems to be staking the whole game into attacking the scattered and light white stones.
X
XHane at D11 would definitely be good enough.]
X;
XWhite[dh]
XComment[White accepts the challenge.]
X;
XBlack[el]
X;
XWhite[fl]
XComment[An interestingly effective move. It seems very difficult to attack efficiently the scattered white stones after this move.
X
XBesides, all the while the black corner below is getting weaker and weaker.]
X;
XBlack[em]
XComment[Aji-keshi.]
X;
XWhite[fn]
X;
XBlack[dk]
X;
XWhite[go]
XComment[A good, very calm move. With a single blow white secures his groups around bottom left. Now kosumi at C5 will be a real threat.]
X;
XBlack[fk]
X;
XWhite[gi]
XComment[White is playing very lightly here. This move just about destroys the black moyo to the left without giving black an efficient way to move into his own moyo.
X
XIt may be, though, that C5 is bigger. However, white is not confident he will win if black turns the game into a moyo competition with a move around H13.]
X;
XComment[This is bad. It only strengthens white while forcing him to connect outside.
X
XA better try would be G13.]
XBlack[ei]
X;
XWhite[eh]
X;
XBlack[fi]
X;
XWhite[fh]
X;
XComment[Very big. I, however, would play at G14 in sente and aim at either cutting at G12 or pushing into white's moyo.]
XBlack[co]
X;
XComment[Big in the extreme. Now white has just about recovered from his slack play on the bottom side.]
XWhite[hg]
X;
XComment[This doesn't work.]
XBlack[gg]
X;
XWhite[gh]
X;
XBlack[hh]
X;
XWhite[gf]
X;
XComment[Giving white the ponnuki at G13 secures this group for keeps while enlargening the top. I would tenuki, perhaps around N8.]
XBlack[cf]
X;
XWhite[fg]
X;
XComment[While big, this is not urgent. Now white gets the chance he's been waiting for such a long time.]
XBlack[cn]
X;
XComment[Necessary preliminary to reducing the bottom further, and also a good reducing move by itself.]
XWhite[ol]
X;
XComment[This is wishy-washy. White's position is full of holes.]
XBlack[mn]
X;
XWhite[oo]
X;
XBlack[on]
X;
XComment[Slightly risky, but white is expecting a ko. Since all his groups, with the possible exception of bottom left, are secure, white aims at a very complete destruction of the bottom right moyo.
X
XIf black connects at Q5, white will play L4 and Q3, and be just about alive, though in ko perhaps.
X
XA ko, however, would be fine with white.]
XWhite[op]
X;
XBlack[oq]
X;
XComment[White complicates the situation. It now seems there is no way for black to kill all the white stones hereabout.]
XWhite[pq]
X;
XComment[A mistake white has been waiting for.]
XBlack[qq]
X;
XWhite[po]
X;
XComment[A further mistake. Getting a ko here does not worry white since he has two absolute threats while black has none.]
XBlack[no]
X;
XWhite[qp]
X;
XBlack[np]
X;
XWhite[ro]
X;
XBlack[pr]
X;
XComment[Slightly risky. R2 is probably better.
X
XAnyway, the game will be just about over if white wins this ko.]
XWhite[or]
X;
XBlack[pp]
X;
XWhite[qe]
X;
XBlack[pe]
X;
XWhite[pq]
X;
XComment[White might wish to answer this threat once at S17, but since black gets unlimited threats here anyway, white decides to end the ko.]
XBlack[oc]
X;
XWhite[nq]
X;
XComment[This corner is much smaller than bottom right.]
XBlack[pb]
X;
XComment[White may be a bit too greedy. O18 would definitely secure victory.]
XWhite[mp]
X;
XBlack[nk]
X;
XComment[White is aiming at the black group below, starting with a double attack at M6. However, cooling down a little bit might be called for.]
XWhite[nl]
X;
XBlack[ml]
X;
XComment[This is unimportant. The attack at M6 is not too likely to succeed.]
XWhite[ok]
X;
XComment[A desperate last challenge.]
XBlack[jc]
X;
XComment[A good, cool move. Now black has no threats on this side.]
XWhite[ib]
X;
XBlack[mb]
X;
XWhite[nb]
X;
XBlack[ob]
X;
XWhite[nc]
X;
XBlack[lc]
X;
XComment[R18 may be better. White expected this to be sente.]
XWhite[oa]
X;
XBlack[hc]
X;
XWhite[ic]
X;
XBlack[id]
X;
XWhite[hb]
X;
XBlack[hd]
X;
XWhite[gc]
X;
XComment[Black misses the vital points. They are L15 and K13.]
XBlack[jf]
X;
XComment[Destroying the eyes.]
XWhite[kd]
X;
XBlack[jd]
X;
XComment[The situation is getting very hairy.
X
XIt is difficult to choose between this and K13.]
XWhite[jh]
X;
XComment[L13 is probably better.]
XBlack[kh]
X;
XWhite[jg]
X;
XBlack[kf]
X;
XWhite[kg]
X;
XBlack[lh]
X;
XComment[White takes black's eye away.]
XWhite[ke]
X;
XBlack[if]
X;
XComment[Taking a liberty away is best. Because of this white gets to cut and make a ko.]
XWhite[ig]
X;
XBlack[ld]
X;
XWhite[le]
X;
XComment[Now all depends on who wins the semeai. White, however has a beautiful sequence up his sleeve.]
XBlack[qb]
X;
XWhite[kc]
X;
XBlack[kb]
X;
XWhite[jb]
X;
XBlack[je]
X;
XWhite[ka]
X;
XComment[This ko is black's only hope, but there is no way he can win it. There will be no threats big enough.]
XBlack[la]
X;
XWhite[lb]
X;
XComment[Black will need to kill the whole group to stay in the game.]
XBlack[fp]
X;
XWhite[mc]
X;
XBlack[hr]
X;
XWhite[hq]
X;
XBlack[ir]
X;
XComment[This is a tesuji for connecting.]
XWhite[gk]
X;
XBlack[gl]
X;
XWhite[hl]
X;
XBlack[gm]
X;
XWhite[hm]
X;
XBlack[fm]
X;
XComment[A nice kikashi, this also prepares an attack on any group to the right.]
XWhite[jn]
X;
XBlack[in]
X;
XWhite[hn]
X;
XBlack[hk]
X;
XComment[White is alive.]
XWhite[io]
X;
XBlack[ko]
X;
XComment[After this move there is no way black can do anything.]
XWhite[ik]
X;
XBlack[hj]
X;
XWhite[ij]
X;
XBlack[ii]
X;
XComment[Black resigns.]
XWhite[gj]
X)
X
EnD of lounela.JohnBate
echo extracting lounela.JohnBate.2 1>&2
sed 's/^X//' >lounela.JohnBate.2 << 'EnD of lounela.JohnBate.2'
XFrom olounela Mon Mar 23 23:21:45 1992
XReceived: by kruuna.helsinki.fi id AA02416
X  (5.65c/IDA-1.4.4 for cust_ts); Mon, 23 Mar 1992 23:21:44 +0200
XFrom: Olli Lounela <olounela@cc.helsinki.fi>
XMessage-Id: <199203232121.AA02416@kruuna.helsinki.fi>
XSubject: Peli John Batea vastaan 13x13.
XTo: cust_ts (Tero Sand)
XDate: Mon, 23 Mar 92 23:21:43 EET
XX-Mailer: ELM [version 2.3 PL11]
XStatus: OR
X
X
XHau.
X
XL{hettelin t{m{n, mutta se se tu bumerankina takaisin. N{in ollen
Xl{het{n sen uudestaan. Se on kopio JBlle j{hett{m{st{ni. Lienet
Xkiinnostunut.
X
X	Olli
X
X-----klippeti-----klippeti-----klippeti-----klap-----
X
X
XHi.
X
XSince you didn't mind the comments last time, I thought you might want
Xthis game commented, too.
X
XHere goes.
X
X	Olli
X-- 
XE-mail: olounela@cc.helsinki.fi           ! .sig still under construction.
XBlame me only for any opinions expressed. !  Never you mind, I don't either.
X
X-----klippeti-----klippeti-----klippeti-----klap-----
X(
X;
XGaMe[1]
XVieW[]
XSiZe[13]
XName[\(igs\) lounela\(white\) vs. JohnBate\(black\)]
XAddBlack[jd][dj]
XComment[A game from the Internet Go-server.
X
XWhite: Olli Lounela, 3 dan
X
X2 stones: John Bate, 3 kyu
X
XWhite wins by resignation.
X
XAll comments by OL.]
X;
XWhite[ki]
X;
XBlack[kk]
X;
XWhite[kf]
X;
XBlack[ke]
X;
XWhite[jf]
X;
XBlack[hd]
X;
XComment[An interesting move, K2 plunges the game into had-to-head struggle.
X
XApperently white didn't feel like playing conventionally.]
XWhite[jl]
X;
XBlack[jk]
X;
XWhite[ik]
X;
XBlack[ij]
X;
XComment[An aggressive move. H3 would be more peaceful. White is preparing for cutting of making a double hane.]
XWhite[il]
X;
XComment[Bad shape. Even if there are annoying peeps after K5, it would be *much* better.]
XBlack[jj]
X;
XWhite[hj]
X;
XBlack[hi]
X;
XComment[White is again playing aggressively. Nevertheless, G5 is a good move, and if white played peacefully at G4, black would take G5.]
XWhite[gi]
X;
XComment[Black is exposing himself. K6 seems better.]
XBlack[hh]
X;
XComment[Excellent timing; just after black has defended and right before black's shape will be completed, white ruins it.]
XWhite[jh]
X;
XComment[This is a bad shape; J6 would be better. Then if white peeps at K5, black would be a bit further out and besides, white would get a bad shape \(empty triangle\).
X
XBlack can't cut at G4. After H4 and F5, white would cut at J5 and kill the corner.]
XBlack[ji]
X;
XComment[Spoiling black's shape even further. White must have been enjoying this.]
XWhite[ih]
X;
XBlack[ii]
X;
XComment[Finally it's time to connect.]
XWhite[gj]
X;
XComment[G6 would be better. This has little effect on the empty corner as white has poked his head out at G5.]
XBlack[hf]
X;
XComment[Necessary reinforcement.]
XWhite[le]
X;
XBlack[ld]
X;
XComment[White makes a hard choice: live in gote on the right side and cede upper left corner to black, or leave the half-dead group and pretend it's alive.
X
XIf black got a stone in the upper left corner, the game would be over. White must thus play at C6 and pretend his right side lives.]
XWhite[ch]
X;
XBlack[ci]
X;
XWhite[dh]
X;
XBlack[ek]
X;
XComment[Yet again good timing. If white played F2 any other time, black wouldn't answer.
X
XWithout F2 the bottom white group would be almost dead. F2 helps the group quite a bit.]
XWhite[fl]
X;
XBlack[el]
X;
XComment[Yet again white bravely tenukies. Even if his right side and bottom groups barely cling to life, white still doesn't have time to defend either of them.]
XWhite[cc]
X;
XBlack[ec]
X;
XComment[Necessary. C10 would be much too good to allow.]
XWhite[de]
X;
XComment[Black starts killing this white group. Living here is just next to impossible.]
XBlack[li]
X;
XWhite[lh]
X;
XBlack[lj]
X;
XWhite[lg]
X;
XBlack[me]
X;
XComment[White is trying very hard.]
XWhite[mf]
X;
XBlack[lf]
X;
XComment[White's last hope. If the group dies, the game is over.]
XWhite[ie]
X;
XComment[This is the worng connection. Black should connect at J10.]
XBlack[he]
X;
XWhite[le]
X;
XComment[While it is hard to do anything else, winning the ko makes things much easier for white. Now he has two half-an-eyes and can aim at pushing through at J10 and H7.]
XBlack[md]
X;
XComment[Yet again excellent timing. White is paying commendable attention to detail.]
XWhite[kc]
X;
XBlack[kd]
X;
XWhite[id]
X;
XComment[Forced by white's nice kikashi at L11.]
XBlack[jc]
X;
XWhite[ic]
X;
XBlack[ib]
X;
XWhite[hb]
X;
XComment[A bad move. Black should connect tightly. Giving white a sente hane \(atari\) at J13 gives white extra liberties.]
XBlack[kb]
X;
XWhite[ia]
X;
XBlack[jb]
X;
XWhite[hc]
X;
XBlack[gc]
X;
XWhite[gb]
X;
XComment[It's difficult to say whether F12 is better. However, as the situation seems to be heading for a semeai, forcing first at J8 and then taking a liberty at F12 would seem correct.]
XBlack[fc]
X;
XWhite[hg]
X;
XBlack[gg]
X;
XWhite[ig]
X;
XComment[Black doesn't have time to take away this eye. He should connect at G6 and play the ko at M8.]
XBlack[mh]
X;
XWhite[gh]
X;
XComment[Looks like black didn't notice his bottom right group is almost out of liberties.]
XBlack[fg]
X;
XComment[The stuation seems hopeless for black after this move: white has lots of liberties and an eye, winning any semeai in the right side. Thus, it seems thet N6 was definitely the losing move.]
XWhite[ll]
X;
XBlack[lf]
X;
XComment[Nice touch. Taking a liberty while making a ko threat.]
XWhite[mi]
X;
XBlack[mj]
X;
XWhite[le]
X;
XBlack[fk]
X;
XComment[This might be a bit risky, but white is worried about black's push at L2 and throw-in. Connecting the ko might be better, but it would nag at white to have to worry about liberties in the bottom.]
XWhite[lk]
X;
XBlack[kj]
X;
XWhite[kh]
X;
XBlack[if]
X;
XWhite[je]
X;
XBlack[fb]
X;
XComment[Now it's clear that white is far ahead in the semeai.
X
XBlack resigns.]
XWhite[lf]
X)
X
X
EnD of lounela.JohnBate.2
echo extracting lounela.JohnBate.3 1>&2
sed 's/^X//' >lounela.JohnBate.3 << 'EnD of lounela.JohnBate.3'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[13]
XName[\(igs\) lounela\(white\) vs. JohnBate\(black\)]
XComment[A game played on the Internet Go Server.
X
XWed, 1 Apr 1992, 12:41
X
XWhite: Olli Lounela, 3 dan
X
X2 stones: John Bate, 3 kyu
X
XCommentary by Olli Lounela.]
XAddBlack[dj][jd]
X;
XWhite[kj]
X;
XBlack[dd]
X;
XWhite[fk]
X;
XBlack[fj]
X;
XWhite[gj]
X;
XBlack[ek]
X;
XWhite[fi]
X;
XBlack[ej]
X;
XWhite[fl]
X;
XBlack[el]
XComment[This is not very good. The corner might be biggish, but it certainly is smaller than either D6 \(playing safe\) or, particularily, cutting at G5.
X
XActually, cutting at G5 would put white on the spot; the subsequent fighting would be very difficult for white.]
X;
XWhite[hk]
XComment[Good choice. This eliminates any danger to this position and leaves white's hands free to cause black trouble elsewhere.]
X;
XBlack[dg]
XComment[This feels funny. If black was going to play around here, it would be much better to omit E2 and play at D6.]
X;
XWhite[kf]
XComment[White's turn to go worng. This should be the high kakari at K8 since black can't do anything in white's moyo anyway.]
X;
XBlack[jf]
XComment[Good, punishing white for his mistaek.]
X;
XWhite[je]
X;
XBlack[ie]
X;
XWhite[ke]
X;
XBlack[if]
X;
XWhite[kd]
X;
XBlack[jc]
X;
XWhite[dc]
XComment[White has fallen too far behind to try to win peacefully.]
X;
XBlack[ec]
X;
XWhite[cd]
X;
XBlack[cc]
XComment[This cut is risky. Either black should have played C11 in the first place \(instead of E11\) or should now take what's offered, with E10 or D12.]
X;
XWhite[db]
X;
XBlack[eb]
XComment[This leads to a very difficult fight.]
X;
XWhite[de]
X;
XBlack[ed]
X;
XWhite[cf]
X;
XBlack[bd]
X;
XWhite[be]
XComment[This ko is a partial success for white. White has lots of threats all around and so white is just about alive within the former black moyo.]
X;
XBlack[bc]
X;
XWhite[bj]
XComment[Big in the extreme. White is trying to live without a ko or a sacrifice while reducing black's corner territory.]
X;
XBlack[bi]
XComment[A difficult move, and a bad shape. I would rather try B6, which just about cuts white in two.]
X;
XWhite[ci]
X;
XBlack[bh]
X;
XWhite[ch]
X;
XBlack[cj]
XComment[Black has no choice about this move and thus white's looong slide to B4 proves to be a success. White has destroyed surprisingly much of black's territory...]
X;
XWhite[cg]
X;
XBlack[bk]
XComment[...in semi-sente.]
X;
XWhite[eh]
X;
XBlack[ff]
XComment[Which is proved by this.]
X;
XWhite[gg]
XComment[White wants absolute safety.]
X;
XBlack[jh]
XComment[Very, very big.]
X;
XWhite[kc]
XComment[Also very big.]
X;
XBlack[jb]
X;
XWhite[ki]
XComment[A misreading. I should have played L6, which actually connects black along the side. If black tried to cut, he would be in danger after white cuts around K7.]
X;
XBlack[ij]
X;
XWhite[ik]
X;
XBlack[hi]
X;
XWhite[gf]
XComment[Nice timing, although a little dangerous.]
X;
XBlack[ge]
XComment[Cutting at G5 would be the aggressive move, white would have to find eyes somewhere. Black is perhaps taking it too easy here.]
X;
XWhite[gi]
X;
XBlack[kh]
XComment[Very big.]
X;
XWhite[kb]
XComment[White understandably does not feel like defending the \(already cut\) almost-connection on the right side. White definitely lives with this move.]
X;
XBlack[lh]
XComment[This descent in nevertheless big.]
X;
XWhite[he]
XComment[White tries to use the bad aji black has hereabout. The real threat is to cut either of black's connections below.]
X;
XBlack[hd]
X;
XWhite[fe]
XComment[White is very happy to make territory here.]
X;
XBlack[gd]
X;
XWhite[ee]
X;
XBlack[me]
XComment[Big and sente, but not deadly.]
X;
XWhite[md]
X;
XBlack[mf]
X;
XWhite[mb]
X;
XBlack[lc]
X;
XWhite[ja]
XComment[This shoud be the fatal mistaek. White dies at M13, after which M12 and L13 are miai -- voila, only one eye.]
X;
XBlack[ld]
XComment[Black misses the chance.]
X;
XWhite[le]
XComment[After this white is alive: if black M13, W L13, M12, N7 makes two eyes by capturing the whole corner.]
X;
XBlack[mg]
X;
XWhite[lb]
X;
XBlack[ia]
X;
XWhite[ka]
X;
XBlack[hb]
XComment[The result of the whole killing attempt is that white is about 5 points richer than before.]
X;
XComment[White starts the endgame. This is big as it is double sente.]
XWhite[em]
X;
XBlack[dm]
X;
XWhite[fm]
X;
XComment[This is also big, 6 points in sente. However, the bottom left was four points in double sente, and thus bigger.]
XBlack[mk]
X;
XComment[Kikashi. White seems to need time for thinking \(I was *not* in time trouble, however\).]
XWhite[fd]
X;
XBlack[fc]
X;
XWhite[lk]
X;
XBlack[mj]
X;
XWhite[ml]
X;
XBlack[li]
X;
XWhite[lj]
X;
XBlack[mi]
X;
XComment[White judges this bigger than the bottom right corner. He is right, this is 6 points in sente and the other is about equal, 6 points, but in gote.]
XWhite[dl]
X;
XBlack[ll]
X;
XWhite[kl]
X;
XComment[Black realizes N1 is small, and tries to get something here. This, however, is no bigger than N1, being 3 points in sente, but the crucial difference is that it is sente.]
XBlack[jk]
X;
XWhite[lm]
X;
XBlack[jj]
X;
XWhite[jl]
X;
XBlack[cl]
X;
XWhite[cm]
X;
XBlack[bm]
X;
XComment[Yet again white chooses to fight a ko, and takes a big point. If white wins the ko, the game will be close.]
XWhite[hh]
X;
XBlack[ih]
X;
XWhite[bg]
X;
XBlack[di]
X;
XWhite[dh]
X;
XBlack[dm]
X;
XWhite[ib]
X;
XBlack[ic]
X;
XWhite[cm]
X;
XBlack[mc]
X;
XWhite[md]
X;
XBlack[dm]
X;
XWhite[gc]
X;
XBlack[gb]
X;
XWhite[cm]
X;
XBlack[mc]
X;
XWhite[lc]
X;
XBlack[dm]
X;
XWhite[cb]
X;
XBlack[bb]
X;
XWhite[cm]
X;
XBlack[ce]
X;
XComment[White has to connect one of the kos. A double ko would develop with white at the worng phase, and black would have all the fun of it.]
XWhite[dm]
X;
XComment[However, connecting this ko seems to make certain of a narrow victory. The rest of the endgame does not require any commenting.
X
XWhite did not make much in the way of mistaeks, but his two proved too much. After that the game was uphill struggle.]
XBlack[cd]
X;
XWhite[df]
X;
XBlack[hg]
X;
XWhite[gh]
X;
XBlack[hf]
X;
XWhite[dk]
X;
XBlack[ck]
X;
XWhite[ah]
X;
XBlack[aj]
X;
XWhite[ad]
X;
XBlack[ac]
X;
XWhite[ae]
X;
XBlack[kg]
X;
XWhite[lf]
X;
XBlack[lg]
X;
XWhite[kk]
X;
XBlack[ai]
X;
XWhite[ag]
X;
XBlack[ji]
X;
XWhite[hj]
X;
XBlack[ii]
X;
XWhite[ei]
XComment[Black: 26 + 12 = 38
X
XWhite: 23 + 11 = 34
X
XBlack wins by 4 points as there was no komi.]
X)
X
EnD of lounela.JohnBate.3
echo extracting lounela.gs 1>&2
sed 's/^X//' >lounela.gs << 'EnD of lounela.gs'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XComment[A game from the Internet Go-server.
X
X?? Mar 1992
X
XWhite: Olli Lounela, 3 dan
X
XBlack: gs
X
XThis is a discontinued game.
X
XAll comments by OL.
X
XName\[\(igs\) lounela\(white\) vs. gs\(black\)]
X;
XBlack[dd]
XComment[Playing in this corner is considered impolite. The first move should be in the top right corner on the right hand side.]
X;
XWhite[qo]
X;
XBlack[qd]
X;
XWhite[ep]
X;
XBlack[pq]
X;
XWhite[od]
XComment[Perhaps a bit aggressive.]
X;
XBlack[oc]
X;
XWhite[nc]
X;
XBlack[pc]
X;
XWhite[md]
X;
XBlack[qf]
X;
XWhite[ic]
X;
XBlack[qm]
XComment[Worng direction. Black already has a solid position on top right and so this is uninteresting.]
X;
XWhite[oo]
X;
XBlack[np]
X;
XWhite[pl]
XComment[White tries to make black overconcentrated.]
X;
XBlack[ql]
X;
XWhite[pk]
X;
XBlack[pm]
X;
XWhite[om]
X;
XBlack[qk]
X;
XWhite[pj]
X;
XComment[This move can be considered a trick of some kind.
X
XBlack hopes for Q11.]
XBlack[qj]
X;
XWhite[no]
XComment[Necessary. If white plays Q11, black will at once strike at P6.]
X;
XBlack[mp]
X;
XWhite[pi]
X;
XBlack[qh]
XComment[This move proves white's success here. Black ends up overconcentrated in gote.
X
XFurthermore, this move is not necessary to live. Black has tricked himself.]
X;
XWhite[cp]
X;
XBlack[dj]
X;
XWhite[fc]
XComment[Good timing. If white delays playing here, black will very soon play G17 in sente.]
X;
XBlack[fd]
X;
XWhite[ed]
XComment[Both players refuse to follow the orders of the other.
X
XWhite was hoping for D14 instead of F16 and black was hoping for G16 instead of E16.]
X;
XBlack[ee]
X;
XWhite[ec]
X;
XBlack[fe]
X;
XWhite[dc]
X;
XBlack[cc]
X;
XWhite[cd]
X;
XBlack[de]
X;
XWhite[bc]
X;
XBlack[cb]
X;
XWhite[bb]
XComment[White decides to go for territory.]
X;
XBlack[gc]
XComment[Black whould first play C15 as at this stage white would have no choice but to answer at B16.]
X;
XWhite[db]
X;
XBlack[ce]
X;
XWhite[ca]
X;
XBlack[gb]
XComment[This is a slack move. White is forced to defend in good shape while black's shape will have defects.
X
XI would probably play at the last big point at G3.]
X;
XWhite[ie]
X;
XBlack[hf]
XComment[Too greedy. This move only forces white to strengthen himself.]
X;
XWhite[he]
X;
XBlack[ge]
X;
XWhite[if]
X;
XBlack[hg]
X;
XWhite[be]
XComment[A big move, but not urgent. Black should answer at G3.]
X;
XBlack[bf]
X;
XWhite[cl]
XComment[A good move by itself but perhaps a mistaek in direction.
X
XWhile it is hard to say, J3 is probably better. White has nothing to fear from a frontal attack on his shimari.]
X;
XBlack[gq]
XComment[Good.]
X;
XWhite[fr]
XComment[Perhaps a bit of aji-keshi.]
X;
XBlack[gr]
X;
XWhite[jp]
XComment[This is an important point.
X
XWhite can't go any deeper in. If at K3, any attack by black from above would seriously weaken white's left side.
X
XWhite however, cannot let black to surround the whole bottom.]
X;
XBlack[mo]
X;
XWhite[pn]
X;
XBlack[go]
X;
XWhite[jm]
XComment[This light move seems good at this stage.]
X;
XBlack[eq]
XComment[A small move doing almost nothing in gote.]
X;
XWhite[dq]
X;
XBlack[fq]
X;
XWhite[ig]
XComment[An extremely important point. Even if J13 helps black's left side, it is very big in terms of influence. The influence obtained here and on the right side gives \(some\) help to K7 and K4 from the distance.]
X;
XBlack[hh]
X;
XWhite[bj]
XComment[This is a bad and small move. E7 would be better.]
X;
XBlack[ci]
XComment[Slack. Black should probably jump at M7 aiming at K6.]
X;
XWhite[ek]
X;
XBlack[jn]
XComment[Too early. It is just about impossible to cut here while retaining the bottom.]
X;
XWhite[kn]
X;
XBlack[ko]
X;
XWhite[oq]
XComment[White shows what he's made of and does some deep reading. At this stage black has no choice about answering this and the next move.
X
XWhite plans to atari at K5 and push himself into black's bottom using black's shortage of liberties caused by white's P3 and Q4 \(next\).]
X;
XBlack[op]
X;
XWhite[pp]
X;
XBlack[qq]
X;
XWhite[jo]
X;
XBlack[in]
X;
XWhite[lo]
X;
XBlack[kp]
X;
XWhite[lp]
X;
XBlack[kq]
X;
XWhite[lq]
X;
XBlack[ln]
XComment[The exchange that follows favours white. White is doing well.]
X;
XWhite[mn]
XComment[L2 in not possible. White has to connect by capturing the four stones.
X
XThe capture, however, is good for white and better than any other possibility around here: black's lower right corner gets weaker all the time.
X
XThe end result is that white has destroyed much of black's bottom in sente.]
X;
XBlack[km]
X;
XWhite[mq]
X;
XBlack[mm]
XComment[Forcing white to take the four stones off the board is bad aji-keshi. Black would do better to play S4 immediately.]
X;
XWhite[nq]
X;
XBlack[rp]
XComment[The record ends here. The game was discontinued for some time and meanwhile the server auto-deleted it.
X
XWhite is ahead on the board, however. Black would need to do something spectacular to win.
X
XGame was left unfinished.]
X)
EnD of lounela.gs
echo extracting lounela.jie 1>&2
sed 's/^X//' >lounela.jie << 'EnD of lounela.jie'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XPlayerBlack[jie]
XPlayerWhite[lounela]
XGameName[\(igs\) lounela\(white\) vs. jie\(black\)]
XUSer[Brought to you by the IGS program]
XKoMi[5.5]
XComment[A game played on the Internet Go Server
X
XSometime in February or March.
X
XWhite: Olli Lounela, 3 dan
X
XBlack: jie, 1 dan
X
XWhite wins by resignation.
X
XCommentary by OL.]
XPLayer[B]
X;
XBlack[dd]
XComment[This is a most unpolite start. Even though most players do not know or care, the correct corner to start is the top right one.]
X;
XWhite[qo]
XComment[White is slightly irritated because of black's unpoliteness and starts an unorthodox strategy.]
X;
XBlack[dq]
X;
XWhite[oc]
XComment[Very unusual.]
X;
XBlack[dk]
X;
XWhite[pq]
XComment[White seems to be planning an aggressive strategy.]
X;
XBlack[qd]
X;
XWhite[qg]
X;
XBlack[od]
X;
XWhite[nd]
X;
XBlack[pc]
XComment[Bad. White gets all too much thickness.]
X;
XWhite[oe]
X;
XBlack[pd]
X;
XWhite[ob]
XComment[This is risky. Even if the ladder after B 'a', W 'b', B 'c' does not work, creating weaknesses like this is dangerous.]
XLetter[ne][md][of]
X;
XBlack[pb]
XComment[But black helpfully gives white a chance to fix thing up...]
X;
XWhite[ne]
XComment[...which he promptly uses.]
X;
XBlack[rf]
XComment[Too small and too slow. This only helps white in increasing his thickness.]
X;
XWhite[qf]
X;
XBlack[rg]
XComment[This also helps white in creating thickness.]
X;
XWhite[re]
XComment[The only move. Sacrificing a stone makes white's resulting thickness much stronger.]
X;
XBlack[qe]
X;
XWhite[rh]
X;
XBlack[rd]
X;
XWhite[sg]
X;
XBlack[se]
X;
XWhite[qh]
XComment[Again the only move.
X
XNote how white has a large moyo in the bottom right quadrant of the board and potential for territory everywhere while black's left side looks open for invasion and his top right territory is amusingly small.
X
XThe game seems easy for white.]
X;
XBlack[jc]
XComment[Worng direction. Bottom is the most important area.]
X;
XWhite[gp]
XComment[Excellent point. Now white has a moyo the size of half the board.]
X;
XBlack[do]
X;
XWhite[jp]
X;
XBlack[jj]
XComment[Black's top left moyo is not nearly as secure as white's bottom right, thanks to white's thickness at the top right.]
X;
XWhite[cf]
XComment[Good timing. Invading immediately after the enemy has reinforced.]
X;
XBlack[ch]
X;
XWhite[cc]
XComment[White does not mind giving black a wall here, the white wall to the right makes any wall in that direction useless and any wall facing down the left side would be hopelessly overconcentrated.]
X;
XBlack[cd]
X;
XWhite[dc]
X;
XBlack[ed]
X;
XWhite[bd]
X;
XBlack[be]
X;
XWhite[bc]
X;
XBlack[ce]
X;
XWhite[fc]
X;
XBlack[ge]
X;
XWhite[gc]
X;
XBlack[oj]
XComment[This is a move I do not understand. A reduction around 'a' would be better.]
XLetter[oo]
X;
XWhite[nh]
XComment[A good shape.
X
XWhite seems to be taking it easy, but maybe it's too early for that.]
X;
XBlack[oo]
XComment[The vital poit for reducing the white moyo.]
X;
XWhite[np]
XComment[Natural. The right side is both smaller and stronger.]
X;
XBlack[mn]
XComment[This is a mistaek as it only forces white to secure the bottom. Black gains just about nothing.]
X;
XWhite[lp]
X;
XBlack[qn]
X;
XWhite[po]
XComment[Slightly unusual, but white wants sente and there is no territory on the right side.]
X;
XBlack[pn]
X;
XWhite[no]
XComment[A probe.]
X;
XBlack[on]
X;
XWhite[qk]
XComment[White threatens a cut with this move.]
X;
XBlack[ro]
X;
XWhite[rp]
X;
XBlack[rm]
X;
XWhite[so]
X;
XBlack[rn]
X;
XWhite[op]
XComment[White continues building pressure on black.]
X;
XBlack[kn]
XComment[This shape is shaky. Even though it prevents white from cutting immediately, there is lots and lots of bad aji.]
X;
XWhite[cm]
XComment[White aims at either living here independently or at attacking the black group at the bottom right.]
X;
XBlack[cn]
X;
XWhite[dm]
X;
XBlack[gn]
XComment[Yet one more shaky shape.]
X;
XWhite[cp]
XComment[A probe.]
X;
XBlack[bn]
X;
XWhite[ek]
XComment[White starts a spectacular sequence. First he plays a kikashi...]
X;
XBlack[dj]
X;
XWhite[gm]
XComment[...then he makes a little shape...]
X;
XBlack[fn]
X;
XWhite[hn]
X;
XBlack[hm]
XComment[\(Note that black loses if he settles to capturing only the two stones CD7.\)]
X;
XWhite[fm]
X;
XBlack[fp]
X;
XWhite[hl]
XComment[... and a little more shape...]
X;
XBlack[im]
X;
XWhite[il]
X;
XBlack[jm]
X;
XWhite[hj]
XComment[...and yet some more shape...]
X;
XBlack[gi]
X;
XWhite[hi]
X;
XBlack[gh]
X;
XWhite[ji]
XComment[...and finally escape.]
X;
XBlack[kj]
X;
XWhite[en]
XComment[This move is a probe. White wants to test black's defences here and also get a bit better shape.]
X;
XBlack[ho]
XComment[This is a mistaek. White will penalize black rather hard for it.]
X;
XWhite[ep]
X;
XBlack[eo]
X;
XWhite[dp]
X;
XBlack[eq]
X;
XWhite[fq]
X;
XBlack[fo]
X;
XWhite[cq]
X;
XBlack[fr]
X;
XWhite[cr]
XComment[White will be perfectly satisfied with living in the corner.]
X;
XBlack[gq]
X;
XWhite[bo]
X;
XBlack[ds]
X;
XWhite[bq]
X;
XBlack[lh]
XComment[Black's only hope, even if it seems to be a last straw.]
X;
XWhite[ej]
X;
XBlack[di]
X;
XWhite[hh]
X;
XBlack[hg]
X;
XWhite[ig]
XComment[If white can make an eye here, his worries are over.]
X;
XBlack[hf]
X;
XWhite[ki]
X;
XBlack[li]
X;
XWhite[kg]
XComment[This secures white's group beyond question. The game is over.]
X;
XBlack[kh]
X;
XWhite[jh]
X;
XBlack[jf]
X;
XWhite[jg]
X;
XBlack[ng]
X;
XWhite[mg]
X;
XBlack[lg]
X;
XWhite[ok]
XComment[Since black does not resign, white starts attacking on another front. Note that the white center group is safe.]
X;
XBlack[nj]
X;
XWhite[pj]
X;
XComment[This does not work.]
XBlack[og]
X;
XWhite[oh]
X;
XBlack[mf]
X;
XLetter[nf][lf]
XComment[This move gives black the choice of letting white cut at either 'a' or 'b'. Neither gives black any hope of saving the two stones OP13.]
XWhite[mh]
X;
XBlack[kf]
X;
XWhite[nf]
X;
XComment[White is alive, so this is just aji-keshi.]
XBlack[fj]
X;
XWhite[fk]
X;
XBlack[ij]
X;
XWhite[ii]
X;
XBlack[ei]
X;
XWhite[gj]
X;
XBlack[fi]
X;
XLetter[mj][nn]
XComment[A large move, this threatens a hane at 'a' and aims at a cut at 'b'.]
XWhite[nk]
X;
XBlack[mk]
X;
XWhite[ml]
X;
XBlack[mj]
X;
XWhite[nn]
X;
XBlack[nm]
X;
XWhite[nl]
X;
XLetter[om][pl]
XComment[This is a dangerous course, as white is still aiming at 'a'. The cut does not work yet, however, as after 'a' a peep at 'b' would be serious.]
XBlack[mm]
X;
XWhite[lc]
X;
XBlack[kb]
X;
XComment[White starts the endgame, and is clearly winning. He gets the two biggest points on the board.]
XWhite[iq]
X;
XBlack[hr]
X;
XWhite[ir]
X;
XBlack[mb]
X;
XWhite[lb]
X;
XBlack[la]
X;
XWhite[mc]
X;
XBlack[hb]
X;
XComment[Necessary for the life of the group.]
XWhite[gb]
X;
XBlack[hc]
X;
XWhite[pa]
X;
XBlack[qa]
X;
XWhite[oa]
X;
XBlack[na]
X;
XWhite[ae]
X;
XBlack[af]
X;
XWhite[ad]
X;
XBlack[bf]
X;
XLetter[nc]
XComment[This is a mistaek, as black 'a' would capture four stones. Still, that would not be enough to win.]
XWhite[db]
X;
XBlack[bl]
X;
XWhite[dr]
X;
XBlack[er]
X;
XLetter[om][pl]
XComment[An important point. White is still aiming at 'a'. Black should peep at 'b' immediately.]
XWhite[ll]
X;
XComment[A huge mistaek.]
XBlack[jk]
X;
XWhite[om]
X;
XLetter[pl][ol][pk][pm][ql][rl][qm][sm]
XComment[The cut-off black group is dead. If black peeps at 'a', the ladder sequence to 'h' captures him.
X
XThe invasion at the bottom can not live either.]
XBlack[or]
X;
XWhite[pr]
X;
XBlack[lo]
X;
XComment[Safety-first.]
XWhite[mq]
X;
XBlack[pl]
X;
XWhite[ol]
X;
XBlack[rk]
X;
XComment[The situation is changed, as white is connected to above. Black only loses ko threats.]
XWhite[ql]
X;
XComment[This is rather big, as it creates a seki.]
XBlack[ar]
X;
XWhite[aq]
X;
XComment[This is almost useless.]
XBlack[ld]
X;
XLetter[nc]
XComment[This is rather large, as it destroys black's throw-in at 'a' -- and also threatens the life of the black group below.
X
XBlack is falling further and further behind.]
XWhite[qb]
X;
XBlack[nc]
X;
XWhite[ra]
X;
XBlack[ma]
X;
XWhite[nb]
X;
XBlack[ka]
X;
XComment[Sad end to a sad story: the corner black group is dead.]
XWhite[rc]
X;
XBlack[md]
X;
XWhite[cl]
X;
XBlack[sc]
X;
XWhite[sb]
X;
XBlack[qc]
X;
XComment[Making an eye in the corner secures the while enormous white group that extends along the side. Now there is neither a chance of a semeai nor a chance of semedori \(forcing white to remove the stones\).]
XWhite[rb]
X;
XBlack[ck]
X;
XWhite[kc]
X;
XBlack[kd]
X;
XWhite[nc]
X;
XBlack[is]
X;
XComment[This is a typo. As this was one of the very firs games I played there, I was suffering from the coordinates and ASCIItis.]
XWhite[ja]
X;
XComment[Black seems to have expected white to block, as I intended to do.]
XBlack[hs]
X;
XWhite[jb]
X;
XBlack[lr]
X;
XWhite[mr]
X;
XBlack[ms]
X;
XWhite[ns]
X;
XBlack[ls]
X;
XWhite[kr]
X;
XBlack[ks]
X;
XWhite[lq]
X;
XBlack[js]
X;
XWhite[nr]
X;
XBlack[kq]
X;
XWhite[kp]
X;
XBlack[jr]
X;
XWhite[ic]
X;
XBlack[jd]
X;
XComment[Very big.
X
XAs black is all the time falling further behind, and as the result is already very clear, I will comment no further.
X
XWhite wins by resignation.]
XWhite[hd]
X;
XBlack[id]
X;
XWhite[ib]
X;
XBlack[gd]
X;
XWhite[ha]
X;
XBlack[pi]
X;
XWhite[qi]
X;
XBlack[ao]
X;
XWhite[ap]
X;
XBlack[an]
X;
XWhite[co]
X;
XBlack[bs]
X;
XWhite[cs]
X;
XBlack[bm]
X;
XWhite[me]
X;
XBlack[lf]
X;
XWhite[hp]
X;
XBlack[es]
X;
XWhite[io]
X;
XBlack[in]
X;
XWhite[fd]
X;
XBlack[fe]
X;
XWhite[oi]
X;
XBlack[jl]
X;
XComment[Black resigns.]
XWhite[hk]
X)
EnD of lounela.jie
echo extracting lounela.wq 1>&2
sed 's/^X//' >lounela.wq << 'EnD of lounela.wq'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XComment[A game from the Internet Go server.
X
X3 April 1992
X
XWhite: Olli Lounela, 3 dan
X
XBlack: wq, 3 dan
X
XWhite wins by resignation.
X
XCommentary by OL.]
XName[\(igs\) lounela\(white\) vs. wq\(black\)]
X;
XComment[This is considered unpolite. According to the etiquette of the game, the first move should be played in the top-right corner, right side quadrant.]
XBlack[dp]
X;
XComment[White considers black's unpoliteness a challenge and plays unconventionally. A sort of tit-for-tat.]
XWhite[qo]
X;
XBlack[dc]
X;
XWhite[oc]
X;
XBlack[jd]
X;
XComment[Absolutely necessary. If black got the chance to make a shimari here after the extension to K16, the game would be exceedingly difficult for white.]
XWhite[de]
X;
XBlack[dh]
X;
XComment[This tenuki is a cool choice. White makes some territory and starts building pressure on black.
X
XAlso, making the shimari is just about the biggest move on the board.
X
XJumping to F15 or playing any other move in top left can be considered too submissive. R16 is actually can also be considered a declaration of fighting spirit.]
XWhite[qd]
X;
XComment[Black seems overawed by white's fighting spirit. This is a slack move. Just about only thing it does is split white's side.]
XBlack[qi]
X;
XComment[Another cool move and another declaration of fighting spirit. White is actually saying: Do whatever you wish, I'm making territory and going to win for it.
X
XAlso, allowing your opponent to make two shimaris is traditionally considered bad.
X
XAlready one gets the feeling white is leading.]
XWhite[pq]
X;
XBlack[kq]
X;
XWhite[qk]
X;
XBlack[qf]
X;
XComment[Finally white goes ahead and starts securing his weakest stone.
X
XIt looks like white has pretty well outplayed black in the fuseki.]
XWhite[ec]
X;
XBlack[dd]
X;
XWhite[ed]
X;
XComment[Unusual, and perhaps doubtful. Usually, if black pushes at D16, he is going to cut at E15. C15 feels much too slack.]
XBlack[ce]
X;
XComment[While it is very hard to say what is the correct way of playing here, this is likely a mistaek. With the benefit of hindsight, I now would probably cut. The situation is very difficult to play correctly, however, whatever the choice.
X
XThe worst white can do is probably E15 which black answers at C14 leaving white with a heavy group and making black's K16 stone work beautifully.]
XWhite[cf]
X;
XBlack[df]
X;
XWhite[ee]
X;
XBlack[cd]
XComment[A bad shape but a good move, C16 refuses white any and all help in settling his stones.]
X;
XWhite[dg]
XComment[While it is very painful to have to push black into very efficiently cutting white and to leave the top white group ajar, it probably is the best thing to do. It looks like the only way to salve anything of the situation.]
X;
XBlack[ef]
X;
XWhite[eg]
X;
XBlack[ff]
X;
XWhite[ch]
X;
XBlack[bf]
XComment[Good timing.]
X;
XWhite[cg]
X;
XBlack[fg]
X;
XWhite[di]
XComment[The only move.]
X;
XBlack[gd]
X;
XWhite[cn]
XComment[A good move. White seems to have saved some of his face. Even if the top white group is just about dead, there is still aji, and white's left side group is fairly safe thanks to D11.
X
XWhite has nicely minimized his losses.]
X;
XBlack[fp]
X;
XWhite[mq]
XComment[Very big.]
X;
XBlack[mp]
XComment[To attach is much too greedy; L5 would be good enough. This only gives white all sorts of possibilities, and since white's corner is strong anyway, there's nothing black can hope to achieve. Also, black's bottom side is open and a perfect target for white's intentions.]
X;
XWhite[lq]
X;
XBlack[lp]
XComment[Yet again too greedy. Black could still salve something by playing at L4. This would of course leave N4-M3 exchange as a loss, but still it would be better.]
X;
XWhite[kr]
X;
XBlack[jq]
X;
XWhite[jr]
XComment[This is how black pays for his greediness: white destroys much of black's bottom in sente. 
X
XEven though white is crawling on the second line, there is no way black can afford a massive loss of territory here.]
X;
XBlack[ir]
XComment[A mistaek. Black has to crawl once more.]
X;
XWhite[iq]
X;
XBlack[hr]
X;
XWhite[gq]
XComment[A fantastic move. White shows some capability of reading -- black can't resist.]
X;
XBlack[gr]
X;
XWhite[fq]
XComment[Adding insult to injury.]
X;
XBlack[eq]
X;
XWhite[ip]
X;
XBlack[jp]
XComment[Bad shape; K5 would be better.]
X;
XWhite[jo]
X;
XBlack[kp]
X;
XWhite[gp]
XComment[White very nicely connects in good shape.]
X;
XBlack[fr]
X;
XWhite[in]
XComment[Honte \(the proper move\).]
X;
XBlack[lr]
XComment[Probably a misreading. This cut doesn't work and only helps white.]
X;
XWhite[mr]
X;
XBlack[ls]
X;
XWhite[ms]
X;
XBlack[nq]
X;
XWhite[np]
XComment[A very nice cut. With this one move white completely turns tables on black: now it's white who's doing the attacking and is taking the territory.]
X;
XBlack[mn]
X;
XWhite[op]
XComment[This move is best. Even if it would seem attractive, O5 is much worse. P4 threatens the cut almost as much and besides traps the lone stone at O3 thus destroying just about all the aji here.
X
XWhite really is doing well.]
X;
XBlack[mc]
XComment[Dangerous, but big.]
X;
XWhite[oe]
XComment[Good, cool move. White knows the situation and takes no risks. White is also looking forward for a chance to double-attack black's right side and bottom goups, and also invading black's top.]
X;
XBlack[oi]
X;
XWhite[ok]
XComment[Threatening the cut at N5.]
X;
XBlack[mk]
X;
XWhite[ml]
XComment[Again threatening N5.]
X;
XBlack[ll]
XComment[This move does not help any if white cuts at N5 and so is a mistaek.]
X;
XWhite[mo]
XComment[The long-awaited cut.]
X;
XBlack[lo]
XComment[Looks like black hasn't read this out. There is no way to save this group.]
X;
XWhite[ln]
X;
XBlack[no]
X;
XWhite[ko]
X;
XBlack[mo]
XComment[I find it unbelievable black doesn't see what white is doing.]
X;
XWhite[lm]
XComment[The final move that kills black below.]
X;
XBlack[pn]
X;
XWhite[oo]
XComment[Playing with good aji.]
X;
XBlack[nl]
X;
XWhite[mm]
X;
XBlack[nk]
X;
XWhite[nn]
XComment[This is a mistaek. While it is understandable that white wants to take off the stones and simplify the situation, P7 was the best move.]
X;
XBlack[om]
X;
XWhite[me]
XComment[Very big, reducing black's moyo potential to the left and also making an invasion at the top work.]
X;
XComment[Big, but not urgent. Defending the top side has much grater priority since if white lives there, it also threatens to bring the dead white group in top left back to life.]
XBlack[qn]
X;
XComment[Big in the extreme.]
XWhite[kc]
X;
XComment[A mistaek. Black cannot kill white.]
XBlack[ld]
X;
XWhite[kd]
X;
XBlack[le]
X;
XWhite[ke]
X;
XBlack[lf]
X;
XComment[A good move. It now looks like white is going to live easily while destroying all black's territory at the top.]
XWhite[hc]
X;
XBlack[gc]
X;
XWhite[gb]
X;
XBlack[fb]
X;
XComment[A good choice. If white played J18, it would be much easier for black to try and kill.]
XWhite[hd]
X;
XBlack[hb]
X;
XWhite[ib]
X;
XBlack[ga]
X;
XWhite[lb]
X;
XBlack[mb]
X;
XComment[A nice shape. White is alive.]
XWhite[if]
X;
XComment[Bug but it feels a bit slack.]
XBlack[bp]
X;
XWhite[en]
X;
XBlack[fi]
X;
XComment[Making good aji in almost-sente. White's left side group is completely alive now. White is ahead about 5 points on the board.]
XWhite[eh]
X;
XBlack[fh]
X;
XComment[Making very sure black won't attack this group.]
XWhite[kg]
X;
XBlack[lg]
X;
XComment[The weak point of the whole black position here.]
XWhite[qh]
X;
XComment[Black's submissive answer proves just how effective R12 was.]
XBlack[ri]
X;
XComment[Wonderful timing. White plays two kikashis to reduce black's territori right after he has played an extra move there and picks quite a lot of points in the corner in the process.
X
XWhite's lead jumps to more than 10 points on the board.]
XWhite[rn]
X;
XBlack[rm]
X;
XWhite[ro]
X;
XComment[While it is understandable that black is reluctant to connect in another way, it really would be better. Black is going to suffer for this.
X
XIt will not be easy to explit this bad aji, however.]
XBlack[sm]
X;
XWhite[qg]
X;
XComment[An all-or-nothing move.]
XBlack[pf]
X;
XWhite[rf]
X;
XBlack[re]
X;
XComment[Tight connection might be better. White, however, has his eye on the aforementioned weakness at R7.]
XWhite[rh]
X;
XBlack[qe]
X;
XComment[Excellent tesuji. This makes sure black can't and white can connect.]
XWhite[pi]
X;
XBlack[ph]
X;
XWhite[pg]
X;
XBlack[pj]
X;
XWhite[og]
X;
XBlack[sf]
X;
XComment[While making this ko may be dubious, it really is a flower-viewing ko for white. The burden is all on black.]
XWhite[sg]
X;
XBlack[rg]
X;
XWhite[ge]
X;
XBlack[fe]
X;
XWhite[rf]
X;
XBlack[rd]
X;
XWhite[qc]
X;
XBlack[rg]
X;
XComment[A clever idea. White plans to let black take the ko if he dares and kill the top black group instead.
X
XIf black takes the ko and the black group dies, there will be absolutely no way for black to win.
X
XThis would be a good place to resign.]
XWhite[mg]
X;
XBlack[sh]
X;
XWhite[lh]
X;
XBlack[mh]
X;
XComment[This atari is absolutely necessary.]
XWhite[nh]
X;
XComment[This move dooms black. Even if it may not work, black's last chance is to atari at L12 and than at L14 and hope he can secure eyes somehow.
X
XBlack's living at the top would not secure victory, however. White would still be ahead on the board.]
XBlack[mi]
X;
XWhite[kh]
X;
XBlack[mf]
X;
XWhite[ng]
X;
XComment[The very last chance slips by. O16 would be much more troublesome.]
XBlack[ne]
X;
XWhite[of]
X;
XBlack[nd]
X;
XWhite[od]
X;
XComment[This does not give any eyes.]
XBlack[ob]
X;
XWhite[pb]
X;
XBlack[lc]
X;
XWhite[kb]
X;
XBlack[na]
X;
XComment[Now the black group is very dead.]
XWhite[nc]
X;
XBlack[rb]
X;
XComment[White takes no chances.]
XWhite[nb]
X;
XBlack[dm]
X;
XWhite[dn]
X;
XBlack[dj]
X;
XComment[White plays very simply and safely. Since white is more than 20 points ahead on the board, losing a bit here does not worry him.]
XWhite[cj]
X;
XBlack[ej]
X;
XComment[A safety first move.]
XWhite[bl]
X;
XBlack[bm]
X;
XComment[White refuses to be dragged into complications and plays very simple way.]
XWhite[bn]
X;
XBlack[cm]
X;
XWhite[am]
X;
XBlack[ck]
X;
XWhite[bk]
X;
XBlack[bj]
X;
XWhite[ci]
X;
XBlack[cl]
X;
XWhite[bi]
X;
XBlack[ih]
X;
XComment[Very big. And sente.]
XWhite[em]
X;
XBlack[el]
X;
XWhite[fl]
X;
XBlack[ek]
X;
XComment[White is all the time increasing his lead.]
XWhite[lk]
X;
XComment[A mistaek.]
XBlack[fo]
X;
XComment[A very, very big sente move.]
XWhite[lj]
X;
XBlack[ni]
X;
XComment[With this move white makes more territory in the center \(where there formerly was none\) than he lost in the left side. Things are all the time running from bad to worse for black.]
XWhite[ij]
X;
XBlack[ji]
X;
XComment[Black finally calculates the score and resigns.
X
XBTW, I find it interesting, how white did nothing special after his success at the bottom but nevertheless black couldn't close the gap.]
XWhite[jj]
X)
EnD of lounela.wq
echo extracting tromp.bertram 1>&2
sed 's/^X//' >tromp.bertram << 'EnD of tromp.bertram'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XComment[A game from the Internet Go Server.
X
XWhite: John Tromp
X
XBlack: bertram
X
XGame left unfinished.
X
XCommentary by Olli Lounela.]
XName[\(igs\) tromp\(white\) vs. bertram\(black\)]
XAddBlack[dd][dp][jj][pd][pp]
X;
XComment[It would be more polite to play at R14.]
XWhite[fq]
X;
XBlack[dn]
X;
XWhite[jp]
X;
XBlack[nq]
X;
XComment[Very good.]
XWhite[cl]
X;
XBlack[cm]
XComment[Bad, black should not strengthen white.]
X;
XWhite[dl]
X;
XBlack[dg]
X;
XWhite[cq]
XComment[D3 is less risky and perhaps more effective. The continuation would be C3, B2, and then black would have to jump to F6.]
X;
XBlack[dq]
X;
XWhite[dr]
X;
XComment[E2 is definitely called for here. The corner is not big and white's two stones would be cut adrift.]
XBlack[cp]
X;
XWhite[br]
X;
XBlack[fn]
XComment[First, this result is slightly better than if white had played D3, However, I judge the risk of E2 instead of C4 unacceptable.
X
XInstead of jumping right away, black shoud atari at B3 first, since it is sente and fairly big.]
X;
XWhite[ch]
XComment[Stil is bad style. Playing a shoulder-hit underneath is so rarely good as to say never.
X
XB3 should be white's sente, too. If not answered, it wjould leave black without both base and eye shape.]
X;
XBlack[cg]
X;
XWhite[bh]
X;
XBlack[bg]
X;
XWhite[nc]
X;
XBlack[qf]
X;
XWhite[jd]
X;
XBlack[gc]
X;
XWhite[dc]
XComment[A kakari on the lower left corner seems more urgent.
X
XThe point of invasion is fine.]
X;
XBlack[cc]
X;
XWhite[ed]
XComment[E17 seems better. then if B E16, white would live in the corner with C18.]
X;
XBlack[cd]
XComment[A better way is E17, W F17, D18, G16 which leaves white with a lot less than this \(over\)solid connection.]
X;
XWhite[gd]
XComment[Should be at F17 to cut black apart.]
X;
XBlack[fc]
X;
XWhite[fd]
XComment[E17 is certainly very attractive; I would be extremely tempted to play there. The only problem is: does it work. If not, then I'd tenuki.]
X;
XBlack[ec]
X;
XWhite[hc]
X;
XBlack[db]
X;
XWhite[pb]
XComment[Big, but a kakari against the lower right corner is bigger.]
X;
XBlack[pj]
X;
XWhite[qc]
XComment[Good.]
X;
XBlack[qd]
X;
XWhite[ne]
XComment[Still R6 is better.]
X;
XBlack[pm]
X;
XWhite[qi]
XComment[Bad shape, and again the \(bad\) underneath shoulder-hit. R12 would be better.]
X;
XBlack[qh]
XComment[Bad. Descending to R10 would be good enough.]
X;
XWhite[ph]
X;
XBlack[pg]
X;
XWhite[rh]
X;
XBlack[qg]
X;
XWhite[qj]
XComment[Connecting at Q11 is *much* better.]
X;
XBlack[pi]
X;
XWhite[oh]
XComment[Risky. What if black hanes at R9, W S9, R8, S8, and black the strikes at O14?]
X;
XBlack[rg]
X;
XWhite[pk]
XComment[Good result for white. This hane is all-important.]
X;
XBlack[oj]
XComment[The normal shape is O11.]
X;
XWhite[ok]
X;
XBlack[nj]
X;
XWhite[mh]
XComment[White should push once more at O9, and then if black goes along, play O13 \(not N12, which leaves an annoying peep at O13\).]
X;
XBlack[qk]
X;
XWhite[rk]
XComment[Now the white stones at P9 and Q9 are wasted. I'd sacrifice the three stones instead.]
X;
XBlack[ql]
X;
XWhite[rl]
X;
XBlack[rm]
XComment[And here's the reason: white isn't alive. \(BTW: I'm commenting this as I look at it the first time, thus I don't have any knowledge of what's going to happen\)]
X;
XWhite[qn]
XComment[Good style, but overall the result on this side is bad for white.]
X;
XBlack[qm]
X;
XWhite[nk]
XComment[It would be better to leave these stones for the moment and play elsewhere for a while. It's likely thet the aji here can be utilized better later when the circumstances are different.]
X)
EnD of tromp.bertram
