#!/bin/sh
#
#  This is a shar file.  To use:
#  1. Remove everything before the /bin/sh line
#  2. Execute with /bin/sh (not csh) to extract the files:
#         JohnBate.tsand.5
#         READ.ME
#         WillChen.tsand
#         flint.lounela
#         lounela.He
#         lounela.yao
#         rcn.JohnBate
#         tmoore.yw
#         tsand.Gozilla.6
#         tsand.flows
#         tsand.hi
#
file="${0}"
echo extracting JohnBate.tsand.5 1>&2
sed 's/^X//' >JohnBate.tsand.5 << 'EnD of JohnBate.tsand.5'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XPlayerBlack[tsand]
XBlackRank[2k]
XPlayerWhite[JohnBate]
XWhiteRank[2k]
XGameName[\(IGS\) JohnBate\(W\) vs tsand\(B\)]
XEVent[A game played on the Internet Go Server]
XDaTe[1992-06-04]
XPlaCe[IGS:  Albuquerque, NM, USA 129.24.14.70 6969]
XREsult[B+Resign]
XUSer[Brought to you by the IGS program]
XKoMi[5.5]
XComment[IGS game: 
X
XW John Bate 2-kyu 
X
XB Tero Sand 2-kyu 
X
XBlack wins by resignation. 
X
X3-Jun-1992 
X
XComments by JB, TS & Olli Lounela, 3 dan.]
XBlack[qd]
X;
XWhite[dd]
X;
XBlack[oc]
X;
XWhite[dp]
X;
XBlack[pq]
X;
XWhite[po]
X;
XLetter[pl][qk]
XComment[OL: 'a' is more normal. If you want a bit more distance from the kakari stone, 'b' is also possible. The actual move is not often seen.]
XBlack[pk]
X;
XWhite[qq]
X;
XBlack[qr]
X;
XWhite[qp]
X;
XBlack[or]
X;
XComment[JB: Wasn't too sure of this point, but the 4th line seemed better balanced than the 3rd. 
X
XTS: Then again, 'a' has a continuation at 'b'. More interesting, however, is R3: is that correct?
X
XOL: There's nothing worng with R3. More dubious is R4, but it probably is OK, too. However, white should jump to around 'c' or 'd' instead of the actual move. It may even be that pincering at 'e' is possible as well.]
XLetter[qm][rk][no][mp][nq]
XWhite[pm]
X;
XComment[TS: Maybe something like 'a'?
X
XOL: That depends. I would probably jump to 'b' immediately and let the right side be for awhile.
X
XNote, that if white answered 'b' at 'c', 'd' would separate white into two and white would be hard pressed.]
XLetter[ph][mp][qi][oj]
XBlack[nk]
X;
XComment[JB: If Black is going to build a moyo, I'd better have one, too. 
X
XTS: Usually you try to prevent double-wing formations, but here, I don't know. Black's right side is pretty open.
X
XOL: Yes, I think 'a' is more urgent, as it is the border of the two \(potential\) moyos.]
XWhite[dj]
XLetter[jd]
X;
XBlack[jd]
X;
XLetter[jp]
XComment[JB: Perhaps a reduction of the Black moyo right away would have been better. But I liked the fact that this gives a double extension from the star point, and eyes the 3 black stones in the bottom right. 
X
XTS: True - at this point I thought about trying to sacrifice them.
X
XOL: Actually this extension is not a bad idea. As go is also a game where fighting spirit is very necessary, this move can be understood as saying: "Your moyo will never be big enough to win", and so this kind of move always serves to unnerve the opponent. Also, the white moyo grows quite nicely. 'a' would be more coherent and consistent, though.]
XWhite[jq]
X;
XComment[TS: Black's moyo is starting to look kinda large.
X
XOL: Which is what could have been said about that of white's after the last move :-\)]
XBlack[fc]
X;
XComment[JB: Try to make Black over-concentrated with the tsuki-nobi. 
X
XTS: Maybe, but Black can \(could have\) take sente.
X
XOL: Neither is actually the point here.
X
XThe point here is that black is trying to secure his moyo any way possible. A tsuke is not to be recommended since it strengthens black. As black's moyo is larger in scale \(extends further into the center\), it is naturally very open for invasions, for example any of the moves from 'a' to 'd'. For this reason a normal move would be 'e', and then invade. 'c' looks most promising.]
XWhite[fd]
XLetter[hc][ld][oe][qi][df]
X;
XBlack[gd]
X;
XWhite[fe]
X;
XComment[JB: Didn't think this was good right away. It is a good spot from the point of view of the two moyos, but gives White a big corner and excellent shape with the next move. 
X
XTS: I should've played 'a'. Then if W 'b', 'c' is *big*.
X
XOL: The actual move is correct. If white takes sente, he leaves weaknesses behind. That is why this is joseki.]
XLetter[ec][dc][oe]
XBlack[ge]
X;
XComment[JB: I was happy with this corner at this point. 
X
XTS: I was unhappy about it.]
XWhite[ec]
X;
XComment[TS: I didn't see an alternative for this, though.]
XBlack[gc]
X;
XComment[JB: Now I had to do something to keep the Black moyo from getting too huge. \(And all the books say this is the spot :-\). 
X
XTS: It is.]
XWhite[oe]
X;
XComment[TS: After the game I thought 'a' might be better. 
X
XJB: I like this move better than "a".
X
XOL: Right. What counts here is the black thickness to the left. The right side is too open, and one could call the top large.]
XLetter[pf]
XBlack[nd]
X;
XWhite[qe]
X;
XBlack[pd]
X;
XComment[JB: Trying to be light. Connecting to make a shapeless line of 3 stones looked very bad indeed. 
X
XTS: I would've liked that. :-\)
X
XOL: This is a reasonable move, but trying to secure eyes here will probably hurt the white group below.
X
XA still lighter approach would seem to be called for, I would probably play around 'a'.]
XWhite[qi]
XLetter[ng]
X;
XComment[JB: This didn't look so good to me. 
X
XTS: No. But what, then? B 'a', W 'b', then.. what?
X
XOL: No, no, no and no. 'a', 'b' is a bad exchange, for sure, but the actual move is little better.
X
XI think that 'c' is best, since is also has some effect on the white group below.]
XLetter[qj][pi][rk]
XBlack[rj]
X;
XWhite[qj]
XComment[OL: This is bad style. White is only creating a heavy group. Around 'a' would be better.]
XLetter[oh]
X;
XBlack[qk]
X;
XWhite[ri]
X;
XBlack[rl]
XComment[OL: Good. Besides being good style, this move attacks the group below quite nicely.
X
XOne can anticipate problems for the white group above.]
X;
XComment[JB: I like my shape a lot better both above and below now. And the Black group looks eyeless and weak.
X
XOL: I call that an illusion. The seqence here was neither necessary nor good for white. White's group above is fairly heavy...]
XWhite[rm]
X;
XComment[JB: The best point, I think. I was rather expecting it. 
X
XTS: Then again, there's 'a'...
X
XOL: This is a difficult point. There are also ather moves, particularily 'b' and 'c', of which 'b' looks especially attractive.]
XLetter[oi][mi][qg]
XBlack[oh]
X;
XComment[JB: A bit of fighting spirit. I didn't want to just follow orders and live humbly on the side. 
X
XTS: Sure enough, W plays there.]
XWhite[oi]
X;
XComment[JB: But this was a pretty good reply which I hadn't considered. 
X
XTS: For a change, Black did some reading. 'a' leads to a cut, and so does 'b'.
X
XOL: Yet some more illusions. The three connected stones are not necessary for white's life. ]
XLetter[ni][pi]
XBlack[oj]
X;
XComment[JB: Not quite ready to give in yet, though. 
X
XTS: Well, yes, 'a' would be totally insipid.
X
XOL: Not only that but downright bad. Any and all good moves that white has played would go to waste if white played 'a' and let black seal him in.]
XLetter[pi]
XWhite[ni]
X;
XComment[TS: Of course, Black must cut.]
XBlack[pi]
X;
XWhite[ph]
X;
XBlack[pj]
X;
XComment[JB: Now I hoped to get in a splitting attack somewhere around A, but never got the chance. :-\(. 
X
XTS: I would've sacrificed \(for the time being, at least\) the three Black stones below and tried to swallow the whole upper side \(talk about greed!\).
X
XOL: First things first: the white group invading the black moyo is just about absolutely secure. That means black is behind since his compensation is not quite par to white's achievement.
X
XBut that's not all: the white group below should be able to live all by its own, and black's groups are eyeless and the bigger of them is terribly heavy.
X
XBlack has a very difficult game ahead.]
XLetter[mn]
XWhite[pg]
X;
XComment[OL: This is risky. Black is splitting himself...]
XBlack[nh]
X;
XWhite[mi]
X;
XBlack[nf]
X;
XComment[JB: I considered wedging in at A, but talked myself out of it. I think I should have done that, after all. 
X
XTS: If Black 'b', what has W accomplished? The actual move seems pretty thick.
X
XOL: This is giving up in the middle of a fight. I'd live in there with 'c' to 'e' and at worst have a ko at 'f'. What with white's lots of local threats it is even possible white may get to break out at 'g'.]
XLetter[ng][og][rd][rc][rf][sd][ne]
XWhite[mh]
X;
XComment[JB: A very strong move, I think.
X
XOL: Probably the only move.]
XBlack[of]
X;
XComment[OL: Now this may be too late...]
XWhite[rd]
X;
XBlack[pe]
X;
XWhite[qf]
X;
XBlack[rc]
X;
XLetter[rg]
XComment[OL: 'a' is the vital point, and white would live with it. Also, it looks like black could kill at 'a'.]
XWhite[re]
X;
XBlack[sd]
X;
XComment[JB: I didn't think I could live if Black got this point first, so I had to defend and let Black do something with the drifting group below. Shucks.
X
XOL: You should be happy to live after getting the magari of N12.]
XWhite[rg]
X;
XBlack[lk]
X;
XWhite[ji]
X;
XLetter[mp][no]
XComment[TS: Slow? 
X
XJB: Looks like a nice shape to me.
X
XOL: 'a' would be better. Perhaps even 'b' would be possible.]
XBlack[nm]
X;
XComment[OL: Looks like white will extricate himself while causing trouble to the three black stones below...]
XWhite[nn]
X;
XBlack[mn]
X;
XWhite[no]
X;
XBlack[ln]
X;
XComment[JB: This is the spot I was aiming at with the last two moves.]
XWhite[nq]
X;
XComment[TS: Black decides to save these stones now anyway, but 'a' might be better. Once W played 'b', the game became difficult.
X
XOL: For saving these stones, 'c' is the correct move.]
XLetter[jo][eq][rq]
XBlack[nr]
X;
XLetter[rr]
XComment[JB: But solidifying my moyo was obviously much more important, so I forgot about the bottom right for now.
X
XOL: Playing 'a' first as a kikashi, since black seems to feel like defending the three \(or, four now :-\) stones, would be a good idea. 'a' is very big. Besides, it also affects white's eye shape.]
XWhite[eq]
X;
XComment[JB: This surprised me. The corner was open at A, so I didn't think I had much in the way of an attack here. 
X
XTS: I was preparing for 'b'. Ha, talk about wishful thinking...]
XLetter[rq][hq]
XBlack[lq]
X;
XComment[JB: But I thought I had better get some eye space for myself right about now.
X
XOL: This point is much bigger than it looks. Getting it makes white's lead crystal clear.
X
XI would call black's forcing white to defend the corner a thank-you move. White's bottom left is secure anyway.]
XWhite[rr]
X;
XComment[TS: Maybe 'a', now? Or are the Black groups too weak...
X
XOL: It is sad, that black can't secure his groups with 'b' once and for all, since it would be too slow. But the actual black move leaves dangerous weaknesses.]
XLetter[hq][mq]
XBlack[jo]
X;
XLetter[ff]
XComment[JB: I thought I had the lead at this point. I gave about 40 secure points to Black for the top, but very little elsewhere. I had perhaps 10 between the two groups on the right and 15-20 in the top left, so it looked like if I got 20 at the bottom, I would be in good shape. 
X
XTS: Right, I was depressed at this point, but somehow got the strength to fight on...
X
XOL: The actual move is very slack and very small. Black can not hope to make any territory at the bottom anyway and white gains little. At 'a' would be biggest. Besides, it would be the finishing point for the unfinished joseki.]
XWhite[hp]
X;
XComment[TS: I couldn't win by enlarging my moyo anymore, so I had to invade.]
XBlack[di]
X;
XWhite[ej]
XComment[OL: I would play at 'a' and let black escape for several reasons.
X
XFirst, the left side is all too large to keep it all. One side has to be sacrificed.
X
XSecond, descending gives black least help in settling himself.
X
XThird, the top left is secure enough as it is.
X
XAnd last, the bottom left would be very difficult to invade successfully after the descent.]
XLetter[cj]
X;
XBlack[cj]
X;
XWhite[ck]
X;
XLetter[bj][ci][bl][bi][ak][hn][ch]
XComment[JB: This surprised me a bit...
X
XOL: No wonder. It would surprise me, too.
X
XThe black double hane is not very good. A sequence from 'a' to 'e' can be expected, after which the bottom left is absolutely secure \(50 points or more\) and white has a nasty continuation lurking at 'f'.
X
XA more normal \(and very likely MUCH better\) way of playing would be to make a kaketsugi \(hanging connection\) at 'g' and if white 'a', then play ko at 'd'.]
XBlack[bk]
X;
XWhite[bj]
X;
XBlack[ci]
X;
XWhite[bl]
X;
XBlack[bi]
X;
XComment[JB: I was more than happy to take a big area at the bottom left.
X
XOL: This is exactly the expected good-for-white result. Now black is heavy; the ko shape would have been much lighter and better.]
XWhite[ak]
X;
XBlack[ce]
XComment[OL: As a result black has to resort to helping white's corner position.]
X;
XWhite[cd]
X;
XBlack[bd]
X;
XWhite[bc]
X;
XBlack[be]
X;
XWhite[ei]
X;
XBlack[dg]
X;
XComment[TS: The game really looks unwinnable now. 
X
XJB: Yes, but never underestimate the ability of your opponent to throw it away :-\(.
X
XOL: As 'a' and 'b' are miai, the top left corner seems safe. The game really does look unwinnable.]
XWhite[hn]
XLetter[cb][fg]
X;
XComment[TS: The aim was not to reduce White's area but to attack the group above.]
XBlack[il]
X;
XLetter[gl]
XComment[JB: I thought that as long as I connected my centre stones, I would be in good shape.. 
X
XTS: Yup, W saw through my attempts. I was getting ready to resign.
X
XOL: The white stones are not exactly in danger yet. I would suggest a more effective tactics: securing the moyo at 'a'. That kind of move really has an unsettling effect on your opponent...]
XWhite[hj]
X;
XBlack[gl]
X;
XWhite[fm]
X;
XBlack[fl]
X;
XWhite[em]
X;
XComment[TS: Black is starting to aim at 'a'. 
X
XJB: 'a' didn't even occur to me.
X
XOL: 'a' is hypotetical. As black only needs to connect the center stones in sente to keep the miai possible, the corner is still very secure.]
XLetter[bb]
XBlack[gj]
X;
XWhite[gi]
X;
XBlack[fj]
X;
XWhite[fi]
X;
XComment[OL: This cut does not work; the squeeze that follows is good for white.]
XBlack[hi]
X;
XWhite[hh]
X;
XBlack[ii]
X;
XWhite[ih]
X;
XBlack[ij]
X;
XWhite[jj]
X;
XBlack[hk]
X;
XComment[JB: Trying to protect the cutting point A in sente. I thought that the cut at B didn't work, but failed to consider C.
X
XOL: You were partly right.
X
XFirst, the shape move for the connection is 'd'.
X
XSecond, 'c' does not seem to work if black answers at 'e'.]
XLetter[gh][jh][kh][fg][kg]
XWhite[eg]
X;
XComment[TS: 'a' is starting to materialize...]
XLetter[bb]
XBlack[ef]
X;
XComment[JB: Too aggressive. My own corner was weaker than I thought.
X
XOL: Not only that, but it's bad style. You are begging for an upset. When this much in lead, you should play absolutely safe.]
XWhite[df]
X;
XBlack[de]
X;
XComment[OL: Uh, oh...]
XWhite[dh]
X;
XBlack[ff]
X;
XWhite[cg]
X;
XComment[JB: Black protects his own cutting point in sente, and now I start to see the error of my ways. :-\(.]
XBlack[gg]
X;
XWhite[gh]
X;
XComment[TS: AAAAAAAAHHHH...]
XBlack[bb]
X;
XLetter[ac][db][cb][ca][dc][cc][eb][da][ab]
XComment[JB: The corner looks like it has had it, so I better salvage what I can on the side. This is a disasterous "exchange". 
X
XTS: W is still ahead, though.
X
XBesides, there's a ko in the corner yet: white plays 'a' and the sequence to 'd' follows.
X
XIf black plays 'c' instead of 'b', then W 'f', B 'g', W 'b', B 'h' and the result is still a ko.
X
XPushing at 'b' instead of 'g' in the latter sequence does not work: W 'g' and if B 'i', white hanes at 'h' and wins the semeai by one liberty.]
XWhite[bg]
X;
XComment[TS: Aiming at 'a'.]
XLetter[kh]
XBlack[kf]
X;
XLetter[ed]
XComment[TS: Something of a surprise...
X
XOL: Right. This move does not even peep, since black has 'a' in reserve.
X
XNote, BTW, that a black throw-in at 'a' also makes the coner ko sequences invalid by taking a liberty from white.]
XWhite[hf]
X;
XComment[JB: Two mistakes: didn't see this Black move, and thought the peep was enough of a threat that Black had to answer. Had I simply connected, things would have still been close. 
X
XTS: BS - W would have won.]
XBlack[kh]
X;
XComment[TS: Thanks. n
X
XJB: You're welcome.
X
XOL: This really is a thank-you move. It's better to connect at 'a' immediately. That leaves black with a weaker position, and with the peep, white does not accomplish anything.]
XWhite[jg]
X;
XBlack[kg]
X;
XComment[TS: Would W play K13 now?]
XWhite[jh]
X;
XComment[TS: _Now_ the game is close, I think.]
XBlack[lj]
X;
XLetter[gf][cc][ee]
XComment[OL: Instead of this, I would start the ko in the corner. The cut at 'a' is not serious if black now plays 'b' thus making 'a' and 'c' miai.]
XWhite[ed]
X;
XLetter[ac]
XComment[OL: Dangerous. Black can still start a ko at 'a'.]
XBlack[gf]
X;
XComment[JB: Trying desperately to get enough liberties to cut at A. Futile.]
XLetter[ee]
XWhite[fb]
X;
XComment[TS: I thought a looooooooooooong time for this one. Other alternatives: 'a', 'b' and 'c'.
X
XOL: Probably 'a' is best since it gives black the most liberties.]
XLetter[cc][db][ac]
XBlack[cb]
X;
XWhite[cc]
X;
XBlack[db]
X;
XWhite[eb]
X;
XBlack[ac]
X;
XComment[JB: Giving up on the corner.]
XWhite[id]
X;
XBlack[ic]
X;
XWhite[ie]
X;
XBlack[jc]
X;
XWhite[jn]
X;
XBlack[jk]
X;
XLetter[qs]
XComment[OL: There is a kikashi white should play first. 'a' in the corner is bigger than it looks and just about absolute sente.]
XWhite[ko]
X;
XBlack[mp]
X;
XWhite[np]
X;
XBlack[rs]
X;
XWhite[rq]
X;
XLetter[sm]
XComment[This doesn't work.
X
XOL: Right, 'a' is better and sente besides.]
XBlack[rn]
X;
XWhite[sm]
X;
XBlack[qn]
X;
XWhite[qm]
X;
XBlack[sr]
X;
XLetter[om]
XComment[JB: Didn't like the prospects if Black got this point...
X
XOL: I would have played 'a' to make eye shape and to enlarge the territory inside. After 'a' there seems to be no way of destroying the eyes.]
XWhite[ro]
X;
XBlack[jr]
X;
XComment[JB: A mistake, I think. Cuts Black, but with the last Black stone there, there is no longer any point in cutting. This just lets Black walk into my territory a bit too easily. 
X
XTS: Right. John sure was full of surprises that day... ;-\)]
XWhite[mo]
X;
XBlack[iq]
X;
XWhite[kq]
X;
XBlack[kr]
X;
XWhite[ip]
X;
XBlack[hr]
X;
XComment[TS: This surprised me.. I thought B might die, and I cursed myself again...]
XWhite[mr]
X;
XBlack[lr]
X;
XWhite[mq]
X;
XBlack[ms]
X;
XWhite[hq]
X;
XBlack[ir]
X;
XWhite[gr]
X;
XBlack[gs]
X;
XWhite[fs]
X;
XBlack[hs]
X;
XWhite[fr]
X;
XComment[JB: Black has enough room to live on the edge, which I hadn't counted on.]
XBlack[oq]
X;
XWhite[ps]
X;
XComment[Black has one sure eye at JK1 and one at Q1. White is about 15 points behind now. 
X
XWhite resigns. 
X
XPerhaps this game should be titled:
X
X"How to build up a lead and then
Xtear it down again."]
XBlack[qs]
X)
EnD of JohnBate.tsand.5
echo extracting READ.ME 1>&2
sed 's/^X//' >READ.ME << 'EnD of READ.ME'
X
X**NOTE** This file closely resembles the READ.ME of the first set, but
X	 has some additions/enhancements/updates.
X
XThe archive file amgames2.sh.Z contains the following files:
X
X-rw-r--r--  1 olounela    17687 Jun  5 14:07 JohnBate.tsand.5
X-rw-r--r--  1 olounela     2484 Jul  6 15:03 READ.ME
X-rw-r--r--  1 olounela     9222 May  5 15:11 WillChen.tsand
X-rw-r--r--  1 olounela    11400 May 19 17:50 flint.lounela
X-rw-r--r--  1 olounela    12712 May 16 14:46 lounela.He
X-rw-r--r--  1 olounela     8924 Apr 10 19:45 lounela.yao
X-rw-r--r--  1 olounela    11893 May 25 13:09 rcn.JohnBate
X-rw-r--r--  1 olounela     6389 May 19 22:48 tmoore.yw
X-rw-r--r--  1 olounela     8478 May 12 18:49 tsand.Gozilla.6
X-rw-r--r--  1 olounela    14110 Jun  1 15:09 tsand.flows
X-rw-r--r--  1 olounela     6058 Jul  2 17:06 tsand.hi
X
XThese (except for READ.ME) are games in mgt (SGF) format played by
Xplayers of various amateur strengths, all 3 dan or below except for
Xflint (6 dan), ranging as far as about 8 kyu. 
X
XThe numbers behind some of the game names refer to archive numbers I
Xgive them. That all the numbers do not appear doesn't mean it don't
Xexist, only that it has not been commented and/or distributed.
X
XFor the benefit of mid-to-high level kyu players I have commented these,
Xalways trying to target the commentary, with varying success though, to
X1-10 kyu. 
X
XThese are the second set of ten.  The quality and the successfulness in
Xtargeting is markedly better than in the first set.  This is due to a
Xpractice of some weaker player (most often Tero Sand, 2 kyu) first
Xmaking his commentary, and my then correcting and adding to it in that
Xof mine.  This has in practice proved extremely useful. 
X
XNote, that the handicaps do not always follow the ones implied by the
Xranking of the players.  Besides being a real situation, for many people
Xbelieve thay are better than their ranking states, this also reflects
Xthe variance of local rankings.  For example, Korean players have had to
X'promote' themselves repeatedly. 
X
XSooner or later there will be more coming. 
X
XFeel free to distribute these games and modify as needed.  If any
Xmodifications are made, or if they are published (which I still doubt),
XI'd like to be informed at least, and preferably sent a copy. 
X
XI'll be happy to receive any comments.  Enjoy. 
X
X	Olli Lounela, 3 dan.
X--
XE-mail: olounela@cc.helsinki.fi           ! .sig still under construction.
XBlame me only for any opinions expressed. !  Never you mind, I don't either.
EnD of READ.ME
echo extracting WillChen.tsand 1>&2
sed 's/^X//' >WillChen.tsand << 'EnD of WillChen.tsand'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XComment[IGS game:
X
XWhite: Will Chen 1-dan
X
X2 stones: Tero Sand 2-kyu
X
XBlack wins by resignation.
X
X23-Apr-1992
X
XCommentary by Olli Lounela.]
XAddBlack[dp][pd]
XName[\(igs\) WillChen\(white\) vs. tsand\(black\)]
X;
XWhite[po]
X;
XBlack[dd]
X;
XWhite[fq]
XComment[Strange. White's bottom position is without coherence, since Q5 is very high and F3 is on the 3rd line. R14 would be more natural, and probably better.]
X;
XBlack[dn]
X;
XWhite[jp]
XComment[Again incoherent. White's bottom stones seem to be co-operating very little.
X
XI would play J4 and leave the bottom right to fend for itself for a while and leave it to black to try and find a suitable spot for invading, which is not an easy task.]
X;
XBlack[cj]
XComment[The right side is more important.]
X;
XWhite[qf]
XComment[White gets the big point.]
X;
XBlack[nd]
X;
XWhite[pj]
XComment[This move makes it clear just how importand the right side was. Now white's position is much more coherent and harmonious than it would have been had black taken the right side.]
X;
XBlack[pq]
XComment[This move proves the case and illuminates it all the more clearly. White has erred and been forgiven.
X
XThe point is that this invasion gives white an easy choice of how to repair any defects in the moyo by attacking the lonely invading stone.]
X;
XWhite[oq]
X;
XBlack[or]
X;
XWhite[op]
XComment[While it is hard to say, I think O3 might be better. The outside is more important than the corner.]
X;
XBlack[nq]
X;
XWhite[nr]
XComment[Still going the worng way. Better to cut on the other side, white is being too greedy in mapping out the corner as his.]
X;
XBlack[mr]
X;
XWhite[pr]
X;
XBlack[ns]
XComment[This ponnuki seriously weakens the white position to the left.]
X;
XWhite[qq]
X;
XBlack[mo]
X;
XWhite[fc]
X;
XBlack[jc]
XComment[Good. J17 would be better balanced, though.]
X;
XWhite[cf]
XComment[Creating a symmetric situation here is dubious. Black is given too easy a choice as where to play.]
X;
XBlack[ee]
X;
XWhite[cc]
X;
XBlack[cd]
XComment[Ironically, both sides are absolutely equal in size, width and value. The choice between C16 and D17 is a toss of coin.]
X;
XWhite[dc]
X;
XBlack[gd]
XComment[Good, putting a little pressure on white. G15 would be too slack, as it would make no use of the low position of K17.]
X;
XWhite[bd]
XComment[Aji keshi. It would be much better, although a bit painful, to submit and play G17, and then tenuki.]
X;
XBlack[be]
X;
XWhite[bc]
X;
XBlack[ce]
X;
XWhite[gc]
XComment[After keshing the aji and killing C14, white goes ahead and plays here anyway. Omitting the hane-tsugi in the corner would have been much better.]
X;
XBlack[hd]
X;
XWhite[cl]
XComment[Too deep an invasion. Black gets a perfect opportunity to reinforce and enlarge the moyo above. The corner is in no danger at all.
X
XWhite probably should play around E10, or better yet, reinforce his bottom group.]
X;
XBlack[dk]
X;
XWhite[dl]
X;
XBlack[el]
X;
XWhite[bf]
XComment[Bad aji-keshi. It is very likely white will come to regret forcing black to defend here by taking points.
X
XLater white will probably wish he had left the chance of playing A15 for later.]
X;
XBlack[ae]
X;
XWhite[bj]
X;
XBlack[bi]
X;
XWhite[em]
XComment[This does not quite work.]
X;
XBlack[dm]
X;
XWhite[ek]
X;
XBlack[fl]
X;
XWhite[dj]
X;
XBlack[ck]
X;
XWhite[ci]
XComment[White is adopting a dangerous strategy. It is not clear if white can live between the black side and the wall, and white's initial investment by sacrificing the side below is rather large.]
X;
XBlack[bk]
X;
XWhite[bh]
X;
XBlack[aj]
X;
XWhite[dh]
X;
XBlack[ej]
X;
XWhite[ei]
XComment[If white has to resort to living in ko, he has made an enormous mistaek here a couple of moves ago, thus the folly of deep invasion is clearly proved.]
X;
XBlack[fj]
XComment[Trying to kill the whole thing. Very difficult but seems vaguely possible.
X
XNote, BTW, how the white group in the bottom looks all the time more and more forlorn.
X
XThe game is going well for black.]
X;
XWhite[fi]
X;
XBlack[gi]
X;
XWhite[gh]
X;
XBlack[hi]
X;
XWhite[hh]
X;
XBlack[fg]
XComment[Nice timing. Also serves to connect the gap above.]
X;
XWhite[fh]
X;
XBlack[ii]
X;
XWhite[eg]
XComment[Looks like white will have to live in gote. That would be sad news for white's bottom group.]
X;
XBlack[ff]
X;
XWhite[dq]
XComment[Extremely dangerous, for white's group in the middle left is very close to dying.]
X;
XBlack[cq]
X;
XWhite[cr]
X;
XBlack[eq]
X;
XWhite[dr]
X;
XBlack[er]
XComment[Excellent choice, trading the corner for the \(enormous\) side.]
X;
XWhite[ep]
X;
XBlack[fr]
X;
XWhite[do]
XComment[White, of course, realizes that giving up the side would be quick way to lose. However, his \(possible\) life will be very difficult and black will get lots of profit.
X
XBlack is clearly winning.]
X;
XBlack[cp]
X;
XWhite[co]
X;
XBlack[eo]
XComment[Good timing for a kikashi cut. White is getting ever deeper into trouble.]
X;
XWhite[fp]
X;
XBlack[br]
X;
XWhite[bq]
XComment[Looks like white can't decide what to do. He's playing here and there but not really getting anywhere.]
X;
XBlack[bp]
X;
XWhite[bo]
X;
XBlack[aq]
X;
XWhite[gr]
X;
XBlack[ds]
X;
XWhite[en]
X;
XBlack[fo]
X;
XWhite[cm]
XComment[This is bad. The bottom group is *MUCH* bigger. And besides, getting eyes here is not nearly guaranteed, much less easy.]
X;
XBlack[go]
X;
XWhite[cn]
X;
XBlack[al]
XComment[Looks very much like a killing blow.]
X;
XWhite[gn]
X;
XBlack[hn]
X;
XWhite[fs]
X;
XBlack[cs]
X;
XWhite[gl]
X;
XBlack[gq]
XComment[Good. Removing worries here makes attacking the group above that much easier.]
X;
XWhite[hm]
X;
XBlack[fk]
XComment[Again tidying loose ends, and preparing to play a ko at F6.]
X;
XWhite[fn]
X;
XBlack[in]
XComment[Now it is clear jush how big the bottom is, and that 'big' is almos unbelievable. The game seems to be over, since black can start a ko at D11 any time.]
X;
XWhite[jl]
X;
XBlack[kn]
X;
XComment[White seems to regret his choice of abandoning the bottom, but too late.]
XWhite[hq]
X;
XBlack[hp]
X;
XComment[While this seems to be the vital point for anything here, that anything does not exist. This means that white is all the time giving black more and more points. Not recommended.]
XWhite[mp]
X;
XBlack[np]
X;
XWhite[no]
X;
XComment[Good style.]
XBlack[nn]
X;
XWhite[oo]
X;
XBlack[lp]
X;
XWhite[mn]
X;
XBlack[lo]
X;
XWhite[nm]
X;
XComment[This is bad style. It would be far better to start harrassing the white groups on the left side. Particularily, starting the ko at D11 would leave white in shambles since his weak group below can be used as an unlimited source of threats.
X
XNow black only gives white a chance to reinforce himself by attacking the lone stone.]
XBlack[ol]
X;
XWhite[nk]
X;
XComment[Big, but not nearly urgent.]
XBlack[rd]
X;
XWhite[of]
X;
XComment[Good, even if attacking the white group to the left seems accidental.]
XBlack[mf]
X;
XWhite[re]
X;
XBlack[qd]
X;
XWhite[hk]
X;
XComment[White should not delay but start the ko at D11.
X
XSomehow I get the feeling that black feels too relaxed to give the knock-out punch.]
XBlack[jg]
X;
XWhite[gj]
X;
XBlack[bl]
X;
XWhite[ah]
X;
XBlack[ai]
X;
XWhite[ih]
X;
XBlack[jh]
X;
XComment[Cutting here means that white's groups are going to be securely connected. So much for the knock-out.]
XWhite[ji]
X;
XBlack[ki]
X;
XWhite[jj]
X;
XComment[Now that the game has been made drastically closer, even if it is not close yet, black has to start trying once more.]
XBlack[pg]
X;
XWhite[pf]
X;
XBlack[pi]
X;
XComment[Bad style. Normal style would be either O12 or S12. Here O12 does not work so S12 is mandatory.]
XWhite[oh]
X;
XBlack[oi]
X;
XComment[Bad. Living small accomplishes nothing.]
XWhite[ph]
X;
XBlack[ni]
X;
XWhite[qi]
X;
XBlack[oj]
X;
XWhite[pk]
X;
XBlack[ok]
X;
XWhite[pl]
X;
XBlack[om]
X;
XWhite[pm]
X;
XComment[Black should connect at P6 first, as it is rather large sente, aiming at something like M8 or M10, the latter of which makes J14 unnecessary by making it impossible for white to play at J14.]
XBlack[if]
X;
XWhite[on]
X;
XComment[Black should play O13 first.]
XBlack[hc]
X;
XWhite[jm]
X;
XBlack[jn]
X;
XWhite[mg]
X;
XBlack[mh]
X;
XWhite[nh]
X;
XBlack[lh]
X;
XWhite[lg]
X;
XBlack[lf]
X;
XWhite[kg]
X;
XBlack[kf]
X;
XWhite[ng]
X;
XBlack[kh]
X;
XWhite[mj]
X;
XBlack[mi]
X;
XWhite[ne]
X;
XBlack[me]
X;
XComment[This looks too greedy.]
XWhite[nc]
X;
XBlack[oc]
X;
XWhite[md]
X;
XBlack[od]
X;
XWhite[lc]
X;
XBlack[ob]
X;
XWhite[ib]
X;
XBlack[hb]
X;
XWhite[jb]
X;
XComment[N18 looks more like the vital point.]
XBlack[kc]
X;
XWhite[kb]
X;
XBlack[ld]
X;
XWhite[mb]
X;
XComment[Luckily for black, omitting the vital point is not bad enough to let white live.]
XBlack[nb]
X;
XWhite[gb]
X;
XBlack[ha]
X;
XWhite[mc]
X;
XBlack[ma]
X;
XWhite[lb]
X;
XBlack[kd]
X;
XComment[This is silly, and there's no way this could work.]
XWhite[rb]
X;
XBlack[qb]
X;
XWhite[rc]
X;
XBlack[sd]
X;
XWhite[qc]
X;
XBlack[pb]
X;
XWhite[qa]
X;
XBlack[pa]
X;
XComment[Q1 would be bigger.]
XWhite[km]
X;
XComment[Better to play Q1 immediately.]
XBlack[lj]
X;
XWhite[lk]
X;
XBlack[ps]
X;
XWhite[qr]
X;
XBlack[qs]
X;
XComment[S1 is bigger, even if little painful.]
XWhite[hf]
X;
XComment[White should play S2 in sente first.]
XBlack[he]
X;
XWhite[gf]
X;
XComment[This kikashi is better left omitted. There are bigger points, and furthermore, it only loses sente.]
XBlack[gg]
X;
XWhite[hg]
X;
XBlack[ge]
X;
XWhite[ef]
X;
XComment[White finally resigns.
X
XIt is interesting to see how much panicking can cost. White invaded too deep in the left side and got right into trouble, which spread to all parts of the board.
X
XAlso interesting is to see how much can be lost by missing the most important move, taking the ko in the left side.]
XBlack[fe]
X)
EnD of WillChen.tsand
echo extracting flint.lounela 1>&2
sed 's/^X//' >flint.lounela << 'EnD of flint.lounela'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XHAndicap[3]
XGameName[\(IGS\) flint\(W\) vs lounela\(B\)]
XPlaCe[Internet Go Server:  Albuquerque, New Mexico, USA
X129.24.14.70 6969]
XREsult[]
XUSer[Brought to you by the IGS program]
XKoMi[0.5]
XAddBlack[dd][pd][dp]
XComment[A game played on the Internet Go Server
X
XWhite: flint, 6 dan
X
X3 stones: Olli Lounela, 3 dan
X
XBlack wins by resignation.
X
X18 May 1992 14:36
X
XCommentary by OL.]
X;
XWhite[qp]
X;
XBlack[oq]
X;
XWhite[lp]
X;
XBlack[on]
X;
XWhite[qm]
X;
XBlack[ip]
X;
XWhite[mn]
X;
XBlack[qq]
X;
XWhite[rq]
X;
XBlack[pp]
X;
XLetter[qo]
XComment[This would seem to be a kind of a trick move. Joseki \(according to Ishida's Dictionary\) is a.]
XWhite[qr]
X;
XLetter[pr]
XComment[White's tactics succeed. Black is confused by the atari and his reflexes don't work.
X
XThe only move here is the ko shape at a instead of the \(almost useless\) one point jump.]
XBlack[ol]
X;
XWhite[pq]
X;
XComment[Black tries to keep the price of his mistaek as low as possible.]
XBlack[pr]
X;
XWhite[po]
X;
XBlack[qq]
X;
XWhite[oo]
X;
XComment[The only move, whatever else happens. There is no way black can afford to play a ko here.]
XBlack[pq]
X;
XWhite[rr]
X;
XLetter[lq][no]
XComment[This move is a good point and seems to be the only way to salve something out of the situation.
X
XBlack is aiming either at a or b, the latter of which seems to connect.]
XBlack[mp]
X;
XWhite[pn]
X;
XBlack[lq]
X;
XComment[Both the groups in the bottom right corner are safe for the time being. The result is not very satisfactory for black but is not a catastrophe either.
X
XWhite, however, is very satisfied with cutting black into two and getting sente.]
XWhite[pf]
X;
XBlack[nd]
X;
XWhite[fc]
X;
XLetter[df]
XComment[Black is worried about a possibility of a ladder in the lower right corner. If such a ladder happens, it is better not to give white any free sente moves that might be offered by a.
X
XIn a sense black is playing lukewarm, but he definitely does not want any laddery complications in the bottom right.]
XBlack[cf]
X;
XWhite[kc]
X;
XComment[Good timing.
X
XBlack's idea is not to make a large corner but rather to prevent white from making black live small in the corner and in any way possiblr prevent a white wall, as that would turn the right side into enormous territory in the natural course of things.]
XBlack[qf]
X;
XWhite[qg]
X;
XBlack[qe]
X;
XWhite[oc]
X;
XComment[Natural. Black is not worried about the \(rather small\) corner territory.]
XBlack[nc]
X;
XWhite[nb]
X;
XComment[Very big and very important. Black is almost secure.]
XBlack[pg]
X;
XWhite[qh]
X;
XLetter[ph][of]
XComment[Necessary, and good shape.
X
XAt a instead would be asking for trouble since white will most likely be able to extend to b later.
X
XNote how the right side is still open.]
XBlack[og]
X;
XWhite[qc]
X;
XLetter[qj]
XComment[A light reduction and a good move.
X
XThe worst black could do is to invade deeply, say, at a. That would certainly provoke a white splitting attack in which the black group above would suffer and the invading stone would be likely to die.]
XBlack[pj]
X;
XWhite[pi]
X;
XBlack[oi]
X;
XWhite[qj]
X;
XBlack[mb]
X;
XWhite[ob]
X;
XLetter[lc][kb][ld][me]
XComment[This move is a compromise.
X
XBlack would sorely like to connect at a, but as that would provoke b, it is not advisable, as strenghtening the white stone is as good as giving away points.
X
XAlso a move at c or d has similar effect.
X
XBlack wants to test white's response with this compromise, and to make the white moyo as small as possible.]
XBlack[ic]
X;
XWhite[od]
XComment[A frightening move. Black seems to be helpless.]
X;
XBlack[oe]
XComment[The only move.]
X;
XWhite[mc]
XComment[This cut is a relief for black. The cut at a seems much more serious and much more difficult to answer.
X
XI was really worried about a, as it looks likely it would kill one of the cut black groups, the top or the right side.
X
XHowever, black might settle to taking the top, and that would be difficult for white. Even with a large white right side, black would seem be ahead in territory and far ahead in thickness.]
XLetter[ne]
X;
XComment[The only move.]
XBlack[ne]
X;
XWhite[lc]
X;
XBlack[db]
X;
XWhite[pk]
X;
XLetter[oj]
XComment[A very good and cool move.
X
XPreventing a white ponnuki on the right side at a is worth much less than securing the black group here beyond question.
X
XBlack is doing nicely.]
XBlack[kp]
X;
XWhite[oj]
X;
XLetter[ni][rd][rf]
XComment[Black goes ahead and takes an enormous point.
X
XThis is slightly risky, however, as a white attack at a would be most effective, and it is not clear whether black gets an eye at b after white answers at c.]
XBlack[dn]
X;
XLetter[ni]
XComment[White chooses to start the attack from this side, but attacking at a would be better.
X
XNevertheless, taking the big corner is understandable, as it is hard to resist a chance of taking territory while attacking.
X
XHowever, securing the black group by playing at a is more effective than it looks.]
XWhite[rd]
X;
XBlack[ni]
X;
XWhite[nj]
X;
XLetter[mi][mh][mj][lh][lg][mg]
XComment[Execllent. The very best move around here, and the only one that makes white's choice of follow-up a hard one.
X
XFirst, the sequence of W a, B b, c, d would give black an easy life, and thus be worse than just about anything else.
X
XOther moves are not much better, however. White c is easily refuted by e and f will be answered at e with sad results.
X
XNote, that c is the vital point, and if black gets it he will be perfectly safe.]
XBlack[li]
X;
XWhite[lg]
X;
XBlack[mj]
XComment[This black move secures an excellent result, with black playing two tenukis and still being far from being in any danger.
X
XBlack is clearly leading.]
X;
XWhite[eb]
X;
XBlack[dc]
X;
XWhite[hd]
XComment[This move is surprisingly effective.]
X;
XComment[
X lounela 3d I'm running out of time due to line problems.]
XBlack[id]
X;
XWhite[ie]
X;
XBlack[gd]
XComment[This move is just about all black can do, as trying to escape at a does not work. Black's group on the right side is not strong enough to stand a concentrated attack if white gets thickness of any kind at the top.]
XLetter[je]
X;
XWhite[hc]
XComment[The only move.
X
XEven if white secures quite a bit of territory at the top, black is satisfied with having secured the top left corner and leaving a bit of aji here.
X
XA typical application of the aji would be to play the kikashi sequence a to f and use that to attack any group invading the left side.]
XLetter[gc][gb][he][hb][if][je]
X;
XComment[A good and cool move.
X
XWith this move black both secures a very large bottom and simplifies the game very much.
X
XBlack is getting further and furher ahead and white must be feeling dismayed and desperate.]
XBlack[eq]
X;
XWhite[cl]
X;
XLetter[bm]
XComment[Good. Since the top left group is rock-solid, black can make this very tight pincer.
X
XPlaying on the other side, around a, would be much worse as it would let white steal the whole side without any real trouble.]
XBlack[cj]
X;
XLetter[el]
XComment[This is a surprising move. Even if white needs to take lots of territory to win, letting black strengthen himself further in no way helps.
X
XI would rather play at a, and worry about territory when time comes.
X
XI think white's move leaves black with too easy an answer.]
XWhite[co]
X;
XComment[The only move. Black is not worried about letting white live in corner, if it happens in gote. The black stone at E3 will serve well in containing any damage.]
XBlack[cn]
X;
XWhite[bn]
X;
XLetter[bo][cm][cq][cp][bp][cr][br][dr][bs]
XComment[The standard sequence for living in the corner after black B7 is a to i.]
XBlack[bm]
X;
XComment[This is unexplicable. I would venture a guess it is a typo white did not ask to undo.
X
XPlaying the standard sequence \(shown with the previous move\) would guarantee life, but this kaketsugi makes a difference. Now the best white can get is a ko.]
XWhite[bp]
X;
XBlack[an]
X;
XLetter[ao]
XComment[The ko at a is the only choice. Now white will die.]
XWhite[bo]
X;
XBlack[cm]
X;
XWhite[cq]
X;
XBlack[dr]
X;
XWhite[br]
X;
XLetter[bs]
XComment[This clearly destrouys white's eyes.
X
XActually, black a would also work.
X
XThe only real difference between this nonworking sequence and the one that would have worked is the black hane at A6.]
XBlack[aq]
X;
XComment[Since white's bottom right group is dead, white is lost. He needs to do something really effective to get back into the game.]
XWhite[mh]
X;
XBlack[mi]
X;
XWhite[mf]
X;
XLetter[oh][nh][ng][nf]
XComment[This is a slight risk. Black can cut with a to c. Black would have to either give up the tail of the group or play a ko with d.]
XBlack[ml]
X;
XWhite[lo]
X;
XComment[Black is taking it easy and playing it safe.]
XBlack[kq]
X;
XWhite[lk]
X;
XBlack[mk]
X;
XComment[This is bad as it destroys the cut.]
XWhite[ng]
X;
XComment[Now black only needs to escape or to live to win the game by lots.]
XBlack[oh]
X;
XWhite[jk]
X;
XBlack[lm]
X;
XWhite[ko]
X;
XBlack[jo]
X;
XWhite[kn]
X;
XComment[Good. Black correctly attaches little importance to attacking and/or territory, and sets to secure the center group.]
XBlack[jl]
X;
XWhite[mq]
X;
XBlack[np]
X;
XWhite[jn]
X;
XComment[Very good. Now the center group is almost perfectly safe.]
XBlack[kl]
X;
XWhite[in]
X;
XComment[Black plays one more tenuki and makes the center group absolutely secure.
X
XBlack's success in simplifying the game by giving up a few points shows clearly that he knows how the score stands.
X
XThe game seems to be irrevocably over.]
XBlack[ik]
X;
XWhite[mr]
X;
XBlack[nr]
X;
XLetter[do]
XComment[This is an interesting move. White sets his aim to destroying the bottom and utilizing the aji left behind by the gap at a.]
XWhite[gq]
X;
XComment[Black continues playing safe. 
X
XWhite has about 65 points and black has at the very least 70, and quite a bit of potential for more.
X
XEven if it looks like from the scores that the game is close, this is not the case. White has little potential for more territory and black has lots. Furthermore, every single one of black's groups is absolutely secure. This also is not the case with white's groups.]
XBlack[eo]
X;
XWhite[hp]
X;
XBlack[iq]
XComment[Good. This takes a few points while threatening white's connection. Also, it leaves no aji behind.]
X;
XWhite[gn]
X;
XBlack[ho]
XComment[A mistaek in reading, but not a serious one.
X
XBlack could squeeze with a to h, but black would take a few points at the bottom, about 10-15 that is. However, even that would be too much at this stage.
X
XThe only other choice is to let black cut. This is very painful.]
XLetter[io][go][fo][gp][fp][hq][fn][fq]
X;
XWhite[go]
X;
XBlack[hn]
X;
XWhite[hm]
X;
XBlack[io]
X;
XWhite[gl]
X;
XBlack[im]
X;
XWhite[nm]
XComment[Necessary. Otherwise white cuts with a to c.]
XLetter[no][nn][om]
X;
XBlack[fm]
X;
XWhite[gm]
X;
XBlack[fk]
XComment[Very good. This very clearly seals the victory, for black's left side territory is bound to increase as a side effect of the black attack.]
X;
XWhite[gk]
X;
XBlack[fj]
X;
XWhite[gj]
X;
XBlack[fi]
XComment[Black does not need to try for more. He is very satisfied with securing sixth-line territory.
X
XNote that the size of the left side increases with each white push, and black's center group is perfectly safe. Now it pays well to have spent a few moves securing it.]
X;
XWhite[fr]
XComment[The last attempt of making eyes without giving black any more territory. White tries to make eye shape.]
X;
XBlack[er]
XComment[Black plays safe, simple and lukewarm. He is aiming at using the aji at a to further the gap.]
XLetter[gc]
X;
XWhite[fp]
X;
XBlack[ep]
X;
XWhite[gi]
X;
XBlack[fh]
XComment[Black is happy to push more, as that only increases the side.
X
XThe game is over and white has settled the situation beyond any doubt.
X
XWhite resigns.]
X)
EnD of flint.lounela
echo extracting lounela.He 1>&2
sed 's/^X//' >lounela.He << 'EnD of lounela.He'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XName[\(IGS\) lounela\(W\) vs He\(B\)]
XAddBlack[dp][pd]
XComment[A game played on the Internet Go Server
X
X13 May 1992  16:11
X
XWhite: Olli Lounela, 3 dan
X
X2 stones: He, 1 dan
X
XWhite wins by 25 points.
X
XCommentary by OL.]
X;
XWhite[po]
X;
XBlack[dd]
X;
XWhite[qf]
X;
XBlack[qh]
X;
XWhite[nc]
XComment[Going into corner at R17 instead is not necessaryly interesting. White anticipates black moyo at the top and reacts accordingly.]
X;
XBlack[nd]
X;
XWhite[md]
X;
XBlack[ne]
X;
XWhite[ob]
XComment[This seems to be just about the only move.]
X;
XBlack[me]
XComment[Dubious. Giving white a helping push is probably not the best black can do.]
X;
XWhite[ld]
X;
XBlack[og]
XComment[Too small.]
X;
XWhite[qc]
XComment[Good.]
X;
XBlack[qd]
X;
XWhite[rd]
X;
XBlack[re]
X;
XWhite[rc]
X;
XBlack[dj]
XComment[Tenuki is a good choice.
X
XBlack's result at the top right is not good, he is too overconcentrated. White, in contrast, has lots of territory there.
X
XNote, that R15 is only yose, even if rather large one.]
X;
XWhite[fc]
X;
XBlack[fd]
XComment[Dubious. Black is strengthening white while he should be aiming at invading the top later.]
X;
XWhite[ed]
XComment[White's reluctance to play G16 is understandable. He does not want to provoke a black sixth-line wall.
X
XE16 requires that a white ladder toward bottom right is favourable. If it weren't, a black cut at E17 would be most effective.]
X;
XBlack[ee]
X;
XWhite[ec]
X;
XBlack[de]
X;
XWhite[dc]
X;
XBlack[jp]
XComment[This is a bad move.
X
XEven if the bottom is large, it is not urgent. Thus, interrupting the joseki in the top left is not justified. Black should play C17.]
X;
XWhite[cc]
XComment[Extremely big sente...]
X;
XBlack[cd]
XComment[...which forces black to defend in bad shape.]
X;
XWhite[cn]
XComment[Good.]
X;
XBlack[cl]
X;
XWhite[en]
X;
XBlack[fp]
X;
XWhite[el]
X;
XBlack[fj]
X;
XWhite[hp]
XComment[White feels he is falling behind, that he has to make an extra effort. This is because of the large black moyo in the upper left and also because of the bottom.
X
XWhite is actually not afraid of a black cut since the left side lives easily with C4.
X
XTaking the initiative this way is good.]
X;
XComment[This is a bad move, one of the two worst here. Black is in effect cutting himself into two here by forcing black to cut, which of course is what he'd like to do anyway.
X
XOne definitely should not help one's opponent this way.]
XBlack[hq]
X;
XWhite[iq]
X;
XBlack[gq]
X;
XComment[A tewari analysis reveals just how bad black's sequence was: imagine this same situation *without* J4 and K4.
X
XIn that case black definitely would _not_ want to peep at K4, to which white of course would be happy to answer by connecting at J4.
X
XThat, however, is effectively just what black has done.]
XWhite[ip]
X;
XBlack[bp]
XComment[Black secures some territory and robs white's group of eyes. This, however, has the adverse and very distasteful \(for black that is :-\) effect of forcing white to connect his two weak groups.
X
XNo good.]
X;
XWhite[gn]
XComment[White is very happy to play here. He now has little in the way of problems.]
X;
XBlack[pq]
X;
XWhite[qq]
X;
XBlack[qr]
X;
XWhite[qp]
X;
XBlack[or]
X;
XWhite[nq]
XComment[White seems to be feeling playful. While this move is not bad, it isn't necessarily good either. The aim of white is to make black sweat a little and try out his nerves.
X
XHowever, looks like white does need to do domething bigger than just letting black live peacefully. So, this is an active choice and definitely a possible move. White actually seems a bit ahead now.]
X;
XBlack[op]
X;
XWhite[mp]
XComment[The proper shape.]
X;
XBlack[no]
XComment[Not the proper shape. Black should push up at P5 and then run into centre. O5 will just end in dubious or even bad shape.]
X;
XWhite[mo]
X;
XBlack[nn]
X;
XWhite[ql]
XComment[Good. White secures this group, and clearly takes the lead.
X
XNote, BTW, that R9 would be too greedy as it would leave a bothersome invasion at R7. Better to play safe.]
X;
XBlack[mn]
X;
XWhite[ko]
X;
XBlack[rr]
X;
XWhite[qj]
XComment[Excellent. The aim of this move is none other than to live by expanding the territory, if only a little.
X
XR10 also threatens somewhat the black group above...]
X;
XBlack[oi]
XComment[...and black shows that he worries about his group enough to defend it in gote.]
X;
XWhite[bo]
XComment[White feels confident and starts the endgame.]
X;
XBlack[cq]
X;
XWhite[fe]
XComment[Enormous. The difference between white F15 and black G16 is just unbelievable.
X
XWhite is doing well enough and just about securing the game.]
X;
XBlack[ff]
X;
XWhite[gd]
X;
XBlack[gf]
X;
XWhite[qe]
XComment[Also very big.]
X;
XBlack[rf]
X;
XWhite[rg]
X;
XBlack[qg]
X;
XWhite[se]
X;
XBlack[rh]
XComment[This is a mistaek. Black should play Q14 in sente so as to have a strong group here. That would open all kinds of possibilities in the centre.]
X;
XWhite[sf]
X;
XBlack[ok]
X;
XWhite[ri]
XComment[White is not sure wether this group lives, but is not willing to gamble it either. White's attitude feels overconfident and lazy, however.]
X;
XBlack[kf]
XComment[Extremely large. This move actually throws the result of the game in doubt. White will again have to work for it.
X
XWhile defending at S11 was understandable, it nevertheless feels a bit slack.]
X;
XWhite[ln]
XComment[White plays carefully and reduces black's center while increasing his side.
X
XThe move M6 is very important, however, even if not very large. Just imagine black playing at L7 instead.]
X;
XBlack[ll]
XComment[Incomprehensible. Black is trying not to surround the center in large enough scale.]
X;
XWhite[ol]
XComment[Nice timing. Later black might not answer, and now it is large.]
X;
XBlack[nl]
X;
XWhite[pk]
X;
XBlack[nk]
X;
XWhite[dg]
XComment[This move requires a bit of explanation.
X
XFirst, it is not quite as dangerous as it seems. Black will have to connect somehow, and that gives black a chance to exploit the aji around here.
X
XSecond, white is not necessarily planning to live or escape. A good sacrifice sequence will be satisfactory result.
X
XThird, the aji around seems to just about guarantee that white can either escape or live.]
X;
XComment[Slightly dubious. Black shows he's trying to kill, but is playing too close. That helps white more than black.
X
XIf white gains just a few more liberties, the cut at E14 will be a real threat.]
XBlack[ch]
X;
XWhite[dh]
X;
XBlack[ef]
X;
XComment[White seems just about secure.
X
XBlack's C12 looks really funny now.]
XWhite[ci]
X;
XBlack[cg]
X;
XComment[White makes his intentions clear. He's not trying to live or escape. He's reducing the side as much as possible, and escaping with the lower two stones, even while leaving a bit of aji behind.]
XWhite[cj]
X;
XBlack[di]
X;
XWhite[ck]
X;
XBlack[dk]
X;
XWhite[bl]
X;
XComment[I do not understand this move. It's just helping white while yielding a few points.]
XBlack[bm]
X;
XWhite[cm]
X;
XBlack[dl]
X;
XComment[This move is debatable.
X
XThe hanging connection of B10 seems possible, but I had a definite idea as to why not to play it. I was aiming at C14, and in that case having three liberties below instead of four might be a burden.
X
XWhite is playing very safe, and he has a clear lead again.]
XWhite[bk]
X;
XComment[Very, very big, but not nearly as big as white's successful reduction of the left side.]
XBlack[jd]
X;
XComment[Also very big.]
XWhite[hj]
X;
XComment[This is slightly dubious \(the reason follows after a couple of moves\).]
XBlack[hk]
X;
XWhite[ik]
X;
XComment[This would be good if it worked. But, since it doesn't, it and the previous moves are cast in doubt.]
XBlack[ij]
X;
XWhite[gk]
X;
XBlack[hi]
X;
XWhite[gj]
X;
XBlack[gi]
X;
XComment[This is the reason. Since this move is sente and white gets the sente to atari at K10 \(and captures a stone while making a bit of territory in the process\), black loses points here.]
XWhite[fk]
X;
XBlack[fi]
X;
XWhite[jj]
X;
XBlack[ii]
X;
XWhite[kk]
X;
XComment[Big, but not big enough, since white gets sente.]
XBlack[li]
X;
XWhite[ie]
X;
XBlack[je]
X;
XComment[An important point, this also makes a peep at K8 impossible.]
XWhite[ki]
X;
XBlack[kh]
X;
XComment[Also very big, and besides, a skillful sacrifice sequence.]
XWhite[cf]
X;
XBlack[bf]
X;
XWhite[be]
X;
XBlack[bg]
X;
XWhite[bd]
X;
XBlack[bi]
X;
XWhite[ce]
X;
XBlack[df]
X;
XComment[White got all he wanted from the top left and now takes the biggest point. The game is over and black should resign.]
XWhite[nr]
X;
XBlack[so]
X;
XComment[The only move. S5 would not work nearly as well here. Playing T3 guarantees white a good shape or \(if black is greedy\) sente.
X
XThe sequence after W s5 would be B T4, W S6, S3, S4, T3, S6. That would guarantee black sente and white bad shape, with just about no difference in points.]
XWhite[sq]
X;
XBlack[rq]
X;
XWhite[rp]
X;
XBlack[sp]
X;
XWhite[sn]
X;
XComment[Very bad, black is too greedy. Better to capture at T2 and take sente after both connect.
X
XBTW, I'm including the onlookers' comments and replying them for a while. My responses \(and comments\) start with 'OL:'.]
XBlack[ro]
X;
XWhite[rn]
XComment[
X testx NR  I am surprised by these moves.
X
XOL: There's nothing special about them. They are, if anything, even more usual in pro games than the 'standard' play of S5 intead of T3.
X
XT3 is a kind of guarantee that black will not do anything unexpected.]
X;
XBlack[sr]
XComment[
X wer NR  how did a 3d  munge that simple monkey jump?
X
XOL: The answer, of course, is that he didn't.]
X;
XWhite[qo]
X;
XBlack[sq]
X;
XWhite[hr]
XComment[
X testx NR  S5 is the common sense.
X
XOL: But not the best.
X
XThis move is very large, by the way.]
X;
XBlack[gr]
XComment[
X wer NR  or does he just give up 5points for sente?
X
XOL: Exactly. White's getting sente means that black has bungled rather badly. It's not 5 points, BTW, but more like 2.]
X;
XWhite[ir]
X;
XBlack[om]
XComment[
X testx NR  Definitely not.
X
XOL:  :-\)  Definitely yes.]
X;
XWhite[pm]
XComment[OL: Very good style, giving up a couple of points and gaining a couple of sentes while tenukiing.]
X;
XBlack[pl]
XComment[
X testx NR  Black can choose T2 instead of S5, if he wants to be sente.
X wer NR  right.  so it cost w about 5 p to take sente there
X
XOL: Just about. Sente was quite a bit larger than those two \(sic!\) points.]
X;
XWhite[sh]
XComment[
X zj NR  b  can play r5
X zj NR  then r6
X
XOL: White wants to play it safe now. He's more than 20 points ahead, and knows it. He also is very sure of the victory and does not want to bungle it by being impatient.
X
XBTW, onlookers commented no more.]
X;
XBlack[if]
X;
XWhite[kl]
X;
XBlack[lm]
X;
XWhite[km]
X;
XBlack[pj]
X;
XWhite[ol]
XComment[Taking the ko once is good style.]
X;
XBlack[bc]
X;
XWhite[bb]
X;
XBlack[pl]
X;
XWhite[qk]
XComment[White connects as he originally had no intention of fighting the ko. He does not need to.]
X;
XBlack[qi]
X;
XWhite[pn]
XComment[This is a safety-first move, which \(almost :-\) accidentally makes a few points also.]
X;
XBlack[ib]
X;
XWhite[kc]
X;
XBlack[jc]
X;
XWhite[kb]
X;
XBlack[gb]
X;
XWhite[fb]
X;
XBlack[lj]
XComment[Big, but black is still trailing by more than 20 points.]
X;
XWhite[ji]
XComment[White also wakes up to play some endgame moves...]
X;
XBlack[jh]
X;
XWhite[le]
X;
XBlack[lf]
X;
XComment[Very, very big sente.]
XWhite[of]
X;
XBlack[nf]
X;
XWhite[oe]
X;
XBlack[od]
X;
XComment[Also very big sente.]
XWhite[he]
X;
XBlack[hf]
X;
XComment[One more big sente.]
XWhite[gs]
X;
XBlack[fs]
X;
XWhite[hs]
X;
XBlack[er]
X;
XComment[Yet one more.]
XWhite[oq]
X;
XBlack[pp]
X;
XWhite[os]
X;
XBlack[pr]
X;
XWhite[np]
X;
XBlack[oo]
X;
XComment[A slight mistaek, but not a serious one. This move is equal to passing.
X
XHowever, white's series of big sentes has more than made up for this.]
XWhite[do]
X;
XBlack[dm]
X;
XWhite[dn]
X;
XBlack[em]
X;
XWhite[fm]
X;
XBlack[kj]
X;
XWhite[jk]
X;
XBlack[ek]
X;
XComment[White decides that connecting at F8 would not gain anything.]
XWhite[lk]
X;
XBlack[fl]
X;
XWhite[gl]
X;
XBlack[mk]
X;
XComment[Very big.]
XWhite[ap]
X;
XBlack[aq]
X;
XWhite[ao]
X;
XBlack[fo]
X;
XWhite[fn]
X;
XBlack[pc]
X;
XWhite[pb]
X;
XBlack[go]
X;
XWhite[ho]
X;
XComment[Also big.]
XBlack[aj]
X;
XWhite[am]
X;
XBlack[af]
X;
XWhite[gp]
X;
XBlack[ep]
X;
XComment[This move is worth taking notice. It is an excellent yose tesuji, which steals black's eyes and forces him to capture the two stones D12, D13.
X
XThis is worth about 5 or 6 points in gote.]
XWhite[ah]
X;
XComment[Or, as it actually happened, in sente.
X
XNothing much to comment any more. White is sure of victory]
XBlack[bh]
X;
XWhite[bj]
X;
XBlack[ai]
X;
XWhite[hc]
X;
XBlack[hb]
X;
XWhite[jb]
X;
XBlack[ic]
X;
XWhite[pg]
X;
XBlack[ph]
X;
XWhite[pf]
X;
XBlack[ge]
X;
XWhite[hd]
X;
XBlack[al]
X;
XWhite[bn]
X;
XBlack[ak]
X;
XWhite[bm]
X;
XBlack[ps]
X;
XWhite[ns]
X;
XBlack[cp]
X;
XWhite[fd]
X;
XBlack[fa]
X;
XWhite[ea]
X;
XBlack[ga]
X;
XWhite[ac]
X;
XBlack[eh]
X;
XWhite[ae]
X;
XBlack[eg]
X;
XWhite[ia]
X;
XBlack[ke]
X;
XWhite[kd]
X;
XBlack[ng]
X;
XWhite[oc]
X;
XBlack[ol]
X;
XWhite[rm]
X;
XBlack[on]
X;
XWhite[el]
X;
XBlack[rj]
X;
XWhite[si]
X;
XBlack[fl]
X;
XWhite[ja]
X;
XBlack[ha]
X;
XWhite[el]
X;
XBlack[rf]
X;
XWhite[re]
X;
XBlack[fl]
X;
XWhite[gc]
X;
XBlack[el]
X;
XWhite[id]
X;
XBlack[pe]
X;
XWhite[eo]
X;
XBlack[co]
XComment[Black: 50 + 9 = 59
X
XWhite: 72 + 12 = 84
X
XWhite wins by 25 points.]
X)
EnD of lounela.He
echo extracting lounela.yao 1>&2
sed 's/^X//' >lounela.yao << 'EnD of lounela.yao'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XComment[A game played on the Internet Go Server
X
XThu, 9 Apr 1992, 09:55 EST \(?\).
X
XWhite: Olli Lounela, 3 dan
X
XBlack: yao, 3 dan
X
XWhite wins by resignation.
X
XCommentary by OL.]
XName[\(igs\) lounela\(white\) vs. yao\(black\)]
X;
XComment[Slightly unusual.]
XBlack[oc]
X;
XWhite[pp]
X;
XBlack[dq]
X;
XComment[It's very unusual to omit the empty corner, but white has his reasons.
X
XMost importantly, white wants to prevent black from making a shimari here. Also, white tries to play consistently, tries to make his stones co-operate.]
XWhite[pe]
X;
XComment[Black plays a semi-trick move whitch frustrates white's aim.]
XBlack[qg]
X;
XComment[The only move.]
XWhite[qd]
X;
XBlack[qj]
X;
XComment[An interesting and old-fashioned move. This was popular during the 19th century, but no longer.]
XWhite[kc]
X;
XComment[Very, very big.]
XBlack[dc]
X;
XComment[Consistent but a bit slow. White considers the two black shimaries miai. The fuseki has so far been both players defying the other. Black plays modern and white more old-fashioned.]
XWhite[nd]
X;
XBlack[nq]
X;
XComment[This is best. If black got the chance to play here, he would gain immediately a large side, and all the pressure would be on white.]
XWhite[jp]
X;
XBlack[no]
X;
XComment[Much better than Q6.]
XWhite[qn]
X;
XBlack[pr]
X;
XWhite[qq]
X;
XComment[I think this is a mistaek. Black should defend his bottom right group somehow, perhaps at K2. Allowing M2, which takes away black's eye shape, is just too good for white.]
XBlack[hp]
X;
XWhite[lq]
X;
XComment[This feels a bit too greedy.]
XBlack[iq]
X;
XComment[Possible only because of M2.]
XWhite[jm]
X;
XComment[Jumping to O7 should be better. Black is only strengthening white here -- he's likely to come to regret it soon enough.]
XBlack[ko]
X;
XWhite[jo]
X;
XBlack[kn]
X;
XComment[While it is hard to think of anything else to do, this shape feels shaky. White has lots of cutting points black can aim at. However, making a shapeless connection at K6 is repulsive as an idea.]
XWhite[ho]
X;
XComment[This might be a slight aji-keshi.]
XBlack[jn]
X;
XWhite[in]
X;
XBlack[kp]
X;
XWhite[jq]
X;
XBlack[kq]
X;
XComment[The only move. K2 is too slow and L2 doesn't work.]
XWhite[ir]
X;
XComment[Dubious. L2 seems better.]
XBlack[lr]
X;
XWhite[kr]
X;
XBlack[mr]
X;
XComment[While this almost secures the group, giving black sente this way is risky. Black's cut at J7 is going to be very dangerous.
X
XHowever, in this kind of situation it's hard to bring yourself to connect with a move like H8.
X
XWhite is aiming at utilizing the cutting stone at M3.]
XWhite[km]
X;
XBlack[do]
X;
XWhite[de]
X;
XComment[Yet again I get the feeling black is trying to trick white. While this move *is* good enough, the gap on the left side feels just too large for my taste.]
XBlack[cg]
X;
XWhite[ef]
X;
XBlack[gc]
X;
XComment[Trying to cook up something against the C13 stone.]
XWhite[cm]
X;
XBlack[dm]
X;
XWhite[dl]
X;
XBlack[cn]
X;
XWhite[em]
X;
XBlack[dn]
X;
XComment[White unravels his plans for all to see. This move is extremely big in itself, and also puts a lot of pressure on the single stone below and the black group to the right.
X
XWhite considers D8, C7 and E7 kikashis.]
XWhite[cc]
X;
XComment[Interesting shape.]
XBlack[dk]
X;
XWhite[el]
X;
XComment[This kind of move is usually bad, forcing your opponen to connect strongly while cutting yourself apart. Black must feel very sure about his forthcoming attack.]
XBlack[ck]
X;
XWhite[cl]
X;
XBlack[hr]
X;
XComment[Nicely timed peep. Later black might be able to answer differently, now he must connect.]
XWhite[gq]
X;
XBlack[hq]
X;
XComment[Risky.
X
XWhite has concluded that there is no good way to attack his bottom and lower left groups and takes the biggest point on the board. This move is almost sente. It's not easy, however, to see how white can save his groups if black really tries to do some killing.]
XWhite[db]
X;
XComment[The big and most severe cut.]
XBlack[im]
X;
XComment[The proper shape.]
XWhite[go]
X;
XBlack[is]
X;
XWhite[jr]
X;
XBlack[ks]
X;
XComment[Connecting tightly is best. Now white is threatening something here.]
XWhite[io]
X;
XComment[Black has read out that W G2 does not work. This is a severe move separating white further.]
XBlack[il]
X;
XWhite[lm]
X;
XBlack[mn]
X;
XComment[White is doing also some reading, but actually he's hallucinating. This should not work.
X
XHowever, as long as white gets out of here in sente, the big groups is not dead yet. It will be under *VERY* severe attack, though, and extremely difficult to save.]
XWhite[mp]
X;
XBlack[ln]
X;
XWhite[js]
X;
XBlack[gr]
X;
XWhite[np]
X;
XComment[This is a big mistaek. Now the sequence white read out does work. If black had played at N3 instead, white would have been in trouble.]
XBlack[op]
X;
XWhite[oq]
X;
XBlack[oo]
X;
XComment[And voila -- white is connected. A big success. The games starts looking interesting for white.]
XWhite[nr]
X;
XBlack[po]
X;
XWhite[mq]
X;
XBlack[qp]
X;
XWhite[pq]
X;
XComment[This is black's compensation, but I think that white got the better deal, getting D18 and all his groups secured.
X
XNote that black's only territory is in the lower left corner. White has territory all over the board. The game looks grim for black.]
XBlack[qo]
X;
XComment[White does not need to go in deeper.]
XWhite[oj]
X;
XComment[Black has to do something pretty spectacular -- so he attacks by capping above. If he played below the reducing white stone, there would be no way for black to win the game territorially.]
XBlack[mj]
X;
XComment[White goes in deeper. He's relying on the sente descent S6 to keep himself out of real trouble.]
XWhite[qk]
X;
XBlack[pj]
X;
XWhite[pk]
X;
XBlack[ok]
X;
XComment[Making eye space.]
XWhite[rj]
X;
XBlack[ri]
X;
XWhite[rn]
X;
XBlack[rq]
X;
XComment[White is almost alive.]
XWhite[rl]
X;
XBlack[sj]
X;
XComment[This ko is the best black can do, but since white has local threats, is seems there is no way black can win it.]
XWhite[sk]
X;
XBlack[rk]
X;
XWhite[ro]
X;
XBlack[rp]
X;
XWhite[rj]
X;
XComment[This, of course, is nowhere comparable to the ko.]
XBlack[fn]
X;
XWhite[si]
X;
XComment[Since black also feels compelled to answer white's ko capture, the whole sequence is an astonishing success for white. Besides destroying black's biggest prospective territory, he also gets a few points there in sente.
X
XThet game seems to be just about over.]
XBlack[oi]
X;
XComment[A probe.]
XWhite[en]
X;
XComment[Black is trying to attack as severely as possible.]
XBlack[fo]
X;
XComment[Another probe. If black E4, then F4, G4, G7 and white is connected.]
XWhite[eo]
X;
XComment[This move, however, is even worse. Black is left the chance of raping the corner.]
XBlack[fp]
X;
XComment[With the advantage of hindsight, I'd say this is certainly a mistaek. If white lives below, inducing black to defend here is a loss.
X
XHowever, I felt the pressure of being in the lead. It's not always easy to win a won game.]
XWhite[fj]
X;
XBlack[ei]
X;
XWhite[ep]
X;
XComment[If at D4, E3 will capture some stones.]
XBlack[eq]
X;
XWhite[dp]
X;
XBlack[cp]
X;
XWhite[cq]
X;
XBlack[bq]
X;
XWhite[cr]
X;
XComment[This is unexplicable. Must be a thinko. There is no way black can win this semeai.
X
XInstead, B6 whould have made a ko.]
XBlack[bp]
X;
XWhite[bn]
X;
XBlack[co]
X;
XComment[Now it's clear white wins the semeai. Most unfortunately for black, the shape after capturing also guarantees eyes. And furthermore, black's own group to the right needs reinforcement.]
XWhite[br]
X;
XComment[gaining a liberty, but black is still behind.]
XBlack[bm]
X;
XWhite[bl]
X;
XBlack[dr]
X;
XComment[This is best. Any other move leaves much more of bad aji.]
XWhite[ar]
X;
XComment[Connecting the group outside.]
XBlack[gm]
X;
XComment[A declaration of victory.
X
XWith this one single move white makes absolutely clear the games is won. Besides taking *lots* of territory, this move secures white's last even vaguely weak position -- all others are already rock-solid.
X
XBlack is trailing by more than 30 points. This would be a good place to resign.]
XWhite[nc]
X;
XBlack[qr]
X;
XWhite[or]
XComment[White takes it easy, taking no risks.]
X;
XBlack[cb]
XComment[This is strange, I cannot see what black tries to achieve with this cut.]
X;
XWhite[ec]
XComment[White continues playing as solid as possible.]
X;
XBlack[cd]
X;
XWhite[dd]
X;
XBlack[ce]
X;
XWhite[bc]
XComment[Another very solid move.
X
XNote also how white's ponnuki affects the black stone to the right. This means there is absolutely no hope for black to gain more territory. Black should resign.]
X;
XBlack[jc]
X;
XWhite[jb]
X;
XBlack[kb]
X;
XWhite[lb]
XComment[Yet again the most solid choice.]
X;
XBlack[kd]
X;
XWhite[ka]
X;
XBlack[lc]
X;
XWhite[kb]
X;
XBlack[jd]
XComment[Black gains somewhat from securing the stones here this easily.
X
XWhite is far, far ahead, however.]
X;
XWhite[ci]
XComment[Destroying this territory is yet another big point. White doesn't mind giving black something as long as he gets compensation.]
X;
XBlack[eg]
X;
XWhite[cf]
XComment[Now it is clear that white, besides destroying all black's territory \(or actually, moyo\) here, is aiming at a double attack on this group and the one at the top. Black definitely can't expect a good result after this.
X
XBlack resigns.]
X)
EnD of lounela.yao
echo extracting rcn.JohnBate 1>&2
sed 's/^X//' >rcn.JohnBate << 'EnD of rcn.JohnBate'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XHAndicap[4]
XKoMi[0.5]
XComment[A game played on the Internet Go Server
X
XWhite: rcn, 3 dan
X
X4 stones: John Bate, 2 kyu
X
XWed, 22 May 1992
X
XBlack wins by resignation.
X
XCommentary by JB & Olli Lounela.]
XAddBlack[pp][dd][pd][dp]
X;
XWhite[qf]
X;
XComment[OL: This is a good move, as it is well balanced in respect to the black stones at the corners above and below.]
XBlack[pj]
X;
XWhite[of]
X;
XBlack[nd]
X;
XWhite[pl]
X;
XComment[OL: This is an interesting move. 
XFirst, it is not bad at all. It makes white's Q8 look dubiously placed, and protects the corner quite nicely.
X
XIt is passive, however. Black will need to run to the center with Q10, and that can have unwanted adverse effects on black positions all around.]
XBlack[qn]
X;
XWhite[fq]
X;
XLetter[cn][nq][pr]
XComment[OL: Here comes up the point that what it is that black wants.
X
XI would prefer making smallish secure positions from which to harry white's unsafe ones, as black has four stones of handicap after all.
X
XI would play black 'a' and if white 'b', black 'c' nicely leaves white overextended and vulnerable for invasion.]
XBlack[jq]
X;
XWhite[fo]
X;
XBlack[dn]
X;
XWhite[mp]
XComment[OL: A rather strange point for invasion, but not impossible.]
X;
XLetter[mq][oq]
XBlack[nq]
XComment[OL: This is downright bad. One should never, ever, ever play this kaketsugi \(shoulder-hit\) below without a very special reason and a clear knowledge that it is really bad style.
X
XHere it clearly strengthens white by provoking 'a', whereas it does next to nothing for black's corner.
X
XIt would be far better to either leave this move unplayed \(probably the best choice\) or play at b.]
X;
XWhite[mq]
X;
XLetter[jn][kn]
XComment[OL: This seems a bit slow considering that the white positions in both directions are rather far away. I would play either 'a' or, more likely, 'b', the latter of which also has the effect of attacking the two white stones to the right a bit.]
XBlack[jo]
X;
XWhite[mn]
X;
XComment[I had pretty much decided that the last two moves were miai. Cap whichever white stones don't jump out. Seemed to be good.
X
XOL: Good idea, and seems to work rather nicely.
X
XI, however, would be bothered about the bad placement of O3 and the possiblity of a rather heavy attack on the black group in the middle bottom.]
XBlack[fm]
X;
XComment[OL: This is a typical tactic: a leaning attack aimed on the middle bottom group.]
XWhite[gm]
X;
XComment[OL: This I find slightly dubious.
X
XWhile it is important to strengthen black's left side, pushing into white also strengthens white's group, and this in turn weakens the black group in the middle bottom. This looks like it were spelling a difficult fight for black.]
XBlack[fn]
X;
XWhite[ho]
X;
XLetter[jm][hq][gp][ip][jp][iq][ir]
XComment[OL: Bad. Black whould first and foremost escape from the bottom in a good shape. Especially strengthening the attacking groups from the outside is not to be recommended.
X
XI would rather play at 'a', only probably ater first forcing with 'b', which white seems to be forced to answer 'c'.
X
XNote, that if white answers 'b' with 'd', the sequence to 'g' is to be expected, after which black's position has been substantially strenghened, besides which black would have poked himself out at 'a'. This would leave white weak and under attack on the side white would not defend.]
XBlack[gn]
X;
XWhite[ip]
X;
XBlack[jp]
X;
XWhite[hn]
X;
XBlack[hm]
XComment[OL: This cut is foolhardy. Black stands a very real chance of getting killed in the middle bottom.]
X;
XWhite[im]
X;
XComment[At this point, I thought that if white captured the 3 black stones in gote, the ponnuki and sente would be enough compensation, and that the 3 stones would still have lots of useful aji.
X
XOL: The bottom territory, if white gets it, is actually rather large. In handicap game, I don't think the ponnuki would be adequate compensation. The aji left behind would amount to so little as to be almost nonexistent.]
XBlack[gl]
X;
XWhite[in]
XComment[OL: This I find bad.
X
XFirst, it's a very bad shape.
X
XSecond, it does not even try to kill black.
X
XThird, it offers black an easy way out.
X
XI would play at 'a' and try to kill black by main force. That would at least force black to live with difficulty inside white's position, and that would surely cause damage to the surrounding black positions.]
XLetter[kn]
X;
XBlack[lo]
X;
XWhite[mo]
X;
XComment[However, this splitting attack seemed too good not to try, so I committed myself to saving the black stones. The white groups on both sides were weak enough to make it feasible, I thought. Plus I have some room on the bottom edge to play around.
X
XOL: Escaping when offered a route this easy is natural. Black will have to be careful, however. The white group to the left is not as weak as it seems. Thus, black will have to concentrate on utilizing the weaknesses of the white group to the right.]
XBlack[km]
X;
XWhite[ik]
X;
XBlack[jl]
X;
XWhite[il]
X;
XComment[I rather liked that combination. At this point, my prospects seemed pretty good.
X
XOL: True enough, even if the stone at O3 looks clumsy. I would not enjoy being white in this position.]
XBlack[ml]
X;
XComment[OL: Aji keshi.]
XWhite[lm]
X;
XBlack[ll]
X;
XWhite[kk]
X;
XComment[That was a bit painful to connect, but "a" didn't work \(ladder broken\).
X
XOL: This is not at all painful, I think. You should be laughing in joy and dancing around in little circles, since your opponent, a 3 dan, no less, goes ahead and helps you this way.
X
XWhat really happens is that white forces black to securely connect where there were some weaknesses, and white gains nothing in the exchange. White's 'kikashis' are actually thank-you moves.
X
X'a' does not work. Nevertheless, black really should force at 'b' first, so as to secure the connection further.]
XBlack[kl]
XLetter[jk][ln]
X;
XLetter[om]
XComment[OL: Very dubious. If black plays at 'a', the white group below will likely die, and that would be more than white can afford.]
XWhite[ok]
X;
XLetter[om]
XComment[Perhaps jumping out would have been better, but those 5 white stones are just too tempting.
X
XOL: No kidding. 
X
XSeriousy, though, the kosumi is a bit shaky shape here. I would prefer 'a'.]
XBlack[nm]
X;
XWhite[oq]
X;
XLetter[pq][nr]
XComment[OL: This is bad. It's a bad idea and a bad way to do it.
X
XFirst, black should not be possessed of the idea of killing. Letting white live small and taking territory and connecting securely would definitely be good enough. I would recommend 'a' instead.
X
XSecond, if black wants to save the single stone, 'b' looks better.]
XBlack[np]
X;
XWhite[nr]
X;
XLetter[or]
XComment[OL: The other cut, at 'a', would seem better. The side is bigger than the corner.]
XBlack[mr]
X;
XWhite[lr]
X;
XBlack[or]
X;
XWhite[ms]
X;
XLetter[op]
XComment[OL: 'a' is definitely better. The connection above is more important than a few points in the corner, which BTW would not be lost before white lives.]
XBlack[pq]
X;
XWhite[kq]
X;
XLetter[lj][pm][ql][nk]
XComment[First big mistake. Induces an attack on myself!  Should have jumped to "a" probably.
X
XOL: I would prefer playing at 'b', so as to secure the connection while threatening a connection below at 'c'. White would be almost forced to answer at 'd'.]
XBlack[oj]
X;
XWhite[nk]
X;
XLetter[on][pm]
XComment[Getting a little too aggressive. My group is not quite safe yet. Playing something like "a" would have solidified a good lead.
X
XOL: 'b' is still better. Furthermore, it will remain sente throughout the following sequence.]
XBlack[mf]
X;
XWhite[nj]
X;
XBlack[ni]
X;
XWhite[mi]
X;
XBlack[nh]
X;
XWhite[ph]
X;
XBlack[oi]
X;
XComment[Now it hits the fan.
X
XOL: Right. It's now too late to dream about a connection. Now the only chance is to escape.]
XWhite[on]
X;
XComment[Another dumb move. Just induces white to attack me and strenghten himself.
X
XOL: Right, and strengthen in a very bad way: white is making eye shape.]
XBlack[nn]
X;
XWhite[no]
X;
XBlack[lj]
X;
XWhite[mj]
X;
XBlack[kj]
X;
XComment[A leaning attack.]
XWhite[mh]
X;
XComment[Too big to give up now.
X
XOL: And besides, fighting spirit makes escaping forced.]
XBlack[ng]
X;
XWhite[lf]
X;
XLetter[mg][lg][kg][lh][li][kh][ki][jh][ji]
XComment[Bad shape. My thinking was that I didn't want to give white a sente play at "a". Maybe "b"?
X
XOL: Yes, it is a bad shape, but it is probably the only thing to do. 'b' would only provoke 'a', and after black connects, 'c' would either give white ponnuki or seal black in with the sequence to 'i' in a most effective way. Bad shape is really preferable to that]
XBlack[nf]
X;
XWhite[ji]
XComment[OL: Just about the vital point.]
X;
XComment[More bad shape. But it looks like the only possible escaping move.
X
XOL: Black should first force at 'a' so as to create a cutting point in white's shape. After that 'b' seems possible, as the cut results in a semeai between the white group to the right \(with few liberties\) and the black group.
X
XHowever, the actual move does not seem to do any better. It looks like escaping is impossible, save if white shies from the semeai.]
XBlack[ki]
XLetter[jj][kh]
X;
XWhite[jj]
X;
XComment[May as well make an eye, then.
X
XOL: Yes. A good move keeping in mide the possibility of a semeai.]
XBlack[jk]
X;
XWhite[kn]
X;
XLetter[kg][lg][kh]
XComment[Perhaps running out with "a" was wiser. Give up the bottom and then play "b" to hopefully make up for it on the right.
X
XOL: Neither works as such. 'c' cuts anyway. That would result in the semeai mentioned before.]
XBlack[jn]
X;
XWhite[ln]
X;
XBlack[jm]
X;
XWhite[kh]
X;
XLetter[op]
XComment[If I hadn't played the aji keshi earlier, white would not have an eye at "a" and my life would be much easier \(literally\).
X
XOL: Correct. Now white has a spare eye there and so it is extremely difficult to survive this fight.]
XBlack[jr]
X;
XWhite[hr]
X;
XBlack[oo]
X;
XComment[Stopping any connection \(drat\)]
XWhite[om]
X;
XBlack[op]
X;
XLetter[lp]
XComment[OL: 'a' seems to be a better eye shape.]
XWhite[ko]
X;
XBlack[ij]
X;
XWhite[jh]
X;
XBlack[hj]
X;
XLetter[dq][dr][iq]
XComment[This move seemed a bit weak to me. Wouldn't something like "a" or "b" have been better?
X
XOL: Thoughtless, I would call it. It looks like a typical way of reducing your opponent's liberties while maximizing those of yours. 'a' and 'b' offer more resistance, but I would think 'c' is best. As this is a semeai, it usually is of utmost importance to reduce the opponent's liberties as fast as possible.]
XWhite[ir]
X;
XComment[OL: A desperate attempt, but looking from the result, it is surprisingly effective.]
XBlack[gp]
X;
XWhite[go]
X;
XComment[ rcn 3d: my stupid move at k10. should go k9 first
X
XOL: Rather late for this comment... :-\)]
XBlack[fp]
X;
XLetter[ep][eo][do]
XComment[I thought white "a" would be more troublesome.
X
XOL: I think you are right. If white 'a', black 'b' and white connection, it is clearly all over for the big black group. However, if black cuts below 'a', hell have trouble with shortage of liberties and several cutting points.]
XWhite[eq]
X;
XBlack[iq]
X;
XWhite[hq]
X;
XBlack[ep]
X;
XWhite[hp]
X;
XBlack[dq]
X;
XLetter[dr][cr][fr][ds][es][hk]
XComment[I think "a" might have cooked my goose.
X
XOL: Perhaps. The only realistic result I can see is the ko sequence to 'e'. That would probably be an improvement, since white has several local threats, beginning with 'f'.]
XWhite[is]
X;
XLetter[kp][lp][lq][nl][gq]
XComment[Threatens a-b-c and white would need an enourmous ko threat!
X
XOL: While he has several, at 'd' for example, they are not nearly enough since black has more threats, starting at 'e' and playing out the semeai.]
XBlack[kr]
X;
XWhite[kp]
X;
XBlack[gq]
X;
XWhite[gr]
X;
XLetter[dr]
XComment[OL: Even if the result is probably the same, 'a' is better style. It prepares to play tenuki, if need be. The actual move does not leave the same possibility.]
XBlack[er]
X;
XWhite[fr]
X;
XComment[7 liberties and one eye each. SHould be a seki.
X
XOL: It's more like 6 each, or 6 for black and 5 for white, but that's close enough to make it a seki.]
XBlack[dr]
X;
XWhite[eo]
X;
XBlack[en]
XComment[A seki, but Black has most of the territory and influence, so white resigns.]
X)
EnD of rcn.JohnBate
echo extracting tmoore.yw 1>&2
sed 's/^X//' >tmoore.yw << 'EnD of tmoore.yw'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XBlack[pd]
XComment[White: Thomas Moore 4-dan
X
XBlack: yw, 2 dan 
X
XBlack wins 14.5 pts
X
X5 Apr 1992 
X
XCommentary by Olli Lounela.]
X;
XWhite[qp]
X;
XBlack[dd]
X;
XWhite[cp]
X;
XBlack[jd]
X;
XWhite[qf]
XComment[A shimari might be more appropriate.]
X;
XBlack[nd]
X;
XWhite[pj]
X;
XBlack[dj]
X;
XWhite[fc]
XComment[A shimari in the lower left corner seems better.]
X;
XBlack[ec]
X;
XWhite[fd]
X;
XBlack[df]
X;
XWhite[hc]
X;
XBlack[ib]
X;
XWhite[hb]
XComment[This feels slack. It would probably be better to jump directly to G13.]
X;
XBlack[eb]
X;
XWhite[md]
X;
XBlack[nc]
X;
XWhite[ic]
XComment[Bad style.]
X;
XBlack[jc]
X;
XWhite[jb]
X;
XBlack[kb]
X;
XWhite[ia]
X;
XBlack[lc]
X;
XWhite[rd]
X;
XBlack[qc]
X;
XWhite[oq]
X;
XBlack[ie]
XComment[Not urgent, nor big. Black should immediately play a kakari \(approach move\) on the lower left corner.]
X;
XWhite[gf]
X;
XBlack[ep]
XComment[Very, very big.]
X;
XWhite[hp]
X;
XBlack[dm]
XComment[This is slack. Since black already has a stone at D10, which by the way makes a silly shape with D7, playing a tsuke underneath at C3 would seem better.
X
XAlso possible is C5. It might actually be the best move here.]
X;
XWhite[en]
XComment[An unusual move. Looks like white is trying to trick black.
X
XThere are josekis to this move, however, so it is not bad by itself. It just is not appropriate here.]
X;
XBlack[go]
XComment[Bad. This has to be at D5, which would guarantee at least reasonable result for black.
X
XD5 is actually a joseki.]
X;
XWhite[eo]
X;
XBlack[dp]
X;
XWhite[co]
X;
XBlack[gp]
X;
XWhite[cq]
X;
XBlack[hq]
XComment[Necessary. I get the feeling black has been outplayed here.]
X;
XWhite[jp]
X;
XBlack[ho]
XComment[Bad. Must be at J3.]
X;
XWhite[ip]
X;
XBlack[fr]
XComment[G2 is better shape. However, jumping to center, around H8, is probably best here.]
X;
XWhite[ir]
X;
XBlack[dr]
X;
XWhite[cr]
X;
XBlack[hr]
XComment[This only strenthens white. Very bad.]
X;
XWhite[jr]
X;
XBlack[cn]
X;
XWhite[do]
X;
XBlack[bo]
X;
XWhite[bp]
X;
XBlack[bn]
X;
XWhite[dq]
XComment[This is a difficult move.
X
XFirst, it is aji keshi. White will have to do something to compensate.
X
XSecond, it has an adverse effect on the eye shape of the white group.
X
XSo I would call this too risky, and not recommend such a move.]
X;
XBlack[er]
X;
XWhite[fp]
X;
XBlack[eq]
X;
XWhite[fo]
XComment[White seems possessed of the idea of killing black. This kind of thing usually leads to a bad result.]
X;
XBlack[gl]
XComment[A strage shape, and loose. This net may not hold.
X
XIf it does not, it would definitely be better at H8.]
X;
XWhite[gn]
X;
XBlack[hn]
X;
XWhite[gm]
X;
XBlack[hm]
X;
XWhite[em]
XComment[This does nothing for white's eyes.]
X;
XBlack[fm]
X;
XWhite[dl]
X;
XBlack[cl]
X;
XWhite[fn]
XComment[This may be a big mistaek. White has to get out if black connects, and that just does not seem possible.
X
XF8 is likely much better.]
X;
XBlack[fl]
X;
XWhite[ck]
X;
XBlack[dk]
X;
XWhite[el]
X;
XBlack[cj]
X;
XWhite[gq]
XComment[Yet again too greedy. White should push to E9 just to see what black does.]
X;
XBlack[fq]
X;
XWhite[hl]
X;
XBlack[jm]
XComment[Bad. Black must atari at J8 and then jump to G10. That way it's likely the white corner dies in a much more efficient way.]
X;
XWhite[il]
X;
XBlack[ek]
X;
XWhite[hj]
X;
XBlack[fk]
XComment[Bad shape.]
X;
XWhite[im]
XComment[This result is almost the same as if black had played K7 at J8 followed by H9, G10, H10, E9, J7, but with an important difference: black would have been able to atari his way out, or at least have gained *lots* more liberties, at J6. Now white gets a wall of steel here.
X
XWhile the wall is not adequate compensation, it's better than nothing.]
X;
XBlack[br]
X;
XWhite[cs]
X;
XBlack[ap]
X;
XWhite[in]
X;
XBlack[gr]
X;
XWhite[io]
X;
XBlack[gq]
XComment[Black wins the semeai. White has lots of aji here, though.]
X;
XWhite[aq]
X;
XBlack[ao]
X;
XWhite[hs]
X;
XBlack[dn]
X;
XWhite[gs]
X;
XBlack[bq]
X;
XWhite[ng]
XComment[White has to do something pretty spectacular to win.]
X;
XBlack[rp]
XComment[Nice timing.]
X;
XWhite[ro]
XComment[Foolhardy. Once black cuts, there will be no stopping him from living.]
X;
XBlack[qo]
X;
XWhite[rq]
X;
XBlack[qj]
XComment[Bad tenuki. Black should at least make the two standard kikashis, ataris at Q4 and S6 -- and in that order. That way living here would be much simpler.]
X;
XWhite[qk]
X;
XBlack[rk]
X;
XWhite[rj]
XComment[Too greedy. White gives black an opportunity to utilize the aji below. There is no way \(except for black mistaek\) this can be good for white.]
X;
XBlack[qi]
X;
XWhite[rl]
X;
XBlack[pk]
X;
XWhite[sk]
X;
XBlack[ql]
X;
XWhite[rk]
X;
XBlack[qg]
XComment[Black could play P9 and try to live inside white's moyo. It should not be too difficult since Q4 and S6 are still available.]
X;
XWhite[pl]
XComment[I would prefer P10.]
X;
XBlack[ok]
X;
XWhite[pi]
X;
XBlack[ph]
X;
XWhite[ri]
X;
XBlack[qh]
X;
XWhite[nj]
X;
XBlack[nh]
XComment[O11 is the vital point.]
X;
XWhite[ni]
X;
XBlack[rn]
XComment[Again trying for too much. This seems aji keshi.]
X;
XWhite[sp]
X;
XBlack[mh]
X;
XWhite[oh]
X;
XBlack[og]
X;
XWhite[oi]
X;
XBlack[pf]
X;
XWhite[rf]
X;
XBlack[pe]
X;
XWhite[rh]
X;
XBlack[li]
X;
XWhite[lj]
X;
XBlack[kj]
X;
XWhite[lk]
X;
XBlack[ki]
X;
XWhite[kk]
X;
XBlack[he]
X;
XWhite[fb]
X;
XBlack[rc]
X;
XWhite[ce]
X;
XBlack[de]
X;
XWhite[cd]
X;
XBlack[bc]
XComment[Very bad, likely a typo.]
X;
XWhite[cc]
X;
XBlack[cb]
X;
XWhite[bb]
X;
XBlack[ba]
X;
XWhite[db]
X;
XBlack[ab]
X;
XWhite[dc]
X;
XBlack[da]
X;
XWhite[ed]
X;
XBlack[ea]
X;
XComment[A very effective shape.]
XWhite[dg]
X;
XBlack[cf]
X;
XLetter[fg]
XComment[Strange shape. I would prefer a instead, which seems to be the vital point.]
XWhite[dh]
X;
XBlack[fg]
X;
XWhite[eg]
X;
XLetter[ef][ff][fh]
XComment[I would play at a. It looks like white would be in trouble with his three stones around D13.
X
XIf white cut after b, black would be able to answer at c, and be in no appreciable danger.
X
XThe rest of the endgame requires little commenting.]
XBlack[bh]
X;
XWhite[ef]
X;
XBlack[cg]
X;
XWhite[fa]
X;
XBlack[ca]
X;
XWhite[ig]
X;
XBlack[jg]
X;
XWhite[jh]
X;
XBlack[kg]
X;
XWhite[if]
X;
XBlack[jf]
X;
XWhite[fh]
X;
XBlack[mi]
X;
XWhite[mj]
X;
XBlack[sd]
X;
XWhite[rg]
X;
XBlack[pg]
X;
XWhite[se]
X;
XBlack[sc]
X;
XWhite[jj]
X;
XBlack[ji]
X;
XWhite[ii]
X;
XBlack[kh]
X;
XWhite[bs]
X;
XBlack[ar]
X;
XWhite[iq]
X;
XBlack[ds]
X;
XWhite[ih]
X;
XBlack[gi]
X;
XWhite[fi]
X;
XBlack[gj]
X;
XWhite[ch]
X;
XBlack[ci]
X;
XWhite[ge]
X;
XBlack[gh]
X;
XWhite[gg]
X;
XBlack[ee]
X;
XWhite[ei]
X;
XBlack[fe]
X;
XWhite[ff]
X;
XBlack[hd]
X;
XWhite[gd]
X;
XBlack[ka]
X;
XWhite[ja]
X;
XBlack[hk]
X;
XWhite[ik]
X;
XBlack[gk]
X;
XWhite[hi]
X;
XBlack[id]
X;
XWhite[fs]
X;
XBlack[as]
X;
XWhite[is]
X;
XBlack[qd]
X;
XWhite[re]
X;
XBlack[qe]
X;
XWhite[di]
X;
XBlack[es]
X;
XWhite[ej]
X;
XBlack[hf]
X;
XWhite[fj]
X;
XBlack[hg]
X;
XWhite[ij]
X;
XBlack[hh]
X;
X)
EnD of tmoore.yw
echo extracting tsand.Gozilla.6 1>&2
sed 's/^X//' >tsand.Gozilla.6 << 'EnD of tsand.Gozilla.6'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XName[\(igs\) tsand\(white\) vs. Gozilla\(black\)]
XComment[A game played on the Internet Go Server
X
X27 Apr 1992
X
XWhite: Tero Sand, 2 kyu
X
XBlack: Gozilla, 2 kyu
X
XWhite wins by resignation.
X
XCommentary by Olli Lounela.]
X;
XBlack[pp]
XComment[Starting in this corner is traditionally considered unpolite. Should be at Q16.]
X;
XWhite[dd]
X;
XBlack[pc]
X;
XWhite[dp]
X;
XBlack[pi]
X;
XWhite[dj]
XComment[Answering the high chinese fuseki \(which is what black has\) with a san-ren-sei is brave. All too easily a game turns into a moyo contest.]
X;
XBlack[jp]
X;
XWhite[jc]
XComment[4th line, at K16, is slightly better.
X
XBut, actually, playing at the middle of the top feels unimaginative. I'd first play at N16, forcing Q15, then either J17 \(which is probably best\) or K16.]
X;
XBlack[mc]
XComment[This feels slack. It would be better to punish white by exetending to the limit, at M16. If white responds to K15, white's moyo would be too open and thus easy to invade.
X
XPlaying N17 makes it all too easy for white to invade at R15.]
X;
XWhite[je]
XComment[The golden opportunity for the invasion at R15 is now. Even if white only played one single stone in top right, black would still be hard put to find a reasonable answer. After black's response to this jump, invading the top right will be that much more difficult.]
X;
XBlack[le]
X;
XWhite[qn]
X;
XBlack[qk]
XComment[Better to play below the single white stone, preferably at S5.
X
XThis stone only forces white to strengthen his stone and attack the corner, and furthermore, it does not really defend the upper right.
X
XIf black played at S5, the likely continuation would be W S9, B S10, P9, O11, and the top right would be almost territory.]
X;
XComment[Good. Now it will be hard for black to make use of R9.]
XWhite[np]
X;
XBlack[no]
X;
XWhite[mo]
X;
XBlack[oo]
X;
XWhite[qq]
X;
XBlack[qp]
X;
XWhite[pq]
X;
XComment[I would think this move too dangerous, although white seems to be just about as much in danger. Generally, this trick move is not to be recommended.]
XBlack[oq]
X;
XWhite[op]
X;
XBlack[mp]
X;
XWhite[nq]
X;
XBlack[mq]
X;
XWhite[nr]
X;
XBlack[mr]
X;
XWhite[or]
X;
XBlack[po]
X;
XWhite[rp]
X;
XBlack[ro]
X;
XWhite[rq]
X;
XBlack[qo]
X;
XComment[Better not to play this one. It is all too likely that white would later want to play a big yose at T5 in sente.]
XWhite[rn]
X;
XBlack[so]
X;
XWhite[nm]
X;
XBlack[om]
X;
XComment[Good style.]
XWhite[lo]
X;
XBlack[kq]
X;
XWhite[ol]
X;
XBlack[pm]
X;
XComment[This move is a bad shape. While there are several options as to what to do, this definitely is not among the best of them.
X
XThe moves to consider here are M7, M8 and O8. Of those, M8 looks the most interesting and the best shape.]
XWhite[ml]
X;
XBlack[pl]
X;
XComment[If only white had played a better shape to the right, this would be unnecessary. There are bigger moves at F3 and C15.
X
XBut actually, considering the black moyo at the top right and the weak white group floating in the center, a move at O11 looks most attractive. Not only would it strengthen white's group but also reduce black's moyo.]
XWhite[jn]
X;
XBlack[fq]
X;
XComment[Bad. Strenthening black here means trouble for the floating white group.]
XWhite[fp]
X;
XBlack[gp]
X;
XWhite[fo]
X;
XBlack[go]
X;
XWhite[gn]
X;
XBlack[dq]
X;
XWhite[cq]
X;
XComment[I do not uderstand this move. Connecting at E3 would be normal.]
XBlack[fr]
X;
XWhite[fn]
X;
XBlack[cp]
XComment[This cut is dubious.]
X;
XWhite[cr]
X;
XBlack[do]
X;
XWhite[ep]
X;
XBlack[cn]
X;
XWhite[bp]
X;
XComment[That this situation is a ko means that black has badly erred here. The ko is a hanami-ko \(nothing to lose\) for white since he can always connect at E3.]
XBlack[bo]
X;
XWhite[co]
X;
XComment[This just goes on to show how meaningless black's moves after F2 were. One wonders whether F2 was a typo.]
XBlack[cl]
X;
XWhite[bn]
X;
XBlack[bm]
X;
XComment[ Having to make extremely sure eyes for white in gote spells disaster for black. He is not yet even close to living.]
XWhite[ao]
X;
XBlack[bj]
X;
XWhite[ci]
X;
XBlack[dm]
X;
XComment[Very good. The top left looks like developing into 100-point territory.]
XWhite[bi]
X;
XBlack[bk]
X;
XWhite[fk]
XComment[Dubious. Surrounds the centre too slow.]
X;
XBlack[fl]
X;
XWhite[gk]
XComment[Bad. This is not sente against the group to the left. Better to leave F9 as a kikashi and surround the centre in a large scale, e.g. at J11.]
X;
XBlack[in]
X;
XWhite[ho]
XComment[Bad. The moyo at the top left is still the most urgent area. White should defend it and ensure a big enough part as territory. That would seal the victory.
X
XIt would also be possible to prevent black's moyo and attack on the lower right center white group by playing O11.]
X;
XBlack[hp]
X;
XWhite[io]
XComment[Too greedy. Letting black cut here spells trouble. White loses much ground.]
X;
XBlack[jo]
X;
XWhite[hn]
X;
XBlack[kn]
XComment[Good.]
X;
XWhite[jm]
X;
XBlack[km]
X;
XWhite[kl]
X;
XBlack[jl]
X;
XWhite[im]
X;
XBlack[ll]
X;
XWhite[kk]
X;
XBlack[lk]
XComment[Capturing the white stones to the right was rather large. The game is no longer clear-cut.
X
XActually, it looks like white is trailing by lots. White will need a spectacularily large top left to have a crack at winning.]
X;
XWhite[lm]
X;
XBlack[kj]
X;
XWhite[jk]
X;
XBlack[jj]
X;
XWhite[ik]
X;
XBlack[ko]
X;
XWhite[lj]
X;
XBlack[mk]
X;
XWhite[li]
XComment[Good.]
X;
XBlack[nj]
X;
XWhite[jh]
XComment[Better at L13.]
X;
XBlack[kh]
X;
XWhite[ki]
X;
XComment[Good. Now black only needs to reduce white's top left to win, preferably by living in there. Black's top right should be big enough to guarantee victory, however, even if black dies in the upper left -- but he'll need to be very careful.]
XBlack[mh]
X;
XWhite[cc]
XComment[Excellent.]
X;
XComment[K14 would be good enough, and less risky.]
XBlack[ec]
X;
XWhite[gc]
X;
XBlack[ei]
X;
XWhite[dg]
XComment[Better at E9. There's no way black might live on the left side. E9 would, furthermore, seem to be sente against the black group to the left and below.]
X;
XBlack[ed]
X;
XWhite[fe]
XComment[Too greedy. D15 would be quite enough.]
X;
XBlack[de]
X;
XWhite[ce]
X;
XBlack[ee]
X;
XWhite[db]
X;
XBlack[eg]
X;
XWhite[dh]
X;
XBlack[ff]
X;
XWhite[ge]
X;
XBlack[df]
X;
XWhite[cf]
X;
XBlack[ii]
X;
XWhite[ji]
X;
XBlack[ij]
X;
XWhite[ig]
X;
XBlack[hg]
X;
XWhite[hf]
XComment[J14 would be safer. When killing, creating lots of cutting points in your own shape is not recommended.]
X;
XBlack[hk]
X;
XWhite[il]
X;
XBlack[hh]
X;
XWhite[gi]
X;
XBlack[gf]
X;
XWhite[he]
X;
XBlack[fi]
X;
XWhite[gj]
X;
XBlack[gh]
X;
XWhite[ej]
XComment[Now it is very clear that black can't live. Furthermore, black needs another move to live on the left side.]
X;
XBlack[dc]
X;
XWhite[bb]
XComment[Clever.]
X;
XBlack[eb]
X;
XWhite[gb]
X;
XBlack[lh]
XComment[Black gives up living.
X
XHowever, the dying sequence in the upper left means that black has given white quite a few points. The game is again getting fairly close.]
X;
XWhite[kg]
X;
XBlack[lf]
X;
XWhite[qc]
X;
XBlack[qd]
X;
XWhite[pb]
X;
XBlack[rc]
X;
XComment[White should atari at P17, for there clearly is no hope of living in the corner as such. Even if white ataried and threatened with a connection to the left, living \(by connecting, perhaps\) would be far from easy.]
XWhite[qb]
X;
XBlack[oc]
X;
XComment[This looks like trying to salvage whatever there's left. That is, of course, not much.]
XWhite[mb]
X;
XComment[Black plays very coolly. The game is extremely close, however, just about even on the board.]
XBlack[nb]
X;
XWhite[lc]
X;
XBlack[ld]
X;
XWhite[lb]
X;
XComment[This is not a good idea.]
XBlack[ma]
X;
XComment[Finally, white is the one who notices the perilous status of the black left side group. Killing it sets up a clear victory. Black should resign.]
XWhite[dl]
X;
XBlack[em]
X;
XWhite[el]
X;
XComment[Living here is not possible either.]
XBlack[eh]
X;
XWhite[fg]
X;
XBlack[bg]
X;
XWhite[bh]
X;
XBlack[cg]
X;
XWhite[bf]
X;
XComment[White can connect by giving atari at G8. This means that black is doing nothing.]
XBlack[di]
X;
XWhite[ch]
X;
XBlack[aj]
X;
XWhite[al]
X;
XBlack[am]
X;
XWhite[cj]
X;
XComment[This also does not work. White can give up a few points and connect safely at J14.]
XBlack[jf]
X;
XComment[J14 would be better.]
XWhite[ie]
X;
XBlack[kf]
X;
XWhite[if]
X;
XBlack[jg]
X;
XWhite[ih]
X;
XBlack[kc]
X;
XComment[This sacrifice shows that white knows he is far ahead. It can be considered a hint to resign.]
XWhite[kd]
X;
XBlack[kb]
X;
XWhite[jb]
X;
XBlack[la]
X;
XWhite[er]
X;
XBlack[ip]
X;
XWhite[fs]
X;
XBlack[gs]
X;
XWhite[es]
X;
XBlack[eq]
X;
XWhite[dr]
X;
XBlack[gr]
X;
XWhite[ms]
X;
XBlack[ls]
X;
XWhite[ns]
X;
XBlack[lq]
X;
XWhite[mi]
X;
XBlack[ni]
X;
XWhite[ja]
X;
XBlack[ke]
X;
XWhite[jd]
X;
XBlack[sp]
X;
XWhite[sq]
X;
XBlack[mj]
X;
XWhite[ka]
X;
XBlack[hi]
X;
XComment[As white cannot see what black is aiming at, he just makes sure eyes to this group.
X
XBlack resigns.]
XWhite[hd]
X)
EnD of tsand.Gozilla.6
echo extracting tsand.flows 1>&2
sed 's/^X//' >tsand.flows << 'EnD of tsand.flows'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[19]
XHAndicap[9]
XPlayerBlack[flows]
XBlackRank[15k]
XPlayerWhite[tsand]
XWhiteRank[2k]
XGameName[\(IGS\) tsand\(W\) vs flows\(B\)]
XEVent[A game played on the Internet Go Server]
XDaTe[Mon Jan 18 14:35:48 2038]
XPlaCe[Internet Go Server:  Albuquerque, New Mexico, USA29.24.14.70 6969]
XREsult[W+Resign]
XUSer[Brought to you by the IGS program]
XKoMi[0.5]
XAddBlack[jd][jp][pj][dj][jj][pp][dd][pd][dp]
XComment[IGS game:
X
XWhite: Tero Sand 2-kyu
X
X2 stones: flows 15-kyu
X
XWhite wins by resignation
X
X30-May-1992
X
XCommentary by TS and Olli Lounela, 3 dan.]
X;
XWhite[qf]
X;
XBlack[pf]
X;
XWhite[pg]
X;
XBlack[of]
X;
XWhite[qe]
X;
XBlack[qd]
X;
XWhite[fc]
X;
XBlack[hc]
X;
XWhite[df]
X;
XBlack[ee]
X;
XWhite[ef]
XComment[OL: This is slightly bad style.]
X;
XBlack[fe]
X;
XWhite[cc]
X;
XBlack[cd]
XComment[I feel the other block at 'a' is more appropriate.
X
XOL: That is not true. The move black played is definitely correct and good besides.
X
XIf white goes ahead and connects at 'a', black has a move that makes life very difficult for white, at 'b'.
X
XFurthermore, the two white stones below will be almost useless, and the excange of E14 for F15 will be made bad for white.]
XLetter[dc][eb]
X;
XWhite[dc]
X;
XComment[OL: A good move, this makes a white escape from the corner absolutely impossible. White will have to make eyes.]
XBlack[gf]
X;
XWhite[bd]
XLetter[gb][eb]
XComment[I wasn't sure whether White could survive if Black played 'a'. In any case, even if he did, Black could seal off the edge that way.
X
XOL: Only, 'b' is a better move than 'a' and the vital point here.]
X;
XBlack[be]
X;
XWhite[bc]
X;
XBlack[cf]
X;
XWhite[md]
XComment[Too deep, too early? I was afraid the whole top would turn into Black territory - especially since the right side White group isn't alive yet.
X
XActually, it's close to not being a group, just 3 stones.
X
XOL: This is a difficult point. The actual move looks too rash as it invites a double attack which would likely give black a huge top or an enormour right side.
X
XHowever, it is not easy to know what else to do.]
X;
XBlack[oc]
XLetter[pe][ng]
XComment[Protects the cutting point at 'a'. Whether cutting is a realistic option for White is another matter.
X
XOL: Right. It is very hard to know how to answer the cut, but basically the result of the cut should be good for black.
X
XAnother, and better option would be 'b', which separates white and threatens a very serious attack on either the side or the top. That would be the dreadful double attack. 'b' would be excellent for another reason too, as it connects the group to the center. After that the cut at 'a' would be no threat since living in the corner is no problem at all.]
X;
XWhite[lf]
XComment[I tried to come out in a way to not hurt the three W stones around R14.
X
XOL: Trying to avoid the double attack.]
X;
XBlack[ng]
XLetter[qg][qh][rg][rh][og][ph][re][rf][pe][sg][qi][ri][rj][rd][rc][sf]
XComment[This makes cutting at 'a' a real danger. Actually, instead of O13, it might be effective to execute the cut-and-squeeze manouvre from 'a' to 'j', then attack the two White stones in the middle.
X
XOL: Excellent, even if it makes P17 seem superfluous.
X
XThe suggested sequence to 'j' is not quite what should happen, as playing 'f' instead of 'e' would connect.
X
XThe real danger on the side is not the cut at 'a', as the sequence 'c', 'b', 'd', 'k', 'l', 'm', 'n', 'o', 'p' would let white live. The move to create *real* problems is the peep at 'd'. It looks likely white would die.]
X;
XWhite[lh]
XComment[This definitely is going to hurt the right side group - I was trying to preserve the aji in the vicinity of 'a'.
X
XOL: There is no aji around 'a', as a peep at 'b' solves all black's problems quite nicely.
X
XWere I white I would try to settle one of the two groups absolutely as fast as possible. The attack from 'c' to 'g' looks like it wouls cause white a slight :-\) problem of being forced to leave the group at the top to die.]
XLetter[gd][kg][rh][qh][ri][oi][mi]
X;
XBlack[ni]
XComment[OL: This feels slack. A more active course would be called for.]
X;
XWhite[pi]
XComment[Something has to be done - or does it? Maybe I should'be left the stones there for aji...
X
XOL: Or maybe you should just settele them fast. 'a' looks possible. The actual move just asks for getting sealed in. As long as black doesn't mind letting white towards left a tsuke of this kind is not recommended.]
XLetter[rj]
X;
XBlack[qj]
X;
XWhite[qi]
X;
XBlack[rj]
XLetter[oi]
XComment[As Black, I'd play 'a', letting White live \(?\), but getting a wall.
X
XOL: The actual move is better, as black gets a wall anyway. White probably is not keen enough to die by cutting.]
X;
XWhite[oi]
X;
XBlack[ok]
XLetter[oj][ri][nh][nj][oh]
XComment[This should be at 'a' - this lets White out.
X
XOL: And worse, it lets all black's fine thickness go to waste. 'a' is definitely sente forcing 'b', and a cut at 'c' or 'd' would be no threat as black lives in the top right.
X
XFurthermore, if black is worried about the cutting points, 'e' defends in sente.]
X;
XWhite[nj]
X;
XBlack[mi]
X;
XWhite[mj]
XComment[White is hallucinating - this should be 'a'. Now Black can cut.]
XLetter[oj]
X;
XBlack[li]
XComment[Black lets White off the hook - again.]
X;
XWhite[oj]
X;
XBlack[ol]
XComment[I feel this is unimportant. Better to attack the three White stones.
X
XOL: Not quite. The three stones are very hard to save anyway.
X
XThe black move is bad shape. It should be at 'a'. As there is the jump to 'b', the big white group is not out of trouble yet, and torturing it a bit in the future should be easy enough way to secure victory.]
XLetter[pl][rh]
X;
XWhite[ri]
XComment[OL: White tries to secure the group as running away only damages the top group.]
X;
XBlack[rd]
X;
XWhite[rg]
X;
XBlack[ch]
XComment[Same comments apply.
X
XOL: Not quite. This move really is bad and a waste. Attacking the right side group at 'a' looks fruitful, as it seems likely that once without eyes, the group has to run at 'b' and struggle. Continuing with 'c' would force white to run to the left and leave black with an enormous bottom.]
XLetter[re][ml][mn]
X;
XWhite[ig]
X;
XBlack[gh]
XComment[OL: Peeping at 'a' looks called for, as it puts white on the spot. White would be very hard pressed to make eyes or escape, and the double attack would probably continue.]
XLetter[kg]
X;
XWhite[ii]
X;
XBlack[kh]
XComment[More severe than I thought.]
X;
XWhite[kg]
XLetter[jf][jg]
XComment[To preserve the connection, 'a' would be better. However, I thought I could either connect to the corner group or capture some Black stones.
X
XOL: 'a' does not connect, as 'b' cuts nevertheless.]
X;
XBlack[jh]
X;
XWhite[ih]
XLetter[jg][he][ie][id][ic][gd][jc]
XComment['a' might be better.. if Black then pushed through at J12, White might be able to do something with 'b'.
X
XOL: It is very hard for white to do anything here. 
X
XI would play 'c' as it seems to connect 'a' and also threaten a connection with 'd', 'e', 'f' \(black seems obliged to connect at 'g'\).]
X;
XBlack[jg]
X;
XWhite[jf]
X;
XComment[OL: Now white seems to be in trouble.]
XBlack[if]
X;
XWhite[ie]
X;
XBlack[hf]
X;
XWhite[je]
X;
XBlack[kd]
XComment[White is collapsing.]
X;
XWhite[id]
X;
XBlack[ic]
X;
XWhite[gd]
X;
XBlack[hd]
X;
XWhite[he]
X;
XBlack[ge]
X;
XWhite[le]
XComment[Hopeless.]
X;
XLetter[lc][mc]
XComment[OL: I would play 'a' first, as it makes some eye space, and if black gets to connect at 'b', white has but one eye.]
XBlack[ke]
X;
XWhite[kf]
X;
XBlack[lc]
X;
XWhite[mc]
X;
XBlack[lb]
X;
XWhite[mb]
X;
XLetter[jb][eb]
XComment[OL: A clever move. I would be tempted to play 'a' instead and make eyes, but this atari is clearly much better.
X
XFurther, looks like black now is able to kill white's corner at 'b'.]
XBlack[gc]
X;
XWhite[gi]
XLetter[ki]
XComment[White is pinning his hopes on the cut at 'a'.]
X;
XBlack[fi]
X;
XComment[OL: This move looks like bad style, but it's hard to know what else to do.]
XWhite[gj]
X;
XBlack[ik]
XComment[Even that seems to slip away...
X
XOL: Excellent.]
X;
XWhite[gl]
X;
XLetter[ll]
XComment[OL: This is no good, as it forces white to connect exactly where he wants.
X
XIt would be far better to play around 'a' which besides threatening to kill white's group above, also makes a connection of some kind and a huge bottom moyo. It also would throw gloomy \(and greedy\) glances at the white group to the left...]
XBlack[hk]
X;
XWhite[fj]
X;
XLetter[ei]
XComment[OL: 'a' is a must.]
XBlack[gk]
X;
XWhite[fk]
X;
XBlack[fl]
X;
XWhite[el]
X;
XBlack[fm]
X;
XWhite[dk]
X;
XLetter[cj]
XComment[OL: 'a' is better.]
XBlack[ej]
X;
XWhite[ei]
X;
XLetter[fh][hh][ij][kk]
XBlack[cj]
XComment[A surprise to me. I thought Black would connect.
X
XOL: A surprise for sure, but a good move nevertheless.
X
XWhite is in for a bit of trouble if a sequence of 'a' to 'd' follows, and the game would likely be over.]
X;
XWhite[fh]
X;
XComment[OL: Not a good move.]
XBlack[fg]
X;
XWhite[eg]
X;
XComment[OL: This cut is really big. If white dies, the game is all over.]
XBlack[ek]
X;
XWhite[de]
X;
XLetter[ce]
XComment[OL: A huge mistaek. If black played 'a', it would be all over for white.]
XBlack[fd]
X;
XWhite[ce]
X;
XBlack[ed]
X;
XWhite[bf]
X;
XBlack[bg]
X;
XWhite[cg]
X;
XBlack[bh]
XPLayer[B]
XComment[Considering the way things were, White's situation has improved a bit. He is still hoping to utilize the cut at 'a'.
X
XOL: Black's connection is small and not at all urgent. Since white already lives, it would be better to take care of the potential problem of a cut by atariing at 'b'.]
XLetter[ki][em]
X;
XWhite[fq]
X;
XLetter[em]
XComment[OL: This is a little dangerous. It would be much better to start playing safe \(at 'a'\) and give white a little.]
XBlack[fp]
X;
XWhite[gp]
X;
XBlack[fo]
X;
XWhite[ip]
XLetter[ki][hm][em]
XComment[Still thinking of 'a', and aiming at pulling out the White stone with 'b'.
X
XOL: This would be no threat at all if black had a stone at 'c'.]
X;
XBlack[jq]
X;
XWhite[dq]
X;
XBlack[cp]
XLetter[cq]
XComment['a' is better.]
X;
XWhite[cq]
X;
XBlack[bq]
X;
XWhite[br]
X;
XBlack[bp]
X;
XWhite[hm]
XComment[Somewhat risky to the lower White group, but I thought this was my best and only opportunity.
X
XOL: That is an understatement. The white group at the bottom is too weak for this.]
X;
XLetter[gq][hq][gr][hr][eq][fr][er][ll]
XComment[OL: This is not a bad move, but is not a good move either.
X
XNow would be black's opportunity to cut at 'a'. It looks likely that white would be forced to sacrifice the corner and end in gote. Black then would be free to play around 'h'.]
XBlack[jo]
X;
XWhite[gn]
XLetter[fn][en][em]
XComment[Threatening to push through at 'a' - if B 'b', White captures with 'c'.
X
XOL: It is nevertheless a bad move as it forces \(or at least it should\) black 'c' -- a point black wants to play anyway.]
X;
XBlack[fn]
X;
XWhite[jm]
X;
XComment[OL: Bad, and small.]
XBlack[go]
X;
XWhite[ho]
XLetter[in]
XComment['a' would keep more things connected.]
X;
XComment[OL: Not bad at all, but black will have to be careful. The cut at 'a' starts looking like a remote possibility.]
XBlack[in]
X;
XWhite[im]
X;
XBlack[hn]
X;
XWhite[kn]
X;
XBlack[lp]
X;
XWhite[ll]
XLetter[ki]
XComment[Now the cut at 'a' is serious.]
X;
XLetter[lj]
XComment[OL: 'a' is a must.]
XBlack[gq]
X;
XWhite[hq]
X;
XBlack[hp]
X;
XWhite[ki]
X;
XBlack[ji]
XLetter[kj]
XComment['a' would probably end the game for White.
X
XOL: Actually, the connection is the only move.]
X;
XWhite[kj]
X;
XComment[OL: Again a huge mistaek.
X
XBlack should first force at 'a' and then at 'b' so as to have any chance at all to win the capturing race, but even so, the race looks bad for black.
X
XAll of a sudden it looks like white is no longer losing massively.]
XBlack[lj]
X;
XWhite[kk]
X;
XBlack[io]
X;
XWhite[mm]
X;
XLetter[fr][qq]
XBlack[eq]
XComment[These stones are pretty <censored> dead already, so this is worse than passing.
X
XOL: That is not quite true. A white move at 'a' would have given some semblance of eye shape, but still, this is fairly small.
X
XAt 'b' would be good.]
X;
XWhite[pn]
X;
XBlack[qn]
X;
XWhite[qm]
X;
XBlack[pm]
X;
XWhite[om]
X;
XLetter[lk][kl][mk][nk][nl][ml][mg][nm]
XBlack[rm]
XComment[This attaches too much importance on the six Black stones.
X
XOL: Not quite, as the cut of 'a' to 'g' would force the right side white group to make eyes in gote, leaving white with a serious cutting point at 'h'.]
X;
XWhite[pl]
X;
XBlack[rn]
X;
XWhite[pq]
X;
XLetter[qq]
XBlack[ql]
XComment[It is highly unusual to ignore a corner invasion \(unless it's a ko threat\). White gets quite a bit of territory here.
X
XOL: Right. It would be better to answer at 'a'.]
X;
XWhite[qp]
X;
XBlack[pm]
X;
XWhite[op]
X;
XLetter[nm]
XComment[OL: Now the cut is again possible, but alas, the cut at 'a' is no longer serious.]
XBlack[pk]
X;
XWhite[on]
X;
XLetter[nq]
XBlack[er]
XComment[Another unnecessary move.
X
XDespite White's recent successes, he is still quite a bit behind.
X
XOL: A better idea would be to increase the bottom, say, at 'a'.]
X;
XWhite[fb]
X;
XBlack[gb]
X;
XWhite[na]
X;
XLetter[pb]
XComment[OL: 'a' is better.]
XBlack[ob]
X;
XWhite[la]
X;
XLetter[jb]
XComment[OL: 'a' is better shape.]
XBlack[kb]
X;
XWhite[ja]
XComment[White is hallucinating here. He thought 'a' connects.]
XLetter[ga]
X;
XBlack[jb]
X;
XWhite[ia]
X;
XBlack[ka]
X;
XWhite[ga]
XComment[By this time I realized my error, but tried it anyway - I thought I couldn't win otherwise.]
X;
XBlack[mq]
XComment[The losing move - 'a' would capture.
X
XOL: Indeed. The game is over, and my commentary ends here as there is no point in further commenting.]
XLetter[ha]
X;
XWhite[ha]
XComment[The game is over.]
X;
XBlack[qb]
X;
XWhite[or]
X;
XBlack[nr]
X;
XWhite[jk]
XComment[Making things absolutely sure.]
X;
XBlack[rp]
X;
XWhite[rq]
X;
XBlack[qo]
X;
XWhite[po]
X;
XBlack[mg]
X;
XWhite[ij]
X;
XBlack[gm]
X;
XWhite[hl]
X;
XBlack[dh]
X;
XWhite[eh]
X;
XBlack[np]
X;
XWhite[no]
X;
XBlack[mo]
X;
XWhite[mn]
X;
XBlack[nl]
X;
XWhite[mk]
X;
XBlack[oh]
X;
XWhite[re]
X;
XBlack[ec]
X;
XWhite[eb]
X;
XBlack[nb]
X;
XWhite[ma]
X;
XBlack[ne]
X;
XWhite[oa]
X;
XBlack[pa]
X;
XWhite[sd]
X;
XBlack[sc]
X;
XWhite[se]
X;
XBlack[rc]
X;
XWhite[sp]
X;
XBlack[ro]
X;
XWhite[di]
X;
XBlack[ci]
X;
XWhite[ko]
X;
XBlack[lo]
X;
XWhite[kp]
X;
XBlack[kq]
X;
XWhite[ln]
X;
XBlack[nm]
X;
XWhite[nn]
X;
XBlack[af]
X;
XWhite[ae]
X;
XBlack[ag]
X;
XWhite[nd]
XLetter[pe]
XComment[Threatens to cut at 'a'.]
X;
XBlack[me]
X;
XWhite[ld]
X;
XBlack[ph]
X;
XWhite[qg]
XLetter[pe]
XComment[Dumb. White should cut. at 'a' now.]
X;
XBlack[mf]
X;
XWhite[mh]
X;
XBlack[nh]
XComment[Black should connect at 'a'.]
XLetter[pe]
X;
XWhite[pe]
X;
XBlack[od]
X;
XWhite[oe]
XComment[Enough is enough - Black resigns.]
X)
EnD of tsand.flows
echo extracting tsand.hi 1>&2
sed 's/^X//' >tsand.hi << 'EnD of tsand.hi'
X(
X;
XGaMe[1]
XVieW[]
XSiZe[13]
XName[\(igs\) tsand\(white\) vs. hi\(black\)]
XComment[ A game from Lacerta igs server
X
X 28 Apr 1992
X
X White: Tero Sand, 2 kyu
X Black: Chris Chisolm, 2 kyu
X
X Black wins by 13 pts.
X
X Commentary: Olli Lounela, 3 dan]
XBlack[ki]
X;
XWhite[cj]
X;
XBlack[cd]
XComment[Black is following a slightly dubious strategy. He plays any which way without regard as to the co-operation of his stones or coherency of position.
X
XI would prefer 'a', which continues the mokuhazushi \(3-5 point\) strategy, 'b' making territory, or kakari at 'c'.]
XLetter[jc][jk][ej]
X;
XWhite[jc]
X;
XBlack[ke]
XMark[ke]
XLetter[jk][ek]
XComment[I eould prefer 'a', which makes miai of the marked stone and 'b'.]
X;
XWhite[ec]
XComment[Good.]
X;
XBlack[dc]
X;
XWhite[ed]
X;
XBlack[ek]
XComment[This is very bad style.
X
XIf one plans to play tenuki at the top left, exchanging the marked stones is \(clearly :-\) a loss. If, however, black makes the excange, continuing with 'a', 'b' or 'c' is obligatory.]
XLetter[df][cf][cg]
XMark[dc][ec]
X;
XWhite[jk]
XComment['a' is much better and the normal move, but actually, since this is a small board game, I would be sorely tempted to play 'b', which actually looks troublesome for black.]
XLetter[ce][be]
X;
XBlack[cl]
X;
XWhite[cg]
XComment['a' is the only move. The actual move leaves black unpunished from leaving the joseki unfinished.]
XLetter[ce]
X;
XBlack[kk]
XComment[Should be at 'a' to secure the bottom group.]
XLetter[hk]
X;
XWhite[kl]
X;
XBlack[lk]
X;
XWhite[il]
XComment[Should be at 'a', as white is not \(yet\) worried about a cut at 'b'.]
XLetter[gk][jl]
X;
XBlack[gl]
XComment['a' looks better.]
XLetter[hk]
X;
XWhite[ll]
X;
XBlack[li]
XComment['a' is learly much better. Black has nothing to fear from white's hanetsugi at 'b'.]
XLetter[jj][mk]
X;
XWhite[je]
XComment[Good. Black looks like he were going to be overconcentrated.]
X;
XBlack[kd]
X;
XWhite[jd]
X;
XBlack[kc]
X;
XWhite[de]
XComment[Now 'a' really looks good, since the marked stone just about forces black to answer to 'b'.]
XLetter[be][bd]
XMark[cg]
X;
XBlack[ce]
XComment[Black should be very happy with getting this push, since he no longer has bad aji in the corner.]
X;
XWhite[eg]
XComment[This should probably be at 'a'. Also attractive looks the hane at 'b', which would create a threat of 'c'.]
XLetter[cf][kb][kf]
X;
XBlack[bg]
XComment[Small. Should be either 'a' or 'b', which look just about equal in size -- and thus should be miai.]
XLetter[jb][jf]
X;
XWhite[bh]
XComment[Also too small. The top right corner is the big one.]
X;
XBlack[cf]
X;
XWhite[dg]
X;
XBlack[bf]
XComment[Very, very small -- and unnecessary to the corner's life.]
X;
XWhite[fj]
XComment[Still 'a'.]
XLetter[kb]
X;
XBlack[bi]
X;
XWhite[ci]
XComment[Connecting at 'a' would take sente -- to hane at 'b'.]
XLetter[ch][kb]
X;
XBlack[ah]
X;
XWhite[ih]
XComment[Still missing the big point.]
X;
XBlack[jg]
XLetter[jf][ig][kf][lf][kg]
XComment[Black should hane at 'a'. The actual move lets white push at 'a'. Then if black 'c', white has 'b', and if black 'b', 'c' to 'e' leave black in trouble.]
X;
XWhite[jf]
X;
XBlack[kf]
X;
XWhite[ig]
X;
XBlack[jh]
XComment[Too small. Black should first play 'a' to 'd' in sente, then capture at 'e'. ]
XLetter[kb][jb][db][eb][ch]
X;
XWhite[bl]
X;
XBlack[ck]
X;
XWhite[bj]
X;
XBlack[ch]
X;
XWhite[fk]
XComment[Dangerous. What will happen if black pushes at 'a'?
X
XIf white 'b', allowing 'a' is a loss, and also leaves an annoying cutting point at 'f'. Starting with 'g' reverts to this after black 'c', W 'b'.
X
XIf white 'c', the cut at 'd' would seem to work -- if white 'e', black 'f' gives *lots* of threats for the ko and liberties for the semeai against the corner.]
XLetter[ej][ei][fl][di][dh][fi][el]
X;
XLetter[ej]
XMark[fk]
XComment[While it is very difficult to say if black should have pushed at 'a' \(even if it *does* seem to work\), answering meekly makes the marked white stone a good move. I would definitely feel uneasy for submitting so. It seems to be lacking in spirit.]
XBlack[fl]
X;
XWhite[ej]
X;
XComment[Good.]
XBlack[bk]
X;
XWhite[ak]
X;
XBlack[bm]
X;
XWhite[al]
X;
XBlack[dk]
X;
XComment[This move is surprisingly effective. Black is in very real danger of dying.]
XWhite[hl]
X;
XBlack[gk]
X;
XLetter[hj][hi]
XComment['a' or, if white is worried about black pushing through, 'b' seem better.]
XWhite[ij]
X;
XBlack[gj]
X;
XLetter[fh]
XComment['a' is the vital point in this shape.]
XWhite[eh]
X;
XBlack[em]
X;
XWhite[gm]
X;
XBlack[aj]
X;
XWhite[ai]
X;
XBlack[hi]
X;
XComment[This seems sadly necessary. Letting black connect means that white's push \(the marked stone\) has backfired badly. White has lost more than 10 points in letting black into the center.]
XWhite[bh]
X;
XBlack[ii]
X;
XLetter[ml]
XComment[Must be at 'a' to live in the corner.]
XWhite[eb]
X;
XBlack[db]
X;
XWhite[da]
X;
XBlack[ca]
X;
XWhite[ea]
X;
XBlack[cb]
X;
XWhite[kb]
X;
XBlack[lb]
X;
XWhite[jb]
X;
XLetter[hf]
XComment[Going a bit further, at 'a', seems better.]
XBlack[hg]
X;
XWhite[hf]
X;
XBlack[hh]
X;
XComment[Good.]
XWhite[gf]
X;
XBlack[if]
X;
XLetter[ie]
XComment[Besides the fact that the bottom right corner still can be killed, 'a' is bigger.]
XWhite[la]
X;
XBlack[lc]
X;
XWhite[ml]
X;
XBlack[ie]
X;
XWhite[hd]
X;
XBlack[id]
X;
XLetter[ic]
XComment[Should be at 'a'. Black can't cut because of shortage of liberties.]
XWhite[hc]
X;
XBlack[bi]
X;
XWhite[aj]
X;
XBlack[bh]
X;
XWhite[dh]
X;
XBlack[fi]
X;
XWhite[fh]
X;
XBlack[ei]
X;
XWhite[dj]
X;
XBlack[gi]
X;
XWhite[di]
X;
XBlack[ic]
X;
XWhite[ib]
X;
XBlack[he]
X;
XWhite[ge]
X;
XMark[if][ie][id][ic][he]
XComment[Looks like an oversight that neither notices that the marked stones are in atari...]
XBlack[df]
X;
XWhite[ef]
X;
XMark[if][ie][id][ic][he]
XLetter[ig][ka][hb]
XComment[Disregarding the fact that the marked stones are still in atari and should be connected at 'a', a black throw in at 'a' is bigger since it forces white to connect at 'b' later.]
XBlack[fm]
X;
XWhite[mk]
X;
XBlack[mj]
X;
XWhite[hm]
X;
XBlack[ig]
X;
XWhite[gg]
X;
XLetter[jj]
XComment['a' is bigger.]
XBlack[mb]
X;
XWhite[kj]
X;
XBlack[lj]
X;
XWhite[jj]
X;
XBlack[hk]
X;
XWhite[ka]
X;
XBlack[dd]
X;
XWhite[ee]
X;
XBlack[ik]
X;
XWhite[jl]
X;
XBlack[cm]
X;
XBlack[am]
X;
XWhite[hj]
X;
XBlack[ji]
X;
XWhite[gh]
X;
XComment[Black: 31 + 4 = 35
X
XWhite: 20 + 2 = 22
X
XBlack wins by 13 points.]
XBlack[ma]
X)
EnD of tsand.hi
