#!/bin/sh
#
#  This is a shar file.  To use:
#  1. Remove everything before the /bin/sh line
#  2. Execute with /bin/sh (not csh) to extract the files:
#         JohnBate.Klaus
#         JohnBate.tsand.6
#         JohnBate.tsand.7
#         READ.ME
#         Thor.Gozilla
#         fang.tsand
#         lounela.fighter
#         lounela.giovax
#         lounela.richter
#         shylock.lounela
#         tsand.Klaus
#
file="${0}"
echo extracting JohnBate.Klaus 1>&2
sed 's/^X//' >JohnBate.Klaus << 'EnD of JohnBate.Klaus'
X(;GM[1]VW[]SZ[19]HA[5]GN[\(IGS\) JohnBate\(W\) vs Klaus\(B\)]PC[Internet Go 
XServer:  Albuquerque, New Mexico, USA
X129.24.14.70 6969]RE[]KM[0.5]AB[jj][pp][dd][pd][dp]C[ A game from IGS 
X\(Lacerta\)
X
X White: JohnBate, 2 kyu
X 5 stones: Klaus Sorensen, 8 kyu
X
X Black loses on time.
X
X 4 May 1992
X
X Commentary by Olli Lounela,
X 3 dan.];W[qf];B[mc];W[qn];C[This pincer it too tight.  It would be better to 
Xeither pincer a little bit wider, say, at 'a', or to play conventionally at 
X'b'.
X
XThe reason is that the actual move expects a joseki giving black a wall 
Xtowards left, and a prerequisite for this being good is a black stone around 
X'c'.]B[ql]L[pj][np][jp];W[qq];B[qp];W[pq];C[This is a mistaek. Black should 
Xpush once more at 'a', which is a joseki.]B[oq]L[op];C[The correct way to 
Xpunish black from his mistaek would be to descend to 'a'. That would force 
Xblack to connect at 'b' and let white connect underneath at 'c'.
X
XThe actual move lets the situation revert to joseki, and this is much better 
Xfor black than the sequence after white 'a'.]W[or]L[rq][op][rp];B[nq];W[nr]
X;B[mq];W[rp];B[ro];W[rq];C[Getting the wall exactly were he wanted it gives 
Xblack a reasonable result locally. However, the wall is not too useful 
Xbecause of the too tight pincer \(the marked stone\).
X
XNow it is obvious, that the marked stone would be better at 'a'.]B[qo]L[pj]
XM[ql];C[A bit risky. It would be better to first exchange 'a' for 'b', and 
Xthen extend to 'c'. That would be normal shape, and is a joseki besides, and 
Xmake black's wall overconcentrated.]W[qj]L[rd][qc][qi];C[Good. There's no 
Xpoint continuing the play on the right side immediately.]B[dj];C[The upper 
Xside is more important as the bottom right black position is open at the 
Xbottom.]W[fq];B[fp]C[This strengthens white and thus makes fun of black's 
Xwall at the bottom right.];W[gp];B[fo];W[eq];B[dq];C[With the sequence at the 
Xbottom left white has given black's wall at the bottom right some purpose and 
Xsubstance, has made necessary for it to be strong. Thus, he has improved 
Xblack's position and the marked white stone is proven bad.]W[iq]M[fq];C[This 
Xmove is aji-keshi.]B[go];W[hp];C[This move is downright bad. It just about 
Xequals passing, since it doesn't really affect the white position and doesn't 
Xdo much for the black's moyo either.
X
XA tenuki, say, at 'a' would seem to be called for.]B[ho]L[gd];C[White helps 
Xblack by inducing 'a'.]W[io]L[in];B[in];C[This should not work.]W[ep];B[eo]
X;W[do];C[Black should atari at 'a', since the side is much bigger and more 
Ximportant than the corner.
X
XBe that as it may, the corner should not die even if black played 'a'.]B[co]
XL[dn];W[dn];B[cn];W[dm];C[A sagari at 'a' would be better. It would be more 
Xsente, as it would require less follow-up.]B[er]L[dr];C[Now white is left 
Xwith the rather irritating possibility of D2.]W[fr];B[jo];W[ip];L[hm]C['a' is 
Xthe proper shape.]B[hl];W[jn];M[hl]C[Now the marked stone is superfluous and 
Xthus a wasted move.]B[im];M[jn]L[ko]C[Bad. If white was not going to continue 
Xthe cut \(the marked stone\), perhaps by atariing at 'a', white should not 
Xhave cut in the first place. This kind of here and there -tactics usually 
Xleads to a disaster somewhere. Here, for example, if black plays 'a' himself, 
Xthe marked stone ends up bad as it only strengthens black.]W[cm];B[bp];W[gm]
X;L[ko][hn][gn]C[Black should play 'a', since the cut at 'b' does not work. In 
Xanswer to white 'b', black makes atari at 'c', and the ladder that follows is 
Xgood for black.]B[gl];W[fm];B[fl];C[This does not work.]W[hn];B[hm];W[el]
X;B[gn];W[ej];B[ei];L[fk]C['a' seems better shape.]W[fj];L[dh]C[Very large, 
Xbut connecting at 'a' is much more important.]B[ko];L[di]C[White should cut 
Xat 'a'.]W[on];L[di]C[Throughout the following sequence, 'a' remains 
Xunresolved. Either side should finish it in sente immediately.]B[mn];W[nm]
X;B[mm];W[no];B[op];W[rn];B[nl];W[ol];L[ok]C[At 'a' is better style. Black 
Xshould not be afraid of a cut here.]B[nk];L[lp]C[An interesting, though not 
Xtoo big, tesuji. I, however, would be tempted to try and finish off the black 
Xstones by playing at 'a' and cutting them off.]W[lo];B[mo];W[lp];B[mp];W[kn]
X;B[ln];C[A mistaek. Black can get a third liberty below and that makes the 
Xtesuji at 'a' work.]W[km]L[kl];B[kp];W[lq];B[kq];W[lr];B[kl];W[kr];B[jm];W[ok]
X;B[pf]C['a' is better, for the corner is rather large.]L[qd];W[pg];B[qe]
XC[Good.];W[of];C[Bad. Connecting is compulsory.]B[rf];W[pe];C[The correct way 
Xof connecting.]B[qd];W[rg];C[Playing tenuki is good, but this move is almost 
Xthere, but not quite. Should be at 'a', for the cutting point left behind is 
Xa rather disturbing one.]B[fi]L[dh];W[dk];C[This is no good. Black should 
Xplay either 'a', which is quite possible but not necessarily good, or 'b'. 
XThe latter seems better, as black thickness here will most likely prove very 
Xuseful when fighting finds its way to the top.]B[dg]L[cj][di];W[di]C[The only 
Xmove.];C['a' would be a better shape, but it would feel a little slack. 'b' 
Xalso looks interesting.]B[ch]L[dh][ci];W[ci];B[cj]C[Very bad. Black is 
Xpushing white towards the edge in a way that is almost guaranteeing black 
Xeyes.];W[bi];C[A bad shape. Looks like a typo.
X
X'a' would be a better shape. However, the exchange of the marked stones is 
Xnow clearly bad.]B[eg]L[fg]M[cj][bi];W[fc];B[ec]C[Good.];W[fd];C[Black should 
Xextend to 'a'.]B[jc]L[ic];W[id];B[ic];W[hc];B[jd];W[ie];B[je];W[ig]C[This 
Xseems too early, for black 'a' would make white heavy and eyeless.]L[hb];B[jf]
X;C[There are two vital points here. 'a' is the one on the edge and 'b' is the 
Xone in the center. As 'a' does not seem to make eyes, white would seem to be 
Xforced to play in the center.
X
XIn other words: this should be at 'b'.]W[hh]L[gb][gg];C[I would launch a 
Xprecipitate attack on the white group at the top left.
X
XThe correct point for this seems to be 'a', as it besides threatening a cut 
Xat 'b' also completes black's shape.]B[oe]L[gg][if];W[ne]C[No good. Rescuing 
Xthe top left takes priority.
X
XI would play 'a'.]L[gb];B[pf];W[qg];B[nd];W[nf]C[Taking the ko once first 
Xwould be good style.];B[me];W[nj];B[mj];W[mk];B[ml];W[mi];B[lj];W[ni];B[mf]
XC[Better to play 'a'. That would weaken the prospects of the top left group 
Xfurther.]L[li];W[ce]C[This is an overplay. It is dangerous to strengthen 
Xone's opponent's groups that are next to an own weak group.];C[
X JohnBate 2k That spot just looked too tempting...
X Klaus 8k I can understand that.. I do not like the look of it..
X
XOL: Black should be very happy.]B[de];W[bh];C[Black should play at 'a' to 
Xcapture the marked stone in a large scale.]B[cf]L[bg];W[be];B[cd]C[Black 
Xshould play at 'a'. There is no way the big group survives if white lives in 
Xthe corner and black escapes with 'b'.]L[bf][gi];W[bf];B[bd];W[dr]C[Yet again 
Xwhite should secure the big group.];B[cr];W[es];B[bq];W[bg];B[sn];W[sm];B[so]
X;W[rm];B[ge]C[Finally, but this is not the correct point. It would seem to 
Xwork nevertheless.];W[ff];B[if];W[hf];B[he];W[hd];B[gf]C[Black should play at 
X'a' and cut white into two.]L[fe];W[gg];B[fg]C[This is risky. If white wins 
Xthe ko, the game will be fairly close...];W[gd];B[hg];W[gb]C[...but white has 
Xno ko threats and is forced to make eyes.
X
XHowever, black's center is not too big. The sequence was a mistaek by black.]
X;B[gh];W[kh];B[jg];W[hi];B[jh];W[gj];B[ng];W[og];B[li];W[mg];B[lg];W[mh];B[lh]
X;W[re];B[rd];W[sf];B[sp]C[This is too small, but black was suffering badly 
Xfrom netlag: he has almost lost the game due to time problems. That should 
Xnot affect the play, but maybe it did.];W[ad];B[ac];W[ae];B[bb];W[eb];B[db]
X;W[ib];B[jb];W[sd];B[sc];W[se];B[rb];W[jq];B[lm];W[bn];B[bo];W[bm]C[This is 
Xnot so big. White should play 'a' in sente first.]L[ja];B[ia];W[fa];B[nn]
X;W[om];B[pn];W[pm];B[po]C[Correct style would be to play the ko shape at 'a'. 
XSince white has no hope of winning the ko, he would be forced to connect at 
X'b' anyway.
X
XThere are some slight mistaeks in the endgame from here on, but nothing 
Xreally worth commenting.
X
XBlack loses on time due to network problems. If the game were to be finished 
Xand counted, black would win by about 7 points.]L[oo][qm];W[qm];B[sq];W[rr]
X;B[fe];W[ed];B[dc];W[ee];B[ef];W[ij];B[ik];W[hb];B[ih];W[oo];B[ii];W[hj];B[sr]
X;W[rs];B[mr];W[ms];B[en];W[em];B[an];W[cg];B[df];W[dh];B[am];W[al];B[ao];W[da]
X;B[ca];C[Black loses on time due to network problems. If the game were to be 
EnD of JohnBate.Klaus
echo extracting JohnBate.tsand.6 1>&2
sed 's/^X//' >JohnBate.tsand.6 << 'EnD of JohnBate.tsand.6'
X(;GM[1]VW[]SZ[19]PB[tsand]BR[2k]PW[JohnBate]WR[2k]GN[\(IGS\) JohnBate\(W\) vs 
Xtsand\(B\)]EV[A game played on the Internet Go Server]DT[1992-06-28]PC[IGS:  
XAlbuquerque, NM, USA 129.24.14.70 6969]RE[W+Resign]US[Brought to you by the 
XIGS program]KM[5.5]B[pd]C[ IGS game \(@Berkeley\):   
X
X White: John Bate, 2 kyu
X Black: Tero Sand, 2 kyu   
X
X White wins by resignation   
X
X 27 Jun 1992   
X
X Comments by TS, JB and
X Olli Lounela, 3 dan.];W[dp];B[pq];W[po]L[qk]C[JB: I like to play the high 
Xkakari here before Black plays around "a".
X
XOL: Moyophobia, eh?];B[np]L[pl][qo]C[TS: 'a' might be better, after all. I 
Xwas just tired of seeing it all the time.   
X
XJB: Most people seem to play "b", leading to a similar result to the move 
Xplayed.
X
XOL: All three are probably acceptable although the actual move feels a little 
Xslack, as if black were lazy.];W[qq];B[qr];W[qp];B[or];W[qk]C[TS: This, as 
XKajiware puts it, kicks Q16 in the teeth.
X
XOL: That's what he says all right, but even the professionals disagree about 
Xit... :-\)];B[cd];W[ed]C[JB: Same idea again.];B[df]L[hd][gc]C[TS: I figured 
XQ16 had already lost its main power, so I thought getting sente is best.
X
XJB: I would think that playing something like "a" would be better to try to 
Xkeep the star-point stone happy in at least one direction.
X
XOL: Well, this is not a simple matter. Naturally 'a' is worth considering, 
Xand 'b' is actually modern style.
X
XHowever, I feel that creating a symmetric position lacks in fighting spirit, 
Xmakes the game too simple.
X
XI'd probably play 'b'.];W[cc];B[bc];W[dc];B[be];W[ic]C[JB: Now the star-point 
Xdoes look fairly constricted.
X
XOL: This situation is not to black's liking. The invasion at 'a' is just too 
Xeasy to do, and there are no good moves for black in the top right corner.
X
XWhereas no real mistaeks have been made, still white seems to have taken the 
Xlead.]L[qc];B[on];W[oo]L[pn][qm]C[JB: The idea was to make the next move 
X\("a"\) sente.
X
XOL: That does not make it a good move. This move just strengthens black.
X
XThe normal way is to play 'b' and not strengthen black any more than 
Xabsolutely necessary.];B[no];W[pn];B[fq]L[nn][pm][qm]C[JB: But Black didn't 
Xcooperate, leaving the cut at "a" behind in order to play the kakari. \(A 
Xvery good idea, I think.\)
X
XOL: I would be tempted to play the double hane at 'b' immediately, so as to 
Xtest white's responses.
X
XIf white answers at 'c', 'b' is a good forcing move, and black can take sente 
Xelsewhere.];W[eq]L[ip][dn]C[TS: This is a bit unusual, I think. 'a' perhaps? 
XOr is that asking for trouble?  
X
XJB: This makes Black solid, but perhaps overconcentrated?
X
XOL: White should just play 'b'. Here again white strengthens black more than 
Xnecessary. As a result, black gets a large moyo.
X
XThis seems to make the situation even again.];B[fp];W[dn];B[ip]L[jp]C[JB: I 
Xthink "a" would be a better point. This looks a bit cramped.
X
XOL: I don't agree. Probably Tero put a bit of thought into this and this 
Xindeed seems better than 'a'.
X
XWhat is worng with 'a' then? Nothing immediately, but it is a half-measure. 
XIt does not protect either side completely.
X
XIt's better to protect one side and play a bit further away from thickness, 
Xthe wall of black's.
X
XAfter the actual move, white will find it hard to invade the bottom.];
XW[cj]C[JB: Black's bottom territory is a fairly secure 25 points, but White's 
X4 stones have mapped out a moyo of about the same size. \(But it is not 
Xsecure yet, of course.\) White is going for fairly quick development.
X
XOL: A good move. If white does not play here, black will very soon extend to 
X'a'.]L[cl];B[gm]C[OL: Dubious. Black seems possessed of the idea of 
Xprotecting the bottom territory.
X
XBlack should extend to 'a' instead, aiming to invade at 'b'. If white 'c', 
Xblack could extend to 'd' and get something out of the top 
Xright.]L[kc][gc][ie][qi];W[qf]C[OL: Good.];B[mc]L[nc][qe][qc]C[JB: I think 
Xperhaps "a" or "b" would be better. Since thickness here is likely to be 
Xhampered by the White groups on either side, I would try to get some 
Xterritory instead.
X
XOL: It does seem as if 'a' was better, for now white can invade at 'c' -- and 
Xshould do so immediately.
X
XThe likely result is white living in the corner and black getting a wall 
Xworth nothing.];W[nn]C[JB: This seems to be the time to make the cut since 
Xthere is now a pair of moyos adjoining each other.
X
XOL: This seems crude.
X
XIf we hypothesize a continuation to 'f', the marked white stone becomes 
Xmisplaced, for it should now be at 'g'.]L[mn][nm][mm][nl][ml][nk][qi]M[qk];
XB[mn]L[om]C[TS: 'a' looks more natural. If black is going to give in, P6 is 
Xbetter played at O6.   
X
XJB: I expected "a" followed by a bit of a fight in the centre. I was happy to 
Xextend on the sixth line.
X
XOL: Giving this atari is natural, since black is not interested of fighting 
Xinside of what would have been his moyo.
X
XHowever, black's bottom seems to be growing faster than white's side.];W[nm];
XB[mm];W[ml]L[mo][nl][om][ll][mk]C[TS: An overplay?   
X
XJB: Most likely. But the cut at "a" looked like it might come into play, and 
Xb-c-d-e looked good.
X
XOL: Most surely an overplay.
X
XBlack will solidify the bottom and reduce effortlessly the right side as a 
Xresult of the cut at 'b'.
X
X'a' is not very likely to materialize.];B[nl]C[TS: I felt this was necessary. 
XW's area looks too big if I just hane.];W[om];B[nk];W[ll]L[mo]C[JB: This 
Xlooks manageable, with "a" lurking in the background.
X
XOL: Manageable, yes, but good, no. White will have to run through dame points 
Xin the center and black will gain lots.];B[km];W[lj]C[JB: My idea here was to 
Xchase the two Black stones a bit and hopefully 1\) Solidify the right side 
Xand 2\) make a bit more shape for my 3 centre stones.
X
XOL: John seems to have it the worng way over. Black is the one doing the 
Xattacking.];B[ni]L[pj]C[OL: "Forcing" first at 'a' would be a bad idea. White 
Xwould cap at the marked stone and black would be very much in trouble.]M[ni];
XW[pi];B[oh]C[OL: I would be willing to try for a more efficient result, the 
Xcombination of 'a' \(white probably answers at 'b'\), 'c'. ]L[pj][qj][ph];
XW[oi]L[nj]C[JB: Aiming at "a", but...];B[mh]C[JB: This is a good reply that 
Xprevents it.
X
XOL: Even so, it feels unimaginative. I feel black could try and push for a 
Xbit more somehow. Perhaps 'a'.]L[lh];W[mj];B[nj];W[ng];B[nh]C[OL: Now black 
Xis heavy and white seems to be ready to turn the tables and start attacking.];
XW[kh];B[lf];W[mg]C[OL: This is a bad move. White solidifies black while 
Xgaining just about nothing. No more attacking for white :-\)];B[lg];
XW[lh]C[JB: connects the white stones securely, and will allow the side to be 
Xsolidified, at the cost of two stones. Seems reasonable.
X
XOL: There are no new connections. White would have done better by trying to 
Xmake shape some way, eg. 'a' and leave the marked stone for aji.]L[jj]M[ng];
XB[of];W[pg];B[og];W[jl]C[JB: I think this turned out pretty much as I hoped. 
XThe right side is fairly secure, and the centre group has a manageable shape.
X
XOL: Worng and worng. Even if the centre group is 'manageable', black has 
Xalmost solidified the top right and the bottom. Black's bottom left is 
Xreducable, and the right side is smaller than it looks.
X
XBlack seems to be well ahead.];B[jj]C[TS: I felt B hadn't gained anything 
Xfrom the attack yet, so that I had to keep the pressure up.   
X
XJB: I expected Black to secure his bottom area. This Black stone looks a 
Xlittle lonely.
X
XOL: This is bad and dangerous besides. Defending the bottom is much more 
Ximportant.
X
XIf black 'a' instead, after black has secures the bottom, the centre group 
Xhas to settle itself *_in_gote_*. This would be good enough to secure the 
Xgame.];W[jm]L[kl][kk][jk][kn]C[JB: Push into the bottom, protect against 
Xa-b-c \(d is a ladder\), and expand the centre group to make it stronger. I 
Xliked this one. :-\)
X
XOL: This move immediately gives black a reson for regret.];B[kn];W[ji];B[ij];
XW[kl]C[JB: Time to connect solidly. If Black pushed through it would be a big 
Xloss.
X
XOL: White's centre group seems safe enough and black has lost about 10 or 15 
Xpoints in allowing white to push with the marked stone in sente.
X
XIf anything, white seems to be leading again.]M[jm];B[jg]L[jn][jf]C[TS: Maybe 
X'a' would have been better.   
X
XJB: The two directions are certainly miai. I intended to jump to "b" if Black 
Xplayed "a".
X
XOL: Kind of, but 'a' is certainly more important for black.];W[jn]L[mo]C[JB: 
XThere seem to be a lot of potential uses for "a" now. Black's attack on the 
XWhite stones has reduced the lower territory, which is an undesirable effect.
X
XOL: Which is exactly the reason black should never have let white through 
Xinto the bottom.];B[jo];L[cl]W[gn]C[JB: "Contact plays for defense."
X
XOL: This is slightly dubious. One only plays this way if nothing else works.
X
XThe reason is that if black gets a wall facing left, the invasion at 'a' will 
Xbe severe.];B[fn]L[hn]C[TS: 'a' seems more severe, now that I look at it.
X
XOL: Perhaps, but blocking on the outside seems natural in view of the fact 
Xthat black wants a wall facing left here.];L[go]C[OL: Dubious. Letting black 
Xatari at 'a' is just too good.]W[hm];C[OL: Good. Black needs to secure the 
Xbottom to have any chance of winning.]B[go];W[hn];B[gl];
XW[io]L[ko][mo][ho][hp][kj]C[JB: I thought that because of the cuts at "a" and 
X"b", Black would have to defend there, and then c-d-e would give the White 
Xgroup 2 eyes.];B[ho]L[jp]C[TS: 'a' is definitely safer, but then H5 
Xpractically lives. 
X
XJB: Yes. This effectively stops the eye, but leaves 'b' undefended.
X
XOL: A fact is that white cannot be stopped from living. This means that 
Xleaving 'a' is just giving up points. An almost sure way to lose.];W[ko];B[in];
XW[ln];B[mo];W[lm]C[JB: So the eye appears elsewhere.];B[kj]C[JB: Black takes 
Xaway the  other eye rather than defend the bottom territory. Correct, since 
XWhite can no longer take the time to invade.];
XM[ji][kh][lh][kj][jj][ij]W[ki]L[li][jp][hk]C[JB: Defend "a" and reduce the 
Xliberties of the 3 black stones.
X
XOL: I would atari at 'b' first, just to test black's responses.
X
XFurthermore, the three marked white stones are not that big. I'd try to 
Xescape at 'c'. Note, BTW, that black cannot connect with 'a'. This means that 
Xblack also has to be careful after 'c' as there is a chance of the three 
Xmarked black stones coming under attack.];L[jp]B[kp]C[JB: Perhaps a bit 
Xpremature. White still can't afford the luxury of a play on the lower side, 
Xso no need to defend it yet.
X
XOL: Not exactly. The atari at 'a' would be sente and ensure an encroacment of 
Xthe bottom.];W[ii];B[hj];W[ig];B[if];L[hf][hg][gc]C[OL: White's two last 
Xmoves seem to be in worng order.
X
XHad white pushed first, black would be forced to go along with the tesuji at 
X'a'. Now black can atari at 'b' instead, which would make an invasion at 'c' 
Xsevere.]W[hi];B[gi]L[hg][gj][hk][ei]C[TS: 'a' seems essential.  
X
XJB: But if Black "a", then b-c-d should get the White group to safety.
X
XOL: The white group in the center is going to be safe no matter what black 
Xdoes. 'a' is better.];L[hf][hg][gg][ih][hh][gj]C[OL: I would hane at 'a', 
Xwhich is a tesuji.
X
XIf black cuts at 'b', the sequence to 'e' can be expected, after which black 
Xconnects. After this, the cut at 'f' seems a most efficient way of settling 
Xthe shite group in sente.
X
XThis sente would in turn be very useful at the top.]W[gh];B[fi];
XW[hg]L[jh][ih][gg]C[TS: White has two eyes now. Not good...  
X
XJB: Safe at last. Black can still play a-b-c but there are lots of ways to 
Xhandle that situation. The top and left look pretty insecure now, though.];
XL[cl]C[OL: Invading at 'a' is more urgent. Black's position there is 
Xstronger.]B[gc];W[gd];B[hd];W[hc];B[gf];
XM[hf][gc]W[hf]L[fd][gg][jh][hh][jf][kg][ge]C[JB: Probably should have played 
X"a" instead. The centre group should still manage. b-c-d-e-f and THEN push 
Xthrough, for example.
X
XOL: Too complicated; white should just play 'g', which would make miai of 
Xliving with 'a' and connecting with the marked white stone, even while 
Xcapturing the marked black stone.];B[fd];L[gb]C[OL: Dubious. As the center 
Xgroup is alive, white should just secure life for the one at the top, by 
Xconnecting underneath with 'a'.
X
XThe size of the ko that follows means that white has mistaken.]W[fc];B[ge];
XW[gb];B[fb]C[JB: This is an enourmous ko.];W[gd];B[mk];W[lk];B[gc];W[ec]C[JB: 
XThere are fortunately some local threats.];B[hb];W[gd];B[mi];W[li];B[gc];
XC[OL: This kind of move is usually bad.]W[ga];B[ha];W[gd];B[em]C[JB: This 
Xseems a bit too mild.
X
XOL: Too small is the word.];W[fe];B[cl];W[cm]C[JB: I thought I had better 
Xsolidify the lower area, and try to make use of the isolated stone later.];
XB[dl];L[rd]W[qc]C[JB: Since I couldn't figure out what to do on the left, I 
Xdecided to take the big point on the right instead.
X
XOL: This is slightly risky. I wouldn't be confident of living in this corner.
X
XI would just play at 'a' and take sente.];B[qd];W[pc];B[oc]C[OL: I would 
Xattack at 'a' and go for a kill.]L[ob];W[rd];B[ob]L[re][rc][qe]C[JB: This 
Xsurprised me. The usual a-b-c would affect the White territory below, and I 
Xdon't think Black can get much on the top edge with the now-strong white 
Xgroup there.
X
XOL: Taking sente is correct.];W[qe];B[pe]L[eh][fg]C[TS: 'a' would leave B 
Xwith reasonable prospects, though it would still be tough.  
X
XJB: I though this was too small. I don't think White could have done anything 
Xhere anyway.
X
XOL: Black wastes sente, for there is nothing white can do here. 'b' instead 
Xwould leave black leading.];W[dg]C[JB: This contact play seems a good spot to 
Xstart trying to make use of the cut-off stone. I didn't really expect to live 
Xso much as to take as big a bite as possible out of the territory.
X
XOL: Well, white still needs to do something to the right side...];B[eg];
XW[dh]C[JB: On the other hand....];B[fh]L[ff][cf]C[TS: 'a' is correct.
X
XOL: This is not so simple. The game seems to hinge on who succeeds here.
X
XAccordingly, I probably would descend to 'b' so as to live -- and make life 
Xhard for white.];W[cf]C[OL: The vital point.];B[de];W[bf]C[OL: Now white 
Xlives and that means the game is over.
X
XBlack should resign.
X
XBlack eventually resigns. I end my commentary here.];B[bk]L[ff]C[TS: B has to 
Xplay 'a', though W then probably lives with B9. 
X
XJB: That is what I expected.];W[ce]C[TS: The end. I made a few more futile 
Xattempts \(way too many, actually\), then resigned.];B[gg];W[he];B[dd];W[ef];
XB[bg];W[ee];B[bd];W[cg];B[bb];W[cb];B[af];W[bh];B[ag];W[ah];B[ae];W[ba];B[ci];
XW[ch]L[di]C[JB: I could have played "a" if I had stopped to think, but I this 
Xmakes the liberties 4 to 3 and makes the outcome clear.];B[di];W[ab];B[bi];
XW[ac];B[co];W[cp]C[JB: Playing safe.];B[bo];W[bp];B[bm];W[er];B[fr];W[kc];
XB[br];W[cr];B[bq];W[aq];B[ds];L[es]C[Black resigns before white can reply. 
X"a" is adequate.])
EnD of JohnBate.tsand.6
echo extracting JohnBate.tsand.7 1>&2
sed 's/^X//' >JohnBate.tsand.7 << 'EnD of JohnBate.tsand.7'
X(;GM[1]VW[]SZ[19]PB[tsand]BR[2k]PW[JohnBate]WR[2k]
XGN[\(IGS\) JohnBate\(W\) vs tsand\(B\)]
XEV[A game played on the Internet Go Server]DT[1992-07-17]PC[IGS:  
XAlbuquerque, NM, USA 129.24.14.70 6969]RE[W+Resign]
XUS[Brought to you by the IGS program]KM[5.5]B[qd]C[ IGSWGT, group 3, round 5.
X Internet Go server at icsi.
X
X White: John Bate, 2 kyu
X Black: Tero Sand, 2 kyu
X
X 16 July 1992
X Komi: 5.5
X White wins by resignation.
X
X Comments by kibitzers, John
X Bate & Olli Lounela, 3 dan.];C[\(Note BTW, that this game contains some 
Xfairly extensive kibitzry. As this game was played very fast, it was 
Xdifficult in the extreme to read situations and be sure of the correcticity 
Xof the comments. A few \(including many of my own \(OL\)\) are clearly 
Xmisperceived...\)]W[pp];B[dc];L[de]C[JB: Black will inevitably get a shimari, 
Xso I wanted to take some territory of my own quickly. A 3-4 point seemed too 
Xslow.
X
XOL: Not really; the slowest move in a corner is the 3-3 point.
X
XI might have played at 'a' just to spite black, but taking the corner is OK.]
XW[cq];B[ce];W[od];B[mc];L[ne]C[OL: This move hides a most difficult decision: 
Xshould white play it or 'a'. I would probably play 'a'.]W[qc];B[pc];W[pd]
X;B[oc];W[nc];B[nd];W[nb];B[qb];W[rc];B[ob];L[md][mb]C[JB: Although this is 
Xjoseki, I am always very tempted by the immediate cut at 'a'. But I talked 
Xmyself out of it and stuck to joseki. \(After consulting my joseki 
Xdictionary, I think I should have chosen the variation at 'b'.\)
X
XOL: Yes, the 'b' variation does seem to be called for here...
X
XAlso, 'a' indeed seems bad.]W[qe];C[JB: Joseki here is N18, to finish off the 
Xtwo white stones completely.
X
XOL: And for a good reason. Black really should not leave bad aji behind like 
Xthis.]B[md];C[JB: This allows black to revert to joseki with N18, but it 
Xseems too big a point to omit. If black now plays tenuki, the white stones 
Xhave some very definite aji, and if black plays N18, white has sente. 
X
Xtsand 2k 20: <Chuckle>  
X
XJB: I take it that black likes sente better. :-\)
X
XOL: Black should "waste" sente and secure the top better, that is, finish the 
Xjoseki.]W[ne];B[dn];W[fp];B[dj];W[pj]C[OL: I would prefer to play at 'a'. 
XSince there is white thickness facing down the right side, white should 
Xhappily make a black invasion possible, just to hope for a target.
X
XIn short: the bottom is weaker, and strengthening it seems called for.]L[kp]
X;B[nq];C[tromp 7k S18 \('a'\) is sente for both.  
X
XJB: No. 'a' is aji-keshi for both. Since white gave up sente to get that aji, 
Xit would be a crime to throw it away. Black 'a' likewise would make white's 
Xwall just about impregnable. 'a' is a big yose point *IF* it lasts that long.
X
XOL: John is right about that. However, his move \(marked\) is unusual, as it 
Xoften ends in awkward shape in relation to the marked black stone. Any of the 
Xmoves 'b' to 'e' are easier to handle in this respect, and are thus more 
Xusual.]W[kq]M[kq][nq]L[rb][lq][kp][jp][jq];B[qq];C[tromp 7k R4 I would guess 
Xnow  
X
XJB: Making the wall facing up the right side seemed the better direction. The 
Xpincer would have been better at 'a' in that case, though. :-\(
X
XOL: Right. Anyways, the right side doesn't look too promising a base for 
Xcreating a moyo, since there are various weaknesses at the top right, 
Xparticularily 'b'.]W[qp]L[lq][ng];B[pq];W[op];C[JB: I think this is an 
Xoverplay. I was expecting black 'a', white 'b'.
X
XOL: It is very hard to say whether this is an overplay, but it certainly is a 
Xdifficult course.
X
XBe that as it may, I'm not so sure black has a choice: if white gets too 
Xstrong a wall here, black will be hard put to match the moyo.]B[np]L[oq][mo]
X;W[oq];B[or];C[JB: I liked the idea of taking the corner by cutting here. The 
Xblack stones on the outside will still not have much eyespace. Cutting on the 
Xother side, giving black a small life in the corner and setting the two black 
Xstones adrift in the centre, has a lot of merit, too. 
X
Xtsand 2k  Wrong side  
X
XJB: Seems we disagreed . :-\)
X
XOL: I would tend to support John here. If black exchanges the corner for a 
Xwall in gote, black 'a' looks all too effective. Nevertheless, it is rather 
Xirritating for white to give black a perfectly secure group here, and in 
Xsente even, so Tero's opinion is easy to understand...]W[nr]L[ng];B[mr];W[pr]
X;B[ns];W[qr];C[JB: That one surprised me. Doesn't really accomplish anything 
Xat the moment. Better left for later as a threat?
X
XOL: True: this is too early as yet.
X
XThe idea behind this move is yosu-miru: testing the opponent's responses, 
Xprobing that is. Is is usually used when developing aji, preparing for its 
Xlater use.]B[rq];W[rr];C[JB: I expected something like J3. 
X
Xlounela 3d Top right is almost- joseki. Black needs n18 there. 
X
Xtromp 7k welcome to the game, Olli!  
X
Xlounela 3d Thanx.
X
XOL: Good. Next black can take 'a']B[nn]L[ng];C[JB: J4 seemed awfully big, but 
Xso does this. I decided to take a large side and wish L3 good luck! 
X
Xtromp 7k \(to lounela\) I was just telling Gozilla that S18 is sente for both
X
XOL: The right side is more important than the bottom -- which would be open 
Xfor invasion even if white spent a move there.]W[pm];C[JB: Wouldn't J3 have 
Xbeen a better spot? 
X
Xlounela 3d \(referring to S18\) But still bad for black. Aji-keshi. And 
Xlikely for white also.
X
XOL: Not necessarily. A lighter invasion is easier to handle since black will 
Xnot need to worry about the invading stone.
X
XHowever, black should play at 'a'. Besides being almost absolute sente, it 
Xalso covers much of black's weakness due to the unfinished joseki. 
XFurthermore, it is at the junction of the two enormous moyos...
X
XAll in all, 'a' is the biggest and the most important point, and likely is 
Xthe most important point in this game. Either player should take care of it 
Xas soon as possible \(white's move is 'b'\).]B[ip]L[ng][me];C[OL: It would be 
Xbetter to jump at 'a', towards the center. That would separate black, and the 
Xattack that follows should be good for white.]W[iq];B[hq];L[hp]C[JB: This 
Xcounter-hane is often a good tesuji for making shape. I was not 100% 
Xconvinced of it here, though. K4 and running into the centre seemed 
Xreasonable, too. 
X
XOL: Here it's no good. Black should cut at 'a' instead. The cross-cut is an 
Xeven more typical sabaki tesuji \(tesuji for settling oneself\)...]W[hr];B[jq]
X;W[ir];C[OL: Good. Now black's bottom group is secure and he has also raped 
Xwhite's bottom...]B[jp];W[jr];B[kp];C[JB: This is being stubborn. It gives 
Xblack a chance to fix up 'a'. But giving black 'b' and a VERY solid group 
Xseemed lacking in spirit. 
X
Xlounela 3d \(Referring to the top right\) Also, black's vital point there is 
Xo13.
X
Xtromp 7k exactly. so white will probably end up playing S18 first   
X
XOL: Well, whatever happens pushing in like this when there is a very real 
Xdanger of being cut is foolhardy; white is kindly asking for trouble. White 
X*must* play at 'a' or black *will* separate him.
X
XAs to the black getting strong, it's too late to worry about that. White 
Xwould do better to secure himself and the take the big point at 'c'.]W[lq]
XL[hp][kr][me];B[lp];C[JB: I was very happy to get this one. 
X
Xtromp 7k black was too worried about a white m4 
X
Xlounela 3d White's move in TR is N15, I'd think. Black would have to jump to 
XL16.]W[hp];C[JB: This looks like aji-keshi. I am more than happy to connect 
Xat G4, and the black stones have nowhere to go. 
X
Xlounela 3d No good, white can connect.]B[gq];W[gp];L[ng]C[JB: Time to assess 
Xthe situation. White has possibly 50 points on the right, although the upper 
Xpart is not secured yet. There are also 20 points in the bottom left. Black 
Xhas a few secure points in the top right and a BIG moyo. White has to hold 
Xthat moyo to 60 points or so.
X
Xtromp 7k do you feel good about E15?
X
Xlounela 3d I'd prefer o13, then about j16.
X
XOL: Black really should play 'a'.
X
XJohn's counting is not bad at all; I get 42 points for the right side and 22 
Xfor the bottom, but neither is sure as yet. Black's moyo encompasses about 80 
Xpoints, so white needs to destroy quite a bit of it.
X
XHowever, black's actual move is too slack. If he built a gigantic moyo with 
X'a', the moyo would grow to around 120-150 points, and even if half of it got 
Xdestroyed, which would not be easy, black would have an easy win.
X
XBesides, a black stone at 'a' also threatens white's right side.]B[ee];C[OL: 
XExcellent.]W[me];L[kd][mb]C[lounela 3d kibitz Maybe, hard fight ahead. Now w 
Xh17. Makes miai of l17 and d18. Not d18, maybe e17...
X
XOL: Black should play at 'a', for the aji left behind at 'b' makes it easy to 
Xinvade the top.
X
XThe kibitz is not entirely correct here...]B[le];AW[lf]L[ic][kc][hc][ng][he]
XC[JB: I guess 'a' here would have been better, but this hane adds to white's 
Xprospects as well as threatening black's. Or how about 'b' immediately? It 
Xseems black must answer at 'c' \(the aji again :-\), and then white gets a 
Xdecent chance with 'd'.
X
XOL: First, it is clear that pushing black along the 5th line is bad. It also 
Xstrengthens black's stones. It should be enough to have eliminated black 'd'.
X
X'c' seems the best invasion spot, as living with 'b' or escaping with 'e' 
Xwould be just about miai. As long as the aji exists, it looks likely black 
Xcan do nothing to stop white from living and/or escaping.];C[JB: If not for 
Xthe aji, a double hane would be possible here. So the 2 white stones have 
Xbeen of some use here. :-\) 
X
Xnoam 6k  for h17 above what would happen if black caps?
X
XOL: Of some, but all too little. Black is making the invading all the more 
Xdifficult.]B[ke]L[hc];M[ke]C[JB: This looks a bit rash after black's L15, but 
XI am hoping that I can use the aji to make this invasion work. If black caps, 
XI can count on L17 and M18, for example. 
X
Xnoam 6k  Is white sure to live in there?  
X
XJB: White is HOPING he can live in there. :-\)
X
XOL: White most certainly could have lived there *before* the marked stone. 
XNow it's much more difficult...]W[hc];B[jc];L[jd]C[lounela 3d White gives b 
Xterritory too easy. Now w k16.  
X
XJB: You're right of course. This is far too heavy. My only thought was to run 
Xout since K17 had prevented most of my threats in that direction.
X
XOL: At 'a' would be sente and just about eliminate the peep that comes next.]
XW[he];C[JB: A good peep. White would like to resist it, but it seems 
Ximpractical to do so.
X
XOL: I would use the word 'impossible' here...]B[gd];C[JB: Now THAT'S a heavy 
Xshape. :-\( 
X
Xlounela 3d w too heavy. Very difficult. 
X
Xtsand 2k 67: Having fun?]W[hd];B[hg];L[jd][ig][kc][kf]C[OL: Now the situation 
Xis *much* more difficult for white.
X
XHowever, there seems a better way for white: first attach at 'a', which would 
Xmake possible jumping to 'b'. If black eliminated 'b' instead, black seems to 
Xlive with 'c'. The idea with 'b' would be to get out faster and not let black 
Xturn to 'd'.]W[if];B[kf];W[ig];B[hh]C[JB: Assuming the white stones live 
X\(and they seem to have enough room to get away now\), black doesn't have too 
Xmuch left at the top but he now has quite a bit on the left. It doesn't look 
Xlike 60, though, particularly since there is a lot of room left to invade on 
Xthe third line, so there is still hope.
X
XOL: They seem capable of escaping, all right, but still I would not be too 
Xhopeful as white. Black's territories amount to about 60 points, and if he 
Xgets sente to play at 'a', he seems to be leading.]L[cp];C[lounela 3d Black 
Xgot good result. 
X
XJB: My concern now was getting the centre group out of immediate danger as 
Xquickly as possible before black's result gets even BETTER by attacking them.
X
XOL: This is a reasonable attitude... :-\)]W[jh];L[cp]C[OL: This is dubious. 
XForcing white into the center weakens seriously black's territorial prospects 
Xon the left side. I'd prefer 'a'.
X
XOnce black has played this move, he will have to get a pretty good result on 
Xthe right side to compensate.]B[kh];C[JB: Running out will inevitably damage 
Xmy right side but this seems to help a lot in controlling the damage. For 
Xthat reason, I'm not so sure that black's jump was a good idea.]W[lg];B[kg]
X;W[ji];C[lounela 3d Black should've played c4.]B[hj];L[ng]C[JB: I was happy 
Xto get to turn here. The 2 white stones at M13 have just become expendable.
X
XOL: True enough, as far as it goes. Black has an irritating tesuji at 'a'...]
XW[ki];C[...which he cheerfully destroys.]L[ng]B[lh];L[nh][oe][pe][of][ng]
XC[lounela 3d Now w o12 and take the side.
X
Xtromp 7k  now n14 is  a real threat
X
Xlounela 3d Sacrifice two stones if necessary. 
X
XJB: O12 didn't seem to protect P15 enough. I'm ignoring the two stones on 
Xline M anyway, so I wanted the rest to be as solid as possible.
X
XOL: I was suffering from mispercetion: 'a' does not work, as is clearly shown 
Xwith the likely follow-up to 'd'. Thus, white should play 'e' and take as 
Xmuch of the side as possible. 'e' is the best shape, and after it, black 'a' 
Xdoes little damage. White can, sure enough, sacrifice the marked stones if 
Xnecessary.]W[og]M[lg][lf];L[cp]C[JB: This looked a bit unnecessary to me.
X
XOL: Well, it is fairly large. However, black should play at 'a' instead.]B[ff]
X;C[JB: I thought that this would certainly reduce black's territory to a 
Xsuitable amount. White's 50 points on the right are more solid now, and this 
Xshould keep the top left from being any more than that for black.
X
Xtsand 2k 82: aah.. another target..
X
XOL: John agains seems to be right, except that the right side is not 50 
Xpoints...]W[cl];B[dl];C[tsand 2k 83: well, maybe not.
X
XJB: This invasion into a 3-space extension is fairly standard and should have 
Xno trouble.]W[cm];B[dm];W[cn];C[JB: An overplay?
X
XOL: Looks like.]B[co];C[JB: White could simply play B5 and connect under 
X\(black cannot double hane\), but fighting spirit seemed to call for the cut 
Xsince C9 is vacant.
X
XOL: I would be tempted to try and reduce black's territory even more: 'a'. 
XAfter that, living should be no problem... or winning either, for that 
Xmatter.]W[do]L[cj];B[dp];W[eo];B[cp];W[dq]C[OL: This is a most interesting 
Xsituation. I was too busy reading a ladder variation to kibitz much...];B[bq]
X;W[br]C[OL: The variation surfaces now: black 'a'. If white 'b', black gets a 
Xnice ladder that works with c etc.
X
XThe real problem is: what happens if white 'c'? Black 'b' and white 'h' seem 
Xforced, but after that it's an extremely difficult fight.
X
XIt *does* look if white would be better off, but that's not easy to say for 
Xsure \(I still but a lowly 3 dan :-\)...]L[ep][eq][fo][en][fn][em][el][er][bp]
X;B[ck];C[tromp 7k  b5
X
Xlounela 3d w wins fight with b5.
X
XJB: B5 it is. Now white has about 35 points at the bottom. This should be 
Xmore than enough as long as the centre group can survive.
X
XOL: This should settle the game.]W[bo];B[li];L[jk]C[JB: This is too far. It 
Xworks \(for now\) but leaves too much aji which almost proves disasterous 
Xlater in the game.
X
XOL: All too true. Should be 'a'.]W[jl];C[JB: I expected black to keep up the 
Xpressure on the centre group first. They are by no means out of the woods 
Xyet, and building a little more centre influence before invading would seem 
Xbetter.
X
XOL: That's not easy to say either. Chasing white's center may prove 
Xaji-keshi. On the other hand, there may surface a move that helps invading.
X
XI myself would be prone to leave the center for a while and invade.]B[pi]
X;C[tromp 7k  white should be happy to play E9 
X
Xlounela 3d It may be aji-keshi.]W[qi];B[ph];W[qh];B[pg];C[lounela 3d Now w 
Xp10. 
X
XJB: I didn't like the look of p10-q15 so I defended first. This time it is 
Xblack's aji in the corner that is working for him.
X
XOL: 'a' should not be a problem, since connecting around with 'b' and 'c' 
Xshould kill the invader.. \('d' is the proposed p10\)]W[pf]L[pe][oe][nh][oj]
X;B[qg];C[lounela 3d This is difficult. Probably bad for w.]W[oj];C[JB: I was 
Xguilty of mis-reading here. I didn't think that connection worked, but of 
Xcourse it does.]B[nh];C[lounela 3d Bacause of q14, w ha to make eyes in the 
Xcorner. Or maybe not. w s13 connects, perhaps.]W[mh];B[mi];C[JB: Perhaps this 
Xwas an error. I did not think the top right was in immediate danger. This 
Xpoint expands the side a bit, looks to a connection with the centre group, 
Xand puts some pressure on black's lower group.
X
XOL: White should defend the top right by forcing with 'a' to 'd'.]W[nl]
XL[oa][pb][rb][mb];C[tsand 2k 111: hmmm.. am I pushing harder than usually?
X
XOL: At least none harder than necessary. Black is triling by quite a bit...]
XB[pn];W[qn];B[om];W[oo]C[OL: This pushing through and cutting is risky. Black 
Xhas the tesuji-ish liberty-stealing move at 'a' to aim at...]L[qo];B[on]
X;C[JB: It seemed to me that with R5 and S4 as miai, these white stones were 
Xsafe, and that by pushing through and cutting black would have to discard the 
X4 black stones to save the bottom group.]W[no];B[mo];W[mn];C[lounela 3d Push 
Xthrough and cut seems mistaek. w out of liberties.
X
XJB: I am? I think I have enough \(but only barely\).
X
Xlounela 3d: w has to be able to kill, otherwise he's badly behind.
X
XJB: true. But It seemed impossible for black to save the stones on BOTH sides 
Xof this cut. I was expecting the atari from the other side, however. This 
Xdoesn't look good for the bottom group, which only has 1/2 eye at the moment.
X
XOL: True enough, black may have no time to use the sequence of 'a' to 'g' to 
Xtry and live...]B[mm]L[qo][rp][qm][rn][rm][ro][pl];W[ln];B[nm];C[lounela 3d 
XMaybe w aims at killing the bottom. 
X
XJB: Well, I didn't expect to. But if the opportunity presents itself....
X
Xlounela 3d w m5 taking away own liberties.
X
XJB: True. Aji-keshi, too. A bad move in sente.
X
XOL: Which is no consolation, eh?
X
Xtsand 2k  hmm...s18-s16-s13-s15..?
X
XOL: Nothing doing.]W[lo];B[mp];W[lm];B[ml]
X;L[jn][jm][kn][km][io][ko][hn][jo][ho]C[JB: Now the bottom group looks dead 
Xand the white centre group looks safe.
X
XOL: Only what happens if black plays 'a' once he has the right side secured?
X
XIf 'b', black escapes up to 'g'. If 'f' at 'g', black libes with 'f'.
X
XAll in all, now that I look at it, looks like black is not completely dead as 
Xyet...]W[in];B[qo];W[rp];C[JB: If black takes the middle right, it looks 
Xclose. \(White has 85 at the bottom now.\) If white lives there, however.....
X
Xtsand 2k  !#$@.. should be s6 
X
XJB: Maybe, but that would force R7 which I would like to have.
X
XOL: No, no, no and no. Black should have played at 'a'.]B[ro]L[qm];W[rm];B[po]
X;W[sq];C[JB: an excellent spot. White is not quite as confident about living 
Xhere now.
X
XOL: Should not be impossible. I think it either connects out or lives with 
X'a'.]B[ql]L[rl];W[rn];B[pl];C[JB: Risky. Connecting at T5 would give black 
Xabout 20 on the side, which likely is not enough. The line between "fighting 
Xspirit" and "stupidity" is pretty fine.
X
XOL: Yes, letting black cut is suicidal.]W[rk];B[rl];W[sl];C[lounela 3d If b 
Xcan live, w lost. Bottom can be ko: b l2, w m2, m1
X
XJB: Really? I seem to have enough room to avoid ko: L2,M2,M1,L1,N3,L2,G2,F2 
Xor L2,M2,M1,L1,K1,L2 is the same.
X
XOL: Another misperception -- this time due to extensive ASCIItis \(exposure 
Xto ASCII board\). I saw an extra line in the bottom, but it was only the 
Xdashes.]B[so];C[tromp 7k  now t7 
X
XJB: T7 is ignored. The 3 white stones are not worth it.
X
XBut S13 should have been played first. With the S18 aji, and P12, it seems 
Xthat this can be done without killing the other white group: 
XS13,S14,S12,R14,S15 looks good.
X
XOL: Well, actually white should force immediately with 'a' to 'f'. Black 
Xprobably answers. After that the white hane at 'g' does not adversely affect 
Xthe top right corner.]W[qk]L[oa][pb][rb][mb][qa][na][rg];C[lounela 3d Looks 
Xlike s13 might kill. 
X
XJB: I though the squeeze would give me an eye, but I was wrong.]B[rg];W[ol]
X;B[qm];W[pk];B[pm];C[lounela 3d Very hard now for w. Looks like either right 
Xside dies or black's bottom lives...]W[mk];B[ll];L[jn]C[tsand 2k 147: Nice 
Xfight.. no matter win or lose.. \(almost\)
X
XJB: Without this, black L7 would save the bottom, which would end the game.
X
XOL: Actually, 'a' still seems fairly hard to handle...]W[kl];B[lk];M[rj]
XL[mj][lj][ni][mg][nj][oh][rb]C[JB: N10 would live or connect, I think, but 
Xblack's response of M10 would likely kill the top centre, which gets back to 
Xthe fact that K8 should have been at K9 in the first place.
X
XOL: Only that the top right seems to die if the right side lives: 'a' to 'f', 
Xthen marked stone, and 'g' kills.]W[rj];L[ri]C[JB: This was a horrible 
Xexchange for white. There WAS one eye here, now there is only 1/2 eye. Very 
Xsilly of white.
X
XOL: Not quite. It was .5 eye even before; after black 'a' there would have 
Xbeen no eye.]B[rh];C[tromp 7k  well white is dead as a doornail on the middle 
Xright 
X
XJB: Not quite yet. This threatens P12, and I expected O11,S11,O9,N10,P9,M10.
X
Xlounela 3d  Now at least. No possibility of cut at m10.
X
Xtromp 7k  asuuming r13 doesn't get separated :-\(
X
Xlounela 3d  b m10 may be sente against top.
X
XOL: H'm. The semeai is extremely difficult to read out correctly, but I think 
XI've got it: it's a double ko in favour of white \(explaned later\).]W[nj]
X;B[ri];C[lounela 3d  What?!!! Can w win the semeai after cut...? <disbelief>
X
XJB: I think so. Looks like white is one liberty ahead.
X
XOL: No, really. It did look like white was a liberty behind...]W[oh]
X;C[lounela 3d  It'll be close issue, but I think b wins the semeai.  
Xlounela 3d  liberties would be 6-6 and b turn.
X
XJB: I think white is one ahead because black needs an extra move before 
Xfilling T9 and T10.
X
XOL: Capturing at 'a' gives black an extra liberty...]B[oi]L[qj];W[ni];C[tromp 
X7k  better o13?!
X
Xlounela 3d  That capture was bad. Loss of sente. It may be ko now. 
X
XJB: I don't see that. I still have to connect at P14.
X
XOL: I would try immediately at 'a'. If it didn't work, the game is over 
Xanyway. 'b' actually was better than capture, as now white can get a ko at 
X'b' -- or gain sente if black connects.]B[mg]L[mj][ng]
X;L[mj][nk][sj][si][rf][re][sh][sf]C[JB: Now assuming the R10-R11 exchange 
Xoccurs at black's convenience, white needs 5 moves to put plack into atari, 
Xbut black needs 6 \(an extra move is needed before T9 and T10\). I don't 
Xthink that black can increase his liberties in sente.
X
XOL: Here we see the double ko sequence: 'a' thru 'g'. I leave the rest of the 
Xsequence for the reader to practice \(and confirm that it isn't easy on an 
XASCII board :-\).]W[of];C[JB: This would have been good had M10 been played 
Xearlier, I think.
X
XOL: This also invokes another, more sinister semeai...]B[jj]L[mj];C[lounela 
X3d  Now it reverts. O13 probably was w's only chance.
X
Xtromp 7k  right 
X
XJB: O13?
X
XOL: 'a' instead of the marked stone.
X
XOf course, I was under the impression that black is ahead in the semeai.]
XW[kj]L[ng]M[of];B[kk];W[jk];C[tromp 7k  now white can get n10 in sente 
X
XJB: Never mind N10. M10 cuts off a big black group with only 2 liberties!
X
XOL: 3 actually, but anyway: black could try 'a'. Once white cuts, the game is 
Xirrevocably over.]B[ij]L[mj][lj];C[lounela 3d  This might save white; a 
Xsemeai with the big, bulky b. 
X
XJB: Looks like white is well ahead in that race.
X
XOL: One move is all you need :-\)]W[lj];B[mj];W[nk];B[sm]L[sk]C[OL: Even 
Xthrowing in at 'a' instead does not seem to help, even if it reduces white's 
Xliberties by one.];C[lounela 3d  connecting wins semeai for w.]W[sk];B[si]
EnD of JohnBate.tsand.7
echo extracting READ.ME 1>&2
sed 's/^X//' >READ.ME << 'EnD of READ.ME'
X
X**NOTE** This file closely resembles the READ.ME of the previous sets,
X	but has some additions/enhancements/updates.
X
XThe archive file amgames3.sh.Z contains the following files:
X
X-rw-r--r--  1 olounela     8520 Sep 14 13:07 JohnBate.Klaus
X-rw-r--r--  1 olounela    14925 Sep  8 17:24 JohnBate.tsand.6
X-rw-r--r--  1 olounela    23452 Sep  9 18:10 JohnBate.tsand.7
X-rw-r--r--  1 olounela      632 Aug 12 17:47 READ.ME
X-rw-r--r--  1 olounela    26064 Dec 30 04:49 Thor.Gozilla
X-rw-r--r--  1 olounela    11915 Sep 14 13:09 fang.tsand
X-rw-r--r--  1 olounela     6584 Sep 14 13:10 lounela.fighter
X-rw-r--r--  1 olounela    21610 Oct 27 12:41 lounela.giovax
X-rw-r--r--  1 olounela     9480 Sep 14 13:10 lounela.richter
X-rw-r--r--  1 olounela    20837 Sep 22 18:01 shylock.lounela
X-rw-r--r--  1 olounela    12453 Sep 14 13:11 tsand.Klaus
X
XThese (except for READ.ME) are games in mgt (SGF) format played by
Xplayers of various amateur strengths, all 3 dan or below (except for
Xshylock.lounela, where shylock is about 5 dan) ranging as far as about 8
Xkyu. 
X
XThe numbers behind some of the game names refer to archive numbers I
Xgive them. That all the numbers do not appear doesn't mean it don't
Xexist, only that it has not been commented and/or distributed.
X
XFor the benefit of mid-to-high level kyu players I have commented these,
Xalways trying to target the commentary, with varying success though, to
X1-10 kyu. 
X
XThese are the third set of ten.  The quality and the successfulness in
Xtargeting is unbelievably better than in the first set, and still better
Xthan in the second set.  This is due to a practice of some weaker player
Xfirst making his commentary, and my then correcting and adding to it in
Xthat of mine.  After that a brand new extra step of proofreading by John
XLamping, 1 kyu, has been added, and he has done a wonderful job in
Xinquiring about all kinds of things. 
X
XNote, that the handicaps may not always follow the ones implied by the
Xranking of the players.  Besides being a real situation, for many people
Xbelieve thay are better than their ranking states, this also reflects
Xthe variance of global rankings.  For example, Korean players have had to
X'promote' themselves repeatedly.  This situation is already improving,
Xhowever, due to a rating system installed in the IGS. 
X
XSooner or later there will be more games coming. 
X
XFeel free to distribute these games and modify as needed.  If any
Xmodifications are made, or if they are published (which I yet still
Xdoubt), I'd like to be informed at least, and preferably sent a copy. 
X
XI'll be happy to receive any comments.  Enjoy. 
X
X	Olli Lounela, 3 dan.
X--
XE-mail: olounela@cc.helsinki.fi           ! .sig still under construction.
XBlame me only for any opinions expressed. !  Never you mind, I don't either.
EnD of READ.ME
echo extracting Thor.Gozilla 1>&2
sed 's/^X//' >Thor.Gozilla << 'EnD of Thor.Gozilla'
X(;GM[1]VW[]SZ[19]PB[Gozilla]BR[2k]PW[Thor]WR[24k]
XGN[\(IGS\) Thor\(W\) vs Gozilla\(B\)]
XEV[A game played on the Internet Go Server]DT[1992-07-23]PC[IGS:  
XAlbuquerque, NM, USA 129.24.14.70 6969]RE[B+Time]
XUS[Brought to you by the IGS program]KM[5.5]C[A game from the IGSWC \(@icsi\)
X
XBlack: Gozilla, 2 kyu
XWhite: Thor, 5 kyu
X
X23 Jul 1992
X
XWhite loses on time.
X
XCommentary by Tero Sand, 2 kyu, and Olli Lounela, 3 dan.];B[dd]C[OL: This 
Xmove has traditionally been considered unpolite. It's normal to start at the 
Xtop right, and usually all diagrams are also printed that way.];C[TS: 
XKajiwara once called this 'a losing move', but that might be a bit extreme.
X
XOL: Extreme it is. Professionals, not to mention pro 9 dans, dispute this.]
XW[qd];B[dq];W[pq];B[dk];C[TS: I would be inclined to play 'a'.
X
XOL: 'a' would be the normal move, and would seem the best, though any shimari 
Xwould be just about as good.
X
XHowever, if white plays at the bottom, it should be at 'b'.]L[oc][jp]W[jq]
X;C[TS: Again, I would choose 'a'.
X
XOL: It would be clearly better.
X
XIf black wants to play a kakari here, a bit further away from the corner 
Xwould be better, eg. 'b'.]L[od][qn]B[qo];W[qm];L[pm][oo][op]B[pn]C[TS: 
XDoesn't seem to be joseki. 'a' seems to give a reasonable result for Black, 
Xwhile 'b' or 'c' don't seem to work well.
X
XOL: This is nowhere near joseki, for white gets too good a result from simply 
Xpushing up.
X
XIt's not easy, however, to say just what I'd do. 'b' is probably OK.];W[pk]
XL[pm][nq]C[TS: 'a' is more usual. Perhaps White is afraid of a Black pincer 
Xaround 'b'...
X
XOL: This clearly is a mistaek. White should play at 'a'.];B[nq]C[TS: .. which 
Xcomes anyway. However, maybe it is an overplay.
X
XOL: This pincer would seem an overplay. 'a' would seem better.]L[np];W[op]
X;C[TS: 'a' seems better.
X
XOL: Not at all. It all depends on what black is trying to do.
X
XActually, 'a' would be bad since white has the marked stone in a place which 
Xwould prove to be the vital point \(makes 'b' possible later\).]L[rq][ro]
XB[qq]M[qm];W[qr];B[pp];W[rq]L[oq]C[TS: I would think 'a' is good enough, 
Xhowever, now Black seems to be in trouble.
X
XOL: This is the normal, correct style. White seems to have nothing to fear 
Xfrom black's cut at 'a'.];M[oq]L[rp][qp]B[oq]C[TS: This would seem to be 
Xdictated by fighting spirit, but the result wasn't too good. However, 'a' 
X\(ko\) doesn't look good, while 'b' is horrible.
X
XOL: It's pretty hard to say which is the best way here.
X
X'b' is absolutely out of the question. White would connect out at the marked 
Xstone and leave black eyeless and heavy.
X
X'a' seems also out of the question since black has no ko threats.
X
XThis would seem to leave the marked stone as the only possibility. Looks like 
Xblack has to grit his teeth and be patient, but it does not look like black 
Xcould get a good result here any more.];W[qp];B[no]L[np]C[TS: This shows the 
Xpredicament Black is in.
X
XOL: 'a' is better. See variation B.](;L[np]W[po]C[TS: I would call this a 
Xgood result for White.
X
XOL: White should push out at 'a' first.];C[TS: I think I would prefer 'a', 
Xplaying ko if White cuts at the marked stone.
X
XOL: Perhaps you would. Both are pretty horrible.
X
XBlack should play at 'b' and try to save the group while leaving some 
Xprospects for an attack at the bottom.
X
XNow black only gets split and weak. This is, BTW, why both should have taken 
X'b' at the earliest possibility.]M[qn]L[oo][np]B[qn];C[OL: Now white is bound 
Xto get a good result.]W[np];B[mp];W[mo]C[TS: Now Black's position is in 
Xshambles.
X
XOL: Good. The other cut would be worse since it would let black sacrifice two 
Xstones and connect here.];B[nn];W[lp];B[mq];L[mn]C[OL: 'a' is much better. 
XFurthermore, it will remain the vital point for the next few moves.]W[lq]
X;B[rp]L[rn][pm][nl][mn]C[TS: Black wants to get a stone at 'a' in sente, but 
XI don't like giving White more territory/eyes. I would play 'b', followed by 
X'c'.
X
XOL: This is a huge-ish mistaek. Black should atari at 'd' immediately, before 
Xwhite gets a chance to play there. 'd' is similar in intention to 'b', but 
Xbetter.];W[ro]C[OL: Not necessary as yet. Better to push at 'a'.]L[mn];B[rn]
XC[OL: Still 'a'.]L[mn];W[sp]C[OL: 'a'.]L[mn];B[iq]C[TS: Dubious, while 
XBlack's group is weak.
X
XOL: Right-o. Black has to do something pretty good, and this at least shows 
Xspirit, but anyway it isn't any good. This only succeeds in splitting the own 
Xposition.
X
X'a' is still the vital point.]L[mn];W[mn]C[TS: This would seem just to help 
XBlack, although it's hard to say what else to do. I'd probably play 'a'.
X
XOL: Far from helping black, it prevents black from helping himself in sente. 
X'a' would be mediocre at most, and would yield the initiative to black's 
Xhands.]L[ir];B[nm];W[mm];C[TS: This seems risky.
X
XOL: Right, it's an overplay. Black cannot afford to create cutting points 
Xthis way. I'd play at 'a', see variation B.]B[ml]L[nk](;C[TS: This looks 
Xrisky, too, but is probably correct.
X
XOL: This is the correct way to punish black's overplay.]W[nl];B[lr];W[kr]
X;B[ol];W[nk];B[ok];C[TS: An uncompromising move, though I must say White's 
Xposition looks shaky.
X
XOL: There is no need for white to compromise. Catching the group secures lead 
Xin a most effective way.]W[oj];C[TS: Black sacrifices his right side group in 
Xorder to try something with his lower side group.
X
XOL: It seems that there is little else black could do, but giving up 9 stones 
Xand 40 points with no compensation whatsoever is painful to say the least.]
XB[mk];W[nj];B[oo];W[pp];B[lo]M[mp][mq][lr][nq][oq]C[TS: Black is trying to 
Xfree the marked stones, but this shouldn't work.];W[kn]C[OL: Good.];B[ko]
X;W[jo];B[jp];W[ip]C[TS: Looks like a mistake - White's best policy might be 
Xto play as in variation B.
X
XOL: This is not a mistaek. White captures the cutting stones, and that is a 
Xgood result. Black's cut has been made bad, an aji-keshi.
X
XGiving up the connection as in variation B is bad. One's aim should not be 
Xseeking independent life but to connect one's groups.](;B[jr];W[kp]C[OL: This 
Xis a good result for white.];B[ks];C[TS: I would play 'a'. This results in 
XBlack resquing his stones, which makes up for the loss on the right. However, 
XWhite ends up clearly in the positive with his central thickness.
X
XOL: 'a' would not be better at all, since capturing the ko \(the marked 
Xstone\) is sente against the three white stones. See variation B.
X
XWhite should capture the cutting stones at 'b', which also would render the 
Xko one sided, a burden for black only.]L[ir][ln]W[mr]M[kr](;B[kq];W[jp]C[OL: 
XCapturing at 'a' seems better.]L[ln];B[nr];C[TS: 'a' seems better.
X
XOL: Not only seems, it is. However, if white plays 'a', the marked stone is 
Xmade superfluous, and would be better used in reducing aji by capturing at 
X'b'.]L[kr][ln]W[ms]M[jp];B[ns];W[ir]C[OL: Too late now.];B[hq];W[kr];B[js]
X;C[TS: This just increases White's loss.
X
XOL: White misses a tesuji. 'a' would either rescue the white marked stone 
X\(variation B\), or seal black in \(variation C\).
X
XHowever, white needs to secure the big group above before playing at 'a'. I 
Xwould recommend 'b'.]W[hr]M[ir]L[gq][kl](;B[gq];W[gr]C[OL: Now there is no 
Xway white can do anything in the bottom. White's loss grows with every single 
Xmove.];B[fr]L[fq]C[TS: Correct. If 'a', White can get a ko as shown in 
Xvariation B.](;C[TS: It's hard to see what White is after here.
X
XOL: Probably sounding out black's responses. However, this just loses what 
Xlittle potential there was. Better to play elsewhere.]W[fq];B[fp];W[er]C[OL: 
X<Ouch!>];B[eq];W[fs];B[fq];L[oc][fc][pj][nc]C[TS: I think Black's group was 
Xalready dead, so 'a' or 'b' seems more appropriate.
X
XOL: So it is. I'd play 'd'.
X
XHowever, as white is far ahead and seems unsure as to the status of this 
Xblack group \(probably worried about the aji of the cut at 'c'\), I'd say 
Xbetter safe than sorry.]W[om];B[lc]C[TS: This looks strange. Black might be 
Xreasoning that if White pincers, Black can extend to 'a', but I don't like 
Xthis. I'd prefer 'a' or 'b'.
X
XOL: 'b' looks OK.
X
XIf black plays at 'a', he's sure to get pincered, and that is no good with 
Xthe strong white position below.]L[oc][jc];W[cf]L[oc][id][fc]M[cf]C[TS: My 
Xinstinct would be to play 'a', but then Black would have the incentive to 
Xdefend, say, at 'b', which would make playing at the marked stone that much 
Xmore difficult.
X
XOL: I would invade the other, larger side, at 'c'.];C[TS: I would prefer 'a'.
X
XOL: 'a' is not as good as the actual move. White would have the chance of 
Xattaching at the marked stone and that would seal off a large side.
X
XThis actually is locally a good move. However, it seems to me that 'b' is 
Xmore urgent. 'b' is, BTW, the second vital point repeatedly missed in this 
Xgame by both.]L[oc][ch]B[od]M[od];W[pf];B[qc]C[OL: This is dubious. Black 
Xshould be satisfied with the exchange of the marked stones and play at 'a'.]
XM[od][pf]L[ch];W[rc]C[OL: 'a' would seem better.]L[di];B[pc];W[fc]
XL[re][rb][qe][di]M[lc]C[TS: 'a' or 'b' are joseki \(in which case the marked 
Xstone is too close\), but considering White's position on the right side I 
Xwould be tempted to play here, too. However, Black has a nasty spot at 'c'.
X
XOL: Considering the strong white position nearby, the marked stone is in the 
Xexact spot where it should. A larger extension would be loose.
X
XDiscarding the top right corner is a good idea, but the actual move is 
Xdubious. Even after another black move, the top will remain invadable. I 
X\(still\) recommend 'd'.
X
X'c' does not do anything much; the corner is actually small.];B[fd]C[OL: 'a' 
Xwould clearly be better; it would leave the direction the wall faces for 
Xblack to decide. Furthermore, it would actually make a wall.]L[ee];W[gd];B[fe]
X;W[ec];B[dc];W[dg]C[
X pierre 10k: j17];B[ce]C[
X pierre 10k: well ok that is joseki too
X
XTS: It is not a question of what is joseki but what works considering the 
Xsurrounding positions.
X
XOL: Anyway, this joseki seems better for white.];W[be]C[ pierre 10k: 
Xpersonally i think black shud have played attach n block joseki
X jwkim 6k: White should resign I think.
X pierre 10k: instead of attach n extend
X pierre 10k: white???? no way, white leads
X
XOL: jwkim seems to be badly worng. At the moment white has a huge lead.]
X;L[df]B[bd]C[TS: 'a' is joseki.
X
XOL: A big mistaek. Black loses what little shape he had.];W[de];B[cd]C[
X pierre 10k: this joseki is perfect fr white. he lives in upper n escaping 
Xwith left is no problem with whites center!
X
XTS: Well, this isn't joseki, as stated before.
X
XOL: Not any more. Now it looks like black will pay heavily for his error...]
X;L[fg][ge]W[bf]C[
X pierre 10k: black played wrongly b16 shud be at d14
X pierre 10k: now white jumps to f13 \('a'\), black has to connect and white 
Xk17 or j17 -- game over for black!
X
XTS: 'a' might indeed be better.
X
XOL: ...but white lets him off the hook. White should play at 'b'.];B[ch]C[
X pierre 10k  NO!  he shud play light! ARGH!
X
XOL: Here 'b' is a vital point. Black should force with the sequence 'a', 'b', 
X'c', 'd', which leaves white eyeless, heavy and in bad shape.]
XL[id][ge][gf][he];C[TS: The marked exchange is now bad for White.
X
XOL: If white wants to play on this side \(even if 'a' is the vital point\), 
X'b' is better.
X
XAnyway, this move makes black 'c' impossible, so it's not all bad, just 
Xslack.]M[ch][bf]W[fg]L[ge][dh][id];B[gf]C[OL: Good. This may look strange, 
Xbut there is no way a cut at 'a' would work.
X
XPushing at 'b' would be much worse.]L[gc][ge];W[ic];L[ed]B[db]C[
X jwkim 6k: I think b is good in the status.
X JohnBate 2k: I just started watching this one. What a mess at bottom right!
X
XTS: Connecting at 'a' might be wiser.
X
XOL: Not necessarily. The cut is not urgent, and black secures quite a few 
Xpoints in the corner while actually threatening white's eye shape at the top.]
X;W[ed]C[
X pierre 10k: yeah n u shud have seen it before white messed up n let b live 
Xin lower! black was dead on both sides
X pierre 10k: b has to look out for carpenters square now
X
XOL: This seems premature. White loses a liberty and that makes a big 
Xdifference in eyes on the group at the top.];B[ee];W[df];C[TS: Good. This 
Xmaneuver reduces White's eyes in sente.
X
XOL: Not so good. This is also premature. Black should play at 'a' and aim at 
Xstealing white's eyes with 'b'.
X
XThis can only be justified if black is terrified of white 'c'. Nevertheless, 
X'a' is the vital point for influence and for safety of the groups.]B[gc]
XL[gg][hb][eb];W[gb];B[fb]C[
X JohnBate 2k: Sigh. This game looks like prime-time TV. Lots of senseless 
Xviolence. :-\)];W[hc];B[eb];W[gc]C[OL: Black's cut and squeeze has gained him 
Xeyes in the corner, but has also strengthened white's group considerably.]
X;B[gg]C[OL: The vital point.];C[TS: 'a' seems better.
X
XOL: True. Even if it is a shape that seems full of holes, there would be no 
Xway for black to utilize that.]L[fi]W[fh];M[ic][hc][gb][gc][gd][fc][ec][ed]
XB[ie]C[TS: This looks slow, however, the marked group doesn't look very 
Xhealthy.
X
XOL: Slow it may be, but more importantly it is a mistaek in direction. Black 
Xshould push at 'a' to further strengthen his own group and to make an attack 
Xeven more severe.]L[gh];W[gh]C[
X pierre 10k: black has to kill something f hes going to win this game
X
XTS: White seems to be very confident of his top group. Due to the strength in 
Xthe bottom middle I think this group is stronger.
X
XOL: This is a vital point. If white's group at the top succeeds in living, 
Xhe's quite a bit better off for playing here.
X
XThat does not make it any less risky, however. I would prefer defending the 
Xweaker group \(top\) and letting the stronger one \(left side\) to take its 
Xchances.];B[ig]C[OL: This does not even begin to try to kill the group at the 
Xtop, and that means the marked stone has been made bad. To justify the marked 
Xstone, black should try to kill, by playing at 'a'.
X
XNevertheless, it seems that killing the white group would be just about 
Ximpossible.]M[ie]L[jd];W[kd];B[kc];W[jd];L[hh][ii]B[jc]C[
X tsand 2k: Hmm, what's going on?
X pierre 10k: hi fun with new kibitzers
X
XTS: 'a', strengthening the middle group, looks better. White has only one eye 
Xat the top anyway.
X
XOL: Almost there, but not quite. 'b' is the shape.];W[id]C[
X JohnBate 2k: White dead at bottom, black dead on right. Anybody's guess for 
Xthe rest.];L[ge][ii]C[TS: White seems to be in trouble, however, 'a' is 
Xsurprisingly damaging \(to Black\). 
X
XOL: Bad. Trying to kill white is premature.
X
XGoing for influence by jumping to 'b' would still be better.]B[kf];L[ld]W[ge]
XC[TS: This move causes damage to White's left-side group, but also reduces 
Xthe healthiness of Black's center group.
X
XOL: This is a bad move, since it is white's sente any time, at least for the 
Xtime being. Pushing at 'a' is the only move.
X
XThe only possible justification for a move like this would be that white 
Xwants to play it as long as it is sente and were afraid that black would not 
Xanswer it later. However, the effect is that the white group on the other 
Xside weakens considerably. Thus, it is not advisable to play this if not 
Xabsolutely necessary.
X
Xpierre 10k  white dead on top???
X tsand 2k  not yet
X JohnBate 2k  But getting close
X tsand 2k  has to push
X jwkim 6k G15 for w is good.
X JohnBate 2k  Looks like "last person to kill something wins" :-\)];B[ff]
X;W[hf]C[OL: The same thing that applied to white's last move applies also to 
Xthis move, only more so.];B[hg]C[
X tsand 2k: k18
X jwkim 6k: OK! for w. next H14.];W[he];B[ib]C[OL: This is a bad move. Black 
Xshould play at 'a' to try and escape into the center. White's group seems to 
Xlive anyway.
X
XAfter taking 'a' black would have some, although rather slim, hopes of 
Xattacking the other white group if white defends the one at the top.]L[ii]
X;W[if]C[OL: Again bad style, this too is white's sente any time.
X
XWhite should still play at 'a'.]L[ld];B[je]C[
X pierre 10k: ok he got one eye but he has to run away
X
XOL: This is terrible. Black is forcing white to split black's own position 
Xinto pieces, a course that leaves black with lots of eyeless groups.];W[jf]C[
X jwkim 6k: escaping is easy I think.
X tsand 2k: he might lose d14 \(left side\) in the process];B[ke];C[TS: The 
Xtables turn. Now it is Black who looks like dying.
X
XOL: Not yet, but letting white split is very likely to be a problem.]W[jg]
X;B[ii];W[ih]C[ jwkim 6k: w in the left is ?
X JohnBate 2k: In deep trouble...
X tsand 2k: .. sick
X badook 1k: h11
X
XTS: Good.
X
XOL: Greedy and risky, I'd call it.];B[hh]C[
X badook 1k: wow!!
X jwkim 6k: u are right
X tsand 2k: h12!
X badook 1k: no another choice];W[hi];B[jh];W[ef];B[ih];W[hj]C[
X badook 1k: m16.
X
XTS: This is better, I think.
X
XOL: Right-o. The white group at the top seems safe for the time being.];L[kh]
XB[kg]C[
X jwkim 6k: L13 ?
X tsand 2k: no - w cuts
X
XOL: the cutting point at 'a' will be a problem, of course, but not just yet. 
XWhite will have to push out first.];L[kh][mc]W[ld]C[
X tsand 2k: cut!
X jwkim 6k: next L11 and M16
X tsand 2k: mabe not
X
XOL: Now black is in for some Real Trouble \(TM\). Beside the fact that 'a' is 
Xan immediate threat, so is 'b'.];L[li][mc]B[mf]C[
X jwkim 6k: If wL12, b killed ?
X
XOL: Bad. Black should protect the cutting point at 'a'. Then white 'b' would 
Xnaturally be troublesome, but that cannot be helped.];L[mc]W[md]C[ tsand 2k: 
Xwhat!?
X
XOL: White should hane at 'a'.];L[nb]B[nc]C[
X jwkim: 6k L12
X
XOL: 'a' would be a better shape.];L[li]C[TS: Since White's group is safe now, 
XBlack's center group is in a tight spot.
X
XOL: True. However, if black now defends at 'a', the group will be as safe as 
Xit can be made, what with some eye shape and a slight chance of escaping. 
XStill not too safe though... :-\)]W[ne];L[li]B[mh]C[
X badook 1k: where can b of middle go for life?
X pierre 10k: this is a tourn game so b cud keep playing on w time
X
XOL: This is a worse shape than 'a'.];W[ij]C[
X jwkim 6k: Oh! w spends too much time!];B[jj]C[
X Gozilla 2k 150: your about to go into byo-yomi
X Thor 24k 150: yes :\)
X Gozilla 2k 150: want some minutes?
X Thor 24k 150: give me 10 mins please thanks];W[kh]C[ pierre 10k: i think 
Xthat even if b gets life in center white will win?
X
XTS: A rather troublesome cut.];B[ji];W[li]C[ Gozilla 153: no more addtimes, 
Xwe both got our 100 min now
X Thor 153: sure thanks
X
X badook 1k:  yeah... and m12
X flowers 9k: m11 looks more critical, it cuts
X jwkim 6k: m11 is good
X badook 1k: m11 is not good :-\(  it will be captured by b... it is 
Xpossible...
X tsand 2k: looks like B survived. so w p15?
X wolfgang 15k: no survive. how is w m11.
X badook 1k: b m12 and l10
X wolfgang 15k: then w n11 and kill B later, both groups.
X badook 1k: oops
X tsand 2k: right
X jwkim 6k: b is captured! but time is serious
X tsand 2k: _if_ w plays m11...];B[lm]C[
X badook 1k: good!!
X jwkim 6k: N10 for b
X wolfgang 15k: b n10, w j9
X noam 5k: black is dead
X wolfgang 15k: lets hope so, W is out of time :\(
X noam 5k: no room for two eyes
X tsand 2k: byo-yomi..];W[ln]C[
X noam 5k: how did this happen \(non-hcap game\)?];B[jk]C[
X noam 5k: different times for players?
X tsand 2k: no
X jwkim 6k: Thor is Austrailian so 10 mins more
X jwkim 6k: see his stats
X JohnBate 2k: He is "5k" officially in the tournament, but I think he is 
Xstronger, really.
X Thor 24k: that is the first time in my life that so many people watching my 
Xgame :-\)
X pierre 10k: i dunno 'bout his rank i played];W[mi]C[
X jwkim 6k: how Thor can see this panel
X tsand 2k: n11
X wolfgang 15k: yep.
X tsand 2k: or n10...
X
XOL: White catches the tail of the group. This solidifies his lead.];C[TS: I 
Xthink I would play 'a'.
X
XOL: Let's see. White has about 85 points, and black has 45 plus whatever he 
Xcan make on the left side. This means that white has a lead of about 40 
Xpoints.
X
XI can see no way for black to make those 40 points. Perhaps it's time to 
Xresign, but if black wants something else, it has to be rather drastic.
X
XNevertheless, black seems to need a move in the center. 'a' is too loose, so 
X'b' should be it.]L[hl][il]B[fj];W[hl]C[
X badook 1k: Thor can't see our kibitz.. only talk
X
XTS: White is going for the jackpot.
X
XOL: Nevertheless, white is taking unnecessary risk. Playing it safe would be 
Xthe probable course to the victory.];B[gi];W[il];B[dh];W[fi]C[OL: This move 
Xloses a liberty and reduces aji.];C[TS: Better to play 'a'.
X
XOL: Not at all. Since there is the throw-in after black 'b', this does not 
Xactually affect the liberty situation.]L[eh][ei]B[gj];W[bh];B[ei]C[
X tsand 2k: hopeless
X noam 5k: how long will it take him to kill black in the center?
X tsand 2k: hmm.. right, a semeai...
X JohnBate 2k: Looks like white is ahead by a move, now.
X JohnBate 2k: But it could still be messy...
X badook 1k: e13
X wolfgang 15k: i dont think w is in danger, because he can play e10 in sente.
X tsand 2k: if w lives, b loses];W[eg]C[
X badook 1k: e13 first
X
XOL: Throwing in first would seem a natural move, but it nevertheless would 
Xnot help any. Black would have two cutting points to defend, and would have 
Xto take gote. Now black gives an extra liberty and gains sente to play the 
Xvital point for the semeai...];C[OL: ...which is here. Now white's group 
Xcannot get more than 5 liberties.]B[bi];W[kk]C[
X jwkim: 6k K8 for b
X
XTS: Very good - this captures Black.
X
XOL: Even if there may be other moves to do the trick, this looks positively 
Xtesuji-ish. Clever shape, I must say.
X
XNote that the important thing here is to take one liberty off the black group 
Xin the center.
X
XNow white's lead is *HUGE*. This would seem a time for black to resign. 
XHowever, white is in a bad time trouble, and since this is a tournament 
Xgame...];B[jl]C[
X noam 5k: it certainly looks messy
X tsand 2k: w in time trouble...];W[jm];B[kl];W[km]C[
X JohnBate 2k: M9 too slow. Must be contact play. No liberties to spare.
X noam 5k: l10 looks good
X godok: 1k not good];B[bg]C[
X wolfgang 15k: l10, l11, m12
X JohnBate 2k: Looks like white will lose on time anyway. :-\(];W[ll]C[
X noam 5k: what's wrong with L10?
X wolfgang 15k: now its fine.];B[lk]C[
X godok 1k: l10 can lead to a ko
X wolfgang 15k: there is no way you can play 14 moves in 2 mins. its 
Xphysically impossible :\(];W[kj]C[TS: Normally, this would settle the game. 
XThere's absolutely no way White can lose.
X
XOL: Except for... :-\)];B[lh]C[
X noam 5k: server trouble?
X godok 1k: it is too late to make a ko
X godok 1k: b die
X wolfgang 15k: b should resign.];W[ki]C[OL: It would be better style to make 
Xa snapback by playing at 'a'.]L[ik];B[qh]C[
X godok 1k: b has a chance to use time threat
X noam 5k: why did you say physically impossible?
X JohnBate 2k: Thor is in Australia. Could be more net lag than that.
X
XOL: Black tries to make use of white's time problem.];W[rf]C[
X badook 1k: godok: hmm it is sneaky..
X
XOL: I would prefer 'a'. Losing a bit of territory is a small deal; it's 
Xbetter to keep the group caught.]L[oe];B[oe]C[
X wolfgang 15k: with the lag, maybe 10 seconds a move = 140 seconds for 14.
X jwkim 6k: Is Thor really 5k ?];W[nf]C[OL: 'a' would work. Black's marked 
Xgroup doesn't have enough liberties to try anything.]
XM[mf][mh][lh][kg][kf][ke][je][ie]L[of];B[of];W[pg]C[
X JohnBate 2k: I don't think so. He is the only one to beat me so far. :-\)]
X;B[og]C[
X wolfgang 15k: whow, what speed ....];W[ph]C[TS: Surrounding the whole right 
Xside should definitely seal the game.
X
XOL: Yes, but it is a pity to let the group slip away. Keeping the group 
Xcaught while connecting out from the side \(even if it would let black live 
Xthere\) would have been better.];B[ng];W[os]C[OL: Playing moves to win some 
Xtime.];B[ls];W[mb]C[OL: This is clearly bad. White should push at 'a' 
Xinstead.]L[mc];B[mc];W[jb];B[kb]C[
X hongdi 3k: typo?
X noam 5k: he's catching up on time
X jwkim 6k: very interesting];W[rb];B[qb];W[co]L[dm][el][bp]C[TS: Seems a bit 
Xdeep. I would play 'a' at the most.
X
XOL: It certainly is deep. Anything should be good enough, however, so playing 
Xa simple move at 'b' seems a good choice.
X
XAnother good choice, and perhaps a better one, would be to probe at 'c'.]
X;B[dn];W[en];B[em]C[TS: I would play 'a'.
X
XOL: Most unfortunately white runs out of time here.
X
XWhite forfeits on time.]L[do];)(;B[fq]AE[fr]PL[B];W[or];B[ls];W[mr];B[fr]
X;W[os];B[ms];W[is];C[TS: True, White has no ko threats, but White now gets 
Xtwo consecutive moves elsewhere.
X
X\(end\)]B[kq]))(;AE[hr]AW[gq];B[hp];W[hr];B[gp];W[fq]C[OL: White rescues 
Xhimself, and cuts black apart.
X
X\(end\)])(;AE[hr]AW[gq];B[hr];W[hp];B[gr];AE[fr]AW[fq]C[OL: White shuts black 
Xoff the center in a most efficient way.
X
X\(end\)]))(;AE[mr]AW[ir];B[kq]C[OL: Three important \(and marked :-\) stones 
Xsuddenly find themselves in atari...]M[kp][lp][lq];W[jp]C[OL: ...and white 
Xmust connect.];B[hq]L[lm][mr][nr]C[OL: Black has cut and thus a ko threat at 
X'a'. This does not look too good for white.
X
XBTW, it makes little difference in this variation if the marked white stone 
Xis at 'b'. Black just plays the marked stone at 'c' and lives.
X
X\(end\)]M[ir][hq]))(;W[ln]PL[W]AE[ip];B[kp];W[kq];B[ip];W[mr]C[OL: Now white 
Xis strictly speaking not yet connected. The point is that the four marked 
Xstones, while dead, have two liberties, and so a cut at 'a' retains some 
Xirritating aji, at the very least some large ko threats.
X
XIt is better to give up a few points to get rid of this aji.
X
X\(end\)]M[nq][mq][mp][oq]L[jn]))(;AE[ml];C[OL: This move is the correct style 
Xfor trying to escape.
X
XIf white tries to push through...]B[nk];W[nl];C[OL: ...black calmly 
Xconnects...]B[ol];W[ml];M[oq][nq][mq][mp]C[OL: ...and gets a reasonable 
Xresult as compared to most others. 'a' can no longer be cut and 'b' is a 
Xthreat big enough to force white to play there immediately.
X
XThis is not a good result, however, since black is eyeless and heavy, and the 
Xmarked stones seem lost.
X
X\(end\)]L[om][pj]B[ok]))(;B[np]AE[no];W[oo];M[pn][qo][pp]L[no]C[OL: Black's 
Xshape is not too bad, since the push-through- and-cut at 'a' does not work. 
XHowever, black loses the three marked stones and ends in gote since he will 
Xhave to connect at 'a' after white captures the single stone.
X
EnD of Thor.Gozilla
echo extracting fang.tsand 1>&2
sed 's/^X//' >fang.tsand << 'EnD of fang.tsand'
X(;GM[1]VW[]SZ[19]HA[2]PB[tsand]BR[2k]PW[fang]WR[1d]
XGN[\(IGS\) fang\(W\) vs tsand\(B\)]
XEV[A game played on the Internet Go Server]DT[1992-06-24]PC[IGS:  
XAlbuquerque, NM, USA 129.24.14.70 6969]RE[B+Resign]
XUS[Brought to you by the IGS program]KM[0.5]C[ IGS game \(@cnam\):
X
X White: fang, 1 dan
X Black: Tero Sand, 2 kyu
X
X Black wins by resignation
X
X 23 Jun 1992
X
X Commenaries by TS and
X Olli Lounela, 3 dan.]AB[pd][dp];W[pp];B[dd];W[nc];B[jd];W[qf];B[oe];W[qc]
X;B[pc];W[qd];B[og]C[OL: At 'a' is another possibility.]L[pg];W[cn];B[dj]
X;W[gc]C[OL: 'a' is probably better.]L[hc];C[I felt 'a' would completely waste 
Xthe Black wall to the right.
X
XOL: Not so. A wall is not to be used for making territory in front of it but 
Xfor attacking. 'a' would seem to be better.]L[ec]B[ic];W[dc];B[cc];W[ec]
X;B[cb]C[OL: This seems risky; black leaves all kinds of possibilities for 
Xwhite.
X
XConsider, for example, a white invasion at 'a'. Also, there is a very real 
Xpossibility white may be able to cut at 'b' although it is not possible 
Ximmediately.
X
XI would prefer to play 'b'. The actual descent leaves all too much bad aji in 
Xa position which is supposed to be solid enough to mount an attack.]L[ch][cd]
X;L[gf]C[OL: This ogeima \(large horse's jump\) is loose. 'a' would seem 
Xbetter.]W[hf];B[jf];L[hh][jh][ke][nf]M[cb]C[OL: This is a difficult point. 
XWhite has two aims to achieve: punish black from playing the marked stone, 
Xand gain access to the center.
X
XAs the left side is not difficult to invade, not even if black spends an 
Xextra move there, I would prefer jumping to center, at 'a', and threaten to 
Xinvade much more severely if black won't defend. 'a' also aims at 'b', 'c' 
Xand 'd'.]W[df];C[I considered \(briefly\) 'a' and 'b', but I didn't think 
Xthey'd lead to anything fruitful. 'b' might actually lead to a one-eyed Black 
Xgroup.
X
XOL: Partly true. 'b' definitely does not lead to anything; white has the peep 
Xof 'c' to aid in connecting.
X
X'a', however, looks interesting. It forces black to answer at 'd', after 
Xwhich 'e' and 'f' are approximately miai, and 'f' in particular is difficult 
Xto handle for white.]L[de][ee][ie][ef][cf][fe]B[ce];L[ee][dh]C[OL: This move 
Xis heavy. It would be much better to play a lighter move, and there are at 
Xleast 'a' and 'b' of which to choose.
X
XMaking a group heavy and worse, creating a shape that promises little in the 
Xway of eyes, is an invitation for black to take advantage by strengthening 
Xthe surrounding groups and taking territory...]W[ed];C[...which he promptly 
Xdoes.
X
XNote that white's group is still weak and in need of reinforcement.]B[cf]
X;L[ff]C[Something of a surprise - to me. This, naturally, doesn't mean it's 
Xbad...
X
XOL: Well, I have my doubts. I wouldn't call this bad, but it certainly has 
Xthe feeling of inadequacy. I think it gives black too many opportunities.
X
XConsider 'a', for example. It's definitely sente and just about shuts black 
Xin. Furthermore, it makes a promisingly large moyo for black -- if black gets 
Xa wall facing up at the bottom left.]W[cq];C[OL: Good.]B[cp];M[cp][cq]W[di]
XC[OL: This is an emergency measure -- but that does not make it good.
X
XFirst, there is no way white can afford to give black the moyo resulting with 
X'a', 'b' and after black gets a wall, 'c'.
X
XHowever, if black plays now at 'a', he gets an extremely strong position in 
Xthat corner and lots of profit. White 'd' is small compared to that. 
XFurthermore, black's top left corner is rock-solid, and so white will 
Xprobably get attacked on the side.
X
XWhatever happens, if white exchanges the marked stones, continuing with 'a' 
Xcannot be omitted.]L[dq][ep][ff][cj];L[fj][hj][fp][hp][dq][ff]C[Aims at 
Xattacking C6.
X
XOL: This is bad and wastes the opportunity.
X
XFirst, lets imagine the normal result after this descent: black gets walls 
Xaround 'a' to 'd'. This is about 40 points territory.
X
XIf instead we imagine black 'e', and after white defends his left side \(and 
Xperhaps some other moves\), a black splitting attack at 'f'. This is *very* 
Xtough on white; even if he rescues both his groups he gets no territory. 
XFurthermore, black is very likely to gain some more during the attack.
X
XI call black's descent a big mistaek.]B[cj];W[de];B[cd]C[OL: 'a' is probably 
Xbetter.]L[cg];W[en]C[OL: Again, this should be at 'a'.]L[dq];B[dm]C[OL: Yet 
Xagain, 'a' is better.
X
XThis time there is no excuse for not playing 'a'. The peep is a small move: 
Xif black succeeds in cutting at 'b', the territory, instead of the earlier 40 
Xpoints, will be only 20 points.]L[dq][dn];W[dn]C[OL: This is small. White 
Xshould play either 'a' \(preferably\) or 'b'. Connecting only creates yet 
Xanother weak and heavy group -- which will be a target for black's 
Xattacking.]L[dq][em];B[dq]C[OL: Finally black plays the biggest move on the 
Xboard.
X
XIt is clear now that white's game will be at least extremely difficult, if 
Xnot impossible to win.];W[ci];B[fl]C[OL: 'a' is better shape.]L[fj];W[gn]
X;B[fo]C[OL: I would prefer a double hane 'a', 'b' and 'c' to settle and 
Xreinforce the black group. That would let black attack the lonely white group 
Xmuch more forcefully.]L[ei][eh][fh];W[em];C[Afterwards I thought 'a' would be 
Xbetter.. if then White D8, Black 'b', W 'c' and W 'd', and White is eyeless 
X\(though he is in the open\).
X
XOL: Yes, it does look like the actual move lets white out of the hook. 'a' 
Xseems a bit better, though I'd say the mistaek has already happened.]
XL[el][cl][cm][bl]B[dl];W[el];B[ek];W[fk];C[I was going to play 'a', but 
Xfortunately I switched to this point, which I think is better.
X
XOL: And still not very good.]L[fj]B[ei];W[fj];B[ej];W[eh];B[dh]C[OL: I would 
Xprefer to hane at 'a'. If white cuts, black gets that much more profit, and 
Xif he does not, black can still continue the attack with 'b'.
X
XAlso, if white captures the cutting stone, his group above is impervous to 
Xany attack.]L[fh][gk];W[fi];B[ch];W[bi];B[bj];W[bh];B[bg];W[eg];C[Black gets 
Xover 25 points of territory, but I was a bit unhappy with the secureness and 
Xstrength of White's position.
X
XOL: No kidding. I have the feeling that you should be more than just "a bit" 
Xunhappy, what with all the wasted opportunities. White has all but evened out 
Xthe game.
X
XBTW, it would be better to put the four marked stones into atari, at 'a'.]
XB[cg]L[ah];W[ke];B[je];L[of][qh][pb][ob][qb][oc][rf]C[OL: This is higly 
Xdubious.
X
XIf black connects at 'a', 'b' will be absolutely sente. This makes any escape 
Xattempt that much more difficult, and dangerous \(black 'b' forces 'c' to 
X'g'\).]W[nf];L[qg][qh]C[I thought for a long time if I could connect the two 
XBlack groups with some other move, but couldn't find any... so I decided to 
Xbe an idiot.
X
XOL: If you say so :-\)
X
XTrying to be clever and playing 'a' is no good. It just lets 'b' go to waste, 
Xand besides, strengthens white's corner more than it strendthens black. It 
Xwould be a typical aji-keshi \(waste of potential\).]B[of];C[This attempts to 
Xlive, but I thought it was bad for White. Shouldn't he jump out and split 
XBlack up?
X
XOL: White has again made the coice very difficult for himself.
X
XBesides the corner group being in need of an immediate reinforcement at 'a', 
Xjumping out is difficult and dangerous. White's only hope is to pretend he's 
Xattacking the middle top, but this can work only if black goes ahead and 
Xbelieves it...]W[lc]L[qg];L[me]C[OL: 'a' seems to be the vital point of the 
Xshape here.]B[lg];W[lf];B[mg];W[kg];B[kf];W[mf];L[md]C[OL: This is also 
Xhighly dubious. The vital point of the shape is 'a'.]B[ng];W[kd];L[md]C[OL: 
XStill 'a'.]B[jh];L[qh][qg]C[Wouldn't living \(absolutely\) be better?
X
XOL: It does not seem possible as long as 'a' exists.
X
XWhite's ogeima is no good. It leaves too many weaknesses behind. White should 
Xplay at 'b'.]W[pi];B[ob];W[jb];B[ib];W[nb];L[kb]C[OL: 'a' instead is better.]
XB[qb];M[qb][pi]C[I would think something like 'a' would be better.
X
XOL: No more. Once black has played the marked stone, the corner is not big 
Xany more. Besides, if black plays 'b' and later captures the corner, the 
Xmarked white stone will turn out to be in a good place.]L[qh][qg]W[jc];L[nj]
XC[OL: This is much too small. Jumping to 'a' seems called for.]B[hd];L[hp]
XC[OL: I would prefer to play in larger scale, at 'a'.]W[jp];B[qg];L[qn]C[OL: 
XThis is bad. It's much too early to try to achieve anything with this group. 
XIf black wants to spend moves capturing it, that should be fine with white.
X
X'a' is better.]W[rb];L[md][lb][la][kb]C[This move puts the White top middle 
Xgroup in danger, I believe.
X
XOL: In what way does this change the situation?
X
X'a' \(answered with 'b'\), 'b' \(answered with 'd'\) and 'c' \(answered with 
X'b'\) do not seem to work. I cannot see how the white group could be killed.]
XB[ra];C[OL: This is a very bad exchange.]W[rg];B[qh];C[OL: This is dangerous, 
Xand looks like it might put the group on the other side in jeopardy.]W[pe]
X;B[nd]C[OL: This seems to enable killing of the group to the left with 'a'. 
XFor example, 'b', which looks like white's best try, gets thwarted in the 
Xsequence to 'g'.]L[md][lb][ja][ka][kc][kb][ld];L[rh]C[
X peter 4d  b shoul play S12 in stead of R12
X
XOL: This is very true. If black now plays 'a' \(S12\), it is sente besides 
Xsealing white in and completing black's wall.]W[rd];C[
X peter 4d  b should capture S18
X
XOL: Not necessarily. I also would prefer making white live \(if he can :-\) 
Xthat small.]B[rh];W[se];B[rf];W[sg];C[
X peter 4d  a ko..
X giovax 7k  around S18?
X peter 4d  yeah
X peter 4d  b is good with this ko
X
XTS: Maybe, but I thought I'd keep it in reserve.
X
XOL: H'mmm... I feel this is dubious anyway. If you can't kill the center top 
Xgroup outright, it's better to start the ko and use center top as a source of 
Xthreats.]B[pm];W[pl];B[om];W[mj];C[Actually, this appears not to be 
Xnecessary..
X
XOL: I would not say so. A reinforcement is a good idea, but the proper move 
Xfor it is 'a'.]B[li]L[kh];W[ql];B[qm];W[ml];L[md][mm]C[
X peter 4d  the top w team could be killed somehow
X peter 4d  the M17 team
X
XTS: I was leaving this in reserve, too - perhaps for a source of ko threats.
X
XOL: How about pushing to 'a'? After that I cannot see how white gets eyes. Of 
Xcourse, this semeai would need more pondering, if a definite answer were 
Xrequired...
X
XAnyway, before this kakari, black should attach at 'b'.]B[np];W[no];B[op]
XC[OL: This is very bad style. Forcing your opponent to cut your groups to 
Xpieces cannot be good.];C[
X peter 4d  bad, bad]W[oo];B[po];W[mp]C[OL: This is also bad. White should 
Xdescend to 'a' so as to keep black separated.]L[pq];B[mo];W[qo]C[OL: This 
Xseems to be all white can try.];C[
X peter 4d  good move...]B[pn];W[nn];B[pq];W[qp];B[qq];W[rq];B[rr];W[ro];B[sq]
X;W[rm];C[
X peter 4d  a ko...]B[rl];W[sp];B[rp];W[oq]C[OL: This is a mistaek in order.
X
XWhite should first play at 'a', threatening 'b'. If black replies somehow, 
Xwhite can then go on with this threat.]L[rn][rk];C[I figured this was too big 
Xto play around with.
X
XOL: This is clearly correct.]B[so];W[nq];B[rn];W[rk];B[sm]C[OL: The sequence 
Xin the corner, somewhat surprisingly, ends in a result favourable for black.]
X;C[White's center is starting to look ominously big.]W[jj];B[fn]C[OL: Better 
Xto play 'a', or if feeling adventuresome, 'b' should also be possible.]
XL[hp][jq];W[fm];B[hp]C[OL: Now the exchange of the marked stones only reduces 
Xblack's liberties.]M[fn][fm];W[io];B[ij]C[OL: Probing at 'a' instead would be 
Xa good idea.]L[nk];W[ji];B[ih];C[
X peter 4d  hmm..
X
XTS: Right, but what could I do?
X
XOL: How about leaving the marked stone unplayed...?]W[ii]M[ij];C[Time to go 
Xinto action.
X
XOL: Looks like the group above died.]B[md];W[oc];C[This materializes the ko.
X
XOL: Not really.]B[pf];W[qe];B[od];W[oa];B[pb];W[sb];C[
X peter 4d  a dead group...
X
XOL: This seems unnecessary, as I cannot see how the group could make eyes.]
EnD of fang.tsand
echo extracting lounela.fighter 1>&2
sed 's/^X//' >lounela.fighter << 'EnD of lounela.fighter'
X(;GM[1]VW[]SZ[19]HA[2]PB[fighter]BR[1d]PW[lounela]WR[3d]
XGN[\(IGS\) lounela\(W\) vs fighter\(B\)]
XEV[A game played on the Internet Go Server]DT[Mon May 18 08:25:04 1992]
XPC[Internet Go Server:  Albuquerque, New Mexico, USA
X129.24.14.70 6969]RE[]US[Brought to you by the IGS program]KM[0.5]C[ IGS game 
X\(@lacerta\).
X
X 18 May 1992
X
X White: Olli Lounela, 3 dan
X 2 stones: fighter, 3 dan
X
X Black wins by 11.5 points.
X
X Commentary by OL.]AB[pd][dp];W[po];B[dc];W[de];B[ce];W[cf];B[cd];W[dg];B[fc]
X;W[ck];B[cm];W[qf];B[nc];W[fq];B[dq];C[This is the very first move actually 
Xrequiring comment; the fuseki has been without problems.
X
XWhite is anticipating a kakari at the bottom right. Thus, a strong shape is 
Xcalled for.]W[ip];B[pq];C[This is natural, as white's bottom position is 
Xfairly solid. At 'a' would be a mistaek since black's bottom left thickness 
Xmakes any white bottom territory unlikely and hard to make.]L[oq]W[qq];B[qr]
X;W[qp];B[or];C[An interesting approach. White tries to push black out to 
Xsolidify the right side moyo.]W[nq];B[op];W[mp];L[oo][pm][on][ql][mn]C[A bad 
Xshape. The normal sequence would be 'a' to 'e'.]B[no];W[mo];B[nn];C[Yet 
Xanother interesting move. White tries to threaten black while securing the 
Xside...]W[pl];C[... but of course black does not co-operate.]B[qh];W[qj];B[pf]
X;W[pe]C[The only move. At 'a' would let black off too easy.]L[pg];C[Bad. The 
Xladder towards bottom left is favourable for white as the marked stone is a 
Xladder-break.]B[qe]M[fq];W[oe];B[rf];W[qd];B[qg];W[re];B[qf];W[od];B[pc];W[oc]
X;C[The proper shape.]B[qb];W[ob];B[rd];C[White needs a base here.]W[kc];B[ic]
X;W[ke];C[A very severe invasion. White needs to be very careful; his bottom 
Xterritory will disappear easily.
X
XWhat white will have to avoid is jumping into the center in a way that gives 
Xblack a wall towards bottom.]B[ch];W[co]C[Very good. White's invasion 
Xcounterattacks at the only weak spot in black's position.
X
XWhite's aim is to strengthen his position. Hitting the vital point, he looks 
Xlikely to succeed.];C[A strange move \(an explanation follows shortly\).]B[fp]
X;W[dn];B[gq];M[dq]L[bq]C[The exchange is favourable for white for several 
Xreasons. Besides securing his stones and having a slide at 'a' in reserve, 
Xwhite's territorial gain is actually bigger than
Xblack's. Also, black's marked stone looks funny.]W[dm];B[bf];W[hq];B[gr];W[gp]
X;B[go];W[hp];B[hr];W[ir];B[eq];W[fo];B[fr];W[fn]C[This is not a good move.
X
XFirst, there is no way for black tu utilize the cutting point at 'a' 
Ximmediately.
X
XSecond, pulling back makes white's nice play that resulted in a strong group 
Xhere go to waste.
X
XThird, building up the moyo, say, at 'b' is more urgent and much bigger.]
XL[eo][lm];B[mn];W[ln];B[lm];W[km];B[kn];W[lo];B[kl];W[jm];B[jl];C[This cut 
Xthrows the game into a chaos. Now all depends on who will succeed in 
Xattacking.]W[mm];B[ll];W[nl];B[im];W[jn];C[Now that black has been cut, 
Xmaking eyes is imperative.]B[rq];W[rp];B[rr];C[Excellent cut. White must have 
Xbeen feeling good.]W[il];B[ik];W[hl];B[hk];W[gl];B[dh];C[Very good. Besides 
Xaiding the surrounded group from the distance, this move also opens all kinds 
Xof possibilities at the top.]W[ie];B[ge];W[fg];B[hf];W[gh];B[fi];W[gi];B[gj]
X;C[White is still aiming at attacking black's center group.]W[fj];B[ei];W[ig]
X;B[ji];W[jh];B[ii];W[hg];B[fk];W[cl];B[li];C[This move makes clear white is 
Xleading.
X
XIt's actually very surprising that white has pulled so far ahead as to negate 
Xtwo stones and take the lead agains an equal opponent.
X
XOf course, fighter had ranked himself 1 dan at the time, and this made me a 
Xbit more persistent...]W[nr];B[sp];W[so];B[sq];W[rn];B[jd];W[kd];B[if];W[jf]
X;B[je];L[lg]C[Lukewarm. 'a' is probably better.]W[kf];C[Enormous. White's 
Xlead has almost disappeared.]B[bp];W[cp];B[cq];W[bo];B[bq];W[mj];C[This does 
Xnot work.]B[nk];W[mk];B[ml];W[nm];B[ol];W[om];B[ok];L[oj][oi][pm]C[The three 
Xblack stones are dead. if black 'a', white attaches at the tesuji point of 
X'b'. The cut at 'c' does not work]W[pk];B[jr];L[pp][pm]C[This is careless. 
XThe connection at 'a' makes 'b' possible.]W[oq];B[pp];L[on]C[A really big 
Xmistaek. White should play at 'a' instead.]W[os];B[pm];W[qm];B[on]
X;C[Capturing the corner is not nearly as big as white's blunder in the 
Xcenter. Black has taken over the lead.]W[pr];B[jq];W[jp];B[mg];W[ed];B[ec]
X;C[An interesting tesuji.]W[hd];B[hc];W[gd];B[fe];W[fd];B[ee];W[id];B[jc]
X;W[gf];B[dd];W[he];B[df];L[nf]C[Too small. At 'a' would be much better.]W[eg]
X;B[me];W[md];B[ne];W[nd];B[of];W[cg];B[pi];W[bg];B[ej];W[pj];B[oj];W[iq];B[is]
X;W[kq];B[kr];C[Good.]W[lr];B[kp];W[lq];B[js];W[gc];B[gb];W[jb];B[ib];W[ia]
X;B[hb];M[jb][ia]C[Good. The marked stones are not big enough to worry. White 
Xcorrectly regards them as kikashis.]W[qa];B[kb];W[lb];B[ja];W[rb];B[rc];W[pb]
X;B[qc];W[be];B[bd];W[af];B[ao];W[an];B[ap];W[cn];B[fl];W[fm];B[ri];W[rj];B[pn]
X;W[qn];B[bi];W[ad];L[bc]C[Careless. 'a' would clearly be enough.]B[ac]
X;C[White has to play and win this ko to win the game.]W[bc];B[ae];W[lh];B[mh]
X;W[ad];B[jo];W[ko];B[ae];W[hs];B[gs];W[ad];B[io];W[lp];B[ae];W[ef];B[de];W[ad]
X;B[ho];W[kp];B[ae];W[ki];B[kj];W[ad];B[in];W[kn];B[ae];C[White has 
Xunfortunately run out of threats; all that are left would lose points and 
Xthus not help.]W[bh];B[bf];W[bj];B[ci];W[be];B[ad];W[kh]C[This is bigger than 
X'a'.]L[ai];B[ai];W[hi];B[ij];W[la];B[aj];W[ak];B[cj];W[bk];B[sj];W[sk];B[si]
X;W[el];C[This does not quite work as the corner loses the semeai. 
XNonetheless, this gains a point or two in sente.
X
XThe rest of the game does not require comments, but I have left the kibitzes 
Xthere.
X
XBlack wins by 11.5 points.]B[rk];W[sl];C[
X sxc 7k this doesn't work does it?]B[rl];W[sm];C[
X tsand 2k  No]B[rm];C[
X karppinen 1d no..]W[sn];B[qo];W[ro];B[qi];C[
X sxc 7k we're wrong!]W[ql];C[
X tsand 2k  No we're not
X tsand 2k  But W has to pick up Black]B[sb];C[
X sxc 7k I C
X karppinen 1d so W looses points ,allright]W[ra];B[dk];W[ek];B[dj];W[dl];B[gk]
X;W[gm];B[le];W[lf];B[mf];W[eo];B[ld];W[lc];B[lg];W[ep];B[kg];W[ih];B[fq];W[ls]
X;B[bf];W[ka];B[jb];W[be];B[oo];W[qs];B[bf];W[fb];B[eb];W[be];B[bm];W[bn];B[bf]
X;W[fa];B[ea];W[be];B[pa];W[oa];B[bf];W[lj];B[if];W[hf];B[mi];W[be];B[rs];W[ps]
X;B[bf];W[kk];B[jj];W[be];B[ah];C[
X panx 2k  what's going on in the LR corner?]W[bf];B[qo];W[qk];B[po];C[
X karppinen 1d Just a semeai
X panx 2k  ah, my board is missing line 5]W[pa];B[sc];C[
X sxc 7k white is alive ... but must capture the black stones in the corber]
XW[ks];B[hs];W[fh]C[Black: 58 + 32 = 90
X
XWhite: 41 + 37 + 0.5 = 78.5
X
EnD of lounela.fighter
echo extracting lounela.giovax 1>&2
sed 's/^X//' >lounela.giovax << 'EnD of lounela.giovax'
X(;GM[1]VW[]SZ[19]PB[giovax]PW[lounela]GN[\(IGS\) lounela\(W\) vs giovax\(B\)]
XEV[A game played on the Internet Go Server]DT[1992-06-31]RE[W+15.5]
XUS[Brought to you by the IGS program]AB[jd][jp][pj][dj][jj][pp][dd][pd][dp]
XPL[W]W[qf]C[A game from the IGS @ Lacerta.
X
XWhite: Olli Lounela, 3 dan
XBlack: Giovanni Pezzino, 7 kyu
X
X31 Jun 1992
X
XWhite wins by 15 points.
X
XCommentary by OL, GP and
XJohn Lamping, 1 kyu.];B[pf];W[pg];B[of];W[og];B[nf]C[OL: 'a' is joseki.]L[qe]
X;W[qe]C[JL: Now White gets 
Xa move that, among other things, defends against the cut at 'a' in sente.]
XL[qg];B[qd];W[nc];B[oc]C[GP: Since I'm playing against a much stronger 
Xplayer, I fear the push-through-and-cut sequence starting at 'a'; also with 
Xthis move I'm trying to defend the corner.
X
XOL: This move defending against the cut is correct. The idea, however, should 
Xnot be so much to defend as to attack.]L[pe];W[ob];B[pb]C[OL: 
XThis is a common mistaek. Black ends up in a very bad shape.
X
X'a' would be normal, were the marked stone absent. However, having played it, 
Xblack can no longer expect a good result from 'a'. Nevertheless, 'a' is the 
Xvital point.
X
XJL: What would the sequence be if Black played 'a' and White ataried?
X
XOL: Black just connects, and if white connects some way, the other side can 
Xbe cut at will. Remember that 'b' will be sente against 'c'.]M[nf]
XL[nd][rd][qg];W[od];B[pc];W[pe]C[OL: This is very much of an overplay. White 
Xis seriously suffering from shortage of liberties.
X
XJL: It does my 1 kyu heart good to see Ollie be fallible.  What should White 
Xhave done?
X
XOL: This is a matter of completely different class. It's extremely hard to 
Xfind a good move for white here.
X
XOne idea that springs to my mind is 'a', but then connecting at the marked 
Xstone is sente.
X
XNo wonder I don't give myself 9 stones... :-\)]M[pe]L[ld];B[nd]C[GP: Trying 
Xto split White.
X
XOL: The correct move. Cutting at 'a' would be worse as black's shape would be 
Xhorrible and white's top position would be substantially strengthened when 
Xcompared to the correct result... \(cf. move #19\)]L[oe];W[oe];B[ne];W[mc]
XC[OL: ...which is this.
X
XNeither white group has good shape, nor are they strong. This is an excellent 
Xresult for black.];B[re]C[OL: This is worng. Black should cut at 'a' 
Xand capture either side.
X
XJL: Black's corner is not weak, because Black can always play 'b' to get a 
Xsecond eye, if necessary.]L[qg][nb];W[rf];B[nb]C[OL: Connecting 
Xat 'a' is urgent. It would threaten a cut at 'b' and thus be sente. After 
Xthat black could start tormenting the top.
X
XThe marked move is locally no good either. It captures a stone, but 
Xstrengthens white, and worst of all, is gote. A locally better move would be 
X'c' or 'd'.]M[nb]L[rd][qg][kc][le];W[mb];B[oa];W[le]C[OL: Now white escapes. 
XThis is a mistaek, however. White should defend at 'a'.
X
XJL: I take it that White is prepared to sacrifice the three marked stones if 
XBlack cuts at 'b'?
X
XOL: He's prepared to do whatever proves necessary. The main purpose is to 
Xprevent black from sealing white in immediately with 'b'.]M[mb][nc][mc]
XL[qh][ld];B[ng]C[JL: Would peeping at 'a' or cutting at 'b' have been better?
X
XOL: I would call this move good enough.
X
XPeeping is bad, it is aji-keshi. Black wants to cut at 'b' instead at some 
Xtime. However, I cannot escape the feeling that 'b' immediately would be 
Xletting white off the hook by letting him sacrifice a few stones.
X
XThis is certainly the vital point of the shape.]L[qh][qg];W[oi]C[OL: Now 
Xdefending at 'a' is too late, as black would seal white in at the marked 
Xstone.]M[oi]L[qh];B[qg];W[rd];B[rc];W[se];B[rg]C[OL: This captures white.]
X;W[sc];B[rb];W[qh];B[rh];W[nh];B[ph]C[GP: With this move I 
Xsave the marked group, but hurt the center one.
X
XOL: But even so it is correct. Capturing the white group clearly outweighs 
Xany harm to black's center.
X
XWhite is, BTW, rather cleverly salvaging all that is possible out of a 
Xdisaster. There still is some ko aji to the dead group.
X
XJL: Would a move like 'a' be better for Black?  The big White group would 
Xstill be captured, Black would be out in the center more, and the top White 
Xgroup would look pretty sad.
X
XOL: No, this is correct. 'a' would be promptly answered by 'b' and the side 
Xhandicap stone would suffer. Even after another white move in the center 
Xthere's still plenty of possibility of cutting, so there's no hurry.]
XM[ph][qg][rg][rh][pj]L[lg][qi];W[oh];B[qi]C[OL: Excellent.];W[mg];B[sf]C[GP: 
XThe only chance to rescue the center group is this ko.
X
XOL: True. Very true, but still this move is worng.
X
XBetter would be to play the ko as black 'a' - white marked stone - black 'b'.
X
XJL: Is 'a' better because it leaves Black with more territory in case he 
Xloses the ko?
X
XOL: Ooops... this question is a toughie! Took me a while to figure out just 
Xwhy.
X
XAn obvious improvement is leaving one less ko threat here for white. Another 
Xis giving black about 3 points of extra territory in case white wins the ko. 
XAnd a less obvious one is that black would be left with a better eye shape 
Xjust in case.]M[sf]L[sg][sb];W[sg];B[sh];W[fc]C[OL: White cannot start the ko 
Xyet. He has no liberties, and losing the group with no compensation would be 
Xunthinkable.
X
XSo white forgets about the right side for the time being and plays elsewhere.
X
XThe ko is not a simple one to figure out. It may become a direct ko, but that 
Xdepends on sente.
X
XIf it's white's sente, he just fills in at 'a' and it's a direct ko since at 
Xany stage when it's white's turn to make a threat, white also has two 
Xliberties.
X
XHowever, if black starts, it's a one-step ko where white needs to ignore two 
Xthreats to win.
X
XThe value of the ko is about 34 points, plus thickness and the security of 
Xthe groups to the left and below. Using two moves to it would amount to less 
Xthan 20 points per move, and even less if we account for the ko. There are 
Xbigger moves around.]L[mf];B[sf]C[OL: Capturing the group is not urgent. 
XBlack should play at 'a' instead.]L[df];W[ee];B[re]C[GP: I think I can live 
Xin the corner, so I close the ko. But the three stones white gets to play 
Xgive him a big influence, that I'll have to cope with.
X
XOL: And lots of almost-territory besides.
X
XBlack's stubbornness in capturing the dead stones helps white; now white has 
Xrecovered from his mistaeks.];W[cf];B[oj]C[GP: Now that the marked group is 
Xsafe, I felt confident that I could save the middle top handicap stone easily, 
Xso I try to build a moyo in the lower right. Maybe I should have played 
Xsomewhere in the lower left; If I had to play there, I'd play at 'a', to 
Xkeep the balance towards the left and lower side.
X
XOL: Safe, indeed, but wasting three moves to it...
X
XThe black ponnuki to the right of the actual move makes this superfluous. 
XPlaying in the bottom left would be good. I would recommend 'b'.]
XM[nf][ng][ne][nd][of][pf]L[cq][fp];W[nq];B[np]C[JL: Since Black is so thick 
Xabove, I'd want to play at 'a' instead to start pushing White into Black's 
Xstrength, strengthening Black on the left and taking territory on the right.
X
XOL: Actually that is little better. White would be guaranteed a base on the 
Xside.
X
XThe way to attack would be black 'b', white 'c', black 'd'. However, that 
Xwould resemble too much making territory in front of thickness to suit me. 
XAnother, and perhaps the best way to attack is 'e'.]L[oq][lq][no][pn][or]
X;W[mp];B[no];W[oq];B[pq];W[qn]C[OL: White is still badly behind, so he tries 
Xto create confusion.];B[pn]C[GP: Since the upper right gave me so many 
Xtroubles, I tried something different.
X
XOL: The upper right was, after all, satisfactory, so nothing different is 
Xneeded. 'a' would seem better.]L[qo];W[qo];B[po]C[GP: At this point I felt a 
Xlittle overconcentrated.
X
XOL: Little is rather an understatement. The thickness above is doing nothing 
Xnow.];W[rq];B[rp]C[GP: I want a little base for my group in the corner.
X
XOL: White wants to live independently on the side, so as not to harm the 
Xbottom group.
X
XA better course of action would be to attack the bottom.];W[qp];B[rr];W[qq]
X;B[qr];W[qk];B[qm];W[rm];B[rl]C[GP: There's no way to prevent white 
Xfrom connecting, then I sacrifice two stones with the sequence up to 79 in 
Xorder to keep sente.
X
XOL: Playing at 'a' would be a better way of getting out of here in sente. 
XSacrificing stones is not necessary here.]L[pm];W[ql];B[pm];W[ro]C[OL: This 
Xresult is excellent for white. Black had territory with a very strong 
Xposition here. Now there is only overconcentration, and the territory is 
Xwhite's.];B[rk]C[OL: This move is a bit in doubt, since it seems a bit of an 
Xaji-keshi. However, what follows is much worse aji-keshi. Better to end the 
Xexchange at the very least before the marked stones get removed...]M[rl][rk]
X;W[rj];B[qj];W[sl]C[OL: ...which is here. Due to shortage of liberties white 
Xcannot get out anymore anyway.
X
XJL: What aji did Black have here?
X
XOL: The white stones below the cutting stone did not have two definite eyes 
Xyet. At the very least black loses several ko threats, and besides...];B[pl]
X;L[pk]C[OL: ...now there exists some aji of a cutting point if white 
Xpushes at 'a'.]W[sk];B[mo]C[GP: Again, I think that playing in the lower 
Xleft was bigger.
X
XOL: Not necessarily.
X
XThis is, however, a worng way to attack. The way to use a wall is to squish 
Xone's opponent against it. 'a' would steal white's eyes and force him into 
Xrun.]L[lr];W[fq];B[eq]C[GP: If white 'a', the marked stone is in the 
Xright place to limit white development.
X
XOL: White is grateful for this tsuke, however, since he gets strengthened and 
Xhas some potential for a connection across the bottom.]M[jp]L[fp];W[fp];B[dn]
X;W[lp];B[ko]C[GP: Maybe 'a' or 'b' was better and more solid.
X
XOL: Normal would be pushing at 'c' and aim for peeping at 'd'.]
XL[jo][jq][lo][lr];W[jq];B[kq]C[JL: This sacrifice doesn't seem to work so 
Xwell, because Black doesn't really want White to play at 'b'.  Simply 
Xplaying at 'a' seems better for Black.
X
XOL: Actually, there's nothing worng with this move, as long as black doesn't 
Xconsider the connection at 'c' necessary. See variation B.]L[iq][kp][lo](
X;W[kp];B[lo]C[OL: This is the mistaek.];W[ip];B[jo];W[kr];B[iq];W[jr]
X;B[hp]C[OL: White is rather satisfied here. Now the connection has 
Xmaterialized. However...];W[fm]C[OL: ...white first probes whether it is 
Xnecessary.];B[io]C[GP: Before capturing, I should have played 'a'.
X
XOL: 'a' would be helping white, since he does not mind getting cut. He has a 
Xconnection at 'b'.]L[fn][hr];W[dl];B[fo]C[JL: This looks like a mistake, 
Xsince it doesn't really threaten any of the White groups, and leaves the 
Xcorner open.  Maybe 'a' would have been better.
X
XOL: This is true. However, playing at 'a' would leave irritating aji behind: 
Xa move around 'b' would be just about sente.
X
XI'd prefer playing at 'c' and be done with it.]L[er][cm][cq];W[cq]C[OL: White 
Xis prepared to sacrifice the two marked stones, if necessary.]M[fq][fp];B[dq]
X;W[eo]C[OL: Here I was hampered by pestering by a friend. A disaster 
Xfollows.];B[en];W[do];B[co];W[ep];B[fr]C[OL: The five white stones are 
Xdead.];W[bo]C[koko 5d  good !
X
XOL: Once again white prepares to salvage whatever possible after a terrible 
Xblunder. If white loses the five stones without compensation, the game is 
Xover.];L[cp]B[bn]C[tsand 2k  what is that?
Xkoko 5d  hopeless try
X
XOL: Just about. Only, black mistaeks. White is left with the aji of living in 
Xthe corner.
X
XJL: What should Black have done instead?
X
XOL: Killing the corner with 'a' seems adequate.];W[gj]C[koko 5d  
Xnext fight is at m16 \('a'\) for B
X
XGP: White is building a huge moyo on the left side.
X
XOL: The only way he can try for winning.]L[ld];B[hi]C[giovax 7k \(of white's 
Xmove\): A hard move to answer.
X
XGP: With this move I hoped to reduce white moyo, and tried to attack on a 
Xlarge scale the group on the right.
X
XOL: If white gets the whole left side, he still has hope. Attacking the white 
Xgroup at the top right seems to be the most effective way for black to win.
X
XJL: What move would you suggest for Black?
X
XOL: 'a' would seem good enough.]L[ld];W[gi];B[hh];W[gh];B[hg]C[OL: Now 
Xwhite is no longer worried by the left side. Black cannot steal in between 
Xthe two marked stones...]M[gh][ee];W[cl]C[GP: This move keeps me from 
Xconnecting the marked stone.
X
XOL: ...so he secures the left side. And what a huge side it is!]M[dj];B[gl]
XC[GP: Treating the marked stone lightly.
X
XOL: The left side is worth 30 points. Rather big to treat lightly :-\)]M[dj]
X;W[fl];B[gk];W[fk];B[hj];W[hm]C[OL: The only way to try and reduce. Only, 
Xwhite will have to choose between an effective reduction, and living in the
Xcorner.
X
XOf the two choices, living in the corner is clearly bigger.];B[gm];W[gn]
X;B[hk]C[GP: 'a' and 'b' are miai, then I can connect.
X
XOL: Not exactly. White can play 'a' since it is an atari, and connect at 'b' 
Xalso. This would force black 'c' and give him the hint to kill the corner, 
Xhowever.]L[fn][hn][go];W[li]C[OL: So white tries for another approach to the 
Xproblem. Reducing the center from the other side.];B[lg]C[GP: I try to 
Xattack; as koko stated earlier, it should have been at 'a'.]L[ld];W[mf]
X;B[lh]C[OL: This kind of move is usually very bad, and here it is dubious. 
XBlack fills in his own liberties, as white already has a hane at the end of 
Xtwo stones \(the marked stone\).]M[li];W[mh];B[lf];W[jg]C[GP: lounela 
Xcommented he liked his shape: how can I contradict him? ;\)
X
XOL: I was feeling irresponsible. The game had become such a mess that I no 
Xlonger cared about who wins.
X
XThis move does not work, but it is such an attractive shape I could not 
Xresist :-\)];B[kf];W[me];B[jf]C[OL: Good.];W[jc]C[OL: This move does not 
Xwork, as we shall see shortly.];B[ld]C[GP: Too late! Now it 
Xwould be better to peep at 'a', and if white 'b', 'c' makes territory at the 
Xcenter.
X
XOL: Not so. This move is actually very, very difficult to handle...]
XL[mj][mi][lj];W[kd]C[OL: ...and white promptly mistaeks.
X
XWhite should play at 'a' and hope for the best. Note, BTW, that white will 
Xsoon play at 'a' anyway.]L[md];B[ke];W[md];B[kc]C[OL: Excellent result for 
Xblack.];W[kb];B[jb];W[ic];B[lb];W[lc];B[ka];W[kd];B[ma]C[GP: As lounela 
Xcommented, I should have connected at 'a'; then, I think white marked stone, 
Xand the ko fight below would have decided the fate of white's group. During 
Xthe game, I thought the marked stone was the only way to connect to the 
Xcorner.
X
XOL: Indeed. The point with 'a' is to gain the privilege of taking the ko 
Xfirst. That makes an enormous difference.]M[ma]L[kb];W[kb];B[mq]C[OL: Even if 
Xthis is black's biggest threat, it is not nearly big enough.]
X;W[id]C[tsand 2k  W seems to be in trouble
X
XOL: White wants to eliminate the ko without having to connect it directly. 
XBesides, playing kikashi \(forcing\) before living unconditionally is good 
Xstyle.];B[je]C[GP: Capturing at 'a' was a must. I was still shocked by 
Xwhite's escape.
X
XOL: Not quite. There is still the ko at the top yet. This connection is not 
Xbad.]L[lq];W[la];B[el]C[tsand 2k  m3 \('a'\)?
X
XGP: I was still thinking to fight a ko...
X
XOL: Now it is no longer a ko, for if black takes the first, white connects 
Xthe next. Now would be the time to capture the bottom.]L[lq];W[em];B[lb];W[kc]
X;B[fn]C[GP: 'a'!
X
XOL: Black's last chance to play 'a'.]L[lq];W[lq];B[mj]C[GP: After white's 
Xescape, this peep leads nowhere; better have played 'a' to keep some 
Xterritory.
X
XOL: Not so. The actual move is correct; black's mistaek comes in a bit.
X
X'a' would be giving up points.]L[lk];W[nj];B[nk];W[lj];B[ni]C[OL: This is 
Xblack's mistaek. Should be at 'a'.]L[lk];W[mk]C[OL: This move guarantees 
Xwhite a route to the center.];B[nj];W[mi];B[lk];W[kk];B[ll];W[kj]C[OL: This 
Xconnection is a very good move, for it serves another purpose also.
X
XNow 'a' will capture the marked black group.
X
XHowever, a funny thing is that neither player noticed this at the time.]
XM[lh][lg][lf][kf][ke][jf][je][jd]L[if];B[kl];W[cp]C[GP: White lives in the 
Xcorner.
X
XOL: Sadly true, since this also settles the game beyond doubt.];B[cn];W[cr]
X;B[er];W[ap];B[an]C[JohnBate 2k  The cut at F10 \('a'\) looks 
Xtempting....
Xtsand 2k  e9 \('b'\)
X
XGP: I hoped to use the aji of the marked stone to reduce white's territory.
X
XOL: Of the three ideas, the actual move is correct. Black has to try and 
Xreduce the side as much as possible.]M[dj]L[fj][ek];W[ar];B[ek]C[tsand 2k  
XYes, B might get something out of that
Xjupzup 5d  b9 \('a'\) looks good
X
XOL: This move does nothing. Better to not strengthen white and play 
Ximmediately at 'a'.]L[bk];W[ej];B[bk]C[GP: Reducing white's territory.
X
XOL: This move is not quite as effective as it was before the marked white 
Xstone.]M[ej];W[cj];B[ck];W[dk];B[bj];W[if]C[OL: This shows good thinking, and 
Xskill in endgame besides. I'm still very proud of this move. Looks like I 
Xdecided to forget whatever had happened and try to win.
X
XThis move captures the marked group without any doubt.
X
X'a' instead would be worng.
X
XJL: I thought for a while that Black's group could escape by playing 'b', but 
XWhite can exploit Black's shortage of liberties to catch him in a snap-back, 
Xsee variation B.]M[jf][kf][lf][lg][lh][ke][jd][je]L[ci][jh](;B[ie]C[GP: 
XReducing my own liberties: what a great idea! This is a fatal blow if not 
Xfor the marked group, at least for my pride.
X
XOL: Saving the group was no longer possible. However, reducing oneself to 
Xatari is not a very good idea. Here it matters little, though.]
XM[ie][jd][je][jf][ke][kf][lf][lg][lh];W[he];B[ig];W[hf];B[jh];W[kh];B[ji]
XC[tsand 2k  Total collapse...
X
XGP: Indeed!];W[bl]C[OL: The sequence following this is not very good; 
Xwhite loses sente. But I was tired \(couldn't think clearly any more\) and 
Xelated after capturing the big group.
X
XWhite should take sente to ensure capture of the corner. 'a' looks 
Xsufficient.]L[bf];B[al];W[ak];B[aj];W[ci];B[bi];W[ch];B[bh]C[JL: This move 
Xjust induces White to seal the corner.  Playing at 'a' to live in the corner 
Xis much bigger.]L[cc];W[bg]C[OL: I actually think that 'a' would kill the 
Xcorner.
X
XWhite is being too greedy.]L[bf];B[gg]C[GP: I try to reduce white's territory 
Xas much as I can, before trying to live in the upper left corner.
X
XOL: Better to do it in the other order. Live first in the corner, since it is 
Xmuch bigger, and reduce white's territory after, if possible.];W[la]C[OL: 
XThis is very small.];B[cc];W[db];B[cb];W[dc];B[be];W[ce];B[bd];W[ab];B[ag]
XC[tsand 2k  I think b13 \(right of marked stone\) is fatal..
X
XGP: I want to use the marked stone as a threat of connection, and have the 
Xtime to make two eyes.
X
XOL: Very good.]M[ag];W[af];B[ae];W[ah];B[ac];W[jk]C[OL: I now calculated the 
Xsituation, since I had lost a corner and lots of points on the left side too. 
XI was surprised to find out I had still not lost the game. I now started the 
Xendgame with determination.];B[jl];W[hr];B[gq];W[ik];B[il];W[cd]C[OL: Inteded 
Xas a kikashi. Black needs to play 'a' in the corner, or there 
Xwill be at least seki left.
X
XNote, BTW, that if white answers 'a' with 'b', he can still make the corner 
Xseki with 'c'.]L[ca][da][ba];B[fg];W[eg];B[fh];W[eh];B[ei];W[di];B[fi];W[ff]
X;B[gf];W[ge];B[ir];W[is];B[mr];W[lr];B[or];W[nr];B[ns]C[JL: This move is gote 
Xand small. There are much bigger moves on the board.];W[ms];B[os];W[na]
X;B[ob];W[ba]C[OL: This is now biggest.];B[bb]C[GP: This should have been 
Xat 'a'; this would lead to a seki: much better for black than losing the 
Xlower right corner.
X
XOL: Right. Now the corner becomes ko, and white has quite a few threats.]L[ca]
X;W[ca];B[aa];W[bm];B[am];W[ab];B[bp];W[bq];B[aa];W[pr];B[da]C[GP: Winning the 
Xko, plus the reduction to the top, is bigger than the lower right corner. Of 
Xcourse, I should have had a seki and the lower corner as well.
X
XOL: The top reduces too little. White clearly gains from this exchange.]
X;W[qs]C[JL: Black's next move should be at 'a', as shown in variation B.]
XL[ec](;B[eb];W[ec];B[fb];W[ea]C[OL: Correct endgame technique.
X
XJL: What is Black's best answer is White just plays 'a'?
X
XOL: Black will connect at the marked stone. Then 'b' will not be sente, and 
Xif white does not play it, there's still ko left for black. So actually, what 
Xhappens here can be described as white sacrificing a point to gain sente.
X
XThis is an endgame tesuji.]M[ea]L[gb][ga];B[fa];W[gb];B[ca];W[ga];B[ea]C[GP: 
XNormal yose plays follow this move.
X
XOL: ...which means that there still happen mistaeks :-\)];W[fj];B[ds];W[ij]
X;B[ao];W[bp];B[ii];W[op];B[oo];W[pk];B[ok];W[dr]C[OL: This move is 
Xworthy of note. It it about 3 points better than just playing at 'a'.]L[cs]
X;B[cs];W[bs];B[es];W[gr];B[gp];W[ki];B[hl];W[ma];B[ri];W[sj];B[hq];W[js]
X;B[hs]C[OL: Throwing in here just loses a point.
X
XNo more mistaeks. White wins by 15 points.];W[gs];B[fs];W[hs];B[pi];W[bf]
X;B[si];W[ag];B[ak];W[ai]C[Black: 53 + 31 = 84
X
XWhite: 62 + 37 + 0.5 = 99.5
X
XWhite wins by 15.5
X
XOL: This result is incorrect. There was no komi, and so the result is 15 
Xpoints only.])(;B[ec];W[eb];B[fb];W[ed];B[ea];W[ec];B[gb]C[OL: White's top is 
Xall gone.]))(;B[jh];W[kh];B[ig];W[ie];B[kg];W[jg]))(;W[kp];B[iq]C[OL: Black 
Xconcentrates to sealing white in...];W[jr];B[ir]C[OL: ...and white has no 
Xchoice about it...];W[jo]C[OL: ...and if white really sets to get out...]
X;B[ip];W[lo];B[kn]C[OL: ...black lets him.];W[ln];B[jn]C[OL: White pushes 
Xout but it's of little use. White still needs a move to live, and the marked 
Xstones are starting to look pretty dead. Besides all that, black's thickness 
Xto the right is working at full efficiency.]M[fp][fq]))
EnD of lounela.giovax
echo extracting lounela.richter 1>&2
sed 's/^X//' >lounela.richter << 'EnD of lounela.richter'
X(;GM[1]VW[]SZ[19]HA[7]PB[richter]PW[lounela]
XGN[\(igs\) lounela\(white\) vs. richter\(black\)]
XEV[A game played on the Internet Go Server]
XUS[Brought to you by the IGS program]KM[0.]PL[W]C[ A game from the IGS 
X\(Lacerta\)
X
X White: Olli Lounela, 3 dan
X 7 stones: richter, 5 kyu
X
X Played some time on March 92
X
X Game record not complete.
X White wins by about 35 points
X
X Commentary by Michael Dobbins
X and OL.]AB[pd][dp][dd][pp][dj][pj][jj];W[nc];L[pf][lc]C[MD: This seemed 
Xunusual to me, I would have thought 'a' or a pincher around 'b' to be better.
X
XOL: It certainly is unusual, but not necessarily bad. The idea is that if you 
Xhave a moyo on the right side, you give white a strong position at the top 
Xbut get a larger and stronger side.
X
XIt's a difficult move to follow-up, though, and thus I'd recommend a simpler 
Xapproach, usually at 'a'.]B[ob];W[kd];M[ob]L[dc][gd][jp][pf][fc]C[MD: This 
Xdoes not seem right to me. 'a' would be more solid for securing the corner.  
X'b' helps to reduce the white expansion from L16.  I would probably have 
Xplayed at 'c', helping the bottom moyo.
X
XOL: 'c' is certainly very good, and perhaps the best. However, so as to not 
Xturn the marked stone into a bad move, playing somewhere around 'd' would 
Xseem to be called for.
X
XThe correct shape at the top left is 'e'.]B[ec];W[qf]C[OL: This move makes it 
Xvery difficult for black to get a good result here.];L[pf][of][lc]C[MD: Is 
X'a' or 'b' better?
X
XOL: I would call the actual move OK, since there is still 'c' to aim at.]B[oe]
X;W[rd];B[qc]C[OL: This move makes it clear there's been something badly worng 
Xwith black's play here. The marked stone now looks funny.
X
XInstead of the actual move, I would be tempted to play at 'a' or 'b'.]M[ob]
XL[pg][ic];W[ph];C[MD: Black is still within the sector line of white L16 and 
XQ12, but the preasure on O17 compensates for not escaping cleanly.
X
XOL: This is not quite correct. White regards the excange of the marked stones 
Xas a kikashi, and this makes his group very light. It also means that the 
Xblack move is a little unsatisfactory, despite the good follow-up at 'a'.]
XB[me]M[nc][ob]L[nh];W[nq]C[OL: This is handicap strategy. The white stones at 
Xthe top right may be weak, but attacking them is by no means simple. Just to 
Xsee if black can come up with a good attack, white takes a big point. If 
Xblack does not find a good attack, white gains from tenukiing \(playing 
Xelsewhere\).];C[MD: Same as P18. Doesn't secure much territory and doesn't 
Xexert much influence toward the center. 
X
XOL: This time it's downright bad. As there is a fairly secure group at the 
Xtop right, little territory can be expected from the right side.]B[or];W[kp]
X;L[ql][qn]C[OL: Bad shape. The shape moves to consider would be 'a' and 'b'.
X
XThe actual move leaves the side too open for an invasion. Better to try and 
Xsecure some part, and that would point at 'b'. 'a', however, aims at 
Xattacking any invading stone, and would not be too bad either.]B[pm];W[fq]
X;M[kp][nq][er]C[MD: more of the same.
X
XOL: Again this is bad. As the marked white stones are secure enough, black 
Xhas no threat at the bottom. White is sure to invade the left side, and thus 
Xmake this move bad.]B[er];L[eo][cl]C[OL: This move is slightly dubious, but 
Xwhite plays it nevertheless.
X
XWhat white expects, and white should do, is coming out at 'a'.
X
XThe probably best move for white was 'b', but as this is handicap game, white 
Xhas to try and be very active and make black believe he's under attack all 
Xthe time.]W[cn];L[eo]C[OL: This is the worst move so far, and one of the 
Xworst I've seen for quite some time.
X
XThere can be no excuse for inviting white to seal black in at 'a'.]B[bo];W[eo]
X;C[OL: Looks like black regrets getting sealed in.]B[ep];W[fp];M[do][ep]C[OL: 
XThe marked moves are bad, however. Black was alive in the corner anyway, and 
Xnow white gets a wonderful, and extremely thick wall outside.
X
XThe game starts looking easy for white.]B[do];W[dn];C[OL: Black has to defend 
Xsomehow...]B[bn];C[...but that just makes white complete his wall.]W[en]
X;C[MD: Black keeps a very low connection out.  I think this is one of the 
Xproblems with the 2,5 moves.  Pinchers and one point extensions have more 
Xpotential.
X
XOL: I would say the problem is more with the concept of inside/outside. Being 
Xsealed in is almost always no good, and white 2-5 moves it all too easily 
Xhappens.]B[bm];C[OL: White feels confident, which shows by the fact that he's 
Xnot making any territory with this move.]W[cf];L[ic]C[MD: good
X
XOL: _Fair_, I'd say. Black needs to play actively to win now. I would play 
X'a' and let the left side fend for itself, which it seems perfectly capable 
Xof.]B[ch];W[ef];B[hd];W[bd];B[cc];C[OL: White wants to settle this group 
Xabsolutely as fast as possible. Having too many weak groups is asking for 
Xtrouble.
X
XAs the weak groups are three \(top and the sides\), settling the one in the 
Xmiddle is a good idea.]W[hc];B[gc];W[ic];C[MD: I think 'a' would be better, 
Xkeeping the preasure on the weak group while pushing into the center.
X
XOL: I would prefer 'b', as making a good shape strengthens nicely the two 
Xstones. It would also force white to jump to 'a' but that would not matter as 
Xa strong attack can't be expected after white has secured the top.]L[gf][eh]
XB[gb];M[ch][dj]C[OL: After this kosumi, white has much enough room to do all 
Xkinds of nasty things, besides which no attack can be launched on the four 
Xstones.
X
XThis move is also preparing for an attack on the two marked black stones.]
XW[fg];L[fj]C[OL: This is small and not urgent. Jumping to 'a' takes 
Xpriority.]B[ge];W[fj];C[MD: I like 'a' better. The proverb says "knights move 
Xwhen capped"
X
XOL: I do not like the weaknesses left behind by either of them.
X
XA better idea would be 'b', to make sure of connection and taking sente, or 
X'c', to try and keep white separated.]L[el][dl][fk]B[fl];W[ek];C[OL: This is 
Xno good, forcing white to connect.]B[ej];M[fk][fl]C[OL: Using tewari 
Xanalysis: imagine the situation without the two marked stones. If you were 
Xblack, would you exchange them?]W[fk];B[fi];W[gi];B[fh];W[gh];L[ck]C[OL: This 
Xis very risky, asking for trouble. Better to connect peacefully at 'a'.]B[gg]
X;W[gf];C[MD: I like 'a' better. gige up one stone for a better connection to 
Xthe center.  It looks like black thinks he can seperate the weak white group 
Xfrom the center, but it didn't work.
X
XOL: If black does not pull out, he claims the cut a mistaek \(which is was 
X:-\). Hiwever, giving white a ponnuki is extremely hard to do, and so the 
Xactual move is understandable.]L[hf]B[hg];W[hf];B[ie];W[if];B[ih];W[dh]C[OL 
XAs black seems so intense in attacking, white first makes some shape by 
Xhitting the vital point.];B[eg];W[ff];B[dg];W[cg];B[di];W[bh];B[ci];W[df]
X;B[eh]C[OL: White is alive in sente. *Now* he can fight as much as black 
Xwants... and boy is black in for trouble: black's reclessness in creating 
Xweaknesses has aroused whites fighting spirit.];C[MD: now white has almost 
Xconnected out and black has a weak group in the center to worry about.
X
XOL: White separates black's group all right, and black seems to be in some 
Xreal danger.]W[je];B[jf]C[OL: Yet again recless. Once white cuts black off 
Xand captures two stones in the very efficient sequence that follows, black 
Xhas lost much ground.];W[id];B[he];W[kf];B[jg];W[ig];B[hh];W[jh];B[ii];W[kg]
XC[OL: The capture is excellent result for white: all his groups are more or 
Xless secure.];B[gj]C[OL: And furthermore, white gets sente.];W[qp];C[MD: I 
Xthink 'a' is better because black can make white live small in the corner and 
Xkeep the black stones on the right connected.  With R3, black ends up with 3 
Xsmall groups and white has 2.  With black R5, black would have 1 stong groups 
Xand white would have 2.
X
XOL: 'a' would be normal, but if white lives in the corner the game is over: 
Xblack loses on points.]L[qo]B[qq];W[po];B[rp]C[OL: This surprised me; I 
Xexpected the sequence 'a', 'b', capture, 'c', connect, 'd'.
X
XLetting white out this way is no good.]L[qo][qn][ro][pn];W[qo];B[op];W[rq]
XC[OL: Excellent technique. Black has to choose: either white lives or cuts 
Xblack to pieces. Neither is very attractive.];B[rr];W[pq];B[qr];W[oq];B[no]
X;W[ro];B[sq];W[on]C[OL: This move makes clear just how much trouble black is 
Xin. White splits black into two weak, struggling groups and can expect lots 
Xof profit from this attack.
X
XBesides all that, black's largest potential territory has vanished. The game 
Xlooks very promising for white.];B[mn];W[om];B[qm];W[nl];B[mp];W[mq];B[kn]
X;W[oi];B[oj];W[nj];B[ol];W[mm]C[OL: The group on the left side is dead. White 
Xis leading by more then 10 points.];B[ni];W[mj];B[lm];W[ll];B[nh];W[ng]C[OL: 
XThis looks like a tesuji.];B[og];W[oh];B[pg];W[qh];B[pf];W[mh];B[qe];W[fr]
XC[OL: This move seals white's victory.
X
XNo further comments, white just had some fun with the center group.];B[eq]
X;W[jm];B[jo];W[jp];B[nn];W[nm];B[km];W[kl];B[lo];W[lp];B[jn];W[ip];B[im];W[jl]
X;B[hn];W[io];B[in];W[hl];B[gm];W[el];B[gk];W[rj];B[rk];W[ri];B[em];W[go];B[dm]
X;W[es];B[ds];W[fs];B[cr];W[pr];B[ps];W[so];B[sp];W[rf];B[re];W[se];B[rc];W[bc]
X;B[bb];W[bi];B[bj];W[oc];B[nb];W[mb];B[pc];W[na];B[pb];W[md];B[le];W[ld];B[nf]
X;W[mi];B[mg];W[gl];B[fm];W[hj];B[hi];W[il];B[hk];W[cm];B[cl];W[ab];B[ba];W[cd]
X;B[cb];W[sc];B[sb];W[sd];B[ra];W[hb];B[ki];W[ga];B[fa];W[ha];B[fb];W[co];B[cp]
X;W[ik];B[ij];W[nr];B[os];W[ns];B[qs];W[nh];B[lg]C[White wins about 35 
EnD of lounela.richter
echo extracting shylock.lounela 1>&2
sed 's/^X//' >shylock.lounela << 'EnD of shylock.lounela'
X(;GM[1]VW[]SZ[19]PB[lounela]PW[shylock]
XGN[\(IGS\) shylock\(W\) vs lounela\(B\)]
XEV[A game played on the Internet Go Server]DT[1992-07-08]RE[B+Time]
XUS[Brought to you by the IGS program]C[
X A game from IGS \(@icsi\)
X
X White: shylock, 5 dan
X 2 stones: Olli Lounela, 3 dan
X
X 8 Jul 1992
X
X Time: 45 mins per player
X White loses on time.
X
X Commentary by
X    John Lamping, 1 kyu,
X    Tero Sand, 2 kyu,
X    and Olli Lounela, 3 dan.
X
X NOTE: shylock uses rank of
X 29 kyu. When I asked, he said
X he is 5 dan.]AB[pd][dp]PL[W];W[dc];B[pp];W[nq];L[jp]C[TS: My first instinct 
Xwould be to answer the kakari, probably at 'a'.
X
XThen again, now that I look at it, this looks more dynamic.
X
XOL: Well, this is more of a question of style. I played here to take the 
Xinitiative, to take over the flow of the game. I still feel that 'a' would be 
Xsubmissive.]B[de];C[TS: Somehow this looks like what black wants; I'd 
Xplay a hasami \(pincer\).
X
XOL: It's actually OK for white to play this way. What white wants is sente to 
Xplay in the bottom right corner.]W[ce];B[cf];W[cd];B[dg];W[fc];B[ck]C[OL: 
XThis result is a kind of success for black, however. Black has made a moyo of 
Xthe left side, which is what he was after, but then again, white is also 
Xsatisfied, as he has sente.];W[qn];B[pn];W[pm];B[on];W[qo];B[qp];W[kq]
XC[OL: This move I find dubious, lacking in shape. It's difficult to know what 
Xto do here, however.
X
X'a' would be joseki, but 'b' on the right side is very attractive also.]
XL[mp][qi];L[oq]C[TS: Better than 'a'?
X
XOL: Clearly. This more or less punishes white for playing the marked stone. 
XBlack's group is bound to be secure, and the marked stone is very likely to 
Xend up in an awkward \(position? place? shape? choose one\).]B[np]M[kq];W[mp]
XC[OL: Fighting spirit makes one want to play something else. I'd probably 
Xplay at 'a'.]L[oq];B[oq];W[no];B[op]C[OL: This is a good result for black. 
XThe marked stone is now in bad shape. It should either be closer to the three 
Xstones, so as to make a strong shape, or much further away from them, say, at 
X'a', so as to make the three stones light. Moreover, black's shape is strong 
Xand natural.
X
XThe game seems to be difficult for white; it now looks likely he'll have to 
Xkill something to win.]L[fq]M[kq];W[qi];M[fc][kq]L[mc][fq]B[iq]C[TS: My 
Xchoice would be 'a', but it seems kind of slow. Maybe it even is made 
Xredundant by the marked stone at the top.
X
XJL: Black attacks the weak White group, while getting a nice corner moyo.
X
XOL: All this, and more.
X
XBlack is worried that if he doesn't do something in the bottom, 
Xwhite will extend to 'b'. That would actually remedy much of the awakwarness 
Xof the marked stone at the bottom.
X
XBesides, black is thick at the bottom right. Thickness is best used by 
Xsqueezing one's opponent against it, using it kind of as an anvil.];W[mm]
X;B[ml]C[TS: This move I do not understand, but I'd venture to guess it's 
Xa tesuji.
X
XJL: This keeps White from connecting.  The Black stone will either connect 
Xwith the live corner group or get massive outside thickness.
X
XBut this move still looks like a mistake.  It strengthens both White groups 
Xwhile Black gets influence mostly facing toward the top, where it won't have 
Xthat much effect.  I think that Black 'a', White 'b', to poke Black's nose 
Xout in sente, followed by Black 'c' would be better.
X
XOL: Either this move is a big blunder, or it is a good tesuji, I'm still not 
Xsure which :-\) , but I'm very confident that it's good.
X
XFirst, John's sequence is no good. The exchange of 'a' for 'b' is an obvious 
Xloss, as white's side becomes secure while black gains nothing, and 'a' does 
Xnot make an attack at 'c' feasible.
X
XHowever, this move actually is a tesuji.
X
XWhat really matters here is that by playing this tsuke, black gets a 
Xconnection into the center in a most efficient way; white is forced to submit.
X
XComparing the actual result \(up to 32\) with black's typical untesuji move 
Xat 'd' makes it clear just how much more efficient this move is.
X
XIt is gote, however, and lets white invade at 'e', but by my opinion, the 
Xfight that follows is feasible for black.]L[om][pl][io][nl][fq];W[nm];B[om]
XC[JL: Black threatens to cut at 'a'.]L[qm];W[pl]C[OL: This move is 
Xextremely hard to play; it's very, very painful.
X
XWhite is forced to let black connect in an efficient way, simultaniously 
Xsplitting white.];B[nl];W[lm]C[JL: White can't play 'a', because 
XBlack would play at the marked stone in sente, and get tremendous central 
Xthickness.
X
XOL: And that thickness would spell B-I-G T-R-O-U-B-L-E for the white group 
Xbelow...]M[lm]L[ol];B[ol];W[fq]C[JL: Now White's group on the bottom is 
Xstronger, so White uses it to attack the lone Black stone.
X
XOL: This is exactly what white would like black to believe.
X
XThe truth is, however, that it's white who's in trouble. He cannot sacrifice 
Xhis group at the bottom right, it's just too big. But making eyes to it is no 
Xmean task either...];B[io]C[JL: Defending the weaker stone.
X
XOL: More like splitting white.];W[fo]C[JL: White can't 
Xafford to share the corner first by trading 'a' for 'b', because Black might 
Xnot answer in the corner, but rather play at the marked stone, connecting his 
Xgroups and sealing off a huge moyo.
X
XOL: Almost there, but not quite. Black would not play at the marked stone, 
Xsince it is a bad shape.
X
XBut it is not easy to say just what black would do. One attractive 
Xpossibility is 'c', making miai of attacking either group at the bottom all 
Xthe while making a nice shape and ensuring an escape route.]M[fo]L[dr][cq][hn]
X;B[dn]C[OL: Black's left side is just huge. White needs to do something 
Xdramatic to be able to win the game.];W[im]C[JL: This is White's only chance 
Xto cap Black.  Black's struggles to live or escape should strengthen White.
X
XOL: I would call this white's only chance to try and stay in the game. If 
Xblack settles the group in the middle bottom too easily, the game is 
Xabsolutely over.
X
XIt does seem, though, that black's stones are in little trouble.];M[im][fo]
XC[JL: Playing at 'a' might seem more reasonable for Black, but White can 
Xmake Black overconcentrated by engineering a trade with the sequence in 
Xvariation B. Black would still need to spend another move to secure his 
Xcorner.
X
XOL: If white were to play as in variation B, black would happily play 'a' 
X\(the reason is at the end of the variation\). What I wanted to avoid is in 
Xvariation C.
X
XBesides all that, this move actually aims at cutting between the two marked 
Xstones; there is a saying: "if you want to go to the left, go first to the 
Xright". The actual move is intended as a sacrifice if white cuts.]L[hm]B[jm](
X;C[OL: I think this is an overplay. Black neatly and handily connects, 
Xand gets out, and white is left with an incomplete shape.
X
XBesides, it usually is not advisable to fill in one's own liberties...]W[in]
X;B[kp]C[JL: Black prepares to either make eyes on the bottom by capturing the 
Xmarked stone or connect out to the top.]M[kq];W[jp]C[JL: This move prevents 
XBlack from making eyes on the bottom, to ensure that the group keeps running.
X
XI think that it was a mistake, however.  If Black runs out, White ends up 
Xwith two weak groups to care for.  Sealing Black off by playing at 'a' looks 
Xbetter.  Black will have to live on the side and won't get much territory, 
Xwhile White will get outside strength to ravage Black's side with moves like 
X'b' and 'c'.
X
XOL: This move is not a mistaek, it actually seems white's only chance to try 
Xand fight; see variation B.
X
XHowever, black is largely untroubled. He but needs to connect out.]
XL[jn][cq][ch](;B[jq];W[ko];B[jo]C[JL: Now White can't play 'a', or 
XBlack will play 'b' and capture one of the marked stones to become safe and 
Xstrong.]M[kq][ko][mp][no]L[jn][lp];W[lp];C[OL: Now white is strong in the 
Xbottom right, but black has poked his head out.
X
XThe white group to the left is weak.
X
XBlack very much has the advantage.]B[jn];L[gn]W[fm]C[JL: If Black were 
Xallowed to play here, it would strengthen his moyo in sente.
X
XOL: The actual thing might be much more troublesome; black hitting at the 
Xvital point of 'a' and cutting...];B[il]C[JL: Black starts to 
Xexploit the shortage of liberties of the two marked White stones.
X
XOL: And makes absolutely sure of this group's safety besides.]M[im][in];W[hl]
X;B[ho];W[gn];B[ik]C[JL: I think that 'a' would have been a 
Xbetter move for Black, because that would have prevented the middle White 
Xgroup from escaping toward the center, and allowed Black to connect his two 
Xgroups together as the White group was making eyes.
X
XOL: 'a' would be a mistaek. White would push to 'b', which aims at cutting 
Xblack off the center with 'c', threatens invasions 'd', 'e' and 'f', and 
Xbeyond all that just about secures the white group.
X
XBlack actually does not intend to cut the white group to the right off the 
Xcenter. No, he wants it to run so he can chase it and make thickness in the 
Xcentre.
X
XOne actually would want to double hane at 'b', but no good would come from 
Xit. White would cut at 'a' and win the semeai against the cut off black 
Xgroup. ]L[jl][hk][kk][cq][ch][cm];W[ll];B[lk];W[kl];B[jl];W[kk];C[TS: This 
Xlooks fragile.
X
XOL: It *is* fragile, but black actually isn't attempting to keep white in.
X
XRather, he's trying to make white run out in a controlled fashion.]B[kj];W[jj]
X;B[lj];W[jk];B[hk];W[gl];B[hi];W[ji];B[ek]C[JL: Looking good for Black.  
XBlack has sealed White, connected, and protected the weak spot at 'a'.  After 
XWhite lives in gote, Black will be able to play in the upper right.
X
XOL: Right. Black's strategy seems to be an enormous success. White has about 
X35 points and black seems to have more than 40 and lots of potential for more.
X
XThere is, BTW, an another purpose for this jump. Black wants to make sure of 
Xa linkage, albeit a loose one, with the center group.]L[ch];W[hq];B[hr]C[JL: 
XThis looks like a mistake, because Black ends in gote.  Black 'a' looks 
Xbetter, because Black will end in sente and be able to make a big play 
Xelsewhere.
X
XOL: This move is correct. If black played at 'a', white would descend and be 
Xjust about alive. Black wants to keep white's group at least a little bit 
Xinsecure, and make any connection underneath here impossible.]L[hp];W[hp]
X;B[ip];W[gr];B[kr]C[JL: This looks like a mistake.  White can still make 
Xan eye in ko with 'a'.  Black 'b' would have taken the eye 
Xaway absolutely.  I still think that playing on the upper side, maybe at 'c' 
Xwould be better.  That looks like enough of a threat to White's center group 
Xto make it spend a move to form eyes, while Black stakes out a nice moyo.
X
XOL: The actual move seems necessary. The point is all about security of 
Xgroups.
X
X'c' actually is one of the biggest points on the board, but it is not urgent 
X\(it is an overextension, though, 'e' is better\).
X
XWhat the marked stone does, is make it possible for black to make eye shape 
Xin the bottom, for white cannot afford to lose the ko following from 'a'. 
XThus, 'a' is not a real possibility -- yet. Also, the marked stone steals 
Xwhite's eyes.
X
X'b' instead would be a mistaek, for white would later be able to play at the 
Xmarked stone, and threaten to cut the center group adrift with 'd'. Black 
Xwould be forced to answer and white would be guaranteed at least one eye in 
Xthe bottom *in* *sente*, and thus the group would be fairly safe.
X
XNow, instead, it's black who's fairly safe and white has to run through dame 
X\(worthless\) points in the center.
X
XThe game is proceeding very smoothly for black.]L[lr][mq][jc][fj][kc]M[kr]
X;W[nj]C[OL: White tries for a diversionary attack, but...];B[lh]C[JL: Black 
Xrefuses to comply with White's forcing move.  The forcing move looks like 
Xit was a mistake, because now White's center group is in trouble.
X
XOL: Right-o. Looks like black now really gets into stride; his groups at the 
Xbottom are safe, for he has 'a' in reserve.
X
XNow white really seems to be in trouble.]L[lr];M[pj]W[pj]C[JL: I don't 
Xunderstand this move.  If White is going to play around here, 'a' looks 
Xbetter.  Is White protecting against some invasion that I don't see?
X
XOL: No, quite the opposite. White is preparing for cutting at 'b'; it would 
Xbe impossible without the marked stone.
X
XWhite has no time to play at 'a', as his center group is in trouble. Black 
Xmight yet find a way of seriously damaging white somewhere if white does 
Xnothing, but...]L[qf][mk];L[mk]B[lr]C[OL: ...black crawls once more.
X
XThis move may seem small but it is not. The large white group is absolutely 
Xwithout eyes \(well, OK, it has half an eye\). Crawling here also makes 
Xabsolutely sure no connection whatsoever will exist for white, and 
Xfurthermore prepares for a connection by black.
X
XWhite really has to do something to his group now. And black is not worried 
Xabout 'a'; he looks forward to harrying white's group and sealing off the top 
Xright.];W[jg];B[lf];W[je]C[watanabe 4d  Black seems ahead.  Black can 
Xsecure the corner while forcing white to live in the lower left, and is also 
Xsecuring territory in upper right while attacking.
X
XOL: White's preoccupation with 'a' seems very costly.]L[mk];B[kd];W[jd];B[kc]
X;C[TS: With a weak group nearby, this does not seem to be recommended.
X
XOL: This is true.
X
XBlack does not need to do much to win now. He'll just have to be patient. 
XEven letting white to encroach bottom left would not be enough, but white's 
Xinvasion is rash. He should not be able to live both with his group and the 
Xinvading stone.]W[co];B[do];W[cq]C[watanabe 4d  Seems like an overplay with 2 
Xweak groups.];B[dq];W[br]C[
X watanabe 4d  with 2 weak groups];B[gp]C[JL: Black cuts the White group in 
Xtwo.  This move wouldn't have worked earlier, because the Black stones to the 
Xleft weren't as strong.
X
XOL: Yet it seems to be a mistaek, even if white answers.
X
XBlack should split white in two at 'a'. He should be able to kill one or the 
Xother... but then again. Most anything is good enough for black.]L[dr];W[gq]
X;B[fp];W[dr];B[er]C[JL: I don't understand this move.  Playing at 'a' seems 
Xto be worth more points.  I thought that maybe the actual move threatened the 
Xcorner, but it looks alive to me, even if White plays elsewhere.
X
XOL: H'mmm. This move is dubious all right. Looks as if I was suffering from a 
Xlapse of concentration.
X
XThe reason to hane is to gain a stronger connection above. If black 'a', 
Xwhite connects and black needs to connect somewhere above. The idea of the 
Xhane is induce white 'a' and let black connect in a stronger way while 
Xkilling the group above naturally.
X
XHowever, I think the best black can do is 'b', leaving the hane as aji. But 
Xthen again, that would irritatingly leave 'a' for white...]L[eq][go];W[eq]
X;B[ep];W[ir];B[ib]C[OL: This move is not big, it is ENORMOUS. It makes black 
Xsecure and takes lots of territory.
X
XBlack leaves the marked stones as aji.]M[hr][er];W[mr]C[
X watanabe 4d  next h16 is severe, and r13 is big
X
XTS: 'a' severe? What does it do?
X
XOL: The question is still about the safety of the big white group.
X
XWhite either must make eyes or connect around 'a'. If he doesn't, black will 
Xattack very severely at 'a'.]L[hd];B[lq];W[mq];B[kp]C[JL: Gives White 
Xhalf an eye on the edge, but takes away half an eye in the middle.  This move 
Xis more profitable than 'a'.
X
XOL: Besides which this completely secures the black group. Without this there 
Xstill would be some worrying aji around 'b'.]L[or][fj];W[rp]C[watanabe 4d  
Xlarge move, since s4 was sente for black];B[rq];W[ro];B[or]C[OL: This makes 
Xblack's groups absolutely safe...];W[gf]C[OL: ...so white has to connect, 
Xagain by playing at dame point.];B[sp]C[JL: Threatens 'a'?
X
XOL: No, it threatens 'b'. See variations B and C.]L[qk][qm](;W[pk];B[qe]C[OL: 
XBlack is far ahead and knows it. So he plays extremely safe.
X
XThis kind of move usually brings dread to one's opponents' hearts.];W[cn]
X;B[cm];W[bm];B[bl]C[JL: A mistake, as it turns out.  This leaves behind 
Xenough aji to let the marked White stones live in ko.  Just playing at 'a' 
Xlooks better.
X
XOL: No, this is actually not _the_ mistaek here. It is a mistaek all right 
Xbut...]M[fo][gn][fm][gl][hl][im][in]L[cl];W[dm];B[cl]C[OL: ...if black now 
Xplayed 'a' he still should salve much.]L[em];W[en];B[go];W[el];B[fk]
X;W[fl]C[JL: Guarantees one eye at 'a'.]L[gm];B[dl]C[OL: This ko is much 
Xbetter than the one at 'a'.]L[eo];W[eo];B[em];W[fh];B[hn]C[JL: The 
Xko amounts to about 30 points, more than Black's side, so Black finishes the 
Xko.];W[ch];B[dh];W[bf]C[OL: This is the price black has to pay. He's still 
Xvery much in the lead, though.];B[rh];W[qc];B[pc];W[rd];B[qb]C[JL: This move 
Xdrives White out down the right side, but Black is a little weak on that 
Xside, so letting White live in gote with the sequence from 'a' to 'd', 
Xfollowed by Black 'e' looks better to me. 
X
XOL: I still think this is correct. What black wants to avoid is a ko or a 
Xliving group in the corner.
X
XBesides, there's no way for white to live here after this hane.]
XL[re][pb][ob][rb][rj];W[rb];B[qd];W[rc];B[pb];W[rf];B[re]C[JL: Killing the 
Xfour White stones is worth about 20 points, compared to letting White live 
Xin gote with the sequence in variation B.  Sacrificing the marked stone is 
Xworth it.
X
XOL: It's also much, much bigger than would have been letting white live in 
Xthe corner.]M[rh](;W[qf];B[pf];W[qg];B[pg];W[qh];B[gd]C[JL: Playing at 'a' is 
Xworth about 20 points for Black, but Black goes from some sente profit 
Xelsewhere first by threatening to cut off White's eyeless central group.
X
XOL: Good timing.
X
XBlack's idea here is to test white's responses, yosu-miru. He wants to see 
Xwhat white does, and whether there is any sente profit available. But, as 
Xthis area is not important for black, he can return to 'a' any time.]L[sf]
X;W[fd];B[fe];W[ge];B[gc];W[ci];B[ed];W[ec];B[ih];W[jh];B[bg]C[JL: 
XBlack plays a sacrifice stone to set up a shortage of 
Xliberties of the two marked White stones to set up a thick connection.
X
XOL: Correct. Otherwise there would be lots of worries here, eg. the peep at 
X'a'.]M[ch][ci]L[ef];W[cg];B[df];W[bh];B[di];W[hg];B[sf]C[JL: Now Black takes 
Xhis profit, but this seems inconsistent, since Black still has more sente 
Xplays against the central White group, such as 'a'.
X
XOL: The problem with 'a' is that it is not necessarily sente; white may yet 
Xfind a clever way of living in sente.
X
XTaking the profit is playing it safe. This is the correct attitude if we keep 
Xin mind that black is leading.]L[ff];W[sg];B[se];W[ff]C[JL: Now White can 
Xconnect or get eyes.];B[oi];W[oh];B[ph];W[ni];B[pi]C[JL: 
XThis looks like a mistake, since it lets White connect around the other side. 
XThe sequence from a to g looks better for Black.
X
XOL: Black does not consider the two gaps as weak, since the white big group 
Xis still eyeless.
X
XAnyway, John is right here. I made a misreading. But instead of 'a' black 
Xshould play 'c' immediately.]L[nh][mh][ng][mg][mf][mi][lg];W[mg];B[kf]C[JL: 
XThis threatens the central White group.];W[oj]C[JL: White ignores the 
Xthreat and hopes for the best.];B[mh];W[nh];B[ig]C[JL: Trying to cut off 
Xthe central White group.];W[jf];B[if];W[ie];B[he];W[hd];B[hf];W[hc]
X;C[TS: The game seems to be over.]B[gb];W[jc];B[ic];W[jb];B[id];W[ke];B[le]C[
X shylock 29k 188: could you add 5 mins?
X
XOL: I did not notice this message...];W[lg];B[kg];W[kh];B[mj];W[ld];B[ng]
X;W[mf];B[me]C[OL: This is perfectly enough for black.
X
XWhite loses on time, but he is badly behind anyway.])(;AE[re]B[qf];W[rg];B[qg]
X;W[re];B[qh];W[ra]))(;AB[qm];W[ql];B[rm];W[sn]C[OL: Black gains points 
Xin sente.])(;AB[qm];W[rm];B[ql];W[pk];B[rl];W[sl];B[sk];W[sn];B[sm]C[OL: A 
Xvery bad ko for white.]))(;AE[jp]C[OL: If white plays 
Xhere...]W[jn];C[OL: ...black effortlessly lives, and with territory 
Xbesides...]B[lq];C[OL: ...and if white connects...]W[mq]
X;L[lo][mo][kn][fm][eq]C[OL: ...black makes a wonderful shape.
X
XBeyond this, white still has 'a', 'b', 'c' to worry about, and 'd' seems 
Xcompulsory reinforcement. If then black 'e', the game is completely over.]
XB[kr]))(;AE[jm]B[hm];W[in];B[hn];W[ho];B[go];W[hp];B[gp];W[hq];B[gq];W[hr]
X;B[gr];L[fr]C[OL: This result is good for black. While white is 
Xsecure, so is black.
X
XA black move at 'a' seems to secure the corner as well. Black is MUCH ahead 
Xin terms of points, and all his groups are just about secure. Game over.]
XW[ir])(;AE[jm]B[hm];W[hn];B[in];W[gn];B[jm];C[OL: White's group at the 
Xbottom left is significantly stronger, and has escaped to the center besides.
X
XWhite's group at the bottom right is bound to get strengthened as black's 
Xbottom group struggles.
X
XAll this means that an invasion in the left side will be coming, and it is 
Xnot likely black would have time to reinforce it first.
X
XThis may be playable, but I did not like my prospects was this the case.]
XW[il]))
EnD of shylock.lounela
echo extracting tsand.Klaus 1>&2
sed 's/^X//' >tsand.Klaus << 'EnD of tsand.Klaus'
X(;GM[1]VW[]SZ[19]AB[dd][pp][pd][dp][dj][pj]C[ A game from the Lacerta IGS.
X
X White: Tero Sand, 2 kyu
X 6 stones: Klaus Sorensen, 8 kyu
X
X 7-May-1992
X
X Comments by Mike Dobbins and
X Olli Lounela, 3 dan.];W[nc];L[pf]C[MD: I would play 'a' with the stone at 
XQ10.
X
XOL: This is true. The actual move is passive and would be better at 'a'.]B[qf]
X;W[fc];B[fd]C[MD: Attack and extend not the best when there is a san-ren-sei 
X\(D4,10,16\) configuration. I would play 'a' and give white the side.
X
XOL: True enough. Also possible would be 'b'.
X
XWhat is worng with the tsuke is that black is helping white to strengthen his 
Xposition. Not recommended.]L[df][jd];W[gd];B[fe];L[ec][cc][cf][gc][fb][ge]
XC[OL: This is rather a strange move, and it looks bad. Cosider, for example, 
Xthe strongest black move at 'a'. If then white 'b', black 'c' puts whito on 
Xthe spot. Connecting at 'd' would be useless because of the hane at 'e'.
X
XWhat I would do is push up to 'f' and be satisfied with getting a strong 
Xposition while still leaving bad aji in the corner.]W[cd];B[ce];W[cc];B[ge]
XC[OL: This is a big mistaek. Now white is bound to get a good result.];W[be]
XC[OL: Connecting at 'a' is obligatory.]L[gc];B[gc]C[MD: Press white down with 
X'a' and build more center influence. Or defend with 'b'?  I don't like the 
Xshape 'b' will leave, black would be heavy in this corner.
X
XOL: But actually this cut is the correct thing to do \(notwithstanding 
Xblack's later mistaeks :-\).]L[hd][cf];W[hd];B[he]C[OL: Black must play at 
X'a', or his cut goes to waste. After that, whatever happens, black gets a 
Xgood result.
X
XNote, BTW, that there is the aji of 'b' to 'f' to capture the single white 
Xstone while leaving the corner looking forlorn.]L[hc][fb][ec][dc][eb][db]
X;W[hc];C[MD: I don't see a good follow-up for black after playing G18.  I 
Xwould play a big point here. 'a' seems to be the biggest point on the board.
X
XOL: I find it more interesting to strengthen the group at the top left first.
X
XA likely sequence is white 'b' to black 'e', which ends in black's sente. 
XAfter that, black 'a' seems a very good move.]L[jp][fb][hb][ib][jd]B[gb];W[fb]
X;B[cf]C[OL: Even if this is big, it's not urgent. Reinforcing in makeshift 
Xfashion would be better.];C[MD: Why not attack black somewhere else, isn't 
Xwhite alive in the corner as it stands.  The bottom of the board looks very 
Xopen, to me.
X
XOL: Right-o. This is much too small for now.]W[bf];B[ec]C[OL: This is 
Xdownright bad. Mistaek in direction.
X
XAs the corner is alive anyway, there is no point in \(not\) separating it 
Xfrom the three stones, that make eyes in the process.
X
XNote, BTW, that if black played at 'a' and white answered with something alse 
Xthan 'b', black 'c' to 'e' \(or 'f' instead of 'e', I'm not sure which is 
Xbetter...\) proves most effective \(like either capturing the corner or the 
Xtwo marked stones\).]L[hb][ib][dc][db][cb][eb]M[fc][fb];W[eb];C[MD: a big 
Xpoint]B[jp];W[fq];B[eq]C[OL: Good. Black wants to attack, and making white 
Xheavy first is the correct approach.];W[fp];C[MD: This looks reasonable to 
Xme, although the C3 corner can still be invaded. If E3 were at D3 the corner 
Xcould not be invaded.
X
XOL: It *is* reasonable. Furthermore, it's a joseki.]B[dn];W[mp];M[fp][fq][mp]
XL[jn][lp][pn][cq]C[MD: I think this is the wrong direction.  'a' to keep good 
Xcommunication with the center. 'b' presses on the weak stone to get some 
Xspace for black.  I probably would have played 'c' and worked with K4 later.
X
XOL: H'm... this move clearly isn't good enough: it has only one thing in 
Xmind, attacking the two marked stones. As white still can invade at 'd', this 
Xattack is not as big as it might seem.
X
XAs to 'a', 'b' and 'c', 'b' is the worst, clearly white is hoping for 
Xsomething of the kind. He would live in the corner with 'd' at once and then 
Xbuild thickness against the bottom right corner -- this would be likely to 
Xend with white having as much territory as black. 'c' is good, but feels 
Xslack and 'a' is the move I'd play with little hesitation -- especially since 
Xthe single marked stone is a bit far from the corner to attack severely.]B[hp]
X;C[OL: Strange and slack. White probably has the intention of tricking, or of 
Xletting black to trick himself.]W[pm];B[on]C[OL: Good, this is the proper 
Xdirection.];W[om];B[nn];W[ml];B[ln]C[OL: This feels slightly slack. Prssing 
Xat 'a' is certainly much more effective, and besides makes a bit better 
Xconnection.
X
XHowever, there is a strategy I find *much* more interesting than jumping out. 
XI'd push down at 'b' \(white answers at 'c'\) and then take the corner at 
X'd'. White would have extremely hard time coping with the \(enormous\) 
Xbottom. The marked stone is almost impossible to pull out, but that would 
Xseem to be exactly what white has to do to have any chance of winning.]
XL[lo][pn][qm][oq]M[mp];W[mo]C[OL: Bad style. Aji keshi, for white may want to 
Xpeep at 'a' later instead. White also makes himself heavy just where he 
Xshould try to settle lightly.]L[mm];B[mn];W[ko];B[in]C[OL: Good. White seems 
Xto be under three-way attack.];W[kn];B[fn]C[OL: This is a big mistaek, for it 
Xgives white a chance to fix up his shape some, with 'a'.
X
XAlso, there is still the invasion at 'b' in the corner.
X
XBlack should play 'c'.]L[kl][cq][km];W[kp]C[OL: This is wrong. White should 
Xplay 'a'.]L[kl];B[oq]C[OL: Before this move, black should force with 'a', 
X'b'. However, I would immediately hane in at 'c', as separating white seems 
Xto produce the best results.]L[pn][qm][km];W[kl];B[md]C[OL: This is a bad 
Xmove, as it forces white to live in the corner. The corner is bigger than the 
Xside, especially now that white has the wall below.
X
XBetter to play at 'a'.]L[pb];W[nd]C[OL: This is strange. White seems to think 
Xthat capturing the marked stone is big, but it is not. Black can always use 
Xvarious forcing moves, mainly 'a', to reduce the top.]M[md]L[jd];B[me]C[OL: 
XBad. Black should hane at 'a'.]L[ne];W[ne]C[OL: This is downright bad, for it 
Xgives black an excellent chance to remedy the whole situation.
X
XIf black first forces 'a', 'b', and then plays 'c', the three marked white 
Xstones become heavy and useless. Black gains the corner and can look forward 
Xto attacking all over.
X
XFurthermore, if white defends after 'c' with, say, 'd', black 'e' secures the 
Xbottom left and at one strike finishes the game beyond doubt. Well, of 
Xcourse, instead of 'e', 'f' should also be good enough to finish the game, 
Xand is a bit simpler if also a bit smaller.]L[jd][hb][pb][ng][er][jf];B[je]
XC[OL: Almost there, but not quite, this does not work.
X
XIf white plays elsewhere and black pushes out at 'a', the sequence to 'g' 
Xdoes not capture the three stones. A stone at 'g' would, of course, make a 
Xdifference.
X
XAll in all, 'e' is the vital point.]L[hb][ib][ic][id][jd][jc][ie];C[OL: This 
Xinvasion is not nearly as big as it looks.]W[ph];L[qh]C[OL: Connecting 
Xunderneath at 'a' would probably be good enough.
X
XHowever, the marked stone is poor style. It just aout forcet white 'a', which 
Xis something white wants to play anyway. Black is helping white.]B[of];W[nh]
X;M[of]L[qh]C[OL: 'a' is more important, but once the marked stone is in 
Xplace, this cut is almost compulsory.]B[nf];W[rh]C[MD: Q10 looks very lonly.
X
XOL: Nevertheless, the right side is not as big as it looks.];M[of][nf]B[pb]
XC[MD: Wouldn't 'a' leave a stronger, less attackable position? I feel Q18 is 
Xgood as well.  I would feel safer against a stronger opponent with 'a'.
X
XOL: What with the marked stones in position, there is nothing to fear in the 
Xcorner. The actual move may even be better than 'a', and certainly I'd play 
Xit instead of 'a'.
X
XHowever, 'b' would seem to be the biggest and the most urgent move on the 
Xboard.]L[pc][er];W[lm];B[qo];W[rn];B[qm]C[MD: I feel the need to play 
Xsomewhere in the center, one of a-d. I like 'a' best because it threatens to 
Xpull out Q10 and gives black some presence in the center.
X
XOL: First, the actual move is no good, it is too small and aji-keshi.
X
XThe center is not important at the moment. 'e' and 'f' are the boggest 
Xpoints, and 'f' seems more urgent.]L[lj][lh][il][ij][jc][er];W[qn];B[pn];W[ql]
X;B[ro];M[qn][rn]C[OL: Excellent, better late than never.
X
XThe capture of the two marked stones is nothing compared to this invasion.]
XW[cq];B[er]L[cp][cg]C[MD: I would play 'a', if white lives, it will be 
Xsmaller and I would not want to give up so much of the left side so easily.
X
XOL: It's very difficult to know which way to play. Neither makes very much 
Xterritory, remember that white still has the hane at 'b' in reserve.]
X;L[cp][bp][bq][bo]C[OL: This seems foolhardy, as a push through and cut of 
X'a' to 'c' makes things extremely hard for white.
X
XBetter to play at 'd'.]W[co];B[do];W[cn];B[cp];W[bp];M[kl]B[bo]L[cm][cg][bq]
XC[MD: 'a' contains white, B5 doesn't accomplish anything.
X
XOL: between the hane at 'b' and the influence of the marked stone, the centre 
Xdoes not seem very large.
X
XHowever, I would cut at 'c' so as to give white no extra help in settling 
Xhimself.];W[bn];B[bq];W[ao];B[cr];W[dm];B[em];C[OL: This seems to be an 
Xoverplay.]W[el];B[fl]C[MD: Why not 'a'? If W @ 'b' then B @ F8.  If W @ 'c' 
Xthen B @ 'd'.
X
XOL: Now I'm amazed. There's no way 'a', 'b', f8 would happen, since 'a' is an 
Xatari. More like 'a', 'b', 'd'...
X
XAnyway, 'a' indeed does seem the correct move. If white 'd', then 'b' seals 
Xwhite in in sente and black gets to play 'e'.]L[dl][cl][dk][cm][jc];C[OL: 
XWhite must have been extremely happy to remedy the situation.]W[dl];L[jc]
XC[OL: Nothing doing. Besides being small, as the centre is non-existent, the 
Xconnection to the group above is not necessary for either of the groups.
X
XBlack should play at 'a'.]B[fk];W[gm];C[OL: Good.]B[gn];W[nr];L[jc]C[OL: 
XStill 'a'.]B[or];W[jr];B[hr];W[jq];L[jc]B[mr]C[MD: Still a wide open center, 
XI would save this move until later.
X
X
XOL: Yes, this is indeed too small for now. 'a'.];W[nq];B[ns];W[li];B[rm];W[rl]
X;B[sn];L[jc][kb]C[OL: This seems an overplay, as black 'a' smothers whatever 
Xattemp there is.
X
XIt seems to me that white would have to start at 'b'.]W[ke];B[mc];W[jd];C[OL: 
XThis is nothing doing.]B[id];W[ic];B[ie];W[kc];B[lb];W[kf];B[lg];W[cg];B[dg]
X;W[dh];B[eg];L[ch][bg][ci]C[OL: This seems an overplay. Just what is white 
Xgoing to do if black cuts with 'a', 'b', 'c'?]W[eh];B[fh];W[fi];B[ch];W[fg]
X;C[OL: Good. Black keeps his mind calm.]B[gh];W[ci];C[OL: Capturing the singe 
Xstone is better style.]B[bh];W[di];B[bi]L[bg]C[MD: I think I would have 'a' 
Xto take some of the preasure off 2 set of 2 black stones.  D10 is still a 
Xproblem for white.];L[cj][ei][de]C[OL: Once again an overplay. If black now 
Xataris at 'a' and after white 'b' connects at 'c', white will have extremely 
Xhard time salving anything, for 'd' threatens the white group below.]W[bg]
X;B[cj];W[ei];L[de]C[OL: A most unfortunate mistaek. 'a' was correct.]B[gi]
X;W[ef];B[fj];W[df];C[OL: A further mistaek.]B[gg];C[OL: Now white seems to be 
Xleading in territory.]W[ej];B[ni];W[mh];B[oh];W[oi];B[og];W[pi];B[lh];W[mi]
X;B[gl];W[hm];B[fm];W[qc];B[pc];C[OL: This is an overplay that again throws 
Xthe game in doubt. White can't live in the corner.]W[re];B[rf];W[sf];B[sg]
X;W[se];B[rg];W[qe];B[pe];W[rb];B[sc];W[qb];B[qd];W[hj];B[gj];W[ji];C[OL: 
XExcellent.]B[ri];W[qj];B[im];W[kh];B[kg];W[jg];B[qk];W[mf];B[mg];W[lf];B[ng]
X;W[nb];B[mb];W[kb];L[na]C[OL: This is a really huge blunder. A hane at 'a' 
Xwould have won the semeai.
X
XAs this is good enough to lose the game, I end the commentary here.
X
XWhite finally wins by 10 points.]B[ob];W[na];B[oa];W[la];B[rj];W[qi];B[pl]
X;W[rk];B[nm];W[ol];B[nl];W[pk];B[ok];W[nk];B[pl];W[oj];B[sh];W[il];B[hl];W[ip]
X;B[hq];W[is];B[jl];W[ik];B[jk];W[jj];B[jm];W[hs];B[fr];W[kk];B[lq];W[mq];B[lr]
X;W[io];B[ho];W[km];B[aq];W[de];B[ek];W[dk];B[cl];W[ck];B[bj];W[bl];B[ap];W[bo]
X;B[ff];W[gs];B[no];W[fs];B[es];W[gr];B[gq];W[hh];B[ih];W[hg];B[hi];W[ig];B[ii]
X;W[dc];B[jh];W[jf];B[ki];W[kj];B[ij];W[ed];B[ir];W[js];B[sl];W[qk];B[qh];W[pg]
X;B[oe];W[ma];B[pf];W[ol];B[pm];W[jn];B[hn];W[iq];B[qg];W[sk];B[eg];W[dg];B[hf]
X;W[np];B[op];W[kq];B[fg];W[ls];B[ms];W[ks];B[lp];W[lo];B[sj];W[sm];B[bk];W[cm]
X;B[sl];W[os];B[ps];W[sm];B[jb];W[jc];B[sl];W[kr];B[os];W[sm];B[am];W[al];B[sl]
X;W[br];B[dq];W[sm];B[mj];W[nj];B[sl];W[ar];B[cq];W[sm];B[lj];W[ni];B[sl];W[kh]
X;B[sm];W[ki];B[ee];W[ok];B[if];W[ka];B[od];W[om];B[oc];W[mm]C[Black: 59 + 31 
X= 90
X
XWhite: 62 + 38 = 100
X
EnD of tsand.Klaus
